-- MySQL dump 10.11
--
-- Host: localhost    Database: myhub
-- ------------------------------------------------------
-- Server version	5.0.51a-24+lenny4

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `app`
--

DROP TABLE IF EXISTS `app`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `app` (
  `appname` varchar(80) NOT NULL default '',
  `geometry` varchar(9) NOT NULL default '',
  `depth` smallint(5) unsigned NOT NULL default '16',
  `hostreq` bigint(20) unsigned NOT NULL default '0',
  `userreq` bigint(20) unsigned NOT NULL default '0',
  `timeout` int(10) unsigned NOT NULL default '0',
  `command` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `app`
--

LOCK TABLES `app` WRITE;
/*!40000 ALTER TABLE `app` DISABLE KEYS */;
/*!40000 ALTER TABLE `app` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `display`
--

DROP TABLE IF EXISTS `display`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `display` (
  `hostname` varchar(40) NOT NULL default '',
  `dispnum` int(10) unsigned default '0',
  `geometry` varchar(9) NOT NULL default '',
  `depth` smallint(5) unsigned NOT NULL default '16',
  `sessnum` bigint(20) unsigned default '0',
  `vncpass` varchar(16) NOT NULL default '',
  `status` varchar(20) NOT NULL default ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `display`
--

LOCK TABLES `display` WRITE;
/*!40000 ALTER TABLE `display` DISABLE KEYS */;
/*!40000 ALTER TABLE `display` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `fileperm`
--

DROP TABLE IF EXISTS `fileperm`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `fileperm` (
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `fileuser` varchar(32) NOT NULL default '',
  `fwhost` varchar(40) NOT NULL default '',
  `fwport` smallint(5) unsigned NOT NULL default '0',
  `cookie` varchar(16) NOT NULL default '',
  PRIMARY KEY  (`sessnum`,`fileuser`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `fileperm`
--

LOCK TABLES `fileperm` WRITE;
/*!40000 ALTER TABLE `fileperm` DISABLE KEYS */;
INSERT INTO `fileperm` VALUES (26,'admin','',0,'I92IumrMNTcrgsT7'),(32,'user','',0,'XpmJJKkSFsbGC5DO'),(28,'user','',0,'MmgT8r1x8aDsh8yn');
/*!40000 ALTER TABLE `fileperm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `host` (
  `hostname` varchar(40) NOT NULL default '',
  `provisions` bigint(20) unsigned NOT NULL default '0',
  `status` varchar(20) NOT NULL default '',
  `uses` smallint(5) unsigned NOT NULL default '0',
  `portbase` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `host`
--

LOCK TABLES `host` WRITE;
/*!40000 ALTER TABLE `host` DISABLE KEYS */;
INSERT INTO `host` VALUES ('localhost',27,'up',2,0);
/*!40000 ALTER TABLE `host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `hosttype`
--

DROP TABLE IF EXISTS `hosttype`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `hosttype` (
  `name` varchar(40) NOT NULL default '',
  `value` bigint(20) unsigned NOT NULL default '0',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `hosttype`
--

LOCK TABLES `hosttype` WRITE;
/*!40000 ALTER TABLE `hosttype` DISABLE KEYS */;
INSERT INTO `hosttype` VALUES ('workspace',1,'Workspace host'),('fileserver',2,'Fileserver host'),('pubnet',4,'Public host'),('sessions',8,'Normal jobs'),('openvz',16,'OpenVZ');
/*!40000 ALTER TABLE `hosttype` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ipusers`
--

DROP TABLE IF EXISTS `ipusers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `ipusers` (
  `id` int(11) NOT NULL auto_increment,
  `ip` varchar(15) NOT NULL,
  `user` tinytext NOT NULL,
  `ntimes` smallint(6) NOT NULL,
  `from` datetime default NULL,
  `to` datetime default NULL,
  `orgtype` varchar(4) NOT NULL,
  `countryresident` char(2) NOT NULL,
  `countrycitizen` char(2) NOT NULL,
  `countryip` char(2) NOT NULL,
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `ipusers`
--

LOCK TABLES `ipusers` WRITE;
/*!40000 ALTER TABLE `ipusers` DISABLE KEYS */;
/*!40000 ALTER TABLE `ipusers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job`
--

DROP TABLE IF EXISTS `job`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `job` (
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `jobid` bigint(20) unsigned NOT NULL auto_increment,
  `superjob` bigint(20) unsigned NOT NULL default '0',
  `username` varchar(32) NOT NULL,
  `event` varchar(40) NOT NULL default '',
  `ncpus` smallint(5) unsigned NOT NULL default '0',
  `venue` varchar(80) NOT NULL default '',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  `heartbeat` datetime NOT NULL default '0000-00-00 00:00:00',
  `active` smallint(2) NOT NULL default '1',
  UNIQUE KEY `jobid` (`jobid`)
) ENGINE=MyISAM AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `job`
--

LOCK TABLES `job` WRITE;
/*!40000 ALTER TABLE `job` DISABLE KEYS */;
INSERT INTO `job` VALUES (24,1,0,'user','/ls',1,'','2010-04-09 15:04:24','2010-04-09 15:04:24',0),(25,2,0,'user','/ls',1,'','2010-04-09 15:06:23','2010-04-09 15:06:23',0),(25,3,0,'user','/test',1,'any','2010-04-09 15:35:32','2010-04-09 15:35:32',0),(25,4,0,'user','/test',1,'any','2010-04-09 15:47:27','2010-04-09 15:47:27',0),(25,5,0,'user','/test',1,'any','2010-04-09 15:48:36','2010-04-09 15:48:36',0),(25,6,0,'user','/test',1,'any','2010-04-09 15:56:14','2010-04-09 15:56:14',0),(25,7,0,'user','/test',1,'any','2010-04-09 17:00:32','2010-04-09 17:00:32',0),(25,8,0,'user','/test',1,'any','2010-04-09 17:38:13','2010-04-09 17:38:13',0),(25,9,0,'user','/test',1,'any','2010-04-09 17:43:57','2010-04-09 17:43:57',0),(25,10,0,'user','/pi',4,'any','2010-04-09 18:31:32','2010-04-09 18:31:32',0),(25,11,0,'user','/pi_seq',1,'any','2010-04-09 18:32:17','2010-04-09 18:32:17',0),(25,12,0,'user','/pi_seq',1,'any','2010-04-09 19:21:56','2010-04-09 19:21:56',0),(25,13,0,'user','/pi',4,'any','2010-04-09 19:31:38','2010-04-09 19:31:38',0),(25,14,0,'user','/pi',4,'any','2010-04-09 19:52:45','2010-04-09 19:52:45',0);
/*!40000 ALTER TABLE `job` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `joblog`
--

DROP TABLE IF EXISTS `joblog`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `joblog` (
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `job` int(10) unsigned NOT NULL default '0',
  `superjob` bigint(20) unsigned NOT NULL default '0',
  `event` varchar(40) NOT NULL default '',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  `walltime` float unsigned default '0',
  `cputime` float unsigned default '0',
  `ncpus` smallint(5) unsigned NOT NULL default '0',
  `status` smallint(5) unsigned default '0',
  `venue` varchar(80) NOT NULL default '',
  PRIMARY KEY  (`sessnum`,`job`,`event`),
  KEY `sessnum` (`sessnum`),
  KEY `event` (`event`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `joblog`
--

LOCK TABLES `joblog` WRITE;
/*!40000 ALTER TABLE `joblog` DISABLE KEYS */;
INSERT INTO `joblog` VALUES (24,1,0,'/ls','2010-04-09 15:04:24',0.002864,0,1,0,''),(25,2,0,'/ls','2010-04-09 15:06:23',0.002357,0.004,1,0,''),(25,3,0,'/test','2010-04-09 15:35:32',0,0,1,1,'1:sshPBS::pbs-test.hubzero.org'),(25,4,0,'/test','2010-04-09 15:47:27',0,0,1,255,'1:sshPBS::pbs-test.hubzero.org'),(25,5,0,'/test','2010-04-09 15:48:36',0,0,1,255,'1:sshPBS::pbs-test.hubzero.org'),(25,6,0,'/test','2010-04-09 15:56:14',0,0,1,255,'1:sshPBS::pbs-test.hubzero.org'),(25,7,0,'/test','2010-04-09 17:00:32',0,0,1,255,'1:sshPBS::pbs-test.hubzero.org'),(25,8,0,'/test','2010-04-09 17:38:13',0,0,1,255,'1:sshPBS::pbs-test.hubzero.org'),(25,9,0,'/test','2010-04-09 17:43:57',0,0,1,0,'1:sshPBS:17:pbs-test.hubzero.org'),(25,10,0,'/pi','2010-04-09 18:31:32',1,0.16,4,0,'1:sshPBS:18:pbs-test.hubzero.org'),(25,11,0,'/pi_seq','2010-04-09 18:32:17',0,0.12,1,0,'1:sshPBS:19:pbs-test.hubzero.org'),(25,12,0,'/pi_seq','2010-04-09 19:21:56',0,0.12,1,0,'1:sshPBS:20:pbs-test.hubzero.org'),(25,13,0,'/pi','2010-04-09 19:31:38',1,0.2,4,0,'1:sshPBS:21:pbs-test.hubzero.org'),(25,14,0,'/pi','2010-04-09 19:52:45',1,0.21,4,0,'1:sshPBS:22:pbs-test.hubzero.org');
/*!40000 ALTER TABLE `joblog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_abuse_reports`
--

DROP TABLE IF EXISTS `jos_abuse_reports`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_abuse_reports` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(50) default NULL,
  `referenceid` int(11) default '0',
  `report` text NOT NULL,
  `created_by` int(11) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` int(3) default '0',
  `subject` varchar(150) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_abuse_reports`
--

LOCK TABLES `jos_abuse_reports` WRITE;
/*!40000 ALTER TABLE `jos_abuse_reports` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_abuse_reports` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_answers_log`
--

DROP TABLE IF EXISTS `jos_answers_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_answers_log` (
  `id` int(11) NOT NULL auto_increment,
  `rid` int(11) NOT NULL default '0',
  `ip` varchar(15) default NULL,
  `helpful` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_answers_log`
--

LOCK TABLES `jos_answers_log` WRITE;
/*!40000 ALTER TABLE `jos_answers_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_answers_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_answers_questions`
--

DROP TABLE IF EXISTS `jos_answers_questions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_answers_questions` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(250) default NULL,
  `question` text,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` varchar(50) default NULL,
  `state` tinyint(3) NOT NULL default '0',
  `anonymous` tinyint(2) NOT NULL default '0',
  `email` tinyint(2) default '0',
  `helpful` int(11) default '0',
  `reward` tinyint(2) default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `question` (`question`),
  FULLTEXT KEY `subject` (`subject`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_answers_questions`
--

LOCK TABLES `jos_answers_questions` WRITE;
/*!40000 ALTER TABLE `jos_answers_questions` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_answers_questions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_answers_questions_log`
--

DROP TABLE IF EXISTS `jos_answers_questions_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_answers_questions_log` (
  `id` int(11) NOT NULL auto_increment,
  `qid` int(11) NOT NULL default '0',
  `expires` datetime NOT NULL default '0000-00-00 00:00:00',
  `voter` int(11) default NULL,
  `ip` varchar(15) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_answers_questions_log`
--

LOCK TABLES `jos_answers_questions_log` WRITE;
/*!40000 ALTER TABLE `jos_answers_questions_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_answers_questions_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_answers_responses`
--

DROP TABLE IF EXISTS `jos_answers_responses`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_answers_responses` (
  `id` int(11) NOT NULL auto_increment,
  `qid` int(11) NOT NULL default '0',
  `answer` text,
  `created_by` varchar(50) default NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `helpful` int(11) NOT NULL default '0',
  `nothelpful` int(11) NOT NULL default '0',
  `state` tinyint(3) NOT NULL default '0',
  `anonymous` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `answer` (`answer`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_answers_responses`
--

LOCK TABLES `jos_answers_responses` WRITE;
/*!40000 ALTER TABLE `jos_answers_responses` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_answers_responses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_answers_tags`
--

DROP TABLE IF EXISTS `jos_answers_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_answers_tags` (
  `id` int(11) NOT NULL auto_increment,
  `questionid` int(11) NOT NULL default '0',
  `tagid` int(11) NOT NULL default '0',
  `taggerid` varchar(200) default NULL,
  `taggedon` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_answers_tags`
--

LOCK TABLES `jos_answers_tags` WRITE;
/*!40000 ALTER TABLE `jos_answers_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_answers_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_author_assoc`
--

DROP TABLE IF EXISTS `jos_author_assoc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_author_assoc` (
  `subtable` varchar(50) NOT NULL default '',
  `subid` int(11) NOT NULL default '0',
  `authorid` int(11) NOT NULL default '0',
  `ordering` int(11) default NULL,
  `role` varchar(50) default NULL,
  `name` varchar(255) default NULL,
  `organization` varchar(255) default NULL,
  PRIMARY KEY  (`subtable`,`subid`,`authorid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_author_assoc`
--

LOCK TABLES `jos_author_assoc` WRITE;
/*!40000 ALTER TABLE `jos_author_assoc` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_author_assoc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_author_stats`
--

DROP TABLE IF EXISTS `jos_author_stats`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_author_stats` (
  `id` bigint(20) NOT NULL auto_increment,
  `authorid` int(11) NOT NULL,
  `tool_users` bigint(20) default NULL,
  `andmore_users` bigint(20) default NULL,
  `total_users` bigint(20) default NULL,
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `period` tinyint(4) NOT NULL default '-1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_author_stats`
--

LOCK TABLES `jos_author_stats` WRITE;
/*!40000 ALTER TABLE `jos_author_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_author_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_banner`
--

DROP TABLE IF EXISTS `jos_banner`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_banner` (
  `bid` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `type` varchar(30) NOT NULL default 'banner',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `imptotal` int(11) NOT NULL default '0',
  `impmade` int(11) NOT NULL default '0',
  `clicks` int(11) NOT NULL default '0',
  `imageurl` varchar(100) NOT NULL default '',
  `clickurl` varchar(200) NOT NULL default '',
  `date` datetime default NULL,
  `showBanner` tinyint(1) NOT NULL default '0',
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `custombannercode` text,
  `catid` int(10) unsigned NOT NULL default '0',
  `description` text NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `tags` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY  (`bid`),
  KEY `viewbanner` (`showBanner`),
  KEY `idx_banner_catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_banner`
--

LOCK TABLES `jos_banner` WRITE;
/*!40000 ALTER TABLE `jos_banner` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_banner` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_bannerclient`
--

DROP TABLE IF EXISTS `jos_bannerclient`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_bannerclient` (
  `cid` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `contact` varchar(255) NOT NULL default '',
  `email` varchar(255) NOT NULL default '',
  `extrainfo` text NOT NULL,
  `checked_out` tinyint(1) NOT NULL default '0',
  `checked_out_time` time default NULL,
  `editor` varchar(50) default NULL,
  PRIMARY KEY  (`cid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_bannerclient`
--

LOCK TABLES `jos_bannerclient` WRITE;
/*!40000 ALTER TABLE `jos_bannerclient` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_bannerclient` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_bannertrack`
--

DROP TABLE IF EXISTS `jos_bannertrack`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_bannertrack` (
  `track_date` date NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_bannertrack`
--

LOCK TABLES `jos_bannertrack` WRITE;
/*!40000 ALTER TABLE `jos_bannertrack` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_bannertrack` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_cart`
--

DROP TABLE IF EXISTS `jos_cart`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_cart` (
  `id` int(10) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `type` varchar(20) default NULL,
  `quantity` int(11) NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `selections` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_cart`
--

LOCK TABLES `jos_cart` WRITE;
/*!40000 ALTER TABLE `jos_cart` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_cart` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_categories`
--

DROP TABLE IF EXISTS `jos_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_categories` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `image` varchar(255) NOT NULL default '',
  `section` varchar(50) NOT NULL default '',
  `image_position` varchar(30) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `editor` varchar(50) default NULL,
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `cat_idx` (`section`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_categories`
--

LOCK TABLES `jos_categories` WRITE;
/*!40000 ALTER TABLE `jos_categories` DISABLE KEYS */;
INSERT INTO `jos_categories` VALUES (1,0,'about','','about','','1','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(2,0,'contribute','','contribute','','2','left','',1,0,'0000-00-00 00:00:00',NULL,2,0,0,''),(3,0,'legal','','legal','','3','left','',1,0,'0000-00-00 00:00:00',NULL,3,0,0,''),(4,0,'browse','','browse','','4','left','',1,0,'0000-00-00 00:00:00',NULL,4,0,0,''),(5,0,'presenters','','presenters','','5','left','',1,0,'0000-00-00 00:00:00',NULL,5,0,0,''),(6,0,'Meeting','Meeting','','','com_events','left','',1,0,'0000-00-00 00:00:00',NULL,0,0,0,''),(7,0,'Seminar','Seminar','','','com_events','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(8,0,'Workshop','Workshop','','','com_events','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(9,0,'General','General','','','com_events','left','',1,0,'0000-00-00 00:00:00',NULL,1,0,0,''),(10,0,'frontpage','','frontpage','','6','left','',1,0,'0000-00-00 00:00:00',NULL,2,0,0,'');
/*!40000 ALTER TABLE `jos_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_citations`
--

DROP TABLE IF EXISTS `jos_citations`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_citations` (
  `id` int(11) NOT NULL auto_increment,
  `uid` varchar(200) default NULL,
  `affiliated` int(3) NOT NULL default '0',
  `fundedby` int(3) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `address` varchar(250) default NULL,
  `author` text,
  `booktitle` varchar(250) default NULL,
  `chapter` varchar(250) default NULL,
  `cite` varchar(250) default NULL,
  `edition` varchar(250) default NULL,
  `editor` varchar(250) default NULL,
  `eprint` varchar(250) default NULL,
  `howpublished` varchar(250) default NULL,
  `institution` varchar(250) default NULL,
  `isbn` varchar(50) default NULL,
  `journal` varchar(250) default NULL,
  `key` varchar(250) default NULL,
  `location` varchar(250) default NULL,
  `month` varchar(50) default NULL,
  `note` text,
  `number` varchar(50) default NULL,
  `organization` varchar(250) default NULL,
  `pages` varchar(250) default NULL,
  `publisher` varchar(250) default NULL,
  `series` varchar(250) default NULL,
  `school` varchar(250) default NULL,
  `title` varchar(250) default NULL,
  `type` varchar(30) default NULL,
  `url` varchar(250) default NULL,
  `volume` int(11) default NULL,
  `year` int(4) default NULL,
  `doi` varchar(250) default NULL,
  `ref_type` varchar(50) default NULL,
  `date_submit` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_accept` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_publish` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_citations`
--

LOCK TABLES `jos_citations` WRITE;
/*!40000 ALTER TABLE `jos_citations` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_citations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_citations_assoc`
--

DROP TABLE IF EXISTS `jos_citations_assoc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_citations_assoc` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) default '0',
  `oid` int(11) default '0',
  `type` varchar(50) default NULL,
  `table` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_citations_assoc`
--

LOCK TABLES `jos_citations_assoc` WRITE;
/*!40000 ALTER TABLE `jos_citations_assoc` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_citations_assoc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_citations_authors`
--

DROP TABLE IF EXISTS `jos_citations_authors`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_citations_authors` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) default '0',
  `author` varchar(64) default NULL,
  `author_uid` bigint(20) default NULL,
  `ordering` int(11) NOT NULL default '0',
  `givenName` varchar(255) NOT NULL,
  `middleName` varchar(255) NOT NULL,
  `surname` varchar(255) NOT NULL,
  `organization` varchar(255) NOT NULL,
  `orgtype` varchar(255) NOT NULL,
  `countryresident` char(2) NOT NULL,
  `email` varchar(100) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `cid_auth_uid` (`cid`,`author`,`author_uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_citations_authors`
--

LOCK TABLES `jos_citations_authors` WRITE;
/*!40000 ALTER TABLE `jos_citations_authors` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_citations_authors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_comments`
--

DROP TABLE IF EXISTS `jos_comments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_comments` (
  `id` int(11) NOT NULL auto_increment,
  `referenceid` varchar(11) default NULL,
  `category` varchar(50) default NULL,
  `comment` text,
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `added_by` int(11) default NULL,
  `state` tinyint(3) NOT NULL default '0',
  `anonymous` tinyint(2) NOT NULL default '0',
  `email` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `question` (`comment`),
  FULLTEXT KEY `subject` (`referenceid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_comments`
--

LOCK TABLES `jos_comments` WRITE;
/*!40000 ALTER TABLE `jos_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_components`
--

DROP TABLE IF EXISTS `jos_components`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_components` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `link` varchar(255) NOT NULL default '',
  `menuid` int(11) unsigned NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `admin_menu_link` varchar(255) NOT NULL default '',
  `admin_menu_alt` varchar(255) NOT NULL default '',
  `option` varchar(50) NOT NULL default '',
  `ordering` int(11) NOT NULL default '0',
  `admin_menu_img` varchar(255) NOT NULL default '',
  `iscore` tinyint(4) NOT NULL default '0',
  `params` text NOT NULL,
  `enabled` tinyint(4) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `parent_option` (`parent`,`option`(32))
) ENGINE=MyISAM AUTO_INCREMENT=83 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_components`
--

LOCK TABLES `jos_components` WRITE;
/*!40000 ALTER TABLE `jos_components` DISABLE KEYS */;
INSERT INTO `jos_components` VALUES (1,'Banners','',0,0,'','Banner Management','com_banners',0,'js/ThemeOffice/component.png',0,'track_impressions=0\ntrack_clicks=0\ntag_prefix=\n\n',1),(2,'Banners','',0,1,'option=com_banners','Active Banners','com_banners',1,'js/ThemeOffice/component.png',0,'',1),(3,'Clients','',0,1,'option=com_banners&c=client','Manage Clients','com_banners',2,'js/ThemeOffice/component.png',0,'',1),(4,'Web Links','option=com_weblinks',0,0,'','Manage Weblinks','com_weblinks',0,'js/ThemeOffice/component.png',0,'show_comp_description=1\ncomp_description=\nshow_link_hits=1\nshow_link_description=1\nshow_other_cats=1\nshow_headings=1\nshow_page_title=1\nlink_target=0\nlink_icons=\n\n',1),(5,'Links','',0,4,'option=com_weblinks','View existing weblinks','com_weblinks',1,'js/ThemeOffice/component.png',0,'',1),(6,'Categories','',0,4,'option=com_categories&section=com_weblinks','Manage weblink categories','',2,'js/ThemeOffice/component.png',0,'',1),(7,'Contacts','option=com_contact',0,0,'','Edit contact details','com_contact',0,'js/ThemeOffice/component.png',1,'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n',1),(8,'Contacts','',0,7,'option=com_contact','Edit contact details','com_contact',0,'js/ThemeOffice/edit.png',1,'',1),(9,'Categories','',0,7,'option=com_categories&section=com_contact_details','Manage contact categories','',2,'js/ThemeOffice/categories.png',1,'contact_icons=0\nicon_address=\nicon_email=\nicon_telephone=\nicon_fax=\nicon_misc=\nshow_headings=1\nshow_position=1\nshow_email=0\nshow_telephone=1\nshow_mobile=1\nshow_fax=1\nbannedEmail=\nbannedSubject=\nbannedText=\nsession=1\ncustomReply=0\n\n',1),(10,'Polls','option=com_poll',0,0,'option=com_poll','Manage Polls','com_poll',0,'js/ThemeOffice/component.png',0,'',1),(11,'News Feeds','option=com_newsfeeds',0,0,'','News Feeds Management','com_newsfeeds',0,'js/ThemeOffice/component.png',0,'',1),(12,'Feeds','',0,11,'option=com_newsfeeds','Manage News Feeds','com_newsfeeds',1,'js/ThemeOffice/component.png',0,'show_headings=1\nshow_name=1\nshow_articles=1\nshow_link=1\nshow_cat_description=1\nshow_cat_items=1\nshow_feed_image=1\nshow_feed_description=1\nshow_item_description=1\nfeed_word_count=0\n\n',1),(13,'Categories','',0,11,'option=com_categories&section=com_newsfeeds','Manage Categories','',2,'js/ThemeOffice/component.png',0,'',1),(14,'User','option=com_user',0,0,'','','com_user',0,'',1,'',1),(15,'Search','option=com_search',0,0,'option=com_search','Search Statistics','com_search',0,'js/ThemeOffice/component.png',1,'enabled=0\n\n',1),(16,'Categories','',0,1,'option=com_categories&section=com_banner','Categories','',3,'',1,'',1),(17,'Wrapper','option=com_wrapper',0,0,'','Wrapper','com_wrapper',0,'',1,'',1),(18,'Mail To','',0,0,'','','com_mailto',0,'',1,'',1),(19,'Media Manager','',0,0,'option=com_media','Media Manager','com_media',0,'',1,'upload_extensions=bmp,csv,doc,epg,gif,ico,jpg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,EPG,GIF,ICO,JPG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\nupload_maxsize=10000000\nfile_path=site/media\nimage_path=site/media/images\nrestrict_uploads=1\nallowed_media_usergroup=3\ncheck_mime=1\nimage_extensions=bmp,gif,jpg,png\nignore_extensions=\nupload_mime=image/jpeg,image/gif,image/png,image/bmp,application/x-shockwave-flash,application/msword,application/excel,application/pdf,application/powerpoint,text/plain,application/x-zip\nupload_mime_illegal=text/html\nenable_flash=0\n\n',1),(20,'Articles','option=com_content',0,0,'','','com_content',0,'',1,'show_noauth=0\nshow_title=1\nlink_titles=0\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_author=1\nshow_create_date=1\nshow_modify_date=1\nshow_item_navigation=0\nshow_readmore=1\nshow_vote=0\nshow_icons=1\nshow_pdf_icon=1\nshow_print_icon=1\nshow_email_icon=1\nshow_hits=1\nfeed_summary=0\n\n',1),(21,'Configuration Manager','',0,0,'','Configuration','com_config',0,'',1,'',1),(22,'Installation Manager','',0,0,'','Installer','com_installer',0,'',1,'',1),(23,'Language Manager','',0,0,'','Languages','com_languages',0,'',1,'',1),(24,'Mass mail','',0,0,'','Mass Mail','com_massmail',0,'',1,'mailSubjectPrefix=\nmailBodySuffix=\n\n',1),(25,'Menu Editor','',0,0,'','Menu Editor','com_menus',0,'',1,'',1),(27,'Messaging','',0,0,'','Messages','com_messages',0,'',1,'',1),(28,'Modules Manager','',0,0,'','Modules','com_modules',0,'',1,'',1),(29,'Plugin Manager','',0,0,'','Plugins','com_plugins',0,'',1,'',1),(30,'Template Manager','',0,0,'','Templates','com_templates',0,'',1,'',1),(31,'User Manager','',0,0,'','Users','com_users',0,'',1,'allowUserRegistration=1\nnew_usertype=Registered\nuseractivation=1\nfrontend_userparams=1\n\n',1),(32,'Cache Manager','',0,0,'','Cache','com_cache',0,'',1,'',1),(33,'Control Panel','',0,0,'','Control Panel','com_cpanel',0,'',1,'',1),(34,'Manage Points','option=com_userpoints',0,0,'option=com_userpoints','Manage Points','com_userpoints',0,'/components/com_hub/images/hubzero-component.png',0,'bankAccounts=1\n\n',1),(35,'Summary','',0,34,'option=com_userpoints&task=summary','Summary','com_userpoints',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(36,'Answers','option=com_answers',0,0,'option=com_answers','Answers','com_answers',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(37,'Contribute','option=com_contribute',0,0,'','','com_contribute',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(38,'Events','option=com_events',0,0,'option=com_events','Events','com_events',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(39,'Manage Events','',0,38,'option=com_events','Manage Events','com_events',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(40,'Manage Events Categories','',0,38,'option=com_events&task=cats','Manage Events Categories','com_events',1,'/components/com_hub/images/hubzero-component.png',0,'',1),(41,'Edit Config','',0,38,'option=com_events&task=configure','Edit Config','com_events',2,'/components/com_hub/images/hubzero-component.png',0,'',1),(42,'Groups','option=com_groups',0,0,'option=com_groups','Groups','com_groups',0,'/components/com_hub/images/hubzero-component.png',0,'ldapGroupMirror=1\nuploadpath=/site/groups\niconpath=/components/com_groups/images/icons\njoin_policy=0\nprivacy=0\naccess=0\n\n',1),(43,'Topics','option=com_topics',0,0,'','','com_topics',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(44,'My Hub','option=com_myhub',0,0,'option=com_myhub','My Hub','com_myhub',0,'/components/com_hub/images/hubzero-component.png',0,'allow_customization=0\nposition=myhub\ndefaults=37,25;48,16,46,18;51,50\nstatic=\n\n',1),(45,'Usage','option=com_usage',0,0,'option=com_usage','Usage','com_usage',0,'/components/com_hub/images/hubzero-component.png',0,'statsDBDriver=mysql\nstatsDBHost=localhost\nstatsDBPort=\nstatsDBUsername=myhub\nstatsDBPassword=Hubbub2010\nstatsDBDatabase=myhub_metrics\nstatsDBPrefix=\nmapsApiKey=ABQIAAAAPq8QOefNUw20Lc6RX2gKqhS52sOfLYQBjNjTIio4_8VA5UX1FxTHIAC1ueUqmMdrjD5WAr8YGW_jVQ\nstats_path=/site/stats\nmaps_path=/site/stats/maps\nplots_path=/site/stats/plots\ncharts_path=/site/stats/charts\n\n',1),(46,'Citations','option=com_citations',0,0,'','','com_citations',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(47,'Citations Manager','',0,46,'option=com_citations','Citations Manager','com_citations',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(48,'Feedback','option=com_feedback',0,0,'option=com_feedback','Feedback','com_feedback',0,'/components/com_hub/images/hubzero-component.png',0,'defaultpic=/components/com_feedback/images/contributor.gif\nuploadpath=/site/quotes\nmaxAllowed=40000000\nfile_ext=jpg,jpeg,jpe,bmp,tif,tiff,png,gif\nblacklist=\nbadwords=viagra, pharmacy, xanax, phentermine, dating, ringtones, tramadol, hydrocodone, levitra, ambien, vicodin, fioricet, diazepam, cash advance, free online, online gambling, online prescriptions, debt consolidation, baccarat, loan, slots, credit, mortgage, casino, slot, texas holdem, teen nude, orgasm, gay, fuck, crap, shit, asshole, cunt, fucker, fuckers, motherfucker, fucking, milf, cocksucker, porno, videosex, sperm, hentai, internet gambling, kasino, kasinos, poker, lottery, texas hold em, texas holdem, fisting\n\n',1),(49,'Manage Success Stories','',0,48,'option=com_feedback','Manage Success Stories','com_feedback',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(50,'Hub','option=com_hub',0,0,'option=com_hub','Hub','com_hub',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(51,'Site','',0,50,'option=com_hub&task=site','Site','com_hub',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(52,'Registration','',0,50,'option=com_hub&task=registration','Registration','com_hub',1,'/components/com_hub/images/hubzero-component.png',0,'',1),(53,'Databases','',0,50,'option=com_hub&task=databases','Databases','com_hub',2,'/components/com_hub/images/hubzero-component.png',0,'',1),(54,'Misc. Settings','',0,50,'option=com_hub&task=misc','Misc. Settings','com_hub',3,'/components/com_hub/images/hubzero-component.png',0,'',1),(55,'Components','',0,50,'option=com_hub&task=components','Components','com_hub',4,'/components/com_hub/images/hubzero-component.png',0,'',1),(57,'Support','option=com_support',0,0,'option=com_support','Support','com_support',0,'/components/com_hub/images/hubzero-component.png',0,'feed_summary=0\nseverities=critical,major,normal,minor,trivial\nwebpath=/site/tickets\nmaxAllowed=40000000\nfile_ext=jpg,jpeg,jpe,bmp,tif,tiff,png,gif,pdf,zip,mpg,mpeg,avi,mov,wmv,asf,asx,ra,rm,txt,rtf,doc,xsl,html,js,wav,mp3,eps,ppt,pps,swf,tar,tex,gz\ngroup=\n\n',1),(58,'Categories','',0,57,'option=com_support&task=categories','Categories','com_support',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(59,'Messages','',0,57,'option=com_support&task=messages','Messages','com_support',1,'/components/com_hub/images/hubzero-component.png',0,'',1),(60,'Resolutions','',0,57,'option=com_support&task=resolutions','Resolutions','com_support',2,'/components/com_hub/images/hubzero-component.png',0,'',1),(61,'Sections','',0,57,'option=com_support&task=sections','Sections','com_support',3,'/components/com_hub/images/hubzero-component.png',0,'',1),(62,'Tickets','',0,57,'option=com_support&task=tickets','Tickets','com_support',4,'/components/com_hub/images/hubzero-component.png',0,'',1),(63,'WhatsNew','option=com_whatsnew',0,0,'','','com_whatsnew',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(64,'XPoll','option=com_xpoll',0,0,'option=com_xpoll','XPoll','com_xpoll',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(65,'Contribtool','option=com_contribtool',0,0,'option=com_contribtool','Contribtool','com_contribtool',0,'/components/com_hub/images/hubzero-component.png',0,'contribtool_on=1\nadmingroup=apps\ndefault_mw=narwhal\ndefault_vnc=780x600\ndeveloper_url=https://hub001.hubzero.org\ndeveloper_site=Forge\ndeveloper_email=support@hubzero.org\nproject_path=/tools/\ninvokescript_dir=/apps/\nadminscript_dir=/apps/bin\ndev_suffix=_dev\ngroup_prefix=app-\nsourcecodePath=/www/myhub/site/protected/source\nlearn_url=http://rappture.org/wiki/FAQ_UpDownloadSrc\nrappture_url=http://rappture.org\ndemo_url=\ndoi_service=\ndoi_prefix=\nldap_save=0\nldap_read=0\nusedoi=0\nexec_pu=1\nscreenshot_edit=1\n\n',1),(66,'Knowledgebase','option=com_kb',0,0,'option=com_kb','Knowledgebase','com_kb',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(67,'Resources','option=com_resources',0,0,'option=com_resources','Resources','com_resources',0,'/components/com_hub/images/hubzero-component.png',0,'autoapprove=0\nautoapproved_users=\ncc_license=1\nemail_when_approved=0\ndefaultpic=/components/com_resources/images/resource_thumb.gif\ntagstool=screenshots,poweredby,bio,credits,citations,sponsoredby,references,publications\ntagsothr=bio,credits,citations,sponsoredby,references,publications\naccesses=Public,Registered,Special,Protected,Private\nwebpath=/site/resources\ntoolpath=/site/resources/tools\nuploadpath=/site/resources\nmaxAllowed=40000000\nfile_ext=jpg,jpeg,jpe,bmp,tif,tiff,png,gif,pdf,zip,mpg,mpeg,avi,mov,wmv,asf,asx,ra,rm,txt,rtf,doc,xsl,html,js,wav,mp3,eps,ppt,pps,swf,tar,tex,gz\ndoi=\naboutdoi=\nsupportedtag=\nsupportedlink=\nbrowsetags=on\ngoogle_id=\nshow_authors=1\nshow_assocs=1\nshow_ranking=1\nshow_rating=1\nshow_date=3\nshow_metadata=1\nshow_citation=1\nshow_audience=0\naudiencelink=\n\n',1),(68,'Types','',0,67,'option=com_resources&task=viewtypes','Types','com_resources',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(69,'Orphans','',0,67,'option=com_resources&task=orphans','Orphans','com_resources',1,'/components/com_hub/images/hubzero-component.png',0,'',1),(70,'Resources','',0,67,'option=com_resources&task=browse','Resources','com_resources',2,'/components/com_hub/images/hubzero-component.png',0,'',1),(71,'Tags','option=com_tags',0,0,'option=com_tags','Tags','com_tags',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(72,'New Tag','',0,71,'option=com_tags&task=new','New Tag','com_tags',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(73,'Whois','option=com_whois',0,0,'','','com_whois',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(74,'XSearch','option=com_xsearch',0,0,'','','com_xsearch',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(75,'Tools','option=com_tools',0,0,'option=com_tools','','com_tools',0,'/components/com_hub/images/hubzero-component.png',0,'mw_on=1\nmwDBDriver=mysql\nmwDBHost=localhost\nmwDBPort=\nmwDBUsername=myhub\nmwDBPassword=Hubbub2010\nmwDBDatabase=myhub\nmwDBPrefix=\nstoragehost=\nshow_storage=0\n\n',1),(76,'Members','option=com_members',0,0,'option=com_members','Members','com_members',0,'/components/com_hub/images/hubzero-component.png',0,'ldapProfileMirror=1\ndefaultpic=/components/com_members/images/profile.gif\nwebpath=/site/members\nmaxAllowed=40000000\nfile_ext=jpg,jpeg,jpe,bmp,tif,tiff,png,gif\nprivacy=0\naccess_org=0\naccess_orgtype=0\naccess_email=2\naccess_url=0\naccess_phone=2\naccess_tags=0\naccess_bio=0\naccess_countryorigin=0\naccess_countryresident=0\naccess_gender=0\naccess_race=2\naccess_hispanic=2\naccess_disability=2\naccess_optin=2\nemployeraccess=0\n\n',1),(77,'XFlash','option=com_xflash',0,0,'option=com_xflash','XFlash','com_xflash',0,'/components/com_hub/images/hubzero-component.png',0,'num_featured=3\nuploadpath=/site/xflash/\nmaxAllowed=40000000\nfile_ext=jpg,png,gif\niconpath=templates/azure/images/icons/16x16\n\n',1),(78,'Store','option=com_store',0,0,'option=com_store','Store','com_store',0,'/components/com_hub/images/hubzero-component.png',0,'store_enabled=1\nwebpath=/site/store\nhubaddress_ln1=\nhubaddress_ln2=\nhubaddress_ln3=\nhubaddress_ln4=\nhubaddress_ln5=\nhubemail=\nhubphone=\nheadertext_ln1=\nheadertext_ln2=\nfootertext=\nreceipt_title=Your Order at HUB Store\nreceipt_note=Thank You for contributing to our HUB!\n\n',1),(79,'404 SEF','option=com_sef',0,0,'option=com_sef','404 SEF','com_sef',0,'/components/com_hub/images/hubzero-component.png',0,'enabled=1\n\n',1),(80,'Wishlists','option=com_wishlist',0,0,'option=com_wishlist','Wishlists','com_wishlist',0,'/components/com_hub/images/hubzero-component.png',0,'categories=general, resource, group, user\ngroup=wishlistadmin\nbanking=0\nallow_advisory=0\nvotesplit=0\nwebpath=/site/wishlist\n\n',1),(81,'Features','option=com_features',0,0,'','','com_features',0,'/components/com_hub/images/hubzero-component.png',0,'',1),(82,'Jobs','option=com_jobs',0,0,'option=com_jobs','','com_jobs',0,'/components/com_hub/images/hubzero-component.png',0,'',1);
/*!40000 ALTER TABLE `jos_components` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_contact_details`
--

DROP TABLE IF EXISTS `jos_contact_details`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_contact_details` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `con_position` varchar(255) default NULL,
  `address` text,
  `suburb` varchar(100) default NULL,
  `state` varchar(100) default NULL,
  `country` varchar(100) default NULL,
  `postcode` varchar(100) default NULL,
  `telephone` varchar(255) default NULL,
  `fax` varchar(255) default NULL,
  `misc` mediumtext,
  `image` varchar(255) default NULL,
  `imagepos` varchar(20) default NULL,
  `email_to` varchar(255) default NULL,
  `default_con` tinyint(1) unsigned NOT NULL default '0',
  `published` tinyint(1) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL default '0',
  `catid` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `mobile` varchar(255) NOT NULL default '',
  `webpage` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_contact_details`
--

LOCK TABLES `jos_contact_details` WRITE;
/*!40000 ALTER TABLE `jos_contact_details` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_contact_details` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_content`
--

DROP TABLE IF EXISTS `jos_content`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_content` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `title_alias` varchar(255) NOT NULL default '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL default '0',
  `sectionid` int(11) unsigned NOT NULL default '0',
  `mask` int(11) unsigned NOT NULL default '0',
  `catid` int(11) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL default '0',
  `created_by_alias` varchar(255) NOT NULL default '',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` text NOT NULL,
  `version` int(11) unsigned NOT NULL default '1',
  `parentid` int(11) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0',
  `metadata` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_section` (`sectionid`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  FULLTEXT KEY `title` (`title`),
  FULLTEXT KEY `introtext` (`introtext`,`fulltext`)
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_content`
--

LOCK TABLES `jos_content` WRITE;
/*!40000 ALTER TABLE `jos_content` DISABLE KEYS */;
INSERT INTO `jos_content` VALUES (1,'Home','home','','{xhub:include type=\"stylesheet\" filename=\"home.css\"}\r\n<div class=\"firstset\">\r\n				<div class=\"three columns first\">\r\n                                   <div id=\"find_resources\">\r\n					{xhub:module position=\"frontResources\" style=\"-2\"}\r\n                                   </div>\r\n				</div>\r\n				<div class=\"three columns second\">\r\n                                   <div id=\"spotlight\">\r\n					{xhub:module position=\"spotlight\" style=\"-2\"}\r\n                                   </div>\r\n				</div>\r\n				<div class=\"three columns third\">\r\n<h3>Get Involved</h3>\r\n<p>\r\n<ul>\r\n<li class=\"contribute\"><a href=\"contribute\">Upload Content</a><br />Publish your own materials</li>\r\n<li class=\"group\"><a href=\"groups\">Form working groups</a><br />Share things privately with colleagues</li>\r\n<li class=\"poll\"><a href=\"xpoll\">Take a Poll</a><br />{xhub:module position=\"polltitle\"}</li>\r\n<li class=\"feedback\"><a href=\"feedback\">Give us Feedback</a><br />Success story? Suggestions?</li>\r\n<li class=\"contact\"><a href=\"about/contact\">Contact Us</a><br />How to reach us</li>\r\n</ul>\r\n</p>\r\n{xhub:module position=\"frontFarRight\" style=\"-2\"}\r\n				</div>\r\n</div>\r\n<div class=\"clear\"></div>			\r\n<div class=\"lastset\">\r\n				<div class=\"three columns first\">\r\n					<div class=\"note\">\r\n{xhub:module position=\"frontLeft\" style=\"-2\"}\r\n					</div>\r\n				</div>\r\n				<div class=\"three columns second\">\r\n					<div class=\"note\">\r\n{xhub:module position=\"frontRight\" style=\"-2\"}\r\n					</div>\r\n				</div>\r\n				<div class=\"three columns third\">\r\n                                    <div class=\"note\">\r\n{xhub:module position=\"frontSide\" style=\"-2\"}	\r\n                                    </div>			\r\n				</div>\r\n</div>			\r\n<div class=\"clear\"></div>\r\n\r\n<!--\r\n<div class=\"four columns first\">\r\n<h3><a href=\"resources/tools\">Tools</a></h3>\r\n<p class=\"tool\">We offer a wide variety of simulation tools available for use right in your browser! No installing or configurtion needed. <a href=\"resources/tools\">More ...</a></p>\r\n<h3>Collaboration</h3>\r\n<ul>\r\n<li class=\"group\"><a href=\"groups\">User Groups</a><br />Share with your colleagues</li>\r\n<li class=\"webmeetings\"><a href=\"collaboration\">Collaboration</a><br />Other ways to collaborate</li>\r\n</ul>\r\n</div>\r\n<div class=\"four columns second\">\r\n<h3><a href=\"resources\">Resources</a></h3>\r\n<ul>\r\n<li class=\"animation\"><a href=\"resources/animations/\">Animations</a></li>\r\n<li class=\"course\"><a href=\"resources/courses/\">Courses</a></li>\r\n<li class=\"download\"><a href=\"resources/downloads/\">Downloads</a></li>\r\n<li class=\"learningmodule\"><a href=\"resources/learningmodules/\">Learning Modules</a></li>\r\n<li class=\"note\"><a href=\"resources/notes/\">Notes</a></li>\r\n<li class=\"presentation\"><a href=\"resources/onlinepresentations/\">Online Presentations</a></li>\r\n<li class=\"publication\"><a href=\"resources/publications/\">Publications</a></li>\r\n<li class=\"series\"><a href=\"resources/series/\">Series</a></li>\r\n<li class=\"teachingmaterial\"><a href=\"resources/teachingmaterials/\">Teaching Materials</a></li>\r\n<li class=\"workshop\"><a href=\"resources/workshops/\">Workshops</a></li>\r\n</ul>\r\n</div>\r\n<div class=\"four columns third\">\r\n<h3><a href=\"tags\">Tags</a></h3>\r\n<p class=\"tag\">A tag is like a subject, keyword, or category. You can find content related to a particular subject by clicking a tag.</p>\r\n<ol class=\"tags\">\r\n<li><a href=\"tags/courselecture\">course lecture</a></li>\r\n<li><a href=\"tags/cyberinfrastructure\">cyberinfrastructure</a></li>\r\n<li><a href=\"tags/experiments\">experiments</a></li>\r\n<li><a href=\"tags/researchseminar\">research seminar</a></li>\r\n</ol></div>\r\n<div class=\"four columns fourth\">\r\n<h3><a href=\"contribute\">Contribute</a></h3>\r\n<ul>\r\n<li class=\"contribute\"><a href=\"contribute\">Contribute Content</a><br />Upload your own materials</li>\r\n<li class=\"feedback\"><a href=\"feedback\">Give us Feedback</a><br />Success story? Suggestions?</li>\r\n<li class=\"poll\"><a href=\"feedback/poll\">Take a Poll</a><br />{xhub:module position=\"polltitle\"}</li>\r\n<li class=\"contact\"><a href=\"about/contact\">Contact Us</a><br />How to get ahold of us</li>\r\n</ul>\r\n</div>\r\n<div class=\"clear\"></div>\r\n<div class=\"three columns first\">{xhub:module position=\"frontLeft\" style=\"-2\"}</div>\r\n<div class=\"three columns second\">{xhub:module position=\"frontRight\" style=\"-1\"}</div>\r\n<div class=\"three columns third\">{xhub:module position=\"feature\" style=\"-2\"}</div>\r\n-->','',1,0,0,0,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=0\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',6,0,1,'','',0,273,'robots=\nauthor='),(2,'Our Cyberinfrastructure','hubzero','','<p>\r\n<img src=\"{xhub:templatedir}/images/hubzero-logo.png\" align=\"right\"/>\r\nOur web site is powered by the <a href=\"http://www.hubzero.org\">HUBzero</a>\r\nsoftware developed at <a href=\"http://www.purdue.edu\">Purdue University</a>.\r\nHUBzero was specifically designed to help a scientific community share\r\nresources and work together with one another.  Users can upload their own\r\ncontent--including tutorials, courses, publications, and animations--and\r\nshare them with the rest of the community.  But each hub is more than\r\njust a repository of information.  It is a place where researchers and\r\neducators can share data and simulation tools online.  Users can launch\r\nsimulations and post-process results with an ordinary web browser--without\r\nhaving to download, compile, or install any code.  The tools they access\r\nare not just web forms, but powerful graphical tools that support visualization\r\nand comparison of results.\r\n</p>\r\n<h3>How Does a Hub Differ From a Web Site?</h3>\r\n<p>\r\nAt its core, a hub is a web site built with many familiar open source\r\npackages--the Linux operating system, an Apache web server, a MySQL\r\ndatabase, PHP web scripting, and the Joomla content management\r\nsystem.  The HUBzero software builds upon that infrastructure to create\r\nan environment in which researchers, educators, and students can access\r\nsimulation tools and share information.  Specifically, we define a \"hub\"\r\nas a web-based collaboration environment with the following features:\r\n<ul>\r\n	<li>Interactive simulation tools, hosted on the hub cluster and delivered to your browser</li>\r\n	<li>Simulation tool development area, including source code control and bug tracking</li>\r\n	<li>Animated presentations delivered in a light-weight, Flash-based format</li>\r\n	<li>Mechanism for uploading and sharing resources</li>\r\n	<li>5-star ratings and user feedback for resources</li>\r\n	<li>User support area, with question-and-answer forum</li>\r\n	<li>Statistics about users and usage patterns</li>\r\n</ul>\r\n</p><p>\r\nYou can use this software to <a href=\"http://www.hubzero.org/getstarted\">start a hub</a> for your own scientific community.  Visit <a href=\"http://www.hubzero.org\">HUBzero.org</a> to learn more!\r\n</p>','',1,1,0,1,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',2,0,1,'','',0,14,'robots=\nauthor='),(3,'About Us','about','','<p class=\"warning\">Edit this page and fill in information about your project.  Think of this page as the front page of a brochure.  Describe your overall project and its goals in simple terms.  The following text is just a suggestion for the kinds of things you might see on this page.</p>\r\n<h3>Our Mission</h3>\r\n<p>The Your Organization (YORG) is funded by <em>Your Funding Organization</em> with a mission to <em>change the world</em>.</p>\r\n<h3>What is {xhub:getcfg hubShortName}?</h3>\r\n<p>This web site is a resource for research, education and collaboration in <em>your science area</em>.  It hosts <a href=\"resources/\">various resources</a> which will help you learn about <em>your science area</em>, including <a href=\"resources/seminars\">Seminars</a>, <a href=\"resources/courses\">Courses</a>, <a href=\"resources/teachingmaterials\">Teaching Materials</a>, <a href=\"resources/downloads\">Downloads</a>, and more. These resources come from <a href=\"contributors/\">contributors</a> in our scientific community, and are used by <a href=\"usage\">visitors from all over the world</a>.</p>\r\n<p>Most importantly, {xhub:getcfg hubShortURL} offers <a href=\"tools/\">simulation tools</a> which you can access from your web browser, so you can not only learn about but also simulate <em>your science area</em>.</p>\r\n<h3>Join Us</h3>\r\n<p><a href=\"tour/\" title=\"View demos of this site in action\">Take a tour</a> of our web site and see how you can use our infrastructure to further your own research and educational activities. <a href=\"register\" title=\"Sign up!\">Create your own account</a>. It\'s free and will give you access to our <a href=\"tools/\" title=\"View a list of tools\">online simulation tools</a> and other features.  <a href=\"contribute\">Become a contributor</a> by uploading your own presentations and simulation tools for others to share. <a href=\"answers/\">Ask a question</a> in our community forum, and let the community help you out.</p>','',1,1,0,1,'1999-11-30 00:00:00',62,'','2010-04-09 14:58:04',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',6,0,2,'','',0,98,'robots=\nauthor='),(23,'Slide 1','slideone','','<h2>Welcome to HUBzero</h2>\r\n<h3>Connecting scientific communities</h3>\r\n<p class=\"learnmore\">\r\n	<a href=\"/about\">Learn more &rsaquo;</a>\r\n</p>','',1,6,0,10,'2010-04-09 17:10:26',62,'','2010-04-09 17:11:22',62,0,'0000-00-00 00:00:00','2010-04-09 17:10:26','0000-00-00 00:00:00','','','show_title=0\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',2,0,1,'','',0,0,'robots=\nauthor='),(4,'Contact Us','contact','','<p class=\"warning\">Edit this page and fill in your own contact information, so people know who owns and operates this site.</p>','',1,1,0,1,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',3,0,3,'','',0,23,'robots=\nauthor='),(5,'Quotes','quotes','','<div style=\"text-align:right; margin:0; padding:0 0 1em 0;\"><a href=\"feedback/success_story\">Add Your Success Story</a></div>\r\n<p>{xhub:module position=\"quotes\" style=\"-1\"}</p>','',1,1,0,1,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',2,0,4,'','',0,33,'robots=\nauthor='),(6,'oldUsage','oldusage','','About usage placeholder','',0,1,0,1,'1999-11-30 00:00:00',62,'','2010-04-10 01:10:56',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',3,0,5,'','',0,2,'robots=\nauthor='),(7,'Copyrights','dmcapolicy','','<p class=\"warning\">Edit this page and fill in your contact information at the bottom.  Having this in place protects you from copyright violations.  If any of your users uploads material that infringes copyright protection, the copyright owner will send a \"take down\" notice to the address below.  When you receive such a letter, you are obliged to unpublish the offending material right away.</p>\r\n<p>To file a copyright infringement notification with us, you will need to send a written communication that includes substantially the following (please consult your legal counsel or see Section 512(c)(3) of the Copyright Act to confirm these requirements):</p>\r\n<ul>\r\n<li> A physical or electronic signature of a person authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.</li>\r\n<li> Identification of the copyrighted work claimed to have been infringed, or, if multiple copyrighted works at a single online site are covered by a single notification, a representative list of such works at that site.</li>\r\n<li> Identification of the material that is claimed to be infringing or to be the subject of infringing activity and that is to be removed or access to which is to be disabled, and information reasonably sufficient to permit the service provider to locate the material. <strong>Providing URLs in the body of an email is the best way to help us locate content quickly.</strong></li>\r\n<li> Information reasonably sufficient to permit the service provider to contact the complaining party, such as an address, telephone number, and, if available, an electronic mail address at which the complaining party may be contacted.</li>\r\n<li> A statement that the complaining party has a good faith belief that use of the material in the manner complained of is not authorized by the copyright owner, its agent, or the law.</li>\r\n<li> A statement that the information in the notification is accurate, and under penalty of perjury, that the complaining party is authorized to act on behalf of the owner of an exclusive right that is allegedly infringed.</li>\r\n</ul>\r\n<p>Such written notice should be sent to our designated agent as follows:</p>\r\n<address> DMCA Complaints<br /> This Person<br /> 1234 Street<br /> City, ST 99999<br /> Fax: 555-555-5555<br /> </address>\r\n<p>Please also note that under Section 512(f) any person who knowingly materially misrepresents that material or activity is infringing may be subject to liability.</p>','',1,1,0,1,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',3,0,6,'','',0,24,'robots=\nauthor='),(8,'Feedback','feedback','','About feedback placeholder','',1,1,0,1,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','pageclass_sfx=\nshow_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=',1,0,7,'','',0,1,'robots=\nauthor=\n'),(9,'Collaboration','collaboration','','<div class=\"threecolumn farleft\">\r\n	<p style=\"padding-top: 4em;\"><a href=\"/groups\"><img src=\"{xhub:image filename=\"collaboration/groups.gif\"}\" alt=\"screen shot\" /></a></p>\r\n</div>\r\n<div class=\"threecolumn middleright\">\r\n	<h3>User Groups</h3>\r\n	<p>Create a <a href=\"/groups\">user group</a> for your research project and invite your colleagues to join.  Upload resources and share them within the group, but keep them private, if you like, or share them with others outside your group.  <a href=\"/groups\">Learn more...</a></p>\r\n	<ul>\r\n	 <li><a href=\"/groups\">View existing groups</a></li>\r\n	 <li><a href=\"/groups/?task=new\">Create your own group</a></li>\r\n	</ul>\r\n</div>\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"threecolumn farleft\">\r\n	<p style=\"padding-top: 4em;\"><a href=\"/tools/workspace\"><img src=\"{xhub:image filename=\"collaboration/workspace.gif\"}\" alt=\"screen shot\" /></a></p>\r\n</div>\r\n<div class=\"threecolumn middleright\">\r\n	<h3>Workspaces</h3>\r\n	<p>A <a href=\"/tools/workspace\">workspace</a> is a Linux desktop in your browser. It provides access to NCN\'s <a href=\"http://www.rappture.org\">Rappture toolkit</a>, along with computational resources available on the TeraGrid networks.  You can use these resources to do research.  Or, you can use workspaces as a development area for new tools.  You can upload code, compile it, test it, and debug it.  Once your code is working properly in a workspace, it is ready to be deployed on {xhub:getcfg hubShortName}.</p>\r\n	<div class=\"demoblock\">\r\n		<p><i>NOTE:</i>  This facility is currently restricted to {xhub:getcfg hubShortName} PIs, students, staff, collaborators, and partners.  If you don\'t see <i>Workspace</i> as a tool, you aren\'t yet authorized to use workspaces.  If you feel you should be authorized, please <a href=\"/feedback/report_problems\">contact us</a> to request this feature.  Please include the name of the PI or partnership supporting your request.</p>\r\n	</div>\r\n</div>\r\n<div class=\"clear\"></div>','',0,0,0,0,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',14,0,3,'','',0,2,'robots=\nauthor='),(10,'Support Center','support','','','\r\n{xhub:include type=\"style\" component=\"com_answers\" filename=\"answers.css\"}\r\n\r\n <div class=\"threecolumn farleft\">\r\n			<div id=\"kb\" class=\"mainsection\"><div><div>\r\n				<h3><a href=\"/kb/\">Knowledge Base</a></h3>\r\n 				<p>Have a question or looking for more information about a <a href=\"/kb/tools/\">tool</a> \r\n				or resource? Try browsing our <a href=\"/kb/\">knowledge base</a>! \r\n				You can find answers to frequently asked questions, helpful tips, and any \r\n				other information we thought might be useful.</p>\r\n			</div></div></div>\r\n			\r\n{xhub:module position=\"tcleft\"}\r\n		</div>\r\n\r\n		<div class=\"threecolumn middle\">\r\n			<div id=\"na\" class=\"mainsection\"><div><div>\r\n				<h3><a href=\"answers/\">Answers</a></h3>\r\n				<p>Couldn\'t find an answer to your question in our <a href=\"/kb/\">knowledge base</a>? \r\n				Try asking your fellow hub members! <a href=\"/answers/question/new/\">Ask questions</a>, post answers, or <a href=\"/answers/search/\">search</a> \r\n				for answered questions. You just may find answers to questions you didn\'t \r\n				even know you had.</p>\r\n			</div></div></div>\r\n			\r\n{xhub:module position=\"tcmiddle\"}\r\n		</div>\r\n\r\n		<div class=\"threecolumn farright\">\r\n			<div id=\"rp\" class=\"mainsection\"><div><div>\r\n				<h3><a href=\"/support/report_problems/\">Report Problems</a></h3>\r\n				<p><a href=\"/support/report_problems/\">Report problems</a> with our form and have your problem entered into our <a href=\"/support/tickets/\">ticket tracking \r\n				system</a>. We guarantee a response! After submitting a report you can track its \r\n				progress, even add comments or notes, and we will always notify you of any \r\n				updates!</p>\r\n			</div></div></div>\r\n			\r\n			<h3>Feedback</h3>\r\n			<p>Have an idea for how we can improve? Feel we could be doing something better? \r\n			Send us your suggestions and comments with our feedback form. We want to hear from you!</p>\r\n			<ul>\r\n			 <li><a href=\"/feedback/report_problems/\">Report a problem</a></li>\r\n			 <li><a href=\"/feedback/success_story/\">Share a success story</a></li>\r\n			 <li><a href=\"/feedback/suggestions/\">Send us your suggestions</a></li>\r\n			 <!-- <li><a href=\"/feedback/poll/\">Cast a vote in the latest poll</a></li> -->\r\n			</ul>\r\n		</div>\r\n\r\n		<div class=\"clear\"></div>',1,0,0,0,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',1,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=0\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',4,0,4,'','',0,0,'robots=\nauthor='),(11,'Terms of Use','terms','','<p class=\"warning\">Edit this page with appropriate terms of use for your site under advice of legal council at your institution.  The following text is provided as example text, with placeholders for <strong>MyInstitution</strong>, <strong>MyState</strong>, and <strong>MyCounty</strong>.</p>\r\n<p>Please read these Terms of Use carefully before accessing {xhub:getcfg hubShortURL}.  The {xhub:getcfg hubShortURL} site is operated by a community of researchers and hosted by MyInstitution.  Your access to {xhub:getcfg hubShortURL} is subject to your agreement to these Terms of Use.  By accessing {xhub:getcfg hubShortURL}, you accept, without limitation or qualification, these Terms of Use.</p>\r\n<h3>Modification of the Agreement</h3>\r\n<p>We maintain the right to modify these Terms of Use and may do so by posting modifications on this page.  Any modification is effective immediately upon posting the modification unless otherwise stated.  Your continued use of {xhub:getcfg hubShortURL} following the posting of any modification signifies your acceptance of that modification.  You should regularly visit this page to review the current Terms of Use.</p>\r\n<h3>Eligibility, Registration, Access, and Termination</h3>\r\n<p>The {xhub:getcfg hubShortURL} site is limited to non-commercial educational and research activities.  Posting of spam messages or other commercial advertisements is a violation of these terms and may result in termination of your account.</p>\r\n<p>Certain portions of {xhub:getcfg hubShortURL} are limited to registered users and/or allow a user to participate in online services by entering personal information.  You agree that any information provided to {xhub:getcfg hubShortURL} in these areas will be complete and accurate, and that you will neither register under the name of nor attempt to enter {xhub:getcfg hubShortURL} under the name of another person or entity.</p>\r\n<p>You are responsible for maintaining the confidentiality of your user ID and password, if any, and for restricting access to your computer, and you agree to accept responsibility for all activities that occur under your account or password.  {xhub:getcfg hubShortURL} does not authorize use of your User ID by third-parties.</p>\r\n<p>We may, in our sole discretion, terminate or suspend your access to and use of {xhub:getcfg hubShortURL} without notice and for any reason, including for violation of these Terms of Use or for other conduct that we, in our sole discretion, believe to be unlawful or harmful to others.  In the event of termination, you are no longer authorized to access {xhub:getcfg hubShortURL}.</p>\r\n<h3>Privacy and Confidentiality</h3>\r\n<p>We respect your privacy.  We will only use your personal identification information to support and manage your use of {xhub:getcfg hubShortURL}, including the use of tracking cookies to facilitate {xhub:getcfg hubShortURL} security procedures.  MyInstitution and {xhub:getcfg hubShortURL} sponsors regularly request {xhub:getcfg hubShortURL} usages statistics and other information.  Usage of {xhub:getcfg hubShortURL} is monitored and usage statistics are collected and reported on a regular basis.  {xhub:getcfg hubShortURL} also reserves the right to contact you to request additional information or to keep you updated on changes to {xhub:getcfg hubShortURL}.  You may opt out of receiving newsletters and other non-essential communications.  No information that would identify you personally will be provided to sponsors or third parties without your permission.</p>\r\n<p>All information posted or stored on {xhub:getcfg hubShortURL} is potentially available to all other users of {xhub:getcfg hubShortURL}.  MyInstitution and {xhub:getcfg hubShortURL} disclaim any responsibility or capability for the preservation of confidentiality of such information. <em>Do not post or store information on {xhub:getcfg hubShortURL} if you expect to or are obligated to protect the confidentiality of that information.</em></p>\r\n<h3>Conduct</h3>\r\n<p>You are responsible at all times for using {xhub:getcfg hubShortURL} in a manner that is legal, ethical, and not to the detriment of others.  Quotas for disk storage, job submissions, and other limited resources are strictly enforced.  You may request an increase in your quota, but attempting to circumvent your quota is unethical and may lead to a termination of your account.  You agree to delete unused files and acknowledge that if you fail to do so, the files may be deleted for you.  You agree that you will not:</p>\r\n<ul>\r\n<li>Use email addresses obtained or accessed through {xhub:getcfg hubShortURL} to transmit the same or substantially similar unsolicited message to multiple recipients without a valid purpose specifically related to the research and education mission of {xhub:getcfg hubShortURL};</li>\r\n<li>Use {xhub:getcfg hubShortURL} to commit a criminal offense or to encourage others to conduct that would constitute a criminal offense or give rise to a civil liability;</li>\r\n<li>Violate any applicable law;</li>\r\n<li>Post or transmit any unlawful, threatening, libelous, harassing, defamatory, vulgar, obscene, pornographic, profane, or otherwise objectionable content;</li>\r\n<li>Use {xhub:getcfg hubShortURL} to impersonate other parties or entities;</li>\r\n<li>Use {xhub:getcfg hubShortURL} to upload any content that contains a software virus, \"Trojan Horse\" or any other computer code, files, or programs that may alter, damage, or interrupt the functionality of {xhub:getcfg hubShortURL} or the hardware or software of any other person who accesses {xhub:getcfg hubShortURL};</li>\r\n<li>Upload, post, email, or otherwise transmit any materials that you do not have a right to transmit under any law or under a contractual relationship;</li>\r\n<li>Alter, damage, or delete any content posted on {xhub:getcfg hubShortURL};</li>\r\n<li>Disrupt the normal flow of communication in any way;</li>\r\n<li>Claim a relationship with or speak for any business, association, or other organization for which you are not authorized to claim such a relationship;</li>\r\n<li>Post or transmit any unsolicited advertising, promotional materials, or other forms of solicitation;</li>\r\n<li>Post any material that infringes or violates the intellectual property rights of another.</li>\r\n</ul>\r\n<h3>Disclaimers</h3>\r\n<p>THE {xhub:getcfg hubShortName} AND ANY INFORMATION, PRODUCTS OR SERVICES ON IT ARE PROVIDED \"AS IS\" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  MyInstitution and {xhub:getcfg hubShortURL} do not warrant, and hereby disclaim any warranties, either express or implied, with respect to the accuracy, adequacy or completeness of any good, service, or information obtained from {xhub:getcfg hubShortURL}.  MyInstitution does not warrant that {xhub:getcfg hubShortURL} will operate in an uninterrupted or error-free manner or that {xhub:getcfg hubShortURL} is free of viruses or other harmful components.  Use of {xhub:getcfg hubShortURL} is at your own risk.</p>\r\n<p>You agree that {xhub:getcfg hubShortURL} and its administrator, MyInstitution, shall have no liability for any consequential, indirect, punitive, special or incidental damages, whether foreseeable or unforeseeable (including, but not limited to, claims for defamation, errors, loss of data, or interruption in availability of data), arising out of or relating to your use of {xhub:getcfg hubShortURL} or any resource that you access through {xhub:getcfg hubShortURL}.</p>\r\n<p>The {xhub:getcfg hubShortURL} site hosts content from a number of authors.  The statements and views of these authors are theirs alone, and do not reflect the stances or policies of MyInstitution or their sponsors, nor does their posting imply the endorsement of MyInstitution or their sponsors.</p>\r\n<h3>Choice of Law/Forum Selection/Attorney Fees</h3>\r\n<p>You agree that any dispute arising out of or relating to {xhub:getcfg hubShortURL}, whether based in contract, tort, statutory or other law, will be governed by federal law and by the laws of MyState, excluding its conflicts of law provisions.  You further consent to the personal jurisdiction of and exclusive venue in the federal and state courts located in and serving MyCounty, MyState as the exclusive legal forums for any such dispute.</p>','',1,3,0,3,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=0\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',9,0,4,'','',0,11,'robots=\nauthor='),(12,'Intellectual Property Considerations','licensing','','<p>\r\nAll materials contributed to {xhub:getcfg hubShortURL} must have clearly defined rights\r\nand privileges.  We have instituted the following guidelines for all\r\nmaterials uploaded onto this site:\r\n</p>\r\n<h3><a href=\"/contribute/tools/\">Simulation Tools</a></h3>\r\n<p>\r\n<div style=\"float:left; margin:10px;\">\r\n<a href=\"http://www.opensource.org/docs/definition.php\">\r\n<img src=\"{xhub:image filename=\"contribute/open_source_button.png\"}\"  alt=\"Open Source (OSI) Logo\"></a>\r\n</div>\r\nSimulation tools can be made available online through HUBzero\'s\r\n<a href=\"http://www.hubzero.org/topics/middleware\">unique middleware</a>, so\r\nusers don\'t have to download or install any source code.  As such, the\r\nsource code for your tool can be completely protected, and may not require\r\nany license.  We do encourage our developers, however, to release their\r\ntools as <a href=\"http://www.opensource.org/\">open source</a> so that\r\nothers can build upon their work.  Please check with your local institution\r\nfor details on their policy for open source release.  If you\r\ndecide to make your source code available for download, we do require\r\nthat you include some well-defined license so that our users clearly\r\nunderstand how they are allowed to use your source code.  The <a href=\"http://opensource.org/licenses/alphabetical\">licenses available on opensource.org</a> have been vetted by lawyers and can be used right out of the box.\r\n</p>\r\n\r\n<h3><a href=\"/contribute/presentations/\">Seminars</a> and Other Materials</h3>\r\n<p>\r\n<div style=\"float:left; margin:10px;\">\r\n<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\"><img alt=\"Creative Commons License\" style=\"border-width: 0\" src=\"{xhub:image filename=\"contribute/creativecommons-2.5.png\"}\" style=\"float:left;\"/></a>\r\n</div>\r\nWe strongly encourage contributors of online presentations, teaching\r\nmaterials, animations, and other materials to adopt the\r\n<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" title=\"Learn more about Creative Commons\">Creative Commons 3.0 license</a>.\r\nThis allows others to use your work for non-commercial purposes, but\r\nthey must acknowledge you as a source and share their derivative works\r\nunder the same license.  Note that this also gives you an opportunity\r\nto build upon their work!</p>\r\n<p>\r\nWe strongly encourage all contributors to adopt these licensing guidelines.\r\nIf you want to contribute, but for some reason you are unable to agree to\r\nthese licenses, please <a href=\"/feedback/report_problems/\">contact us</a>,\r\nso we can follow up and discuss other options.\r\n</p>','',1,3,0,3,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',13,0,3,'','',0,15,'robots=\nauthor='),(13,'Creative Commons','cc','','<h3>What is Creative Commons?</h3>\r\n\r\n<p>\r\n<img src=\"{xhub:image filename=\"cc_button.jpg\"}\" style=\"float: left; margin: 6px;\"/>The Creative Commons (CC) enables copyright holders to grant some or all of their rights to the public while retaining others through a variety of licensing and contract schemes. {xhub:getcfg hubShortName} prefers the <a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\">Creative Commons 3.0</a> license, which is well suited to education and academic research.  This license allows people to use your work for non-commercial purposes, but they must attribute you as a source, and they must share any derivative works under the same license.</p>\r\n\r\n<p><i>Offering your work under a CC license does not mean giving up your copyright. It means offering some of your rights to any member of the public but only on certain conditions.</i>  You may offer your work on {xhub:getcfg hubShortName} under a non-commercial license and still grant commercial licenses separately, on a case-by-case basis.</p>\r\n\r\n<p>For further information on Creative Commons visit the <a href=\"http://creativecommons.org/\">Creative Commons homepage</a>.</p>\r\n\r\n<h3>From the Creative Commons FAQ:</h3>\r\n\r\n<blockquote cite=\"http://wiki.creativecommons.org/FAQ\">\r\n<h4>What if I change my mind?</h4>\r\n<p>Creative Commons licenses are non-revocable. This means that you cannot stop someone, who has obtained your work under a Creative Commons license, from using the work according to that license. You can stop distributing your work under a Creative Commons license at any time you wish; but this will not withdraw any copies of your work that already exist under a Creative Commons license from circulation, be they verbatim copies, copies included in collective works and/or adaptations of your work. So you need to think carefully when choosing a Creative Commons license to make sure that you are happy for people to be using your work consistent with the terms of the license, even if you later stop distributing your work.</p>\r\n\r\n<h4>Do Creative Commons licenses affect fair use, fair dealing or other exceptions to copyright?</h4>\r\n<p>No. All jurisdictions allow some uses of copyrighted material without permission, such as quotation, current-affairs reporting, or parody, although these vary from country to country. These are not dependent on the license and so cannot be affected by it. To make this clear, all of our licenses include this or similar language: Nothing in this license is intended to reduce, limit, or restrict any rights arising from fair use, first sale or other limitations on the exclusive rights of the copyright owner under copyright law or other applicable laws. Thus, regardless of the jurisdiction a user is in, our licenses do not affect a user\'s right to use or allow use of content under copyright exceptions.</p>\r\n\r\n<h4>What happens if someone misuses my Creative Commons-licensed work?</h4>\r\n<p>A Creative Commons license terminates automatically if someone uses your work contrary to the license terms. This means that, if a person uses your work under a Creative Commons license and they, for example, fail to attribute your work in the manner you specified, then they no longer have the right to continue to use your work. This only applies in relation to the person in breach of the license; it does not apply generally to the other people who use your work under a Creative Commons license and comply with its terms.</p>\r\n</blockquote>','',1,3,0,3,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=0\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',10,0,2,'','',0,6,'robots=\nauthor='),(14,'Submitting Content','license','','<p>\r\n		THE WORK (AS DEFINED BELOW) IS PROVIDED UNDER THE TERMS OF THIS LICENSE.  THE WORK IS PROTECTED BY COPYRIGHT AND/OR OTHER APPLICABLE LAW.  ANY USE OF THE WORK OTHER THAN AS AUTHORIZED UNDER THIS LICENSE OR COPYRIGHT LAW IS PROHIBITED.\r\n	</p>\r\n	<p>\r\n		{xhub:getcfg hubShortURL} ACCEPTS AND AGREES TO BE BOUND BY THE TERMS OF THIS LICENSE.  THE LICENSOR (YOU) GRANTS {xhub:getcfg hubShortURL} THE RIGHTS CONTAINED HERE IN CONSIDERATION OF {xhub:getcfg hubShortURL}\'S ACCEPTANCE OF SUCH TERMS AND CONDITIONS.\r\n	</p>\r\n	<ol>\r\n	 <li>Definitions\r\n		<ol>\r\n		 <li>\"Collective Work\" means a work, such as a periodical issue, anthology or encyclopedia, in which the Work in its entirety in unmodified form, along with a number of other contributions, constituting separate and independent works in themselves, are assembled into a collective whole.  A work that constitutes a Collective Work will not be considered a Derivative Work (as defined below) for the purposes of this License.</li>\r\n		 <li>\"Derivative Work\" means a work based upon the Work or upon the Work and other pre-existing works, such as a translation, musical arrangement, dramatization, fictionalization, motion picture version, sound recording, art reproduction, abridgment, condensation, or any other form in which the Work may be recast, transformed, or adapted, except that a work that constitutes a Collective Work will not be considered a Derivative Work for the purpose of this License.  For the avoidance of doubt, where the Work is a musical composition or sound recording, the synchronization of the Work in timed-relation with a moving image (\"synching\") will be considered a Derivative Work for the purpose of this License.</li>\r\n		 <li>\"Licensor\" means the individual or entity that offers the Work under the terms of this License.</li>\r\n		 <li>\"Original Author\" means the individual or entity who created the Work.</li>\r\n		 <li>\"Work\" means the copyrightable work of authorship offered under the terms of this License.</li>\r\n		</ol>\r\n	 </li>\r\n	 <li>License Grant\r\n		<p>Subject to the terms and conditions of this License, Licensor hereby grants {xhub:getcfg hubShortURL} a worldwide, royalty-free, non-exclusive, perpetual (for the duration of the applicable copyright) license to exercise the rights in the Work as stated below:</p>\r\n		<ol>\r\n		 <li>to reproduce the Work, to incorporate the Work into one or more Collective Works, and to reproduce the Work as incorporated in the Collective Works;</li>\r\n		 <li>to create and reproduce Derivative Works;</li>\r\n		 <li>to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission the Work including as incorporated in Collective Works;</li>\r\n		 <li>to distribute copies or phonorecords of, display publicly, perform publicly, and perform publicly by means of a digital audio transmission Derivative Works;</li>\r\n		</ol>\r\n		<p>The above rights may be exercised in all media and formats whether now known or hereafter devised.  The above rights include the right to make such modifications as are technically necessary to exercise the rights in other media and formats.  All rights not expressly granted by Licensor are hereby reserved, including but not limited to the rights set forth in Sections 4(d) and 4(e).</p>\r\n	</li>\r\n	<li>Representations, Warranties and Disclaimer\r\n		<p>UNLESS OTHERWISE MUTUALLY AGREED BY THE PARTIES IN WRITING, LICENSOR AND {xhub:getcfg hubShortURL} BOTH OFFER THE WORK AS-IS AND MAKE NO REPRESENTATIONS OR WARRANTIES OF ANY KIND CONCERNING THE WORK, EXPRESS, IMPLIED, STATUTORY OR OTHERWISE, INCLUDING, WITHOUT LIMITATION, WARRANTIES OF TITLE, MERCHANTIBILITY, FITNESS FOR A PARTICULAR PURPOSE, NONINFRINGEMENT, OR THE ABSENCE OF LATENT OR OTHER DEFECTS, ACCURACY, OR THE PRESENCE OF ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.  SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES, SO SUCH EXCLUSION MAY NOT APPLY IN ALL SITUATIONS.</p>\r\n	</li>\r\n	<li>Limitation on Liability\r\n		<p>EXCEPT TO THE EXTENT REQUIRED BY APPLICABLE LAW, IN NO EVENT WILL LICENSOR HOLD {xhub:getcfg hubShortURL} LIABLE ON ANY LEGAL THEORY FOR ANY SPECIAL, INCIDENTAL, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES ARISING OUT OF THIS LICENSE OR THE USE OF THE WORK, EVEN IF LICENSOR AND/OR {xhub:getcfg hubShortURL} HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.</p>\r\n	</li>\r\n	<li>Termination\r\n		<ol>\r\n		 <li>This License and the rights granted hereunder will terminate automatically upon any breach by {xhub:getcfg hubShortURL} of the terms of this License.  Individuals or entities who have received Collective Works or Derivative Works from {xhub:getcfg hubShortURL} under this License, however, will not have their licenses terminated provided such individuals or entities remain in full compliance with those licenses.  Sections 1, 2, 5, 6, 7, and 8 will survive any termination of this License.</li>\r\n		 <li>Subject to the above terms and conditions, the license granted here is perpetual (for the duration of the applicable copyright in the Work).  Notwithstanding the above, Licensor reserves the right to release the Work under different license terms or to stop distributing the Work at any time; provided, however that any such election will not serve to withdraw this License (or any other license that has been, or is required to be, granted under the terms of this License), and this License will continue in full force and effect unless terminated as stated above.</li>\r\n		</ol>\r\n	 </li>\r\n	 <li>Miscellaneous\r\n		<ol>\r\n		 <li>Each time {xhub:getcfg hubShortURL} distributes or publicly digitally performs the Work, a Collective Work, or a Derivative Work, the Licensor offers to the recipient a license to the Work on the same terms and conditions as the license granted to {xhub:getcfg hubShortURL} under this License.</li>\r\n		 <li>If any provision of this License is invalid or unenforceable under applicable law, it shall not affect the validity or enforceability of the remainder of the terms of this License, and without further action by the parties to this agreement, such provision shall be reformed to the minimum extent necessary to make such provision valid and enforceable.</li>\r\n		 <li>No term or provision of this License shall be deemed waived and no breach consented to unless such waiver or consent shall be in writing and signed by the party to be charged with such waiver or consent.</li>\r\n		 <li>This License constitutes the entire agreement between the parties with respect to the Work licensed here.  There are no understandings, agreements or representations with respect to the Work not specified here.  Neither Licensor nor {xhub:getcfg hubShortURL} shall be bound by any additional provisions that may appear in any communication between the parties.  This License may not be modified without the mutual written agreement of the Licensor and {xhub:getcfg hubShortURL}.</li>\r\n		</ol>\r\n	 </li>\r\n	</ol>','',1,3,0,3,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=0\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',7,0,1,'','',0,1,'robots=\nauthor='),(15,'Contribute: Seminars','seminars','','{xhub:include type=\"stylesheet\" filename=\"howtocontribute.css\"} \r\n{xhub:include type=\"stylesheet\" filename=\"contribute.css\" component=\"com_contribute\"}\r\n<div id=\"sub-menu\">\r\n<ul>\r\n<li><a class=\"tab\" href=\"contribute/tools\"><span>Tools</span></a></li>\r\n<li class=\"active\"><a class=\"tab\" href=\"contribute/seminars\"><span>Seminars</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/publications\"><span>Publications</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/downloads\"><span>Downloads</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/teachingmaterials\"><span>Teaching Materials</span></a></li>\r\n</ul>\r\n</div>\r\n<div class=\"main section\">\r\n<div class=\"aside\">\r\n<p id=\"getstarted\"><a href=\"contribute/?step=1&amp;type=1\">Start a Contribution ›</a></p>\r\n<div class=\"extras\">\r\n<h3>Related Resources &amp; Tips</h3>\r\n<ul class=\"sideinfo\">\r\n<li><a href=\"legal/contribute\">Intellectual Property Considerations</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"subject\">\r\n<h3>What are Seminars?</h3>\r\n<p>A seminar is a lecture of some sort, usually recorded with voice or video. It may be a graduate or undergraduate level seminar, a lecture for a class, or a tutorial presentation.</p>\r\n<h3>Examples</h3>\r\n<p>Looking for an Example? Browse through the <a href=\"resources/seminars\">seminars</a> hosted on this hub.</p>\r\n</div>\r\n</div>','',1,2,0,2,'1999-11-30 00:00:00',62,'','2010-04-09 15:48:23',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',23,0,5,'','',0,41,'robots=\nauthor='),(24,'Slide 2','slidetwo','','<h2>Got Questions?</h2>\r\n<h3>Check out Answers</h3>\r\n<p>Get your questions answered and help others find the clues on the HUBzero Answers forum. For your participation you can even earn points and spend them in the HUBzero store.</p>\r\n<p class=\"learnmore\">\r\n	<a href=\"/answers\">Learn more &rsaquo;</a>\r\n</p>','',1,6,0,10,'2010-04-09 17:10:41',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','2010-04-09 17:10:41','0000-00-00 00:00:00','','','show_title=0\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nlanguage=\nkeyref=\nreadmore=',1,0,2,'','',0,0,'robots=\nauthor='),(16,'Contribute: Teaching Materials','teachingmaterials','','{xhub:include type=\"stylesheet\" filename=\"howtocontribute.css\"} \r\n{xhub:include type=\"stylesheet\" filename=\"contribute.css\" component=\"com_contribute\"}\r\n<div id=\"sub-menu\">\r\n<ul>\r\n<li><a class=\"tab\" href=\"contribute/tools\"><span>Tools</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/seminars\"><span>Seminars</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/publications\"><span>Publications</span></a></li>\r\n<li><a class=\"tab\" href=\"contribute/downloads\"><span>Downloads</span></a></li>\r\n<li class=\"active\"><a class=\"tab\" href=\"contribute/teachingmaterials\"><span>Teaching Materials</span></a></li>\r\n</ul>\r\n</div>\r\n<div class=\"main section\">\r\n<div class=\"aside\">\r\n<p id=\"getstarted\"><a href=\"contribute/?step=1&amp;type=39\">Start a Contribution ›</a></p>\r\n<div class=\"extras\">\r\n<h3>Related Resources &amp; Tips</h3>\r\n<ul class=\"sideinfo\">\r\n<li><a href=\"legal/contribute\">Intellectual Property Considerations</a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class=\"subject\">\r\n<h3>What are Teaching Materials?</h3>\r\n<p>At this time teaching materials are simply just homework assignments that require use of a tool offered by this hub.  There is obviously room to expand this to more.   Please <a href=\"wishlist\">let us know</a> if you have any other ideas.</p>\r\n<h3>Examples</h3>\r\n<p>Looking for an Example? Browse through the <a href=\"resources/teachingmaterials/\">teaching materials</a> hosted on this hub.</p>\r\n</div>\r\n</div>','',1,2,0,2,'1999-11-30 00:00:00',62,'','2010-04-09 15:48:13',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',16,0,4,'','',0,25,'robots=\nauthor='),(18,'Contribute: Downloads','downloads','','{xhub:include type=\"stylesheet\" filename=\"contribute.css\" component=\"com_contribute\"}  \r\n\r\n<div id=\"sub-menu\"> \r\n	<ul>\r\n		<li><a class=\"tab\" href=\"/contribute/tools\"><span>Tools</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/seminars\"><span>Seminars</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/publications\"><span>Publications</span></a></li>\r\n		<li class=\"active\"><a class=\"tab\" href=\"/contribute/downloads\"><span>Downloads</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/teachingmaterials\"><span>Teaching Materials</span></a></li>\r\n	</ul>\r\n</div>\r\n\r\n<div class=\"main section\">\r\n <div class=\"aside\">\r\n<p id=\"getstarted\"><a href=\"/contribute/?step=1&type=9\">Start a Contribution &rsaquo;</a></p>\r\n<div class=\"extras\">\r\n    <h3>Related Resources &amp; Tips</h3>\r\n	<ul class=\"sideinfo\">\r\n         <li><a href=\"/legal/contribute\">Intellectual Property Considerations</a></li>\r\n	</ul>\r\n</div>\r\n </div>\r\n <div class=\"subject\">\r\n  <h3>What are Downloads?</h3>\r\n  <p>A download is a type of resource that users can download and use on their own computer. It could be source code for a tool you developed or even scripts for a book you have written. </p>\r\n<h3>Examples</h3>\r\n			<p>Looking for an Example? Browse through the <a href=\"/resources/downloads/\">downloads</a> hosted by this hub.</p>\r\n </div>\r\n</div>','',1,2,0,2,'1999-11-30 00:00:00',62,'','2010-04-09 15:47:46',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',10,0,3,'','',0,16,'robots=\nauthor='),(19,'Contribute: Publications','publications','','{xhub:include type=\"stylesheet\" filename=\"howtocontribute.css\"}\r\n{xhub:include type=\"stylesheet\" filename=\"contribute.css\" component=\"com_contribute\"}  \r\n\r\n<div id=\"sub-menu\"> \r\n	<ul>\r\n		<li><a class=\"tab\" href=\"/contribute/tools\"><span>Tools</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/seminars\"><span>Seminars</span></a></li>\r\n		<li class=\"active\"><a class=\"tab\" href=\"/contribute/publications\"><span>Publications</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/downloads\"><span>Downloads</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/teachingmaterials\"><span>Teaching Materials</span></a></li>\r\n	</ul>\r\n</div>\r\n\r\n<div class=\"main section\">\r\n<div class=\"aside\">\r\n<p id=\"getstarted\"><a href=\"/contribute/?step=1&type=3\">Start a Contribution &rsaquo;</a></p>\r\n<div class=\"extras\">\r\n    <h3>Related Resources &amp; Tips</h3>\r\n	<ul class=\"sideinfo\">\r\n         <li><a href=\"/legal/contribute\">Intellectual Property Considerations</a></li>\r\n	</ul>\r\n</div>\r\n </div>\r\n <div class=\"subject\">\r\n  <h3>What are Publications?</h3>\r\n  <p>A publication is a paper you have written that has been published in some manner. </p>\r\n<h3>Examples</h3>\r\n<p>Looking for an Example? Browse through the <a href=\"/resources/publications/\">publications</a> hosted on this hub.</p>\r\n </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,2,0,2,'1999-11-30 00:00:00',62,'','2010-04-09 15:49:23',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',10,0,2,'','',0,22,'robots=\nauthor='),(20,'Contribute: Simulation Tools','tools','','{xhub:include type=\"stylesheet\" filename=\"contribute.css\" component=\"com_contribute\"}  \r\n\r\n<div id=\"sub-menu\"> \r\n	<ul>\r\n		<li class=\"active\"><a class=\"tab\" href=\"/contribute/tools\"><span>Tools</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/seminars\"><span>Seminars</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/publications\"><span>Publications</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/downloads\"><span>Downloads</span></a></li>\r\n		<li><a class=\"tab\" href=\"/contribute/teachingmaterials\"><span>Teaching Materials</span></a></li>\r\n	</ul>\r\n</div>\r\n\r\n<div class=\"main section\">\r\n <div class=\"aside\">\r\n<p id=\"getstarted\"><a href=\"/contribtool/create\">Start a Contribution &rsaquo;</a></p>\r\n<div class=\"extras\">\r\n    <h3>Related Resources &amp; Tips</h3>\r\n	<ul class=\"sideinfo\">\r\n<li><a href=\"/legal/contribute\">Intellectual Property Considerations</a></li>\r\n	</ul>\r\n</div>\r\n </div>\r\n <div class=\"subject\">\r\n<p>Are you interested in deploying a simulation tool? Follow <a href=\"http://hubzero.org/resources/173\" rel=\"external\">this tutorial</a> to learn more about tool contribution process. When ready, <a  href=\"/contribtool/create\">register your tool</a> so that we can create a project area for you.\r\n</p>\r\n  <h3>Examples</h3>\r\n			<p>\r\n			Each project is posted on <a href=\"/tools\" rel=\"external\">FORGE</a> and gets support for source code control, a bug tracking system, a wiki for project information, and much more. </p>\r\n </div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,2,0,2,'1999-11-30 00:00:00',62,'','2010-04-09 15:52:33',62,0,'0000-00-00 00:00:00','1999-11-30 00:00:00','0000-00-00 00:00:00','','','show_title=1\nlink_titles=\nshow_intro=1\nshow_section=0\nlink_section=0\nshow_category=0\nlink_category=0\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',12,0,1,'','',0,35,'robots=\nauthor='),(21,'Microphone Recomendations for Breeze Meetings and Presentations','microphones','','<p>Selecting a microphone can be a difficult task, however with the popular spread of Skype many new direct USB options are now available (see Logitech headsets below).  For presentations, the quality is very much dependent upon the audio clarity and quality of the naration.  For meetings, quality can be somewhat less. Below are recommendations for microphones and USB sound interfaces, and which combindations work. </p>\r\n\r\n<p>Please consult the compatability table below when selecting a microphone and sound interface. A breeze presentation is available that can be used to compare audio clarity and quality.</p>\r\n\r\n<p><a href=\"http://www.nanohub.org/resources/?id=1711\">Microphone Selection and Comparison Test: Hear the Difference</a></pl>\r\n\r\n<h3>Microphones</h3>\r\n\r\n<table cellspacing=\"0\" cellpadding=\"10\" border=\"1\">\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>Logitech<br />\r\n	Premium USB Headset 350</h4>\r\n	<p><a href=\"http://www.logitech.com/index.cfm/products/details/US/EN,CRID=103,CONTENTID=10013\">\r\n        <img src=\"{xhub:image filename=\"mics/logitech350_mic.jpg\"}\" border=\"0\" alt=\"Logitech 350 Headset\" align=\"left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $49.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.logitech.com/index.cfm/products/details/US/EN,CRID=103,CONTENTID=10013\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Good audio quality. Requires no sound interfaces or driver installation.</p>\r\n	<p><em>Disadvantages</em>: Slight tinness in recording.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>Logitech<br />\r\n	USB Headset 250</h4>\r\n	<p><a href=\"http://www.logitech.com/index.cfm/products/details/US/EN,CRID=103,CONTENTID=10012\">\r\n        <img src=\"{xhub:image filename=\"mics/logitech250_mic.jpg\"}\" border=\"0\" alt=\"Logitech 250 Headset\" align=\"left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $39.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.logitech.com/index.cfm/products/details/US/EN,CRID=103,CONTENTID=10012\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Good audio quality. Requires no sound interfaces or driver installation.</p>\r\n	<p><em>Disadvantages</em>: Somewhat less comfortable than the Logitech 350 above and no independent volume control. Slight tinness in recording.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>RadioShack<br />\r\n	Hands-Free Tie-Clip Omnidirectional</h4>\r\n	<p><a href=\"http://www.radioshack.com/product/index.jsp?productId=2102927\">\r\n        <img src=\"{xhub:image filename=\"mics/radioshack_mic.jpg\"}\" alt=\"RadioShack Microphone\" class=\"align-left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $24.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.radioshack.com/product/index.jsp?productId=2102927\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Good audio quality, and works well with the recomended sound interfaces.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\">\r\n	<h4>Griffin Technology<br />Lapel Multipurpose Stereo Microphone</h4>\r\n	<p><a href=\"http://www.griffintechnology.com/products/lapelmic/index.php\">\r\n        <img src=\"{xhub:image filename=\"mics/griffin_mic.jpg\"}\" alt=\"Griffin Microphone\" class=\"align-left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $14.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.griffintechnology.com/products/lapelmic/index.php\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\">\r\n	<p><em>Advantages</em>: Good audio quality.</p>\r\n	<p><em>Disadvantages</em>: Only works with the Griffin iMic.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\">\r\n	<h4>Sennheiser<br />\r\n	Wireless Microphone EW112P-G2</h4>\r\n	<p><a href=\"http://www.sennheiser.com/sennheiser/icm_eng.nsf/root/products_wireless-systems_evolution_series100_21412\">\r\n        <img src=\"{xhub:image filename=\"mics/sennheiser_mic.jpg\"}\" alt=\"Sennheiser Microphone\" class=\"align-left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $499.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.sennheiser.com/sennheiser/icm_eng.nsf/root/products_wireless-systems_evolution_series100_21412\">Product Description</a><br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Retailers:\r\n	<a href=\"http://www.bhphotovideo.com/bnh/controller/home?ci=9450&sb=ps&pn=1&sq=desc&InitialSearch=yes&O=productlist.jsp&A=search&Q=*&bhs=t&shs=EW112P&image.x=0&image.y=0\" rel=\"external\">B&amp;H Photo-Video</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\">\r\n	<p><em>Advantages</em>: Superb audio quality and background noise removal.  Especially recommended for class room lectures.</p>\r\n	<p><em>Disadvantages</em>: Cost and requires frequency coordination with other users in the area. For frequency usage in your area\r\n	please see the Sennheiser <a href=\"http://www.sennheiser.com/sennheiser/icm_eng.nsf/root/products_wireless-systems_frequency-check\" target=\"_blank\">Frequency Finder</a>.</p>\r\n  </td>\r\n </tr>\r\n</table>\r\n\r\n<h3>USB Audio Interfaces</h3>\r\n\r\n<table cellspacing=\"0\" cellpadding=\"10\" border=\"1\">\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>Griffin Technology<br />iMic2 USB Audio Interface</h4>\r\n	<p><a href=\"http://www.griffintechnology.com/products/imic2/\">\r\n        <img src=\"{xhub:image filename=\"mics/griffin_imic2.jpg\"}\" border=\"0\" alt=\"Griffin iMic2\" align=\"left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $39.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.griffintechnology.com/products/imic2/\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Good audio quality, and works well with the recomended microphones, portable and convient.<p>\r\n	<p><em>Disadvantages</em>: Headphone level can be low with out powered headphones.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>Creative SoundBlaster<br />Live! 24-bit External</h4>\r\n	<p><a href=\"http://www.soundblaster.com/products/product.asp?category=1&subcategory=206&product=10702\">\r\n        <img src=\"{xhub:image filename=\"mics/soundblaster_live24.jpg\"}\" border=\"0\" alt=\"SoundBlaster Live! 24\" align=\"left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $49.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.soundblaster.com/products/product.asp?category=1&subcategory=206&product=10702\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Excellent audio quality, and works well with the RadioShack and Sennheiser microphones.  Appears to be the sucessor product to the Audigy2 listed below.</p>\r\n	<p><em>Disadvantages</em>: Requires driver installation.</p>\r\n  </td>\r\n </tr>\r\n <tr>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>Creative SoundBlaster<br />Audigy2 NX USB Audio Interface</h4>\r\n	<p><a href=\"http://www.soundblaster.com/products/product.asp?category=1&subcategory=204&product=9103\">\r\n        <img src=\"{xhub:image filename=\"mics/soundblaster_audigy2.jpg\"}\" border=\"0\" alt=\"SoundBlaster Audigy2 NX\" align=\"left\" /></a>\r\n	&nbsp;&nbsp;&nbsp;&nbsp;Price: $98.99<br />\r\n	&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"http://www.soundblaster.com/products/product.asp?category=1&subcategory=204&product=9103\">Product Description</a></p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Excellent audio quality, and works well with the RadioShack and Sennheiser microphones.</p>\r\n	<p><em>Disadvantages</em>: Less portable, needs power supply.  Requires driver installation.  Maybe difficult to find, appears to be discontinued product.</p>\r\n  </td>\r\n </tr>\r\n <tr>  \r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<h4>PC Mic Input</h4>\r\n	<p>Available on most laptops.</p>\r\n  </td>\r\n  <td align=\"left\" valign=\"top\" width=\"50%\">\r\n	<p><em>Advantages</em>: Adequate audio quality for meetings, requires now additional devices other than a microphone, and works well with the RadioShack microphone.</p>\r\n	<p><em>Disadvantages</em>: Audio quality can vary depending on manufacture and model.</p>\r\n  </td>\r\n </tr>\r\n</table>\r\n\r\n<h3>Compatibility Information</h3>\r\n\r\n<table cellpadding=\"8\" cellspacing=\"0\" border=\"1\">\r\n <tr>\r\n  <th align=\"left\" valign=\"top\" width=\"20%\">Microphone</th>\r\n  <th align=\"center\" valign=\"top\" width=\"20%\"><nobr>Griffin iMic2</nobr></th>\r\n  <th align=\"center\" valign=\"top\" width=\"20%\"><nobr>SoundBlaster Live! 24</nobr></th>\r\n  <th align=\"center\" valign=\"top\" width=\"20%\"><nobr>SoundBlaster Audigy2</nobr></th>\r\n  <th align=\"center\" valign=\"top\" width=\"20%\"><nobr>PC Mic Input</nobr></th>\r\n </tr>\r\n <tr>\r\n  <th align=\"left\" valign=\"top\" width=\"20%\">RadioShack<br />Lapel Mic</th>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" border=\"0\" /><br />best price</td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" border=\"0\" /></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" border=\"0\" /></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" border=\"0\" /><br /><nobr>good for meetings</nobr></td>\r\n </tr>\r\n <tr>\r\n  <th align=\"left\" valign=\"top\" width=\"20%\">Griffin<br />Lapel Mic</th>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" /><br /><nobr>good for meetings</nobr></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/redx.gif\"}\" alt=\"N\" width=\"20\" height=\"20\" /></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/redx.gif\"}\" alt=\"N\" width=\"20\" height=\"20\" /></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/redx.gif\"}\" alt=\"N\" width=\"20\" height=\"20\" /></td>\r\n </tr>\r\n <tr>\r\n  <th align=\"left\" valign=\"top\" width=\"20%\">Sennheiser<br />Wireless</th>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" /></td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" /><br />best audio</td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" /><br />best audio</td>\r\n  <td align=\"center\" valign=\"top\" width=\"20%\"><img src=\"{xhub:image filename=\"mics/check.gif\"}\" alt=\"Y\" width=\"20\" height=\"20\" /></td>\r\n </tr>\r\n</table>','',1,5,0,5,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=0\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',15,0,1,'','',0,2,'robots=\nauthor='),(22,'Explore','explore','','{xhub:include type=\"stylesheet\" filename=\"home.css\"}\r\n<div class=\"firstset\">\r\n<div class=\"four columns first\">\r\n		<h2>Do More</h2>\r\n</div>\r\n<div class=\"four columns second third fourth\">\r\n	<div class=\"three columns first\">\r\n		<div class=\"presentation\">\r\n			<h3><a href=\"/resources\">Resources</a></h3>\r\n			<p>Find the latest cutting-edge research in our <a href=\"/resources\">resources</a>.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"three columns second\">\r\n		<div class=\"quote\">\r\n			<h3><a href=\"/citations\">Citations</a></h3>\r\n			<p>See who has <a href=\"/citations\">cited</a> our content in their work.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"three columns third\">\r\n		<div class=\"tag\">\r\n			<h3><a href=\"/tags\">Tags</a></h3>\r\n			<p>Explore all our content through <a href=\"/tags\">tags</a> or even tag content yourself.</p>\r\n		</div>\r\n	</div>\r\n	\r\n	<div class=\"clear\"></div>\r\n	\r\n	<div class=\"three columns first\">\r\n		<div class=\"feedback\">\r\n			<h3><a href=\"/answers\">Questions &amp; Answers</a></h3>\r\n			<p><a href=\"/answers\">Ask questions</a>, get answers, and help others.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"three columns second\">\r\n		<div class=\"wiki\">\r\n			<h3><a href=\"/topics\">Topics</a></h3>\r\n			<p>Browse our user-generated <a href=\"/topics\">topic pages</a> or write your own.</p>\r\n		</div>\r\n	</div>\r\n	<div class=\"three columns third\">\r\n		<div class=\"note\">\r\n			<h3><a href=\"/feedback\">Feedback</a></h3>\r\n			<p>Like something? Having trouble? <a href=\"/feedback\">Let us know what you think!</a></p>\r\n		</div>\r\n	</div>\r\n</div>\r\n</div><!-- / .firstset -->\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"four columns first\">\r\n	<h2>Community</h2>\r\n</div>\r\n<div class=\"four columns second\">\r\n	<div class=\"learningmodule\">\r\n		<h3><a href=\"/members\">Members</a></h3>\r\n		<p>Browse the <a href=\"/members\">profiles</a> of people who have joined this site. Find members with similar <a href=\"/tags\">interests</a>.</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns third\">\r\n	<div class=\"learningmodule\">\r\n		<h3><a href=\"/members/contributors\">Contributors</a></h3>\r\n		<p>Curious who has done what? Browse the <a href=\"/members/contributors\">profiles</a> of Members who have contributed <a href=\"/resources\">resources</a>.</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns fourth\">\r\n	<div class=\"group\">\r\n		<h3><a href=\"/groups\">Groups</a></h3>\r\n		<p>Members working together. Explore our <a href=\"/groups\">groups</a> and get in touch with <a href=\"/members\">members</a> with similar interests.</p>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"four columns first\">\r\n	<h2>Services</h2>\r\n</div>\r\n<div class=\"four columns second\">\r\n	<div class=\"contribute\">\r\n		<h3><a href=\"/contribute\">Upload</a></h3>\r\n		<p><a href=\"/contribute\">Publish</a> your own tools, seminars, and other content on this site.</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns third\">\r\n	<div class=\"tool\">\r\n		<h3><a href=\"/tools\">Tool Forge</a></h3>\r\n		<p>The <a href=\"/tools\">development area</a> for simulation tools. Sign up and manage your own software project!</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns fourth\">\r\n	<div class=\"donate\">\r\n		<h3><a href=\"/store\">Store</a></h3>\r\n		<p><a href=\"/store\">Purchase items</a> such as t-shirts using points you earn by helping out.</p>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>\r\n\r\n<div class=\"four columns first\">\r\n	<h2>What\'s Happening</h2>\r\n</div>\r\n<div class=\"four columns second\">\r\n	<div class=\"note\">\r\n		<h3><a href=\"/events\">Events</a></h3>\r\n		<p>Find information about the many upcoming <a href=\"/events\">public meetings and scientific symposia</a>.</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns third\">\r\n	<div class=\"workshop\">\r\n		<h3><a href=\"/whatsnew\">What\'s New</a></h3>\r\n		<p>Find the latest content posted on the site with our <a href=\"/whatsnew\">What\'s New</a> section.</p>\r\n	</div>\r\n</div>\r\n<div class=\"four columns fourth\">\r\n	<div class=\"group\">\r\n		<h3><a href=\"/xpoll\">Community Poll</a></h3>\r\n		<p>Respond to our poll questions and <a href=\"/xpoll\">see what everyone else is thinking</a>.</p>\r\n	</div>\r\n</div>\r\n\r\n<div class=\"clear\"></div>','',1,0,0,0,'0000-00-00 00:00:00',62,'','0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00','0000-00-00 00:00:00','0000-00-00 00:00:00','','','show_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_vote=\nshow_author=0\nshow_create_date=0\nshow_modify_date=0\nshow_pdf_icon=0\nshow_print_icon=0\nshow_email_icon=0\nlanguage=\nkeyref=\nreadmore=',6,0,2,'','',0,56,'robots=\nauthor=');
/*!40000 ALTER TABLE `jos_content` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_content_frontpage`
--

DROP TABLE IF EXISTS `jos_content_frontpage`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_content_frontpage` (
  `content_id` int(11) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_content_frontpage`
--

LOCK TABLES `jos_content_frontpage` WRITE;
/*!40000 ALTER TABLE `jos_content_frontpage` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_content_frontpage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_content_rating`
--

DROP TABLE IF EXISTS `jos_content_rating`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_content_rating` (
  `content_id` int(11) NOT NULL default '0',
  `rating_sum` int(11) unsigned NOT NULL default '0',
  `rating_count` int(11) unsigned NOT NULL default '0',
  `lastip` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_content_rating`
--

LOCK TABLES `jos_content_rating` WRITE;
/*!40000 ALTER TABLE `jos_content_rating` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_content_rating` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_acl_aro`
--

DROP TABLE IF EXISTS `jos_core_acl_aro`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_acl_aro` (
  `id` int(11) NOT NULL auto_increment,
  `section_value` varchar(240) NOT NULL default '0',
  `value` varchar(240) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `jos_section_value_value_aro` (`section_value`(100),`value`(100)),
  KEY `jos_gacl_hidden_aro` (`hidden`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_acl_aro`
--

LOCK TABLES `jos_core_acl_aro` WRITE;
/*!40000 ALTER TABLE `jos_core_acl_aro` DISABLE KEYS */;
INSERT INTO `jos_core_acl_aro` VALUES (10,'users','62',0,'Administrator Administrator',0),(11,'users','999',0,'Hub Apps Admin User',0),(12,'users','1000',0,'HUBzero User',0);
/*!40000 ALTER TABLE `jos_core_acl_aro` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_acl_aro_groups`
--

DROP TABLE IF EXISTS `jos_core_acl_aro_groups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_acl_aro_groups` (
  `id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `lft` int(11) NOT NULL default '0',
  `rgt` int(11) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `jos_gacl_parent_id_aro_groups` (`parent_id`),
  KEY `jos_gacl_lft_rgt_aro_groups` (`lft`,`rgt`)
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_acl_aro_groups`
--

LOCK TABLES `jos_core_acl_aro_groups` WRITE;
/*!40000 ALTER TABLE `jos_core_acl_aro_groups` DISABLE KEYS */;
INSERT INTO `jos_core_acl_aro_groups` VALUES (17,0,'ROOT',1,22,'ROOT'),(28,17,'USERS',2,21,'USERS'),(29,28,'Public Frontend',3,12,'Public Frontend'),(18,29,'Registered',4,11,'Registered'),(19,18,'Author',5,10,'Author'),(20,19,'Editor',6,9,'Editor'),(21,20,'Publisher',7,8,'Publisher'),(30,28,'Public Backend',13,20,'Public Backend'),(23,30,'Manager',14,19,'Manager'),(24,23,'Administrator',15,18,'Administrator'),(25,24,'Super Administrator',16,17,'Super Administrator');
/*!40000 ALTER TABLE `jos_core_acl_aro_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_acl_aro_map`
--

DROP TABLE IF EXISTS `jos_core_acl_aro_map`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_acl_aro_map` (
  `acl_id` int(11) NOT NULL default '0',
  `section_value` varchar(230) NOT NULL default '0',
  `value` varchar(100) NOT NULL,
  PRIMARY KEY  (`acl_id`,`section_value`,`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_acl_aro_map`
--

LOCK TABLES `jos_core_acl_aro_map` WRITE;
/*!40000 ALTER TABLE `jos_core_acl_aro_map` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_core_acl_aro_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_acl_aro_sections`
--

DROP TABLE IF EXISTS `jos_core_acl_aro_sections`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_acl_aro_sections` (
  `id` int(11) NOT NULL auto_increment,
  `value` varchar(230) NOT NULL default '',
  `order_value` int(11) NOT NULL default '0',
  `name` varchar(230) NOT NULL default '',
  `hidden` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `jos_gacl_value_aro_sections` (`value`),
  KEY `jos_gacl_hidden_aro_sections` (`hidden`)
) ENGINE=MyISAM AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_acl_aro_sections`
--

LOCK TABLES `jos_core_acl_aro_sections` WRITE;
/*!40000 ALTER TABLE `jos_core_acl_aro_sections` DISABLE KEYS */;
INSERT INTO `jos_core_acl_aro_sections` VALUES (10,'users',1,'Users',0);
/*!40000 ALTER TABLE `jos_core_acl_aro_sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_acl_groups_aro_map`
--

DROP TABLE IF EXISTS `jos_core_acl_groups_aro_map`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_acl_groups_aro_map` (
  `group_id` int(11) NOT NULL default '0',
  `section_value` varchar(240) NOT NULL default '',
  `aro_id` int(11) NOT NULL default '0',
  UNIQUE KEY `group_id_aro_id_groups_aro_map` (`group_id`,`section_value`,`aro_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_acl_groups_aro_map`
--

LOCK TABLES `jos_core_acl_groups_aro_map` WRITE;
/*!40000 ALTER TABLE `jos_core_acl_groups_aro_map` DISABLE KEYS */;
INSERT INTO `jos_core_acl_groups_aro_map` VALUES (18,'',11),(18,'',12),(25,'',10);
/*!40000 ALTER TABLE `jos_core_acl_groups_aro_map` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_log_items`
--

DROP TABLE IF EXISTS `jos_core_log_items`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_log_items` (
  `time_stamp` date NOT NULL default '0000-00-00',
  `item_table` varchar(50) NOT NULL default '',
  `item_id` int(11) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_log_items`
--

LOCK TABLES `jos_core_log_items` WRITE;
/*!40000 ALTER TABLE `jos_core_log_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_core_log_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_core_log_searches`
--

DROP TABLE IF EXISTS `jos_core_log_searches`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_core_log_searches` (
  `search_term` varchar(128) NOT NULL default '',
  `hits` int(11) unsigned NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_core_log_searches`
--

LOCK TABLES `jos_core_log_searches` WRITE;
/*!40000 ALTER TABLE `jos_core_log_searches` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_core_log_searches` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_doi_mapping`
--

DROP TABLE IF EXISTS `jos_doi_mapping`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_doi_mapping` (
  `local_revision` int(11) NOT NULL,
  `doi_label` int(11) NOT NULL,
  `rid` int(11) NOT NULL,
  `alias` varchar(30) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_doi_mapping`
--

LOCK TABLES `jos_doi_mapping` WRITE;
/*!40000 ALTER TABLE `jos_doi_mapping` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_doi_mapping` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events`
--

DROP TABLE IF EXISTS `jos_events`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events` (
  `id` int(12) NOT NULL auto_increment,
  `sid` int(11) NOT NULL default '0',
  `catid` int(11) NOT NULL default '1',
  `title` varchar(255) NOT NULL default '',
  `content` longtext NOT NULL,
  `adresse_info` varchar(120) NOT NULL default '',
  `contact_info` varchar(120) NOT NULL default '',
  `extra_info` varchar(240) NOT NULL default '',
  `color_bar` varchar(8) NOT NULL default '',
  `useCatColor` tinyint(1) NOT NULL default '0',
  `state` tinyint(3) NOT NULL default '0',
  `mask` int(11) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) unsigned NOT NULL default '0',
  `created_by_alias` varchar(100) NOT NULL default '',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) unsigned NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `reccurtype` tinyint(1) NOT NULL default '0',
  `reccurday` varchar(4) NOT NULL default '',
  `reccurweekdays` varchar(20) NOT NULL default '',
  `reccurweeks` varchar(10) NOT NULL default '',
  `approved` tinyint(1) NOT NULL default '1',
  `announcement` tinyint(1) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `archived` tinyint(1) NOT NULL default '0',
  `access` int(11) unsigned NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `registerby` datetime NOT NULL default '0000-00-00 00:00:00',
  `params` text,
  `restricted` varchar(100) default NULL,
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `title` (`title`),
  FULLTEXT KEY `content` (`content`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events`
--

LOCK TABLES `jos_events` WRITE;
/*!40000 ALTER TABLE `jos_events` DISABLE KEYS */;
INSERT INTO `jos_events` VALUES (1,0,9,'HUBzero Released as Open Source','The HUBzero platform that was used to create this site was released as open source during the HUBbub 2010 Workshop.\r\n\r\nIf you\'d like to remove this example event from your calendar, see the instructions at http://hubzero.org/documentation/0.9.0/managers/components.events.','','','http://hubzero.org','',0,1,0,'0000-00-00 00:00:00',62,'','2010-04-09 17:26:31',62,0,'0000-00-00 00:00:00','2010-04-13 00:00:00','2010-04-13 00:01:00','',0,'','','',1,0,0,0,0,0,'0000-00-00 00:00:00','show_affiliation=1\nshow_title=1\nshow_address=1\nshow_telephone=1\nshow_fax=1\nshow_email=1\nshow_website=1\nshow_position=1\nshow_degree=1\nshow_gender=1\nshow_race=1\nshow_arrival=1\nshow_departure=1\nshow_disability=1\nshow_dietary=1\nshow_dinner=1\nshow_abstract=1\nabstract_text=\nshow_comments=1','','');
/*!40000 ALTER TABLE `jos_events` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events_categories`
--

DROP TABLE IF EXISTS `jos_events_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events_categories` (
  `id` int(12) NOT NULL default '0',
  `color` varchar(8) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events_categories`
--

LOCK TABLES `jos_events_categories` WRITE;
/*!40000 ALTER TABLE `jos_events_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_events_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events_config`
--

DROP TABLE IF EXISTS `jos_events_config`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events_config` (
  `param` varchar(100) default NULL,
  `value` tinytext
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events_config`
--

LOCK TABLES `jos_events_config` WRITE;
/*!40000 ALTER TABLE `jos_events_config` DISABLE KEYS */;
INSERT INTO `jos_events_config` VALUES ('adminmail',''),('adminlevel','0'),('starday','0'),('mailview','NO'),('byview','NO'),('hitsview','NO'),('repeatview','NO'),('dateformat','0'),('calUseStdTime','NO'),('navbarcolor',''),('startview','month'),('calEventListRowsPpg','30'),('calSimpleEventForm','YES'),('defColor',''),('calForceCatColorEventForm','NO'),('fields','');
/*!40000 ALTER TABLE `jos_events_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events_pages`
--

DROP TABLE IF EXISTS `jos_events_pages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events_pages` (
  `id` int(11) NOT NULL auto_increment,
  `event_id` int(11) default '0',
  `alias` varchar(100) NOT NULL,
  `title` varchar(250) NOT NULL,
  `pagetext` text,
  `created` datetime default '0000-00-00 00:00:00',
  `created_by` int(11) default '0',
  `modified` datetime default '0000-00-00 00:00:00',
  `modified_by` int(11) default '0',
  `ordering` int(2) default '0',
  `params` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events_pages`
--

LOCK TABLES `jos_events_pages` WRITE;
/*!40000 ALTER TABLE `jos_events_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_events_pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events_respondent_race_rel`
--

DROP TABLE IF EXISTS `jos_events_respondent_race_rel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events_respondent_race_rel` (
  `respondent_id` int(11) default NULL,
  `race` varchar(255) default NULL,
  `tribal_affiliation` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events_respondent_race_rel`
--

LOCK TABLES `jos_events_respondent_race_rel` WRITE;
/*!40000 ALTER TABLE `jos_events_respondent_race_rel` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_events_respondent_race_rel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_events_respondents`
--

DROP TABLE IF EXISTS `jos_events_respondents`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_events_respondents` (
  `event_id` int(11) NOT NULL default '0',
  `registered` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(50) NOT NULL,
  `affiliation` varchar(50) default NULL,
  `title` varchar(50) default NULL,
  `city` varchar(50) default NULL,
  `state` varchar(20) default NULL,
  `zip` varchar(10) default NULL,
  `country` varchar(20) default NULL,
  `telephone` varchar(20) default NULL,
  `fax` varchar(20) default NULL,
  `email` varchar(255) default NULL,
  `website` varchar(255) default NULL,
  `position_description` varchar(50) default NULL,
  `highest_degree` varchar(10) default NULL,
  `gender` char(1) default NULL,
  `disability_needs` tinyint(4) default NULL,
  `dietary_needs` varchar(500) default NULL,
  `attending_dinner` tinyint(4) default NULL,
  `abstract` text,
  `comment` text,
  `id` int(11) NOT NULL auto_increment,
  `arrival` varchar(50) default NULL,
  `departure` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_events_respondents`
--

LOCK TABLES `jos_events_respondents` WRITE;
/*!40000 ALTER TABLE `jos_events_respondents` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_events_respondents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_faq`
--

DROP TABLE IF EXISTS `jos_faq`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_faq` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `alias` varchar(200) default NULL,
  `introtext` text,
  `fulltext` text,
  `created` datetime default '0000-00-00 00:00:00',
  `created_by` int(11) default '0',
  `modified` datetime default '0000-00-00 00:00:00',
  `modified_by` int(11) default '0',
  `checked_out` int(11) default '0',
  `checked_out_time` datetime default '0000-00-00 00:00:00',
  `state` int(3) default '0',
  `access` tinyint(3) default '0',
  `hits` int(11) default '0',
  `version` int(11) default '0',
  `section` int(11) NOT NULL default '0',
  `category` int(11) default '0',
  `helpful` int(11) NOT NULL default '0',
  `nothelpful` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `introtext` (`introtext`),
  FULLTEXT KEY `fulltext` (`fulltext`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=30 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_faq`
--

LOCK TABLES `jos_faq` WRITE;
/*!40000 ALTER TABLE `jos_faq` DISABLE KEYS */;
INSERT INTO `jos_faq` VALUES (1,'What are groups?','general','','<h4>Work together with your colleagues</h4>\n	<p>Create a group to organize your interactions.  Group members can:</p>\n	<ul>\n	<li>Post content that only other group members are allowed to see\n	<li>Export their content to other web sites, and brand it with their own logo\n</ul>\n	<h4>Create a new group</h4>\n	<p>You can <a href=\\\"/groups/?task=new\\\">create your own group</a> of users.  Just fill in a simple form choosing a group name, a title, and a brief description, so that others will know what your group is about.  Once created, your group title and description will be available for all to see in the <a href=\\\"/groups\\\">list of all groups</a>.  Each group also has its own page, which contains a link that other users can click on to request membership.</p>\n	<h4>Managing group members</h4>\n	<p>Whenever another user requests membership, you will receive an email asking you to approve their request.  To do this, log in and visit the <a href=\\\"/groups\\\">groups</a> page and find your group name.  If you\\\'re logged in, you should see a <i>[manage]</i> link next to the group name.  Clicking on that link will bring up a page showing a list of users who have requested membership.  Use the controls on that page to approve or deny their request.  You can use the same page to promote ordinary users to also act as managers, so they can help you approve or deny requests.  You can also demote or remove users from your group.<br />\nOnce removed from a group, a user will no longer have access to protected or private group resources.  Of course, they can always rejoin the group at any point by requesting membership and going through the usual approval process.<br />\n<strong>Note:</strong> All groups must have at least one manager. If you are the last manager of a group, you will <em>not</em> be able to demote or remove yourself from the group.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,1,1,1,0,0,0),(2,'Why is Hispanic / Latino not a racial background choice?','hispanic','','<p>According to U.S. government guidelines, ethnic heritage and racial background are to be separate, distinct questions and responses.  \\\"Ethnic Heritage\\\" defines membership in cultural groups such as Hispanic / Latino, whereas \\\"Racial Background\\\" is based on ancestry and genetic groups.  This issue is handled in various ways outside the U.S., and the current standards continue to evolve.  We realize this distinction may be somewhat confusing, but we must conform to the latest reporting standards required by the government.<br />\nMore precise definitions of the various racial background and ethnic heritage choices are as follows:</p>\n	<h3>Racial Background</h3>\n	<ul>\n	<li><b>American Indian or Alaska Native</b><br />\nPersons having origins in any of the original peoples of North and South America (including Central America), and who maintains cultural identification through tribal affiliation or community recognition.\n</li>\n	<li><b>Asian</b><br />\nPersons having origins in any of the original peoples of the Far East, Southeast Asia or the Indian subcontinent, including for example, Cambodia, China, India, Japan, Korea, Malaysia, Pakistan, the Philippine Islands, Thailand, and Vietnam.\n</li>\n	<li><b>Black or African American</b><br />\nPersons having origins in any of the black racial groups of Africa.\n</li>\n	<li><b>Native Hawaiian or Other Pacific Islander</b><br />\nPersons having origins in any of the original peoples of Hawaii, Guam, Samoa, or other Pacific Islands.\n</li>\n	<li><b>White</b><br />\nPersons having origins in any of the original peoples of Europe, the Middle East, or North Africa.\n</li>\n	</ul>\n	<h3>Ethnic Heritage</h3>\n	<ul>\n	<li><b>Hispanic or Latino</b><br />\nPersons of Cuban, Mexican, Puerto Rican, Central or South American, or other Spanish culture of origin, regardless of race.\n</li>\n	</ul>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(3,'Why can\\\'t I log in?','login','','<p>Have you registered? You must register in order to log in. If you have registered and you still cannot log in then check and double-check your username and password. Usually this is the problem; if not, contact <a href=\\\"/support/report_problems/\\\" title=\\\"Report problem form\\\">support</a>.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(4,'I registered but cannot log in!','login2','','<p>If this is a <b>new account</b>, you won\\\'t be able to log in until you\\\'ve confirmed your e-mail address.  Right after you registered, you should have received an e-mail at the address that you registered with us.  This e-mail contains a special link.  Click on the link to prove that you can receive e-mail from us.  If you did not receive the e-mail, make sure that you did not misspell your e-mail address when you registered with us.  Check your junk mail folder to see if the e-mail message wound up there.<br />\nIf this is an <b>old account</b>, check that you are entering the correct username and password.  If you\\\'ve forgotten your password, you can <a href=\\\"/lostpassword\\\">recover it</a>.<br />\nIn either case, make sure that <a href=\\\"/kb/misc/cookies\\\">cookies are enabled</a> for your browser.  If all else fails, <a href=\\\"support/report_problems/\\\" title=\\\"Report problems form\\\">report the problem</a> in our support area.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(5,'I registered in the past but cannot log in anymore!','login3','','<p>You may have entered an incorrect username or password.  If you\\\'ve forgotten either one, you can <a href=\\\"/lostusername\\\">recover your username</a> or <a href=\\\"/lostpassword\\\">recover your password</a>.  Just fill out the form, and we\\\'ll send your account information to the e-mail address that you registered with your account.  If you\\\'ve changed e-mail addresses and can no longer recover your account information, <a href=\\\"/support/report_problems/\\\" title=\\\"Report problems form\\\">contact support</a>, and we\\\'ll help you recover your account.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,4,1,2,0,0,0),(6,'I\\\'ve lost my password!','pwreset','','<p>Don\\\'t panic!  We can <a href=\\\"/lostpassword/\\\">reset your password</a> and send the new password to the e-mail address that you have on file with us.  Then, you can log in using that password, and change the password to anything you like.  Once you log in, click on the <a href=\\\"/change_password\\\">Change Password</a> link to change your password.<br />\nIf you don\\\'t receive an e-mail after resetting your password, check your junk mail folder and make sure that it didn\\\'t get filed there by mistake.  If you no longer have access to the e-mail address that you have on file with us, <a href=\\\"/support/report_problems/\\\">contact support</a> and we\\\'ll help you recover your account.</a>\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(7,'Why do I get logged off automatically?','autologout','','<p>If you do not check the <i>Remember login</i> box when you log in, the site will only keep you logged in for a short time.  This prevents misuse of your account by anyone else.  To stay logged in, check the box during login.  This is not recommended if you access the site from a shared computer--e.g., in a library, internet cafe, university lab, etc.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(8,'Why do I need to register at all?','register','','<p>Registration will give you access to additional features not available to guest users, including simulation tools, learning modules, and more.  The registration process is completely automatic and it takes just a few minutes.<br />\nOur funding agency periodically reviews statistics about the number of users that access our site.  By registering and providing some information about yourself, you are helping to justify our existence and continue our funding.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(9,'How do I change my password?','pwchange','','<p>We have an online form to <a href=\\\"/change_password\\\" title=\\\"Change password form\\\">change your password</a>.  You can use the link included here, or you can find the same link on the page that you go to when you first <a href=\\\"/login\\\">log in</a> to this site.  You\\\'ll also find the link on your <a href=\\\"/mynanohub/account/\\\">My Account</a> page.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(10,'How do I change my username?','username','','<p>Sorry, but login names cannot be changed.  If this is poses a serious problem for you, please <a href=\\\"/support/report_problems/\\\" title=\\\"Trouble report page\\\">contact our support team</a>.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,2,0,0,0),(11,'How to View/Download Video Content?','video','','<p>This hub relies on two formats of video files, MP4 (MPEG-4) mostly used for podcasts but  also can be viewed directly on your computer, and Windows Media Player which is used by older lectures and seminars.  In general we sugguest Apple Quicktime for playing MP4 files, however there are a variety of MP4 players available.<br />\nWe recommend VideoLAN.org\\\'s <a href=\\\"http://www.videolan.org/\\\" rel=\\\"external\\\">VLC - Media Player</a>, a free cross-platform media player that supports a large number of multimedia formats, without the need for additional codecs. It will play both the MP4 and Windows Media Player files. You will have to copy and paste the video URL from your browser to the VLC player (menu <em>file-&gt;open network</em>). Below are operating system specific issues for those using Windows Media Player.<br />\nBelow is a list of OS specific player issues:</p>\n	<ul>\n	<li><b>Windows</b><br />\nIf you\\\'re experiencing problems viewing video lectures on Windows systems, make sure that you\\\'ve installed the latest WindowsMedia software:<br />\n<a href=\\\"http://www.microsoft.com/windows/windowsmedia/mp10/default.aspx\\\" rel=\\\"external\\\"\\\">Windows Media Player for Windows</a>\n</li>\n	<li><b>Mac OS X</b><br />\nIf you\\\'re experiencing problems viewing video lectures on Mac OS X systems, make sure that you\\\'ve installed the latest WindowsMedia software:<br />\n<a href=\\\"http://www.microsoft.com/windows/windowsmedia/software/Macintosh/osx/default.aspx\\\" rel=\\\"external\\\">Windows Media Player for Mac OS X</a><br />\n<strong>NOTE:</strong> Microsoft will continue to offer Windows Media Player for Mac as a download free of charge, but has no plans to provide<br />\nfuture updates or product support. Instead, Microsoft will be offering <a href=\\\"http://www.microsoft.com/windows/windowsmedia/player/flip4mac.mspx\\\" rel=\\\"external\\\">Windows Media&reg; Components for Quicktime, by Flip4Mac&trade;</a>, as an<br />\nalternative for Mac OS X users wanting to play Windows Media Audio and Windows Media Video. Requires Mac OS X version 10.3.9 or later and QuickTime version 6.5 or later.<br />\n<b>Known Issue:</b> Windows Media Player 9 for Mas OS X may have difficulty playing secure video streams (URLs starting with \\\'https\\\'). The Flip4Mac plugin described above fixes this problem.\n</li>\n	<li><b>Linux</b><br />\nNo currently known issues.  Use <a href=\\\"http://www.videolan.org/\\\" rel=\\\"external\\\">VideoLAN Media Player</a> or equivalent application.\n</li>\n	<li><b>MacOS Classic</b><br />\nIf you don\\\'t have Mac OS X, get the <a href=\\\"http://www.microsoft.com/windows/windowsmedia/download/mac71.aspx\\\" rel=\\\"external\\\">Windows Media Player for Mac 7.1</a> which runs on the Macintosh Classic OS.\n</li>\n	</ul>\n	<h3>Downloading Video and Audio Content</h3>\n	<p><img src=\\\"/site/images/kb/video_download.jpg\\\" alt=\\\"browser download\\\" class=\\\"align-right\\\"><br />\nMost of this hub\\\'s video and audio content is downloadable.  Proceedures varry depending on the browser you are using:</p>\n	<ul>\n	<li><b>Firefox</b><br />\nRight click (hold click for Mac) on the resource link, select \\\"Save Link As...\\\", a dialog box will appear allowing you to save document as a file.\n</li>\n	<li><b>Internet Explorer</b><br />\nRight click on the resource link, then select \\\"Save Target As...\\\", a dialog box will appear allowing you to save document as a file.  Mac users should drag the link to their desktop or folder and the document will be downloaded.\n</li>\n	<li><b>Safari</b><br />\nControl-click on the resource link, then select \\\"Download Linked File\\\", the document will download to your download\\\'s folder.  The download folder is specified using the <i>Preferences</i> menu and selecting the <i>General</i> tab.\n</li>\n	</ul>\n	<h3>Continued Problems</h3>\n	<p>If the problem persists, please send us a <a href=\\\"support/report_problems/\\\">trouble report</a>.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,3,0,0,0),(12,'How to enable pop-ups?','popups','','<p>Web pages can use the JavaScript language to automatically force the your web browser to open new windows.  This capability has often been abused by advertising sites and many browsers disable the capability by default.<br />\nYou must enable pop-ups for this site in order to do file downloads.  The way in which this is done varies from browser to browser:</p>\n	<ul>\n	<li><b>Firefox</b><br />\nGo to the <i>Edit-&gt;Preferences</i> menu and choose the <i>Content</i> icon at the top of the dialog.  If <i>Block pop-up windows</i> is checked, add this site to the <i>Exceptions</i> list.<br />\nFirefox also uses plugins to filter pop-ups.  The most common plugin is NoScript.  To enable a pop-up for a particular page, select the highlighted <i>S</i> icon at the bottom of the browser to instruct NoScript to allow the pop-up.\n</li>\n	<li><b>Internet Explorer</b><br />\nGo to <i>Tools-&gt;Internet Options</i> menu. Click on the <i>Privacy</i> tab. Uncheck the field <i>Block pop-ups\\\'</i> (<i>Turn on Pop-up Blocker</i> in IE 7.x). This will unblock pop-ups from all sites. To only allow pop-ups from this site, check <i>Block pop-ups</i> and click on <i>Settings</i>. Enter the address of this site in the field <i>Address of Web site to allow:</i> and click <i>Add</i>. Close all windows.\n</li>\n	<li><b>Safari</b><br />\nGo to the menu bar and select <i>Safari-&gt;Preferences</i> and choose the <i>Security</i> tab. If <i>Block pop-up windows</i> is checked, uncheck it.\n</li>\n	<li><b>Opera</b><br />\nApple OSX - Go to the menu bar and select <i>Opera-&gt;Quick Preferences</i> and make sure \\\"Block all pop-ups\\\" is not selected (click on it to toggle preference).<br />\nWindows - Go to the menu bar and select <i>Tools-&gt;Quick Preferences</i> and make sure <i>Block all pop-ups</i> is not selected (click on it to toggle preference).\n</li>\n	<li><b>Konqueror</b><br />\nGo to the <i>Settings-&gt;Configure Konqueror</i> menu and choose Java and JavaScript.  Select the JavaScript tab at the top of the dialog.  In the center of the dialog is a <i>Domain-Specific</i>policy mechanism.  Press the <i>New...</i> button and type the address of this site for the host or domain name.  Select <i>Accept</i> for the policy.  Set the <i>Open new windows</i> policy to <i>Allow</i>.\n</li>\n	<li><b>Mozilla</b><br />\nGo to the <i>Edit-&gt;Preferences</i> menu and choose <i>Privacy</i> and <i>Security-&gt;Popup Windows</i>.  There, you can add the address for this site to the <i>Allowed Sites</i>.\n</li>\n	</ul>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,3,0,0,0),(13,'Why do I need Java?','java','','<p>In order to access the simulation tools, you must have Java version 1.4 or later installed on your machine and enabled in your web browser.  Note that Java is <em>not</em> the same as Javascript.  Visit the <a href=\\\"http://www.java.com/en/download/installed.jsp\\\" rel=\\\"external\\\">Java website</a> to verify which version of Java is installed on your browser.  You can also <a href=\\\"http://www.java.com/en/download/manual.jsp\\\" rel=\\\"external\\\">upgrade</a> to the latest release of Java. If you do not have access to install plug-ins, please contact your system administrator about installing or upgrading your Java.</p>\n	<h4>Known Issues</h4>\n	<ul>\n	<li><b>KDE Konqueror</b><br />\nTo enable Java in the KDE Konqueror browser, make sure that the Java preferences are enabled and that <i>Use KIO</i> is checked.  In the box that specifies the path to the <i>java</i> executable, simply typing <i>java</i> often works better than the full path to the executable.</li>\n	</ul>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,3,0,0,0),(14,'How to Enable Cookies','cookies','','<p>In order to log in to this site, you must enable cookies in your browser.  Instructions for enabling cookies in common browsers are listed below. If your browser is not listed, please check its website or other browser documentation for more information.</p>\n	<h3>Windows IE 6/7</h3>\n	<ul>\n	<li>In <i>Tools</i> menu, click <i>Internet Options</i></li>\n	<li>Click <i>Privacy tab</i></li>\n	<li>Click <i>Advanced button</i></li>\n	<li>Check the box next to <i>Override Automatic Cookie Handlng</i></li>\n	<li>At bottom, check the box next to <i>Always accept session cookies</i></li>\n	<li>Click <i>OK</i></li>\n	<li>Now you should be able to <a href=\\\"/login\\\">log in</a></li>\n	</ul>\n	<h3>Firefox 1/2</h3>\n	<ul>\n	<li>In <i>Tools</i> menu, select <i>Options...</i></li>\n	<li>Click <i>Advanced</i> icon</li>\n	<li>Select/expand cookies section on left</li>\n	<li>Check box next to <i>Allow Sites to Set Cookies</i></li>\n	<li>Now you should be able to <a href=\\\"/login\\\">log in</a></li>\n	</ul>\n	<h3>Safari 1.2.4</h3>\n	<ul>\n	<li>Click on <i>Safari</i> tab on menu bar</li>\n	<li>Click <i>Preferences</i></li>\n	<li>Click <i>Security</i> tab</li>\n	<li>Ensure <i>Enable Javascript</i> is enabled</li>\n	<li>In the cookies area, choose either <i>Only from sites you navigate to</i> or <i>Always</i></li>\n	<li>Now you should be able to <a href=\\\"/login\\\">log in</a></li>\n	</ul>\n	<h3>Netscape 7</h3>\n	<ul>\n	<li>In <i>Edit</i> menu, select <i>Preferences</i></li>\n	<li>Select <i>Privacy and Security</i></li>\n	<li>Select <i>Cookies</i></li>\n	<li>Select <i>Enable All Cookies</i> or <i>Enable cookies for the originating website only</i></li>\n	<li>Click <i>OK</i></li>\n	<li>Now you should be able to <a href=\\\"/login\\\">log in</a></li>\n	</ul>\n	<h3>Mac IE 5</h3>\n	<ul>\n	<li><a href=\\\"http://www.mozilla.com/firefox/\\\">Download Firefox</a> and use it instead.  :)</li>\n	<li>If you must use Mac IE 5, follow these instructions...</li>\n	<li>Go to <i>Edit</i> menu, select <i>Preferences</i></li>\n	<li>Click on <i>Receiving Files</i> settings</li>\n	<li>Click on <i>Cookies</i></li>\n	<li>In the pull-down menu labeled <i>When receiving cookies:</i>, select <i>Never Ask</i> or <i>Ask for each site.</i></li>\n	<li>Clicking <i>Ask for each site</i> will display a prompt asking if you\\\'d like to accept cookies for this site. Click <i>Accept</i>.</li>\n	<li>Now you should be able to <a href=\\\"/login\\\">log in</a></li>\n	</ul>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,3,0,0,0),(15,'Share a simulation session','share','','<p>Have some interesting results from a simulation that you\\\'d like someone else to see? Share the session!<br />\nEnter one or more login names in the form beneath the tool session and click on the <i>Share</i> button.  Anyone added for sharing will see your tool session listed on their own <i>My Sessions</i> area on their <i>My HUB</i> page.  Just as you would click a link to resume a tool session, they can click the link and access your session.  Many people can access a single session at the same time and discuss the results on a conference call.<br />\nNote that if you don\\\'t want others to have control of the tool, be sure to select the <i>Read-Only</i> checkbox before sharing the session.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,5,0,0,0),(16,'Rate a Resource','rate','','<p>Rating a resource is quick and easy.<br />\nEvery resource has two sets of stars: the average rating and your rating. If you haven\\\'t rated a resource, you\\\'re rating will show up as a set of slightly grayed out stars.<br />\nTo rate the resource, hover over your rating stars. The stars will change to red depending on where your cursor is. If you want a four star rating, move the cursor until you see four red stars and then click.  You will be taken to a form where you can then add comments, suggestions, and even tags.  If you\\\'d like to remain anonymous, be sure to check the box.  Otherwise, your name will show up next to your rating and your comments on the resource page.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,5,0,0,0),(17,'Customize your \\\"My HUB\\\" page','personalize','','<p>To change your \\\"My HUB\\\" page, simply click the <i>Personalize</i> button located in the upper-right corner of that page.  The page will enter a customization mode where you may move modules around by simple drag-and-drop, remove modules, or add modules.  When you\\\'re done, click the <i>finish</i> button and all your changes will be saved.  Your changes will even be remembered the next time you log in--even if you use a different computer!\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,5,0,0,0),(18,'Renaming Sessions','rename','','<p>You can rename a simulation session by simple double-clicking the session title just above the active tool area.  The title will then become a text box where you can input any title you wish.  Press the TAB key or ENTER key to save changes or press ESC to cancel.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,5,0,0,0),(19,'How to use WebDAV to access your HUB storage','webdav','','<p>WebDAV is the Distributed Authoring and Versioning extension to the standard HTTP/HTTPS web protocol.  It allows a client to browse a remote filesystem, usually with a graphical browser that makes it appear that your files are on your desktop.  You may access your hub storage using only the secure version of this service (HTTPS).  We do not support HTTP.  Most modern computer platforms support HTTPS transport for WebDAV with either small adjustments or freely available software.</p>\n	<h3>Linux/Unix</h3>\n	<p>If you use the KDE graphical desktop environment, you can access your hub storage with the Konqueror browser by typing the special URL <tt>webdavs://webdav.HUBADDRESS/</tt> into the Location field of the browser.  It will prompt you for your hub login and password.  Thereafter, you traverse your home directory by clicking on folders and you can drag and drop files to your desktop.<br />\n<a href=\\\"http://www.webdav.org/cadaver/\\\" rel=\\\"external\\\">Cadaver</a> is a text-mode WebDAV browser.  It can be used if it is compiled with SSL support.  Invoke it with the command <tt>cadaver https://webdav.HUBADDRESS/</tt> and it will prompt you for your hub login and password.  You can then use it in a manner similar to FTP.<br />\nIf you are using Linux, you can use the <a href=\\\"http://dav.sourceforge.net/\\\" rel=\\\"external\\\">davfs</a> kernel module to mount your hub storage area as a local filesystem.</p>\n	<h3>Macintosh</h3>\n	<p>MacOS versions 10.4 and higher support HTTPS transport for WebDAV using the Finder.  To access your hub directory, select the Go menu in the Finder and choose \\\"Connect to Network Server\\\".  Enter the URL <tt>https://webdav.HUBADDRESS/</tt> into the address field.  You will be prompted for your hub login and password.<br />\nMacOS versions lower than 10.4 do not have support for HTTPS, but a free client exists.  Download <a href=\\\"http://www.webdav.org/goliath/\\\" rel=\\\"external\\\">Goliath</a> and install it on your system.  Invoke it and use <tt>https://webdav.HUBADDRESS.org/</tt> as the address to connect to.  Note that you may also use Goliath on newer MacOS platforms as well.</p>\n	<h3>Windows</h3>\n	<p>Windows XP systems have native support for accessing WebDAV storage via HTTPS, but it may be disabled by default depending on how your OS was configured.  Try these instructions first, and then check the next set of instructions to enable WebDAV.  To access your hub storage,</p>\n	<ul>\n	<li> Double-click on the desktop icon called \\\"My Network Places\\\".</li>\n	<li> This will invoke a dialog box where you can select \\\"Add Network Place\\\".  This will invoke a wizard that you can step through.</li>\n	<li> Select the \\\"Choose another network location\\\" function.</li>\n	<li> The wizard will then ask you for the \\\"Internet or Network Address.\\\"  In the box, type <tt>https://webdav.HUBADDRESS/</tt></li>\n	<li> Specify the name that you would like to have associated with this storage space.  An icon will be created for the hub storage folder.  When you double-click on it to open it, you will be prompted for your hub login and password.</li>\n	</ul>\n	<h4>Enabling WebDAV in Windows XP</h4>\n	<p>If the steps above do not work, for Windows XP, or you cannot find the named options, your OS may have WebDAV turned off by default.  Do the following additional steps and then try to add network storage again.</p>\n	<ul>\n	<li>Open Windows Explorer</li>\n	<li>Go to the \\\"Tools\\\" menu and select \\\"Folder Options\\\"</li>\n	<li>Select the radio button \\\"Use Windows classic folders\\\" under \\\"Tasks\\\".</li>\n	</ul>\n	<h4>Windows 2003 users cannot access secure WebDAV</h4>\n	<p>There is no support for secure WebDAV transport in Windows 2003.  Various workarounds have been suggested, but it appears the easiest action to take is to simply upgrade the OS.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,2,1,5,0,0,0),(20,'Troubleshoot','troubleshoot','','<p>There are two common reasons why you may not be able to view an application.</p>\n	<ul>\n	<li><b>The tool is internally misconfigured.</b>  If you can look at your <a href=\\\"/myhub/\\\">My HUB page</a> and see that the tool you just started does not appear in the list of running sessions, it exited before it could be viewed.  You should <a href=\\\"/report_problems/\\\">report this as a problem</a>.\n	<li><b>The Java interpreter won\\\'t start or is misconfigured.</b>  If you\\\'ve been able to view applications in previous times with the same browser, usually you can solve this problem by restarting your browser.  Make sure that all instances of the browser (e.g. multiple windows) are stopped in order to properly stop and restart the Java environment.  If this fails to make tool sessions viewable, consult the <a href=\\\"/kb/misc/java/\\\">Java page</a> for more platform-specific hints.</li>\n	</ul>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,1,1,6,0,0,0),(21,'Help! I\\\'m getting a Java error!','javaerr','','<p>Users may experience a Java error on Mac OS X if they are using Java version 1.3 and below. Please ensure your Java install is up to date.<br />\nNOTE! For gecko browsers (Mozilla, Firefox, Camino), the following may be the source of the error:</p>\n	<blockquote cite=\\\"http://plugindoc.mozdev.org/OSX.html#Java\\\"><p>Mozilla will only use <abbr title=\\\"Java Runtime Engine\\\">JRE</abbr> 1.3.1, even if a later JRE is installed [Bug 197813]. To use a newer JRE, you will need to install the <a href=\\\"http://javaplugin.sourceforge.net/\\\">Java Embedding Plugin for Mac OS X</a>. This plugin is beta quality software, and may have bugs and cause problems. Read the <a href=\\\"http://javaplugin.sourceforge.net/Readme.html\\\">Readme</a> before installing it.</p></blockquote>\n	<p>Java for Windows, Mac OS, Solaris, and Linux can be downloaded <a href=\\\"http://www.java.com/en/download/\\\">here</a>. Instructions for installation may also be found at that site.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,6,0,0,0),(22,'Signed Applet','applet','','<p>If you are behind a network firewall that requires you to use a web proxy with your browser, your Java environment will also need to use a proxy to connect to tool sessions.  The default security manager for Java stipulates that an applet can make network connections only to the web server from which it was originally loaded.  Connecting to a proxy requires additional privileges&#8212;even though the ultimate connection through the proxy is to the originating web server.<br />\nIn order to empower an applet with additional privileges, it must be <i>signed</i>.  This is a process by which a cryptographic identity is added to the applet to prove the identity of its author.  The first time you load a particular signed applet, your Java virtual machine will show you a dialog similar to the following:<br />\n<img src=\\\"/images/stories/signed-applet-trust.png\\\" alt=\\\"\\\" /><br />\nThis dialog shows that the applet was authored by Purdue University and is confirmed by Thawte Consulting (a certificate authority that most JVM\\\'s trust).  If you trust the author of this applet, you can select \\\"Yes\\\" to load the applet.<br />\nA signed applet can have many privileges.  It can access your general window system, your computer\\\'s peripherals, and your local file system.  The hub VNC applet uses additional privileges <strong class=\\\"highlight\\\">only to connect to your web proxy.</strong>  The applet contains no code to perform any kind of additional access to your computer\\\'s local resources.\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,6,0,0,0),(23,'Why the math question?','why_the_math_question','','<p>When you use the Help button to submit a trouble report, it may ask you a simple math question such as \\\"What is the sum of 3 and 5?\\\" You get this if you\\\'re not logged in. Providing a correct answer gives us some indication that you\\\'re a human that has read and understood the question--not a bot that is attempting to put spam on our site!\n</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,3,0,0,0),(24,'Frequently Asked Questions','faq','','<ul class=\\\"faq-list\\\">\r\n  <li><a href=\\\"#groupprivacy\\\">What is the difference between public, restricted, and private groups?</a></li>\r\n   <li><a href=\\\"#changegroupprivacy\\\">How do I make a public group private? And vice-versa?</a></li>\r\n  <li><a href=\\\"#groupmanagement\\\">How are groups managed?</a></li>\r\n   <li><a href=\\\"#contentaccess\\\">Who can see resources/wiki pages/discussions in a group?</a></li>\r\n    <li><a href=\\\"#leavegroup\\\">How do I leave a group?</a></li>\r\n    <li><a href=\\\"#deletegroup\\\">How do I delete a group?</a></li>\r\n</ul>\r\n\r\n<h3><a name=\\\"groupprivacy\\\"></a>What is the difference between public, restricted, and private groups?</h3>\r\n<p>Public groups are listed around the site (searches, etc.) and viewable by anyone.</p>\r\n<p>Restricted groups are discoverable (searches, etc.) and viewable by <strong>registered users only</strong>.</p>\r\n<p>There are three types of public groups: anyone can join and automatically is a member, restricted (anyone can request membership but must be approved by a manager), and invitation only. Group administrators can choose to show or hide resources, wiki pages, and discussion topics at any time.</p>\r\n<p>Private groups are not listed anywhere on the site. You can join them only by invitation.</p>\r\n\r\n<h3><a name=\\\"changegroupprivacy\\\"></a>How do I make a public group private? And vice-versa?</h3>\r\n<p>If you are an administrator, go to your Groups page and select the group. Select \\\"Edit\\\" on the lower right. Go to Privacy toward the bottom. Click \\\"private\\\" and save.</p>\r\n<p>Instructions are the same for making a private group public except click \\\"public\\\" under the privacy section.</p>\r\n\r\n<h3><a name=\\\"groupmanagement\\\"></a>How are groups managed?</h3>\r\n<p>When you create a group, you are automatically made its first manager. As manager, you can also promote members to help you run the group.</p>\r\n<p><strong>A group manager can</strong>:</p>\r\n<ol>\r\n  <li>Create group participation rules</li>\r\n  <li>Promote/demote members and approve/deny membership requests.</li>\r\n  <li>Modify information about the group\r\n    <ul>\r\n      <li>Create or change the group name</li>\r\n      <li>Create or change the group description</li>\r\n      <li>Associate the group with an external URL</li>\r\n      <li>Determine whether or not your group wiki pages, resources, and discussion topics can be viewed by non-members.</li>\r\n      <li>Moderate group discussions</li>\r\n    </ul>\r\n  </li>\r\n</ol>\r\n<p>There\\\'s no upper limit on the number of managers a group can have, but a group <strong>must</strong> have at least one manager at all times.</p>\r\n<p>You can read about keeping your group happy on the <a href=\\\"/kb/groups/guide\\\">Tips for Running Your Group</a> page.</p>\r\n\r\n<h3><a name=\\\"contentaccess\\\"></a>Who can see resources/wiki pages/discussions in a group?</h3>\r\n<p>Adding a photo to a group pool allows any group member to view your photo and add notes, tags, and comments, regardless of the photo\\\'s privacy setting.</p>\r\n<p>Your photo retains the privacy settings you set for anyone who isn\\\'t a group member. It also stays in your photostream, available to everyone who can view it. You (or a group administrator) can remove your photo from the pool at any time.</p>\r\n\r\n<h3><a name=\\\"leavegroup\\\"></a>How do I leave a group?</h3>\r\n<p>Go to your Groups tab on <a href=\\\"/members\\\">your members page</a> and select the group you\\\'d like to leave. On the right-hand side, there\\\'s a link labelled \\\'cancel\\\'. Click this and you\\\'ll be taken to a page where you can leave the group.</p>\r\n<p>Go to <a href=\\\"/groups\\\">the Groups page</a> and search or browse for the group you\\\'d like to leave. On the right-hand side, there\\\'s a link labelled \\\'cancel\\\'. Click this and you\\\'ll be taken to a page where you can leave the group.</p>\r\n\r\n<h3><a name=\\\"deletegroup\\\"></a>How do I delete a group?</h3>\r\n<p>The only way to delete a group is to leave the group as the last remaining member. But you can quit the group (described above).</p>\r\n<p>A group can\\\'t be deleted if it has more than one member.</p>\r\n\r\n<hr />\r\n\r\n<p>Return to <a href=\\\"/groups\\\">the main groups page</a>.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,3,1,1,0,0,0),(25,'Group Guidelines & Tips','guide','','<p>Ultimately it is the Admins that decide what the rules are for their group, but if you have been made a manager of a group, here are some suggestions for keeping your group happy:</p>\r\n\r\n<h3>Manager Guidelines</h3>\r\n<p>If you are a manager of a group, here are some pointers for creating a thriving community:</p>\r\n<ol>\r\n    <li><strong>Invite your friends</strong> and anyone you know who is interested in what you are interested in. Having group members is the first step in having a successful group!</li> \r\n    <li><strong>Visit the group frequently.</strong> Groups thrive with daily discussion, and with daily responses from other members of the community, in chat and on the discussion boards.</li>\r\n  <li><strong>Moderate, moderate, moderate!</strong> Successful groups are kept in check by good moderation. Tend that garden; pull the weeds, mow the lawn, prune the roses, etc. To help you moderate your group, you can enlist other members to become moderators. Moderators don\\\'t have full administrative power, but they can help you moderate pool submissions, keep tabs on discussions, and weed out the people who don\\\'t play by the rules.</li>\r\n</ol>\r\n\r\n<h3>Removing members</h3>\r\n<p>Here are some general guidelines to help managers determine how and when to use the removing feature.</p>\r\n<p>\\\"Removing\\\" is when a person is removed from a group. They can come back if they want, but some trolls just need a cooling off period and are remorseful when they return.</p>\r\n<ul>\r\n    <li>Use this power wisely and sparingly.</li>\r\n   <li>If a troll types or posts something offensive, they should be warned.</li>\r\n  <li>If they continue their behavior, they should be removed. You can do this from the members list.</li>\r\n</ul>\r\n\r\n<h3>Group Life </h3>\r\n<h4>Swearing</h4>\r\n<p>People ask if it\\\'s OK to swear. It is OK to swear so long as you\\\'re not offending, insulting or harassing anybody.</p>\r\n\r\n<h4>Porn</h4>\r\n<p>Porn, nudity and other such content is not disallowed, but it shouldn\\\'t be posted in public areas.</p>\r\n\r\n<h4>Trolls</h4>\r\n<p>Trolls are people who are just being rude and obnoxious, and are generally trying to offend, shock, harass, abuse or otherwise annoy people. Dealing with such people can often be difficult, but they should not go unwarned or unremoved. Trolls can destroy a community, and often this is their goal.</p>\r\n<p>Trolls thrive on attention, and often the best way to deal with them is to completely ignore them. They don\\\'t know when they are being ignored, all they know is that no one is responding to their attempts to annoy, harass or offend.</p>\r\n\r\n<hr />\r\n\r\n<p>Return to <a href=\\\"/groups\\\">the main groups page</a>.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,1,0,0,0),(26,'Frequently Asked Questions','faq','','<ul class=\\\"faq-list\\\">\r\n  <li><a href=\\\"#tagsexplanation\\\">What are tags?</a></li>\r\n    <li><a href=\\\"#createtag\\\">How do I create a new tag?</a></li>\r\n  <li><a href=\\\"#deletetag\\\">How can I delete a tag?</a></li>\r\n <li><a href=\\\"#removetag\\\">How can I remove a tag from a resource/group/my profile/etc?</a></li>\r\n    <li><a href=\\\"#taglimit\\\">Is there a limit on the number of tags I can add to an item?</a></li>\r\n <li><a href=\\\"#otherstags\\\">Can I tell who\\\'s tagged another member\\\'s content?</a></li>\r\n</ul>\r\n\r\n<h3><a name=\\\"tagsexplanation\\\"></a>What are tags?</h3>\r\n<p>Tags are like keywords or category labels. Tags help you find content, events, and members which have something in common or similar interests. Tags can be added to groups, your profile, resources, wiki pages, and events.</p>\r\n\r\n<h3><a name=\\\"createtag\\\"></a>How do I create a new tag?</h3>\r\n<p>When creating or editing content, your profile, groups, etc. you can add or remove tags as you wish. If a tag doesn\\\'t already exist, simply typing it in a \\\"Tags\\\" form field will create it and make it available for everyone to use.</p>\r\n\r\n<h3><a name=\\\"deletetag\\\"></a>How can I delete a tag?</h3>\r\n<p>You can\\\'t. Tags can only be deleted by the site administrators. You may only remove tags from a piece of content or profile.</p>\r\n\r\n<h3><a name=\\\"removetag\\\"></a>How can I remove a tag from a resource/group/my profile/etc?</h3>\r\n<p>When editing content, your profile, groups, etc. you can remove tags by simply deleting them from the list presented in the \\\"Tags\\\" form field.</p>\r\n\r\n<h3><a name=\\\"taglimit\\\"></a>Is there a limit on the number of tags I can add to an item?</h3>\r\n<p>No. You should be able to add as many tags as you want to taggable content/profiles.</p>\r\n\r\n<h3><a name=\\\"otherstags\\\"></a>Can I tell who\\\'s tagged another member\\\'s content?</h3>\r\n<p>No. Who tagged an item and what tags they added is currently not available to users.</p>\r\n\r\n<hr />\r\n\r\n<p>Back to the <a href=\\\"/tags\\\">main Tags page</a>.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,0,1,1,0,0,0),(27,'Frequently Asked Questions','faq','','<ul class=\\\"faq-list\\\">\r\n	<li><a href=\\\"#explanation\\\">What are resources?</a></li>\r\n	<li><a href=\\\"#create\\\">How do I upload a new resource?</a></li>\r\n	<li><a href=\\\"#delete\\\">How can I delete a resource?</a></li>\r\n	<li><a href=\\\"#limit\\\">Is there a limit on the number of resources I can submit?</a></li>\r\n</ul>\r\n\r\n<h3><a name=\\\"explanation\\\"></a>What are resources?</h3>\r\n<p>Think of a hub as an empty library.  Resources are items on the shelves.  Unlike a traditional library, resources not only be publications, but also videos, tools, animations, and other types.  Anyone can upload resources, although some hubs require moderation and approval before a resource is posted.</p>\r\n\r\n<h3><a name=\\\"create\\\"></a>How do I upload a new resource?</h3>\r\n<p>You can submit a new resource with our <a href=\\\"/contribute\\\">contribution section</a>. This will guide you, step-by-step, through the process. If you get interrupted during the submission process, no problem.  The hub will remember where you left off.  Submissions may be worked on at your leisure and submitted at any future date when you feel they are ready.</p>\r\n\r\n<h3><a name=\\\"deletetag\\\"></a>How can I delete a resource?</h3>\r\n<p>Currently, you can\\\'t. This is partly because others may reference your resource in journal articles, and it would be wrong for it to suddenly disappear.  Instead, resources are normally \\\"retired,\\\" or put in a state where they can be seen but not downloaded or used.  If you wish to have a resource retired or completely removed, please contact our support and we will work with you to address the issue.</p>\r\n\r\n<h3><a name=\\\"taglimit\\\"></a>Is there a limit on the number of resources I can submit?</h3>\r\n<p>No.  Think of resources as publications or presentations that you would be proud to have others find in the library.  It usually takes time to produce high-quality resources, but there is no limit on the amount that you can contribute</p>\r\n\r\n<hr />\r\n\r\n<p>Back to the <a href=\\\"/resources\\\">main Resources page</a>.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,2,1,7,0,0,0),(28,'Earning points in the Questions & Answers forum','earning_points_in_the_answers_forum','<p>You can earn points by posting new questions and providing helpful responses to other users\\\' questions.\r\n</p>','<p>Each question in the forum has its own \\\"market\\\" value, which reflects the level of community interest the question has generated. This is calculated by summing up the weighted number of answers, recommendations and answer votes, e.g. each additional answer rises the value of the question by 10 points, each recommendation by 2 points, etc. When the person who asked the question selects an answer as most helpful, the question gets 20 bonus points and is considered to be closed. At that moment the accumulated point value of the question is distributed between participating parties. One third of the value goes to the asker; another third goes to the user whose answer was accepted as the best; the remaining third is split between all users who answered the question, provided that their response received at least 3 community votes and more than half of those are positive (users found them helpful). In the case of only one answer, or if the community vote requirement is not satisfied, the user whose answer was accepted as best gets the remainder of accumulated points for the question.</p>\r\n<p>Additionally, users will get monthly \\\"royalty\\\" payments for their questions and answers based on the total of received question recommendations and answer votes. The royalty payment is distributed the same way as the points at question closure. The more community interest the question generates and the more positive votes your answer receives, the more points you earn as a result.</p>\r\n<p>You can boost the value of your question by assigning a point reward for best answer. This can be done when you first submit your question, provided that you have funds available on your account. The amount you set aside for the reward is not deducted from your account until you select the winner, but is meanwhile kept on hold. If you are not satisfied with a single answer and do not wish to name a winner, you have an option to withdraw your question.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',0,0,'0000-00-00 00:00:00',1,0,1,1,8,0,0,0),(29,'Frequently Asked Questions','faq','','<ul class=\\\"faq-list\\\"> \r\n	<li><a href=\\\"#tagsexplanation\\\">What are tags?</a></li> \r\n	<li><a href=\\\"#createtag\\\">How do I create a new tag?</a></li> \r\n	<li><a href=\\\"#deletetag\\\">How can I delete a tag?</a></li> \r\n	<li><a href=\\\"#removetag\\\">How can I remove a tag from a resource/group/my profile/etc?</a></li> \r\n	<li><a href=\\\"#taglimit\\\">Is there a limit on the number of tags I can add to an item?</a></li> \r\n	<li><a href=\\\"#otherstags\\\">Can I tell who\\\'s tagged another member\\\'s content?</a></li> \r\n</ul> \r\n \r\n<h3><a name=\\\"tagsexplanation\\\"></a>What are tags?</h3> \r\n<p>Tags are like keywords or category labels. Tags help you find content, events, and members which have something in common or similar interests. Tags can be added to groups, your profile, resources, wiki pages, and events.</p> \r\n \r\n<h3><a name=\\\"createtag\\\"></a>How do I create a new tag?</h3> \r\n<p>When creating or editing content, your profile, groups, etc. you can add or remove tags as you wish. If a tag doesn\\\'t already exist, simply typing it in a \\\"Tags\\\" form field will create it and make it available for everyone to use.</p> \r\n \r\n<h3><a name=\\\"deletetag\\\"></a>How can I delete a tag?</h3> \r\n<p>You can\\\'t. Tags can only be deleted by the site administrators. You may only remove tags from a piece of content or profile.</p> \r\n \r\n<h3><a name=\\\"removetag\\\"></a>How can I remove a tag from a resource/group/my profile/etc?</h3> \r\n<p>When editing content, your profile, groups, etc. you can remove tags by simply deleting them from the list presented in the \\\"Tags\\\" form field.</p> \r\n \r\n<h3><a name=\\\"taglimit\\\"></a>Is there a limit on the number of tags I can add to an item?</h3> \r\n<p>No. You should be able to add as many tags as you want to taggable content/profiles.</p> \r\n \r\n<h3><a name=\\\"otherstags\\\"></a>Can I tell who\\\'s tagged another member\\\'s content?</h3> \r\n<p>No. Who tagged an item and what tags they added is currently not available to users.</p> \r\n \r\n<hr /> \r\n \r\n<p>Back to the <a href=\\\"/tags\\\">main Tags page</a>.</p>','0000-00-00 00:00:00',62,'0000-00-00 00:00:00',62,0,'0000-00-00 00:00:00',1,0,7,1,4,0,0,0);
/*!40000 ALTER TABLE `jos_faq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_faq_categories`
--

DROP TABLE IF EXISTS `jos_faq_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_faq_categories` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(200) default NULL,
  `alias` varchar(200) default NULL,
  `description` text,
  `section` int(11) NOT NULL default '0',
  `state` tinyint(3) NOT NULL default '0',
  `access` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_faq_categories`
--

LOCK TABLES `jos_faq_categories` WRITE;
/*!40000 ALTER TABLE `jos_faq_categories` DISABLE KEYS */;
INSERT INTO `jos_faq_categories` VALUES (1,'Members & Groups','groups','&quot;Members only&quot; content, working with member groups, member content, and member privileges.',0,1,0),(2,'Login & Registration','registration','The following will try to answer some frequently recieved questions concerning login and registration issues.',0,1,0),(3,'Miscellaneous','misc','Issues that don\\\'t necessarily fit in other categories, but that can affect hub use or are very helpful in using it.',0,1,0),(4,'Tags','tags','Information about tags and how to deal with them.',0,1,0),(5,'Tips','tips','Learn more about features of this hub you may not have known about.',0,1,0),(6,'Tools','tools','The most common questions on launching and using simulation tools.',0,1,0),(7,'Resources','resources','Questions, concerns, and problems you may have with uploading and publishing content on this site.',0,1,0),(8,'Reward Points','points','<p>Our hub is powered by your contributions!  We want to reward you for your efforts and encourage you to contribute more.  So we have introduced a new system of reward points similar to airline miles.</p>\r\n\r\n<p><img src=\\\"site/media/images/header_economy.jpg\\\" alt=\\\"\\\" /></p>\r\n\r\n<p><strong>Earn Points</strong> by: <br />\r\n1) Asking and answering questions in our <a href=\\\"/answers\\\">Questions & Answers</a> forum.  When each question is answered and closed, it is given a point value based on the level of interest that it has attracted within the community. <a href=\\\"/kb/economy/earning_points_in_the_answers_forum/\\\">Points are divided</a> between the person who asked the question and the various people who answered the question.  All parties continue to receive points each month thereafter, as a royalty for the useful information that they\\\'ve generated.\r\n<br />\r\n2) Writing extended reviews on site resources. The author of a  review is eligible to receive a monthly royalty bonus, if a sufficient number of users find the review useful.\r\n</p>\r\n\r\n<p><strong>Spend Points</strong> on t-shirts and other merchandise offered in our <a href=\\\"/store\\\">online store</a>. You can also offer extra points as a reward for your own questions, to get them answered more\r\nquickly. Track your points in the point transaction history within your \\\"My Account\\\" area.</p>\r\n\r\n<p>As time goes on, we\\\'ll be adding more ways to earn points and spend them on this site.  Check back for new merchandise in the store and other premium simulation services.</p>\r\n\r\n<h3>Related Articles:</h3>',0,1,0);
/*!40000 ALTER TABLE `jos_faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_faq_helpful_log`
--

DROP TABLE IF EXISTS `jos_faq_helpful_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_faq_helpful_log` (
  `id` int(11) NOT NULL auto_increment,
  `fid` int(11) default '0',
  `ip` varchar(15) default NULL,
  `helpful` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_faq_helpful_log`
--

LOCK TABLES `jos_faq_helpful_log` WRITE;
/*!40000 ALTER TABLE `jos_faq_helpful_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_faq_helpful_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_feature_history`
--

DROP TABLE IF EXISTS `jos_feature_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_feature_history` (
  `id` int(11) NOT NULL auto_increment,
  `objectid` int(11) default NULL,
  `featured` datetime default '0000-00-00 00:00:00',
  `tbl` varchar(255) default NULL,
  `note` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_feature_history`
--

LOCK TABLES `jos_feature_history` WRITE;
/*!40000 ALTER TABLE `jos_feature_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_feature_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_feedback`
--

DROP TABLE IF EXISTS `jos_feedback`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_feedback` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) default NULL,
  `fullname` varchar(100) default '',
  `org` varchar(100) default '',
  `quote` text,
  `picture` varchar(250) default '',
  `date` datetime default '0000-00-00 00:00:00',
  `publish_ok` tinyint(1) default '0',
  `contact_ok` tinyint(1) default '0',
  `notes` text,
  `short_quote` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_feedback`
--

LOCK TABLES `jos_feedback` WRITE;
/*!40000 ALTER TABLE `jos_feedback` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_feedback` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_groups`
--

DROP TABLE IF EXISTS `jos_groups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_groups` (
  `id` tinyint(3) unsigned NOT NULL default '0',
  `name` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_groups`
--

LOCK TABLES `jos_groups` WRITE;
/*!40000 ALTER TABLE `jos_groups` DISABLE KEYS */;
INSERT INTO `jos_groups` VALUES (0,'Public'),(1,'Registered'),(2,'Special');
/*!40000 ALTER TABLE `jos_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_admins`
--

DROP TABLE IF EXISTS `jos_jobs_admins`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_admins` (
  `id` int(11) NOT NULL auto_increment,
  `jid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_admins`
--

LOCK TABLES `jos_jobs_admins` WRITE;
/*!40000 ALTER TABLE `jos_jobs_admins` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_admins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_applications`
--

DROP TABLE IF EXISTS `jos_jobs_applications`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_applications` (
  `id` int(11) NOT NULL auto_increment,
  `jid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `applied` datetime NOT NULL default '0000-00-00 00:00:00',
  `withdrawn` datetime default '0000-00-00 00:00:00',
  `cover` text,
  `resumeid` int(11) default '0',
  `status` int(11) default '1',
  `reason` varchar(255) default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_applications`
--

LOCK TABLES `jos_jobs_applications` WRITE;
/*!40000 ALTER TABLE `jos_jobs_applications` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_applications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_categories`
--

DROP TABLE IF EXISTS `jos_jobs_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_categories` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(150) NOT NULL default '',
  `ordernum` int(11) NOT NULL default '0',
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_categories`
--

LOCK TABLES `jos_jobs_categories` WRITE;
/*!40000 ALTER TABLE `jos_jobs_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_employers`
--

DROP TABLE IF EXISTS `jos_jobs_employers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_employers` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `subscriptionid` int(11) NOT NULL default '0',
  `companyName` varchar(250) default '',
  `companyLocation` varchar(250) default '',
  `companyWebsite` varchar(250) default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_employers`
--

LOCK TABLES `jos_jobs_employers` WRITE;
/*!40000 ALTER TABLE `jos_jobs_employers` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_employers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_openings`
--

DROP TABLE IF EXISTS `jos_jobs_openings`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_openings` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) default '0',
  `employerid` int(11) NOT NULL default '0',
  `code` int(11) NOT NULL default '0',
  `title` varchar(200) NOT NULL default '',
  `companyName` varchar(200) NOT NULL default '',
  `companyLocation` varchar(200) default '',
  `companyLocationCountry` varchar(100) default '',
  `companyWebsite` varchar(200) default '',
  `description` text,
  `addedBy` int(11) NOT NULL default '0',
  `editedBy` int(11) default '0',
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `edited` datetime default '0000-00-00 00:00:00',
  `status` int(3) NOT NULL default '0',
  `type` int(3) NOT NULL default '0',
  `closedate` datetime default '0000-00-00 00:00:00',
  `opendate` datetime default '0000-00-00 00:00:00',
  `startdate` datetime default '0000-00-00 00:00:00',
  `applyExternalUrl` varchar(250) default '',
  `applyInternal` int(3) default '0',
  `contactName` varchar(100) default '',
  `contactEmail` varchar(100) default '',
  `contactPhone` varchar(100) default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_openings`
--

LOCK TABLES `jos_jobs_openings` WRITE;
/*!40000 ALTER TABLE `jos_jobs_openings` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_openings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_prefs`
--

DROP TABLE IF EXISTS `jos_jobs_prefs`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_prefs` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(10) NOT NULL default '0',
  `category` varchar(20) NOT NULL default 'resume',
  `filters` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_prefs`
--

LOCK TABLES `jos_jobs_prefs` WRITE;
/*!40000 ALTER TABLE `jos_jobs_prefs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_prefs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_resumes`
--

DROP TABLE IF EXISTS `jos_jobs_resumes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_resumes` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `title` varchar(100) default NULL,
  `filename` varchar(100) default NULL,
  `main` tinyint(2) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_resumes`
--

LOCK TABLES `jos_jobs_resumes` WRITE;
/*!40000 ALTER TABLE `jos_jobs_resumes` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_resumes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_seekers`
--

DROP TABLE IF EXISTS `jos_jobs_seekers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_seekers` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `active` int(11) NOT NULL default '0',
  `lookingfor` varchar(255) default '',
  `tagline` varchar(255) default '',
  `linkedin` varchar(255) default NULL,
  `url` varchar(255) default NULL,
  `updated` datetime default '0000-00-00 00:00:00',
  `sought_cid` int(11) default '0',
  `sought_type` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_seekers`
--

LOCK TABLES `jos_jobs_seekers` WRITE;
/*!40000 ALTER TABLE `jos_jobs_seekers` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_seekers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_shortlist`
--

DROP TABLE IF EXISTS `jos_jobs_shortlist`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_shortlist` (
  `id` int(11) NOT NULL auto_increment,
  `emp` int(11) NOT NULL default '0',
  `seeker` int(11) NOT NULL default '0',
  `category` varchar(11) NOT NULL default 'resume',
  `jobid` int(11) default '0',
  `added` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_shortlist`
--

LOCK TABLES `jos_jobs_shortlist` WRITE;
/*!40000 ALTER TABLE `jos_jobs_shortlist` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_shortlist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_stats`
--

DROP TABLE IF EXISTS `jos_jobs_stats`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_stats` (
  `id` int(11) NOT NULL auto_increment,
  `itemid` int(11) NOT NULL,
  `category` varchar(11) NOT NULL default '',
  `total_viewed` int(11) default '0',
  `total_shared` int(11) default '0',
  `viewed_today` int(11) default '0',
  `lastviewed` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_stats`
--

LOCK TABLES `jos_jobs_stats` WRITE;
/*!40000 ALTER TABLE `jos_jobs_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_jobs_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_jobs_types`
--

DROP TABLE IF EXISTS `jos_jobs_types`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_jobs_types` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(150) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_jobs_types`
--

LOCK TABLES `jos_jobs_types` WRITE;
/*!40000 ALTER TABLE `jos_jobs_types` DISABLE KEYS */;
INSERT INTO `jos_jobs_types` VALUES (1,'Full-time'),(2,'Part-time'),(3,'Contract'),(4,'Internship'),(5,'Temporary');
/*!40000 ALTER TABLE `jos_jobs_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_licenses`
--

DROP TABLE IF EXISTS `jos_licenses`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_licenses` (
  `id` int(11) NOT NULL auto_increment,
  `alias` varchar(255) default NULL,
  `description` text,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_licenses`
--

LOCK TABLES `jos_licenses` WRITE;
/*!40000 ALTER TABLE `jos_licenses` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_licenses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_licenses_tools`
--

DROP TABLE IF EXISTS `jos_licenses_tools`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_licenses_tools` (
  `license_id` int(11) default '0',
  `tool_id` int(11) default '0',
  `created` datetime NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_licenses_tools`
--

LOCK TABLES `jos_licenses_tools` WRITE;
/*!40000 ALTER TABLE `jos_licenses_tools` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_licenses_tools` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_licenses_users`
--

DROP TABLE IF EXISTS `jos_licenses_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_licenses_users` (
  `license_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `created` datetime NOT NULL,
  PRIMARY KEY  (`license_id`,`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_licenses_users`
--

LOCK TABLES `jos_licenses_users` WRITE;
/*!40000 ALTER TABLE `jos_licenses_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_licenses_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_market_history`
--

DROP TABLE IF EXISTS `jos_market_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_market_history` (
  `id` int(11) NOT NULL auto_increment,
  `itemid` int(11) NOT NULL default '0',
  `category` varchar(50) default NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `action` varchar(50) default NULL,
  `log` text,
  `market_value` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_market_history`
--

LOCK TABLES `jos_market_history` WRITE;
/*!40000 ALTER TABLE `jos_market_history` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_market_history` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_meetings`
--

DROP TABLE IF EXISTS `jos_meetings`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_meetings` (
  `id` int(12) NOT NULL auto_increment,
  `room_id` int(11) unsigned NOT NULL default '26714',
  `title` varchar(50) NOT NULL default '',
  `url` varchar(50) NOT NULL default '',
  `description` longtext NOT NULL,
  `date_begin` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_end` datetime NOT NULL default '0000-00-00 00:00:00',
  `duration` varchar(15) NOT NULL default '24:00:00',
  `time_zone` varchar(10) NOT NULL default '-05:00',
  `time_zone_A` varchar(50) default 'Eastern Time',
  `date_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `date_deleted` datetime NOT NULL default '0000-00-00 00:00:00',
  `owner` varchar(200) NOT NULL default 'nanobreeze',
  `hosts` varchar(200) NOT NULL default '',
  `presenters` text,
  `participants` text,
  `guests` text NOT NULL,
  `expired` varchar(100) NOT NULL default 'false',
  `deleted` varchar(100) NOT NULL default 'false',
  `access` varchar(100) NOT NULL default 'view-hidden',
  `phone` varchar(100) NOT NULL default '',
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `title` (`title`),
  FULLTEXT KEY `description` (`description`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_meetings`
--

LOCK TABLES `jos_meetings` WRITE;
/*!40000 ALTER TABLE `jos_meetings` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_meetings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_menu`
--

DROP TABLE IF EXISTS `jos_menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_menu` (
  `id` int(11) NOT NULL auto_increment,
  `menutype` varchar(75) default NULL,
  `name` varchar(255) default NULL,
  `alias` varchar(255) NOT NULL default '',
  `link` text,
  `type` varchar(50) NOT NULL default '',
  `published` tinyint(1) NOT NULL default '0',
  `parent` int(11) unsigned NOT NULL default '0',
  `componentid` int(11) unsigned NOT NULL default '0',
  `sublevel` int(11) default '0',
  `ordering` int(11) default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `pollid` int(11) NOT NULL default '0',
  `browserNav` tinyint(4) default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `utaccess` tinyint(3) unsigned NOT NULL default '0',
  `params` text NOT NULL,
  `lft` int(11) unsigned NOT NULL default '0',
  `rgt` int(11) unsigned NOT NULL default '0',
  `home` int(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `componentid` (`componentid`,`menutype`,`published`,`access`),
  KEY `menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_menu`
--

LOCK TABLES `jos_menu` WRITE;
/*!40000 ALTER TABLE `jos_menu` DISABLE KEYS */;
INSERT INTO `jos_menu` VALUES (2,'mainmenu','Home','home','index.php?option=com_content&view=article&id=1','component',1,0,20,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(3,'mainmenu','my HUB','myhub','index.php?option=com_myhub','component',1,0,44,0,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1',0,0,0),(4,'mainmenu','Resources','resources','index.php?option=com_resources','component',1,0,67,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1',0,0,0),(5,'mainmenu','Members','members','index.php?option=com_members','component',1,0,76,0,4,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(6,'mainmenu','Events','events','index.php?option=com_events','component',1,41,38,1,9,0,'0000-00-00 00:00:00',0,0,0,0,'show_affiliation=1\nshow_title=1\nshow_address=1\nshow_telephone=1\nshow_fax=1\nshow_email=1\nshow_website=1\nshow_position=1\nshow_degree=1\nshow_gender=1\nshow_race=1\nshow_arrival=1\nshow_departure=1\nshow_disability=1\nshow_dietary=1\nshow_dinner=1\nshow_abstract=1\nabstract_text=\nshow_comments=1\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(7,'mainmenu','About','about','/about','url',1,0,0,0,6,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1',0,0,0),(8,'mainmenu','Support','support','index.php?option=com_support','component',1,0,57,0,7,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1',0,0,0),(9,'about','About Us','about','index.php?option=com_content&view=article&id=2','component',1,0,20,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(10,'about','Contact Us','contact','/about/contact','url',1,9,0,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(11,'about','&nbsp;','','','separator',1,9,0,0,2,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(12,'about','Notable Quotes','quotes','/about/quotes','url',1,9,0,0,3,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(14,'about','&nbsp;','','','separator',1,9,0,0,5,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(15,'about','Copyright Infringement Notification','dmcapolicy','/about/dmcapolicy','url',1,9,0,0,7,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(16,'about','Feedback','feedback','/feedback','url',1,9,0,0,4,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(17,'about','Our Cyberinfrastructure','hubzero','/about/hubzero','url',1,9,0,0,8,0,'0000-00-00 00:00:00',0,0,0,0,'',0,0,0),(18,'default','Default','content','index.php?option=com_content&view=article&id=8','component',1,0,20,0,1,0,'0000-00-00 00:00:00',0,0,0,0,'show_noauth=\nshow_title=\nlink_titles=\nshow_intro=\nshow_section=\nlink_section=\nshow_category=\nlink_category=\nshow_author=\nshow_create_date=\nshow_modify_date=\nshow_item_navigation=\nshow_readmore=\nshow_vote=\nshow_icons=\nshow_pdf_icon=\nshow_print_icon=\nshow_email_icon=\nshow_hits=\nfeed_summary=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,1),(19,'about','Terms of Use','terms','/legal/terms','url',1,9,0,1,6,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(20,'mainmenu','What\'s New','whatsnew','/whatsnew/resources:month','url',1,4,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(21,'mainmenu','Upload','upload','/contribute','url',1,4,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(22,'mainmenu',' ','2010-03-27-15-59-22','','separator',1,4,0,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(23,'mainmenu','Courses','courses','/resources/courses','url',1,4,0,1,4,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(24,'mainmenu','Downloads','downloads','/resources/downloads','url',1,4,0,1,5,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(25,'mainmenu','Publications','publications','/resources/publications','url',1,4,0,1,6,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(26,'mainmenu','Seminars','seminars','/resources/seminars','url',1,4,0,1,7,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(27,'mainmenu','Series','series','/resources/series','url',1,4,0,1,8,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(28,'mainmenu','Teaching Materials','teachingmaterials','/resources/teachingmaterials','url',1,4,0,1,9,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(29,'mainmenu','Tools','tools','/resources/tools','url',1,4,0,1,10,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(30,'mainmenu','Workshops','workshops','/resources/workshops','url',1,4,0,1,11,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(31,'mainmenu','Contributors','contributors','index.php?option=com_members&view=contributors','component',1,5,76,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'ldapProfileMirror=\nprivacy=\naccess_org=\naccess_orgtype=\naccess_email=\naccess_url=\naccess_phone=\naccess_tags=\naccess_bio=\naccess_countryorigin=\naccess_countryresident=\naccess_gender=\naccess_race=\naccess_hispanic=\naccess_disability=\naccess_optin=\nemployeraccess=\npage_title=\nshow_page_title=1\npageclass_sfx=\nmenu_image=-1\nsecure=0\n\n',0,0,0),(32,'mainmenu','Groups','groups','/groups','url',1,5,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(33,'mainmenu','Our Mission','mission','/about','url',1,7,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(37,'mainmenu','Knowledge Base','knowledgebase','/kb','url',1,8,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(38,'mainmenu','Report a Problem','reportproblems','/feedback/report_problems','url',1,8,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(39,'mainmenu','Tickets','tickets','/support/tickets','url',1,8,0,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(40,'mainmenu','Wish List','wishlist','/wishlist','url',1,8,0,1,4,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(41,'mainmenu','Explore','explore','/explore','url',1,0,0,0,5,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(42,'mainmenu','Topics','topics','/topics','url',1,41,0,1,1,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(43,'mainmenu','Questions & Answers','answers','/answers','url',1,41,0,1,2,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(44,'mainmenu','Tags','tags','/tags','url',1,41,0,1,3,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(45,'mainmenu','Citations','citations','/citations','url',1,41,0,1,4,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(46,'mainmenu',' ','n','','separator',1,41,0,1,5,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(47,'mainmenu','Feedback','feedback','/feedback','url',1,41,0,1,10,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(48,'mainmenu','Store','store','/store','url',1,41,0,1,7,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(49,'mainmenu',' ','n','','separator',1,41,0,1,8,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0),(50,'mainmenu','Tool Forge','tools','/tools','url',1,41,0,1,6,0,'0000-00-00 00:00:00',0,0,0,0,'menu_image=-1\n\n',0,0,0);
/*!40000 ALTER TABLE `jos_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_menu_types`
--

DROP TABLE IF EXISTS `jos_menu_types`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_menu_types` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `menutype` varchar(75) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `menutype` (`menutype`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_menu_types`
--

LOCK TABLES `jos_menu_types` WRITE;
/*!40000 ALTER TABLE `jos_menu_types` DISABLE KEYS */;
INSERT INTO `jos_menu_types` VALUES (1,'mainmenu','Main Menu','The main menu for the site'),(2,'about','About','About Side Menu'),(3,'default','Default','default');
/*!40000 ALTER TABLE `jos_menu_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_messages`
--

DROP TABLE IF EXISTS `jos_messages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_messages` (
  `message_id` int(10) unsigned NOT NULL auto_increment,
  `user_id_from` int(10) unsigned NOT NULL default '0',
  `user_id_to` int(10) unsigned NOT NULL default '0',
  `folder_id` int(10) unsigned NOT NULL default '0',
  `date_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` int(11) NOT NULL default '0',
  `priority` int(1) unsigned NOT NULL default '0',
  `subject` text NOT NULL,
  `message` text NOT NULL,
  PRIMARY KEY  (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_messages`
--

LOCK TABLES `jos_messages` WRITE;
/*!40000 ALTER TABLE `jos_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_messages_cfg`
--

DROP TABLE IF EXISTS `jos_messages_cfg`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_messages_cfg` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `cfg_name` varchar(100) NOT NULL default '',
  `cfg_value` varchar(255) NOT NULL default '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_messages_cfg`
--

LOCK TABLES `jos_messages_cfg` WRITE;
/*!40000 ALTER TABLE `jos_messages_cfg` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_messages_cfg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_migration_backlinks`
--

DROP TABLE IF EXISTS `jos_migration_backlinks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_migration_backlinks` (
  `itemid` int(11) NOT NULL,
  `name` varchar(100) NOT NULL,
  `url` text NOT NULL,
  `sefurl` text NOT NULL,
  `newurl` text NOT NULL,
  PRIMARY KEY  (`itemid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_migration_backlinks`
--

LOCK TABLES `jos_migration_backlinks` WRITE;
/*!40000 ALTER TABLE `jos_migration_backlinks` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_migration_backlinks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_modifications`
--

DROP TABLE IF EXISTS `jos_modifications`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_modifications` (
  `id` int(11) NOT NULL auto_increment,
  `component` varchar(31) default NULL,
  `item_label` varchar(100) default NULL,
  `action` varchar(31) default NULL,
  `when` datetime default NULL,
  `who` int(11) default NULL,
  `comments` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_modifications`
--

LOCK TABLES `jos_modifications` WRITE;
/*!40000 ALTER TABLE `jos_modifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_modifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_modules`
--

DROP TABLE IF EXISTS `jos_modules`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_modules` (
  `id` int(11) NOT NULL auto_increment,
  `title` text NOT NULL,
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL default '0',
  `position` varchar(50) default NULL,
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `module` varchar(50) default NULL,
  `numnews` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `showtitle` tinyint(3) unsigned NOT NULL default '1',
  `params` text NOT NULL,
  `iscore` tinyint(4) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  `control` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`)
) ENGINE=MyISAM AUTO_INCREMENT=58 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_modules`
--

LOCK TABLES `jos_modules` WRITE;
/*!40000 ALTER TABLE `jos_modules` DISABLE KEYS */;
INSERT INTO `jos_modules` VALUES (1,'Main Menu','',0,'user3',0,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,1,'menutype=mainmenu\nmenu_style=list\nstartLevel=0\nendLevel=0\nshowAllChildren=1\nwindow_open=\nshow_whitespace=0\ncache=1\ntag_id=\nclass_sfx=\nmoduleclass_sfx=_menu\nmaxdepth=10\nmenu_images=0\nmenu_images_align=0\nmenu_images_link=0\nexpand_menu=0\nactivate_parent=0\nfull_active_id=0\nindent_image=0\nindent_image1=\nindent_image2=\nindent_image3=\nindent_image4=\nindent_image5=\nindent_image6=\nspacer=\nend_spacer=\n\n',1,0,''),(2,'Login','',1,'login',0,'0000-00-00 00:00:00',1,'mod_login',0,0,1,'',1,1,''),(3,'Popular','',3,'cpanel',0,'0000-00-00 00:00:00',1,'mod_popular',0,2,1,'',0,1,''),(4,'Recent added Articles','',4,'cpanel',0,'0000-00-00 00:00:00',1,'mod_latest',0,2,1,'ordering=c_dsc\nuser_id=0\ncache=0\n\n',0,1,''),(5,'Menu Stats','',5,'cpanel',0,'0000-00-00 00:00:00',1,'mod_stats',0,2,1,'',0,1,''),(6,'Unread Messages','',1,'header',0,'0000-00-00 00:00:00',1,'mod_unread',0,2,1,'',1,1,''),(7,'Online Users','',2,'header',0,'0000-00-00 00:00:00',1,'mod_online',0,2,1,'',1,1,''),(8,'Toolbar','',1,'toolbar',0,'0000-00-00 00:00:00',1,'mod_toolbar',0,2,1,'',1,1,''),(9,'Quick Icons','',1,'icon',0,'0000-00-00 00:00:00',0,'mod_quickicon',0,2,1,'',1,1,''),(10,'Logged in Users','',2,'cpanel',0,'0000-00-00 00:00:00',1,'mod_logged',0,2,1,'',0,1,''),(11,'Footer','',0,'footer',0,'0000-00-00 00:00:00',1,'mod_footer',0,0,1,'',1,1,''),(12,'Admin Menu','',1,'menu',0,'0000-00-00 00:00:00',1,'mod_menu',0,2,1,'',0,1,''),(13,'Admin SubMenu','',1,'submenu',0,'0000-00-00 00:00:00',1,'mod_submenu',0,2,1,'',0,1,''),(14,'User Status','',1,'status',0,'0000-00-00 00:00:00',1,'mod_status',0,2,1,'',0,1,''),(15,'Title','',1,'title',0,'0000-00-00 00:00:00',1,'mod_title',0,2,1,'',0,1,''),(16,'My Groups','',5,'myhub',0,'0000-00-00 00:00:00',1,'mod_mygroups',0,0,0,'',0,0,''),(17,'Browse Content by Tags','',1,'toptags',0,'0000-00-00 00:00:00',1,'mod_toptags',0,0,1,'numtags=25\nmessage=\nsortby=alphabeta\nmorelnk=0\ncache=0\ncache_time=900\n\n',0,0,''),(18,'My Contributions','',4,'myhub',0,'0000-00-00 00:00:00',1,'mod_mycontributions',0,0,0,'',0,0,''),(19,'Extended Statistics','',2,'userInfo',0,'0000-00-00 00:00:00',1,'mod_xstats',0,0,0,'counter=1\n',0,0,''),(20,'Login Form','',1,'force_mod',0,'0000-00-00 00:00:00',1,'mod_xlogin',0,0,0,'',0,0,''),(22,'Quotes','',1,'quotes',0,'0000-00-00 00:00:00',1,'mod_quotes',0,0,0,'cache=0\nmoduleclass_sfx=\nmaxquotes=\n\n',0,0,''),(23,'Popular FAQs','',0,'tcleft',0,'0000-00-00 00:00:00',1,'mod_popularfaq',0,0,1,'limit=5\nmoduleid=\n\n',0,0,''),(24,'Notices Module','',1,'notices',0,'0000-00-00 00:00:00',1,'mod_notices',0,0,0,'',0,0,''),(25,'My Tools','',2,'myhub',0,'0000-00-00 00:00:00',1,'mod_mytools',0,0,0,'',0,0,''),(26,'Search Module','',1,'search',0,'0000-00-00 00:00:00',1,'mod_xsearch',0,0,0,'',0,0,''),(27,'XFlash','',0,'banner',0,'0000-00-00 00:00:00',0,'mod_xflash',0,0,0,'dynamic=1\nnoflash_link=/answers/\nnoflash_path=/site/xflash/noflash.jpg\nbanner_path=/components/com_xflash/flashrotation\ncache=0\n\n',0,0,''),(28,'Trouble Report','',0,'helppane',0,'0000-00-00 00:00:00',1,'mod_reportproblems',0,0,0,'moduleclass_sfx=\ncache=0\n\n',0,0,''),(29,'Quick Tips','',1,'right',0,'0000-00-00 00:00:00',0,'mod_quicktips',0,0,0,'',0,0,''),(30,'XPoll Title','',1,'polltitle',0,'0000-00-00 00:00:00',1,'mod_polltitle',0,0,0,'message=Tell us what you think.\n\n',0,0,''),(31,'My Tickets','',2,'',0,'0000-00-00 00:00:00',1,'mod_mytickets',0,0,1,'',0,0,''),(32,'Extended Who is Online','',1,'userInfo',0,'0000-00-00 00:00:00',1,'mod_xwhosonline',0,0,0,'online=1\nusers=1',0,0,''),(33,'Community Poll','',0,'frontSide',0,'0000-00-00 00:00:00',1,'mod_xpoll',0,0,1,'formid=\ncache=1\n\n',0,0,''),(34,'What\'s New in Resources','',0,'spotlight',0,'0000-00-00 00:00:00',1,'mod_whatsnew',0,0,1,'moduleid=\ncount=5\nfeed=0\nperiod=resources:month\ntagged=0\n\n',0,0,''),(35,'Latest Questions','',0,'tcmiddle',0,'0000-00-00 00:00:00',1,'mod_recentquestions',0,0,1,'limit=5\nmoduleclass_sfx=\nstate=both\n\n',0,0,''),(36,'Popular Questions','',1,'q_popular',0,'0000-00-00 00:00:00',1,'mod_popularquestions',0,0,1,'',0,0,''),(37,'My Sessions','',1,'myhub',0,'0000-00-00 00:00:00',1,'mod_mysessions',0,0,0,'',0,0,''),(38,'Latest Events','',0,'frontRight',0,'0000-00-00 00:00:00',1,'mod_events_latest',0,0,1,'moduleclass_sfx=\nstartday=0\nmax_events=10\nmode=2\nannouncements=0\ndays=365\ndisplay_links=0\ndisplay_year=0\ndisplay_date_style=0\ndisplay_title_style=0\nno_repeat=1\nchar_limit=150\ncache=0\ncache_time=900\n\n',0,0,''),(39,'Events Calendar','',0,'frontLeft',0,'0000-00-00 00:00:00',1,'mod_events_cal',0,0,1,'moduleclass_sfx=\nstart_day=0\ndisplay_last_month=NO\ndisplay_last_month_days=0\ndisplay_next_month=NO\ndisplay_next_month_days=0\ncache=0\ncache_time=900\n\n',0,0,''),(40,'Dashboard','',2,'icon',0,'0000-00-00 00:00:00',1,'mod_dashboard',0,0,0,'',0,1,''),(41,'My Submissions','',7,'myhub',0,'0000-00-00 00:00:00',1,'mod_mysubmissions',0,0,0,'',0,0,''),(42,'Featured Member','',2,'spotlight',62,'0000-00-00 00:00:00',0,'mod_featuredmember',0,0,1,'catid=\nmoduleclass_sfx=\ntxt_length=200\nshow=\nmin_contributions=0\ncache=1\ncache_time=900\n\n',0,0,''),(43,'Featured Resource','',1,'spotlight',62,'0000-00-00 00:00:00',0,'mod_featuredresource',0,0,1,'catid=\nmoduleclass_sfx=\ntxt_length=200\ntype=\nminranking=6.0\ntag=\ncache=1\ncache_time=900\n\n',0,0,''),(44,'Latest Usage','',5,'',0,'0000-00-00 00:00:00',1,'mod_latestusage',0,0,1,'',0,0,''),(45,'Featured Question','',3,'spotlight',62,'0000-00-00 00:00:00',0,'mod_featuredquestion',0,0,1,'moduleclass_sfx=\ntxt_length=200\ndefaultpic=/modules/mod_featuredquestion/question_thumb.gif\ncache=1\ncache_time=900\n\n',0,0,''),(46,'My Questions','',8,'myhub',0,'0000-00-00 00:00:00',1,'mod_myquestions',0,0,0,'',0,0,''),(47,'My Wishes','',9,'myhub',0,'0000-00-00 00:00:00',1,'mod_mywishes',0,0,0,'',0,0,''),(48,'My Messages','',10,'myhub',0,'0000-00-00 00:00:00',1,'mod_mymessages',0,0,0,'',0,0,''),(49,'About','',0,'left',62,'0000-00-00 00:00:00',1,'mod_mainmenu',0,0,1,'menutype=about\nmenu_style=list\nshowAllChildren=1',0,0,''),(50,'Resources','<ul>\r\n	<li><a href=\"/resources/tools\">Simulation Tools</a></li>\r\n	<li><a href=\"/resources/seminars\">Seminars</a></li>\r\n	<li><a href=\"/resources/workshops\">Workshops</a></li>\r\n	<li><a href=\"/resources/courses\">Courses</a></li>\r\n	<li><a href=\"/resources/teachingmaterials\">Teaching Materials</a></li>\r\n	<li><a href=\"/resources/publications\">Publications</a></li>\r\n	<li><a href=\"/resources/downloads\">Downloads</a></li>\r\n</ul>',3,'myhub',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(54,'Resources','',1,'frontResources',62,'0000-00-00 00:00:00',1,'mod_findresources',0,0,1,'moduleid=\nnumtags=25\n\n',0,0,''),(51,'MyHUB Introduction','<p>Welcome to your customizable MyHUB page!</p>  <p>To get started, click the \"Personalize\" button towards the top of this page. You will then be presented with a list of modules you may add to your page. You may also, at that time, remove any unwanted modules or rearrange the current modules by drag-and-drop!</p>',6,'myhub',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(52,'Support Questions','\n<div id=\"subrightfeedback\">\n<div class=\"supportsidediv\">Technical problem? <br /><span class=\"actiontext\">Next steps...</span></div>\n<ul>\n<li><a href=\"/kb/\">Browse Knowledgebase</a></li>\n<li><a href=\"/search/\">Search the site</a></li>\n<li><a href=\"feedback/report_problems/\">Report a problem</a></li>\n</ul>\n<p class=\"subrightviewall\"><a href=\"/support/\" class=\"subrightviewall\">View all support options</a></p>\n<div class=\"supportsidediv\"> Questions? <br /><span class=\"actiontext\">How to...</span></div>\n<ul>\n<li><a href=\"/lostpassword/\">Reset your password</a></li>\n<li><a href=\"/kb/misc/cookies/\">Enable cookies</a></li>\n<li><a href=\"/contribute/content/\">Contribute content</a></li>\n</ul>\n<p class=\"subrightviewall\"><a href=\"/kb/\" class=\"subrightviewall\">View all FAQs</a></p>\n<div class=\"supportsidediv\"> New to nanoHUB? <br /><span class=\"actiontext\">Take a quick tour!</span></div>\n<ul>\n<li><a href=\"/tour\">Quick tour</a></li>\n</ul>\n<div class=\"middlespacer\"></div>\n</div>\n',1,'rightfloat',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,0,'moduleclass_sfx=',0,0,''),(53,'HUB Footer','<ul>\r\n<li class=\"policy\"><a href=\"legal/terms\">Terms of use</a></li>\r\n<li>Copyright © 2010 MyInstitution</li>\r\n<li>Powered by <a href=\"http://hubzero.org\" rel=\"external\">HUBzero</a>, a <a href=\"http://www.purdue.edu\" title=\"Purdue University\" rel=\"external\">Purdue</a> project</li>\r\n</ul>',0,'footer',62,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(56,'Welcome','<h3>Welcome to our site!</h3>\r\n<p>\r\nThis project has an <a href=\"/about\">important mission</a> of revolutionizing scientific research and educational activities.\r\n</p>',0,'welcome',0,'0000-00-00 00:00:00',1,'mod_custom',0,0,1,'moduleclass_sfx=\n\n',0,0,''),(57,'Sliding Panes','',1,'banner',0,'0000-00-00 00:00:00',1,'mod_sliding_panes',0,0,0,'catid=10\ncontainer=\nrotate=1\nrandom=0\nlimitslides=0\ncache=0\n\n',0,0,'');
/*!40000 ALTER TABLE `jos_modules` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_modules_menu`
--

DROP TABLE IF EXISTS `jos_modules_menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_modules_menu` (
  `moduleid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`moduleid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_modules_menu`
--

LOCK TABLES `jos_modules_menu` WRITE;
/*!40000 ALTER TABLE `jos_modules_menu` DISABLE KEYS */;
INSERT INTO `jos_modules_menu` VALUES (1,0),(20,0),(22,12),(23,8),(26,0),(27,2),(28,0),(30,2),(33,2),(34,2),(35,8),(38,2),(39,2),(42,2),(43,2),(45,2),(49,7),(49,9),(49,10),(49,11),(49,12),(49,13),(49,14),(49,15),(49,16),(49,17),(53,0),(54,2),(56,2),(57,2);
/*!40000 ALTER TABLE `jos_modules_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_myhub`
--

DROP TABLE IF EXISTS `jos_myhub`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_myhub` (
  `uid` int(11) NOT NULL,
  `prefs` varchar(200) default NULL,
  `modified` datetime default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_myhub`
--

LOCK TABLES `jos_myhub` WRITE;
/*!40000 ALTER TABLE `jos_myhub` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_myhub` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_myhub_params`
--

DROP TABLE IF EXISTS `jos_myhub_params`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_myhub_params` (
  `uid` int(11) NOT NULL,
  `mid` int(11) NOT NULL,
  `params` text
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_myhub_params`
--

LOCK TABLES `jos_myhub_params` WRITE;
/*!40000 ALTER TABLE `jos_myhub_params` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_myhub_params` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_newsfeeds`
--

DROP TABLE IF EXISTS `jos_newsfeeds`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_newsfeeds` (
  `catid` int(11) NOT NULL default '0',
  `id` int(11) NOT NULL auto_increment,
  `name` text NOT NULL,
  `alias` varchar(255) NOT NULL default '',
  `link` text NOT NULL,
  `filename` varchar(200) default NULL,
  `published` tinyint(1) NOT NULL default '0',
  `numarticles` int(11) unsigned NOT NULL default '1',
  `cache_time` int(11) unsigned NOT NULL default '3600',
  `checked_out` tinyint(3) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `rtl` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `published` (`published`),
  KEY `catid` (`catid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_newsfeeds`
--

LOCK TABLES `jos_newsfeeds` WRITE;
/*!40000 ALTER TABLE `jos_newsfeeds` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_newsfeeds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_order_items`
--

DROP TABLE IF EXISTS `jos_order_items`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_order_items` (
  `id` int(10) NOT NULL auto_increment,
  `oid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `itemid` int(11) NOT NULL default '0',
  `price` int(11) NOT NULL default '0',
  `quantity` int(11) NOT NULL default '0',
  `selections` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_order_items`
--

LOCK TABLES `jos_order_items` WRITE;
/*!40000 ALTER TABLE `jos_order_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_order_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_orders`
--

DROP TABLE IF EXISTS `jos_orders`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_orders` (
  `id` int(10) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `type` varchar(20) default NULL,
  `total` int(11) default '0',
  `status` int(11) NOT NULL default '0',
  `details` text,
  `email` varchar(150) default NULL,
  `ordered` datetime NOT NULL default '0000-00-00 00:00:00',
  `status_changed` datetime default '0000-00-00 00:00:00',
  `notes` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_orders`
--

LOCK TABLES `jos_orders` WRITE;
/*!40000 ALTER TABLE `jos_orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_plugins`
--

DROP TABLE IF EXISTS `jos_plugins`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_plugins` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `element` varchar(100) NOT NULL default '',
  `folder` varchar(100) NOT NULL default '',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `published` tinyint(3) NOT NULL default '0',
  `iscore` tinyint(3) NOT NULL default '0',
  `client_id` tinyint(3) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_folder` (`published`,`client_id`,`access`,`folder`)
) ENGINE=MyISAM AUTO_INCREMENT=106 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_plugins`
--

LOCK TABLES `jos_plugins` WRITE;
/*!40000 ALTER TABLE `jos_plugins` DISABLE KEYS */;
INSERT INTO `jos_plugins` VALUES (1,'Authentication - Joomla','joomla','authentication',0,1,1,1,0,0,'0000-00-00 00:00:00',''),(2,'Authentication - LDAP','ldap','authentication',0,2,0,1,0,0,'0000-00-00 00:00:00','host=\nport=389\nuse_ldapV3=0\nnegotiate_tls=0\nno_referrals=0\nauth_method=bind\nbase_dn=\nsearch_string=\nusers_dn=\nusername=\npassword=\nldap_fullname=fullName\nldap_email=mail\nldap_uid=uid\n\n'),(3,'Authentication - GMail','gmail','authentication',0,4,0,0,0,0,'0000-00-00 00:00:00',''),(4,'Authentication - OpenID','openid','authentication',0,3,0,0,0,0,'0000-00-00 00:00:00',''),(5,'User - Joomla!','joomla','user',0,0,1,0,0,0,'0000-00-00 00:00:00','autoregister=1\n\n'),(6,'Search - Content','content','search',0,1,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\nsearch_content=1\nsearch_uncategorised=1\nsearch_archived=1\n\n'),(7,'Search - Contacts','contacts','search',0,3,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(8,'Search - Categories','categories','search',0,4,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(9,'Search - Sections','sections','search',0,5,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(10,'Search - Newsfeeds','newsfeeds','search',0,6,1,0,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(11,'Search - Weblinks','weblinks','search',0,2,1,1,0,0,'0000-00-00 00:00:00','search_limit=50\n\n'),(12,'Content - Pagebreak','pagebreak','content',0,10000,1,1,0,0,'0000-00-00 00:00:00','enabled=1\ntitle=1\nmultipage_toc=1\nshowall=1\n\n'),(13,'Content - Rating','vote','content',0,4,1,1,0,0,'0000-00-00 00:00:00',''),(14,'Content - Email Cloaking','emailcloak','content',0,5,1,0,0,0,'0000-00-00 00:00:00','mode=1\n\n'),(15,'Content - Code Hightlighter (GeSHi)','geshi','content',0,5,0,0,0,0,'0000-00-00 00:00:00',''),(16,'Content - Load Module','loadmodule','content',0,6,1,0,0,0,'0000-00-00 00:00:00','enabled=1\nstyle=0\n\n'),(17,'Content - Page Navigation','pagenavigation','content',0,2,1,1,0,0,'0000-00-00 00:00:00','position=1\n\n'),(18,'Editor - No Editor','none','editors',0,0,1,1,0,0,'0000-00-00 00:00:00',''),(19,'Editor - TinyMCE','tinymce','editors',0,0,1,1,0,0,'0000-00-00 00:00:00','theme=advanced\ncleanup=1\ncleanup_startup=0\nautosave=0\ncompressed=0\nrelative_urls=1\ntext_direction=ltr\nlang_mode=0\nlang_code=en\ninvalid_elements=applet\ncontent_css=1\ncontent_css_custom=\nnewlines=0\ntoolbar=top\nhr=1\nsmilies=1\ntable=1\nstyle=1\nlayer=1\nxhtmlxtras=0\ntemplate=0\ndirectionality=1\nfullscreen=1\nhtml_height=550\nhtml_width=750\npreview=1\ninsertdate=1\nformat_date=%Y-%m-%d\ninserttime=1\nformat_time=%H:%M:%S\n\n'),(20,'Editor - XStandard Lite 2.0','xstandard','editors',0,0,0,1,0,0,'0000-00-00 00:00:00',''),(21,'Editor Button - Image','image','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(22,'Editor Button - Pagebreak','pagebreak','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(23,'Editor Button - Readmore','readmore','editors-xtd',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(24,'XML-RPC - Joomla','joomla','xmlrpc',0,7,0,1,0,0,'0000-00-00 00:00:00',''),(25,'XML-RPC - Blogger API','blogger','xmlrpc',0,7,0,1,0,0,'0000-00-00 00:00:00','catid=1\nsectionid=0\n\n'),(27,'System - SEF','sef','system',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(28,'System - Debug','debug','system',0,2,1,0,0,0,'0000-00-00 00:00:00','queries=1\nmemory=1\nlangauge=1\n\n'),(29,'System - Legacy','legacy','system',0,3,0,1,0,0,'0000-00-00 00:00:00','route=0\n\n'),(30,'System - Cache','cache','system',0,4,0,1,0,0,'0000-00-00 00:00:00','browsercache=0\ncachetime=15\n\n'),(31,'System - Log','log','system',0,5,0,1,0,0,'0000-00-00 00:00:00',''),(32,'System - Remember Me','remember','system',0,6,1,1,0,0,'0000-00-00 00:00:00',''),(33,'System - Backlink','backlink','system',0,7,0,1,0,0,'0000-00-00 00:00:00',''),(34,'Authentication - xHUB','xauth','authentication',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(35,'Content - xHubTags','xhubtags','content',0,7,1,0,0,0,'0000-00-00 00:00:00',''),(36,'Groups - Forum','forum','groups',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(37,'Groups - Resources','resources','groups',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(38,'Groups - Members','members','groups',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(39,'Groups - Wiki','wiki','groups',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(40,'Members - Messages','messages','members',0,7,1,0,0,0,'0000-00-00 00:00:00',''),(41,'Members - Usage','usage','members',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(42,'Members - Contributions - Topics','topics','members',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(43,'Members - Contributions - Resources','resources','members',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(44,'Members - Groups','groups','members',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(45,'Members - Favorites','favorites','members',0,6,1,0,0,0,'0000-00-00 00:00:00',''),(46,'Members - Points','points','members',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(47,'Members - Contributions','contributions','members',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(48,'Middleware - About','resource','mw',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(49,'Middleware - Questions','questions','mw',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(50,'Tags - Groups','groups','tags',0,6,1,0,0,0,'0000-00-00 00:00:00',''),(51,'Tags - Support','support','tags',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(52,'Tags - Topics','topics','tags',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(53,'Tags - Answers','answers','tags',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(54,'Tags - Events','events','tags',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(55,'Tags - Members','members','tags',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(56,'Tags - Resources','resources','tags',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(57,'Resources - Share','share','resources',0,8,1,0,0,0,'0000-00-00 00:00:00','icons_limit=3\nshare_facebook=1\nshare_twitter=1\nshare_google=1\nshare_digg=1\nshare_technorati=1\nshare_delicious=1\nshare_reddit=0\nshare_email=0\nshare_print=0\n\n'),(58,'Resources - Favorite','favorite','resources',0,7,1,0,0,0,'0000-00-00 00:00:00',''),(59,'Resources - Versions','versions','resources',0,6,1,0,0,0,'0000-00-00 00:00:00',''),(60,'Resources - Reviews','reviews','resources',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(61,'Resources - Questions','questions','resources',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(62,'Resources - Wishlist','wishlist','resources',0,9,1,0,0,0,'0000-00-00 00:00:00',''),(63,'Resources - Usage','usage','resources',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(64,'Resources - Related','related','resources',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(65,'Resources - Recommendations','recommendations','resources',0,2,0,0,0,0,'0000-00-00 00:00:00',''),(66,'Resources - Citations','citations','resources',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(67,'Support - Comments','comments','support',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(68,'Support - Transfer','transfer','support',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(69,'Support - Wishlist','wishlist','support',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(70,'Support - Resources','resources','support',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(71,'Support - Answers','answers','support',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(72,'System - xHUB','xhub','system',0,8,1,0,0,0,'0000-00-00 00:00:00',''),(73,'System - xFeed','xfeed','system',0,9,1,0,0,0,'0000-00-00 00:00:00',''),(74,'Tag Editor - Auto complete','autocompleter','tageditor',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(75,'Usage - Region','region','usage',0,7,0,0,0,0,'0000-00-00 00:00:00',''),(76,'Usage - Overview','overview','usage',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(77,'Usage - Chart','chart','usage',0,4,0,0,0,0,'0000-00-00 00:00:00',''),(78,'Usage - Partners','partners','usage',0,2,0,0,0,0,'0000-00-00 00:00:00',''),(79,'Usage - Domain Class','domainclass','usage',0,0,0,0,0,0,'0000-00-00 00:00:00',''),(80,'Usage - Domains','domains','usage',0,5,0,0,0,0,'0000-00-00 00:00:00',''),(81,'Usage - Tools','tools','usage',0,3,0,0,0,0,'0000-00-00 00:00:00',''),(82,'Usage - Maps','maps','usage',0,6,1,0,0,0,'0000-00-00 00:00:00',''),(83,'User - xHUB','xusers','user',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(84,'Whatsnew - Topics','topics','whatsnew',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(85,'Whatsnew - Resources','resources','whatsnew',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(86,'Whatsnew - Content','content','whatsnew',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(87,'Whatsnew - Events','events','whatsnew',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(88,'Whatsnew - Knowledge Base','kb','whatsnew',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(89,'xHUB Authentication - Site','hzldap','xauthentication',0,0,1,0,0,0,'0000-00-00 00:00:00','domain=Hub Account'),(90,'xHUB - Libraries','xlibrary','xhub',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(91,'XMessage - RSS','rss','xmessage',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(92,'XMessage - Internal','internal','xmessage',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(93,'XMessage - SMS TXT','smstxt','xmessage',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(94,'XMessage - Instant Message','im','xmessage',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(95,'XMessage - Handler','handler','xmessage',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(96,'XMessage - Email','email','xmessage',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(97,'XSearch - Groups','groups','xsearch',0,7,1,0,0,0,'0000-00-00 00:00:00',''),(98,'XSearch - Tags','tags','xsearch',0,4,1,0,0,0,'0000-00-00 00:00:00',''),(99,'XSearch - Resources','resources','xsearch',0,3,1,0,0,0,'0000-00-00 00:00:00',''),(100,'XSearch - Knowledge Base','kb','xsearch',0,2,1,0,0,0,'0000-00-00 00:00:00',''),(101,'XSearch - Events','events','xsearch',0,1,1,0,0,0,'0000-00-00 00:00:00',''),(102,'XSearch - Members','members','xsearch',0,6,1,0,0,0,'0000-00-00 00:00:00',''),(103,'XSearch - Topics','topics','xsearch',0,5,1,0,0,0,'0000-00-00 00:00:00',''),(104,'XSearch - Content','content','xsearch',0,0,1,0,0,0,'0000-00-00 00:00:00',''),(105,'Resources - Supporting Documents','supportingdocs','resources',0,10,1,0,0,0,'0000-00-00 00:00:00','');
/*!40000 ALTER TABLE `jos_plugins` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_poll_data`
--

DROP TABLE IF EXISTS `jos_poll_data`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_poll_data` (
  `id` int(11) NOT NULL auto_increment,
  `pollid` int(11) NOT NULL default '0',
  `text` text NOT NULL,
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pollid` (`pollid`,`text`(1))
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_poll_data`
--

LOCK TABLES `jos_poll_data` WRITE;
/*!40000 ALTER TABLE `jos_poll_data` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_poll_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_poll_date`
--

DROP TABLE IF EXISTS `jos_poll_date`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_poll_date` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `vote_id` int(11) NOT NULL default '0',
  `poll_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_poll_date`
--

LOCK TABLES `jos_poll_date` WRITE;
/*!40000 ALTER TABLE `jos_poll_date` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_poll_date` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_poll_menu`
--

DROP TABLE IF EXISTS `jos_poll_menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_poll_menu` (
  `pollid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pollid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_poll_menu`
--

LOCK TABLES `jos_poll_menu` WRITE;
/*!40000 ALTER TABLE `jos_poll_menu` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_poll_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_polls`
--

DROP TABLE IF EXISTS `jos_polls`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_polls` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `voters` int(9) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `access` int(11) NOT NULL default '0',
  `lag` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_polls`
--

LOCK TABLES `jos_polls` WRITE;
/*!40000 ALTER TABLE `jos_polls` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_polls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_recent_tools`
--

DROP TABLE IF EXISTS `jos_recent_tools`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_recent_tools` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `tool` varchar(200) default NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_recent_tools`
--

LOCK TABLES `jos_recent_tools` WRITE;
/*!40000 ALTER TABLE `jos_recent_tools` DISABLE KEYS */;
INSERT INTO `jos_recent_tools` VALUES (1,1000,'workspace','2010-04-12 17:08:00'),(2,62,'workspace','2010-04-09 15:33:27');
/*!40000 ALTER TABLE `jos_recent_tools` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_redirection`
--

DROP TABLE IF EXISTS `jos_redirection`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_redirection` (
  `id` int(11) NOT NULL auto_increment,
  `cpt` int(11) NOT NULL default '0',
  `oldurl` varchar(100) NOT NULL default '',
  `newurl` varchar(150) NOT NULL default '',
  `dateadd` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`),
  KEY `newurl` (`newurl`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_redirection`
--

LOCK TABLES `jos_redirection` WRITE;
/*!40000 ALTER TABLE `jos_redirection` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_redirection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_assoc`
--

DROP TABLE IF EXISTS `jos_resource_assoc`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_assoc` (
  `parent_id` int(11) NOT NULL default '0',
  `child_id` int(11) NOT NULL default '0',
  `ordering` int(11) NOT NULL default '0',
  `grouping` int(11) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_assoc`
--

LOCK TABLES `jos_resource_assoc` WRITE;
/*!40000 ALTER TABLE `jos_resource_assoc` DISABLE KEYS */;
INSERT INTO `jos_resource_assoc` VALUES (1,2,1,0);
/*!40000 ALTER TABLE `jos_resource_assoc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_ratings`
--

DROP TABLE IF EXISTS `jos_resource_ratings`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_ratings` (
  `id` int(11) NOT NULL auto_increment,
  `resource_id` int(11) NOT NULL default '0',
  `user_id` int(11) NOT NULL default '0',
  `rating` decimal(2,1) NOT NULL default '0.0',
  `comment` text NOT NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `anonymous` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_ratings`
--

LOCK TABLES `jos_resource_ratings` WRITE;
/*!40000 ALTER TABLE `jos_resource_ratings` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_ratings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_stats`
--

DROP TABLE IF EXISTS `jos_resource_stats`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_stats` (
  `id` bigint(20) NOT NULL auto_increment,
  `resid` bigint(20) NOT NULL,
  `restype` int(11) NOT NULL,
  `users` bigint(20) default NULL,
  `jobs` bigint(20) default NULL,
  `avg_wall` int(20) default NULL,
  `tot_wall` int(20) default NULL,
  `avg_cpu` int(20) default NULL,
  `tot_cpu` int(20) default NULL,
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `period` tinyint(4) NOT NULL default '-1',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_stats`
--

LOCK TABLES `jos_resource_stats` WRITE;
/*!40000 ALTER TABLE `jos_resource_stats` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_stats` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_stats_tools`
--

DROP TABLE IF EXISTS `jos_resource_stats_tools`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_stats_tools` (
  `id` bigint(20) NOT NULL auto_increment,
  `resid` bigint(20) NOT NULL,
  `restype` int(11) NOT NULL,
  `users` bigint(20) default NULL,
  `sessions` bigint(20) default NULL,
  `simulations` bigint(20) default NULL,
  `jobs` bigint(20) default NULL,
  `avg_wall` double unsigned default '0',
  `tot_wall` double unsigned default '0',
  `avg_cpu` double unsigned default '0',
  `tot_cpu` double unsigned default '0',
  `avg_view` double unsigned default '0',
  `tot_view` double unsigned default '0',
  `avg_wait` double unsigned default '0',
  `tot_wait` double unsigned default '0',
  `avg_cpus` int(20) default NULL,
  `tot_cpus` int(20) default NULL,
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `period` tinyint(4) NOT NULL default '-1',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_stats_tools`
--

LOCK TABLES `jos_resource_stats_tools` WRITE;
/*!40000 ALTER TABLE `jos_resource_stats_tools` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_stats_tools` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_stats_tools_tops`
--

DROP TABLE IF EXISTS `jos_resource_stats_tools_tops`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_stats_tools_tops` (
  `top` tinyint(4) NOT NULL default '0',
  `name` varchar(128) NOT NULL default '',
  `valfmt` tinyint(4) NOT NULL default '0',
  `size` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`top`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_stats_tools_tops`
--

LOCK TABLES `jos_resource_stats_tools_tops` WRITE;
/*!40000 ALTER TABLE `jos_resource_stats_tools_tops` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_stats_tools_tops` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_stats_tools_topvals`
--

DROP TABLE IF EXISTS `jos_resource_stats_tools_topvals`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_stats_tools_topvals` (
  `id` bigint(20) NOT NULL,
  `top` tinyint(4) NOT NULL default '0',
  `rank` tinyint(4) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `value` bigint(20) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_stats_tools_topvals`
--

LOCK TABLES `jos_resource_stats_tools_topvals` WRITE;
/*!40000 ALTER TABLE `jos_resource_stats_tools_topvals` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_stats_tools_topvals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_stats_tools_users`
--

DROP TABLE IF EXISTS `jos_resource_stats_tools_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_stats_tools_users` (
  `id` bigint(20) NOT NULL auto_increment,
  `resid` bigint(20) NOT NULL,
  `restype` int(11) NOT NULL,
  `user` varchar(32) NOT NULL default '',
  `sessions` bigint(20) default NULL,
  `simulations` bigint(20) default NULL,
  `jobs` bigint(20) default NULL,
  `tot_wall` double unsigned default '0',
  `tot_cpu` double unsigned default '0',
  `tot_view` double unsigned default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `period` tinyint(4) NOT NULL default '-1',
  UNIQUE KEY `id` (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_stats_tools_users`
--

LOCK TABLES `jos_resource_stats_tools_users` WRITE;
/*!40000 ALTER TABLE `jos_resource_stats_tools_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_stats_tools_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_tags`
--

DROP TABLE IF EXISTS `jos_resource_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_tags` (
  `id` int(11) NOT NULL auto_increment,
  `resourceid` int(11) default NULL,
  `tagid` int(11) default NULL,
  `strength` tinyint(3) default '0',
  `taggerid` int(11) default '0',
  `taggedon` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_tags`
--

LOCK TABLES `jos_resource_tags` WRITE;
/*!40000 ALTER TABLE `jos_resource_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_taxonomy_audience`
--

DROP TABLE IF EXISTS `jos_resource_taxonomy_audience`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_taxonomy_audience` (
  `added` datetime NOT NULL default '0000-00-00 00:00:00',
  `addedBy` int(11) NOT NULL default '0',
  `comments` varchar(255) default NULL,
  `id` int(11) NOT NULL auto_increment,
  `level0` tinyint(2) NOT NULL default '0',
  `level1` tinyint(2) NOT NULL default '0',
  `level2` tinyint(2) NOT NULL default '0',
  `level3` tinyint(2) NOT NULL default '0',
  `level4` tinyint(2) NOT NULL default '0',
  `level5` tinyint(2) NOT NULL default '0',
  `rid` int(11) NOT NULL default '0',
  `versionid` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_taxonomy_audience`
--

LOCK TABLES `jos_resource_taxonomy_audience` WRITE;
/*!40000 ALTER TABLE `jos_resource_taxonomy_audience` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_taxonomy_audience` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_taxonomy_audience_levels`
--

DROP TABLE IF EXISTS `jos_resource_taxonomy_audience_levels`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_taxonomy_audience_levels` (
  `description` varchar(255) default NULL,
  `id` int(11) NOT NULL auto_increment,
  `label` varchar(11) NOT NULL default '0',
  `title` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_taxonomy_audience_levels`
--

LOCK TABLES `jos_resource_taxonomy_audience_levels` WRITE;
/*!40000 ALTER TABLE `jos_resource_taxonomy_audience_levels` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_resource_taxonomy_audience_levels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resource_types`
--

DROP TABLE IF EXISTS `jos_resource_types`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resource_types` (
  `id` int(11) NOT NULL auto_increment,
  `type` varchar(200) NOT NULL default '',
  `category` int(11) NOT NULL default '0',
  `description` tinytext,
  `contributable` int(2) default '1',
  `customFields` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=62 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resource_types`
--

LOCK TABLES `jos_resource_types` WRITE;
/*!40000 ALTER TABLE `jos_resource_types` DISABLE KEYS */;
INSERT INTO `jos_resource_types` VALUES (1,'Seminars',27,'A lecture of some sort, usually recorded with voice or video.  It may be a graduate or undergraduate level seminar, a lecture for a class, or a tutorial presentation.',1,'bio=Bio=textarea=0\ncredits=Credits=textarea=0\nsponsoredby=Sponsored by=textarea=0'),(2,'Workshops',27,'A collection of lectures, seminars, and materials that were presented at a workshop.',0,'credits=Credits=textarea=0\nsponsoredby=Sponsored by=textarea=0'),(3,'Publications',27,'Articles, technical reports, theses, and other documents, usually in PDF or DOC format.',1,'acknowledgments=Acknowledgments=textarea=0\nreferences=References=textarea=0'),(6,'Courses',27,'University courses and short courses with lectures and associated teaching materials.',0,'credits=Credits=textarea=0\nreferences=References=textarea=0\nsponsoredby=Sponsored by=textarea=0'),(7,'Tools',27,'Simulation and modeling tools that can be accessed via a web browser.',1,'poweredby=Powered by=textarea=0\ncredits=Credits=textarea=0\nsponsoredby=Sponsored by=textarea=0\nreferences=References=textarea=0'),(8,'Simulation Tool Sets',-1,NULL,1,NULL),(9,'Downloads',27,'Spreadsheets, executables, and other items that are available for download but don\\\'t fit into other categories.',1,'credits=Credits=textarea=0\nsponsoredby=Sponsored by=textarea=0\nreferences=References=text=0'),(11,'External Link',30,NULL,1,NULL),(12,'Internal Link',30,NULL,1,NULL),(13,'File',30,NULL,1,NULL),(14,'Presentation Slides',28,NULL,1,NULL),(15,'Quicktime',30,NULL,1,NULL),(16,'Examples',29,NULL,1,NULL),(17,'Exercises',29,NULL,1,NULL),(18,'References',29,NULL,1,NULL),(19,'Presentation (without audio)',28,NULL,1,NULL),(20,'Presentation (with audio)',28,NULL,1,NULL),(21,'Sub Type',0,NULL,1,NULL),(22,'Research Seminars',21,NULL,1,NULL),(23,'Troubleshooting',29,NULL,1,NULL),(24,'How to ...',29,NULL,1,NULL),(25,'Advanced Exercises',29,NULL,1,NULL),(26,'Flash Paper',30,NULL,1,NULL),(27,'Main Types',0,NULL,1,NULL),(28,'Logical Type',0,NULL,1,NULL),(29,'Group',0,NULL,1,NULL),(30,'Type',0,NULL,1,NULL),(31,'Series',27,'Series are collections of lectures, publications, and other resources presented as a list.  Each series is available as a podcast feed.',0,'credits=Credits=textarea=0\nsponsoredby=Sponsored by=textarea=0\nreferences=References=textarea=0'),(32,'Breeze',30,NULL,1,NULL),(33,'PDF',30,NULL,1,NULL),(34,'Quiz',28,NULL,1,NULL),(35,'PowerPoint',30,NULL,1,NULL),(36,'Poster',28,NULL,1,NULL),(37,'Media Player',30,NULL,1,NULL),(38,'Package',30,NULL,1,NULL),(39,'Teaching Materials',27,'Supplementary materials (study notes, guides, etc.) that don\\\'t quite fit into any of the other categories.',1,'references=References=textarea=0'),(40,'Video Stream',28,NULL,1,NULL),(41,'Video',28,NULL,1,NULL),(44,'Nanotechnology',29,NULL,1,NULL),(45,'Chemistry',29,NULL,1,NULL),(46,'Semiconductors and Circuits',29,NULL,1,NULL),(47,'Other Tools',29,NULL,1,NULL),(48,'Tutorials',21,NULL,1,NULL),(49,'Podcast (audio)',28,NULL,1,NULL),(50,'Podcast (video)',28,NULL,1,NULL),(51,'Homework Assignment',28,NULL,1,NULL),(52,'MOS Capacitor Examples',29,NULL,1,NULL),(53,'Dual Gate Examples',29,NULL,1,NULL),(54,'Course Lectures',21,NULL,1,NULL),(55,'Ph.D. Thesis',28,NULL,1,NULL),(56,'Publication Preprint',28,NULL,1,NULL),(57,'Handout',28,NULL,1,NULL),(58,'Undergraduate Presentation',21,NULL,1,NULL),(59,'Manual',28,NULL,1,NULL),(60,'Software Download',28,NULL,1,NULL),(61,'Exercise Solutions',29,NULL,1,NULL);
/*!40000 ALTER TABLE `jos_resource_types` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_resources`
--

DROP TABLE IF EXISTS `jos_resources`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_resources` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) NOT NULL default '',
  `type` int(11) NOT NULL default '0',
  `logical_type` int(11) NOT NULL default '0',
  `introtext` text NOT NULL,
  `fulltext` text NOT NULL,
  `footertext` text NOT NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL default '0',
  `modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `modified_by` int(11) NOT NULL default '0',
  `published` int(1) NOT NULL default '0',
  `publish_up` datetime NOT NULL default '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL default '0000-00-00 00:00:00',
  `access` int(11) NOT NULL default '0',
  `hits` int(11) NOT NULL default '0',
  `path` varchar(200) NOT NULL default '',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `standalone` tinyint(1) NOT NULL default '0',
  `group_owner` varchar(250) NOT NULL default '',
  `group_access` text,
  `rating` decimal(2,1) NOT NULL default '0.0',
  `times_rated` int(11) NOT NULL default '0',
  `params` text,
  `attribs` text,
  `alias` varchar(100) NOT NULL default '',
  `ranking` float NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `title` (`title`),
  FULLTEXT KEY `introtext` (`introtext`,`fulltext`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_resources`
--

LOCK TABLES `jos_resources` WRITE;
/*!40000 ALTER TABLE `jos_resources` DISABLE KEYS */;
INSERT INTO `jos_resources` VALUES (1,'The HUBzero Cyberinfrastructure for Research and Education',1,0,'<p>HUBzero is a software platform used to create \\\"science gateways,\\\" which are web sites for scientific collaboration.  It provides an infrastructure for building, publishing, and executing simulation and modeling codes.  Each HUBzero-based site is like an \\\"app store\\\" for its discipline, providing a catalog of simulation tools that can be launched into a computing \\\"cloud\\\" with the click of a button.  Tools have interactive user interfaces for setting up parameters and visualizing results.  …</p>','<p>HUBzero is a software platform used to create \\\"science gateways,\\\" which are web sites for scientific collaboration.  It provides an infrastructure for building, publishing, and executing simulation and modeling codes.  Each HUBzero-based site is like an \\\"app store\\\" for its discipline, providing a catalog of simulation tools that can be launched into a computing \\\"cloud\\\" with the click of a button.  Tools have interactive user interfaces for setting up parameters and visualizing results.  Each hub can be connected to a variety of high-performance computing resources to provide the cycles for computational tasks.  HUBzero includes web-based collaboration features, allowing users to share tool sessions, review tools, post questions and answers, submit bug reports, and suggest improvements. HUBzero is not a closed solution, but rather, an open platform, supported by a consortium of universities, that other institutions can build upon.  For more details, see http://hubzero.org.</p>','','2010-04-09 10:37:48',64,'2010-04-09 10:46:29',62,1,'2010-04-09 10:37:48','0000-00-00 00:00:00',0,0,'',0,'0000-00-00 00:00:00',1,'',NULL,'0.0',0,'pageclass_sfx=\nlicense=\nshow_authors=\nshow_assocs=\nshow_type=1\nshow_ranking=\nshow_rating=\nshow_date=\nshow_stats=\nshow_citation=','location=\ntimeof=','',0),(2,'The_HUB_Concept.pdf',33,0,'The_HUB_Concept.pdf','','','2010-04-09 10:38:33',64,'0000-00-00 00:00:00',0,1,'2010-04-09 10:38:33','0000-00-00 00:00:00',0,0,'2010/04/00002/The_HUB_Concept.pdf',0,'0000-00-00 00:00:00',0,'',NULL,'0.0',0,NULL,NULL,'',0);
/*!40000 ALTER TABLE `jos_resources` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_screenshots`
--

DROP TABLE IF EXISTS `jos_screenshots`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_screenshots` (
  `id` int(10) NOT NULL auto_increment,
  `versionid` int(11) default '0',
  `title` varchar(127) default '',
  `ordering` int(11) default '0',
  `filename` varchar(100) NOT NULL,
  `resourceid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_screenshots`
--

LOCK TABLES `jos_screenshots` WRITE;
/*!40000 ALTER TABLE `jos_screenshots` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_screenshots` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_sections`
--

DROP TABLE IF EXISTS `jos_sections`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_sections` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `image` text NOT NULL,
  `scope` varchar(50) NOT NULL default '',
  `image_position` varchar(30) NOT NULL default '',
  `description` text NOT NULL,
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) unsigned NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `access` tinyint(3) unsigned NOT NULL default '0',
  `count` int(11) NOT NULL default '0',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `idx_scope` (`scope`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_sections`
--

LOCK TABLES `jos_sections` WRITE;
/*!40000 ALTER TABLE `jos_sections` DISABLE KEYS */;
INSERT INTO `jos_sections` VALUES (1,'about','','about','','content','left','',1,0,'0000-00-00 00:00:00',1,0,2,''),(2,'contribute','','contribute','','content','left','',1,0,'0000-00-00 00:00:00',2,0,1,''),(3,'legal','','legal','','content','left','',1,0,'0000-00-00 00:00:00',3,0,1,''),(4,'browse','','browse','','content','left','',1,0,'0000-00-00 00:00:00',4,0,1,''),(5,'presenters','','presenters','','content','left','',1,0,'0000-00-00 00:00:00',5,0,1,''),(6,'features','','features','','content','left','',1,0,'0000-00-00 00:00:00',6,0,1,'');
/*!40000 ALTER TABLE `jos_sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_selected_quotes`
--

DROP TABLE IF EXISTS `jos_selected_quotes`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_selected_quotes` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) default '0',
  `fullname` varchar(100) default '',
  `org` varchar(200) default '',
  `short_quote` text,
  `quote` text,
  `picture` varchar(250) default '',
  `date` datetime default '0000-00-00 00:00:00',
  `flash_rotation` tinyint(1) default '0',
  `notable_quotes` tinyint(1) default '1',
  `notes` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_selected_quotes`
--

LOCK TABLES `jos_selected_quotes` WRITE;
/*!40000 ALTER TABLE `jos_selected_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_selected_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_session`
--

DROP TABLE IF EXISTS `jos_session`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_session` (
  `username` varchar(150) default '',
  `time` varchar(14) default '',
  `session_id` varchar(200) NOT NULL default '0',
  `guest` tinyint(4) default '1',
  `userid` int(11) default '0',
  `usertype` varchar(50) default '',
  `gid` tinyint(3) unsigned NOT NULL default '0',
  `client_id` tinyint(3) unsigned NOT NULL default '0',
  `data` longtext,
  PRIMARY KEY  (`session_id`(64)),
  KEY `whosonline` (`guest`,`usertype`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_session`
--

LOCK TABLES `jos_session` WRITE;
/*!40000 ALTER TABLE `jos_session` DISABLE KEYS */;
INSERT INTO `jos_session` VALUES ('','1291927386','2334dbb678b8f44e48f8aee387e709b1',1,0,'',0,1,'__default|a:8:{s:15:\"session.counter\";i:1;s:19:\"session.timer.start\";i:1291927386;s:18:\"session.timer.last\";i:1291927386;s:17:\"session.timer.now\";i:1291927386;s:22:\"session.client.browser\";s:86:\"Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; InfoPath.1)\";s:8:\"registry\";O:9:\"JRegistry\":3:{s:17:\"_defaultNameSpace\";s:7:\"session\";s:9:\"_registry\";a:1:{s:7:\"session\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:4:\"user\";O:5:\"JUser\":19:{s:2:\"id\";i:0;s:4:\"name\";N;s:8:\"username\";N;s:5:\"email\";N;s:8:\"password\";N;s:14:\"password_clear\";s:0:\"\";s:8:\"usertype\";N;s:5:\"block\";N;s:9:\"sendEmail\";i:0;s:3:\"gid\";i:0;s:12:\"registerDate\";N;s:13:\"lastvisitDate\";N;s:10:\"activation\";N;s:6:\"params\";N;s:3:\"aid\";i:0;s:5:\"guest\";i:1;s:7:\"_params\";O:10:\"JParameter\":7:{s:4:\"_raw\";s:0:\"\";s:4:\"_xml\";N;s:9:\"_elements\";a:0:{}s:12:\"_elementPath\";a:1:{i:0;s:50:\"/www/myhub/libraries/joomla/html/parameter/element\";}s:17:\"_defaultNameSpace\";s:8:\"_default\";s:9:\"_registry\";a:1:{s:8:\"_default\";a:1:{s:4:\"data\";O:8:\"stdClass\":0:{}}}s:7:\"_errors\";a:0:{}}s:9:\"_errorMsg\";N;s:7:\"_errors\";a:0:{}}s:13:\"session.token\";s:32:\"f784f91eeff30ee15ca77935d0912fae\";}');
/*!40000 ALTER TABLE `jos_session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_sites`
--

DROP TABLE IF EXISTS `jos_sites`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_sites` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `category` varchar(100) default NULL,
  `url` varchar(255) default NULL,
  `image` varchar(255) default NULL,
  `teaser` varchar(255) default NULL,
  `description` text,
  `notes` text,
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `published_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` varchar(30) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_sites`
--

LOCK TABLES `jos_sites` WRITE;
/*!40000 ALTER TABLE `jos_sites` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_sites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_stats_agents`
--

DROP TABLE IF EXISTS `jos_stats_agents`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_stats_agents` (
  `agent` varchar(255) NOT NULL default '',
  `type` tinyint(1) unsigned NOT NULL default '0',
  `hits` int(11) unsigned NOT NULL default '1'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_stats_agents`
--

LOCK TABLES `jos_stats_agents` WRITE;
/*!40000 ALTER TABLE `jos_stats_agents` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_stats_agents` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_stats_tops`
--

DROP TABLE IF EXISTS `jos_stats_tops`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_stats_tops` (
  `id` tinyint(4) NOT NULL default '0',
  `name` varchar(128) NOT NULL default '',
  `valfmt` tinyint(4) NOT NULL default '0',
  `size` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_stats_tops`
--

LOCK TABLES `jos_stats_tops` WRITE;
/*!40000 ALTER TABLE `jos_stats_tops` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_stats_tops` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_stats_topvals`
--

DROP TABLE IF EXISTS `jos_stats_topvals`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_stats_topvals` (
  `top` tinyint(4) NOT NULL default '0',
  `datetime` datetime NOT NULL default '0000-00-00 00:00:00',
  `period` tinyint(4) NOT NULL default '1',
  `rank` tinyint(4) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `value` bigint(20) NOT NULL default '0',
  KEY `top` (`top`),
  KEY `top_2` (`top`,`rank`),
  KEY `top_3` (`top`,`datetime`),
  KEY `top_4` (`top`,`datetime`,`rank`),
  KEY `top_5` (`top`,`datetime`,`period`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_stats_topvals`
--

LOCK TABLES `jos_stats_topvals` WRITE;
/*!40000 ALTER TABLE `jos_stats_topvals` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_stats_topvals` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_store`
--

DROP TABLE IF EXISTS `jos_store`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_store` (
  `id` int(10) NOT NULL auto_increment,
  `title` varchar(127) NOT NULL default '',
  `price` int(11) NOT NULL default '0',
  `description` text,
  `published` tinyint(1) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `available` int(1) NOT NULL default '0',
  `params` text,
  `special` int(11) default '0',
  `type` int(11) default '1',
  `category` varchar(127) default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_store`
--

LOCK TABLES `jos_store` WRITE;
/*!40000 ALTER TABLE `jos_store` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_store` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_attachments`
--

DROP TABLE IF EXISTS `jos_support_attachments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_attachments` (
  `id` int(11) NOT NULL auto_increment,
  `ticket` int(11) NOT NULL default '0',
  `filename` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_attachments`
--

LOCK TABLES `jos_support_attachments` WRITE;
/*!40000 ALTER TABLE `jos_support_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_support_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_categories`
--

DROP TABLE IF EXISTS `jos_support_categories`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_categories` (
  `id` int(11) NOT NULL auto_increment,
  `section` int(11) default '0',
  `category` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_categories`
--

LOCK TABLES `jos_support_categories` WRITE;
/*!40000 ALTER TABLE `jos_support_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_support_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_comments`
--

DROP TABLE IF EXISTS `jos_support_comments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_comments` (
  `id` int(11) NOT NULL auto_increment,
  `ticket` int(11) NOT NULL default '0',
  `comment` text,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` varchar(50) default NULL,
  `changelog` text,
  `access` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_comments`
--

LOCK TABLES `jos_support_comments` WRITE;
/*!40000 ALTER TABLE `jos_support_comments` DISABLE KEYS */;
INSERT INTO `jos_support_comments` VALUES (1,1,'Tool registered','2010-04-09 15:09:26','user','',0),(2,1,NULL,'2010-04-09 15:09:57','admin','<ul class=\"changelog\">\n<li><strong>Status</strong> changed from <em>Registered</em> to <em>Created</em></li></ul>\n',0),(3,1,NULL,'2010-04-09 15:10:02','admin','<ul class=\"changelog\">\n<li><strong>Status</strong> changed from <em>Created</em> to <em>Uploaded</em></li></ul>\n',0),(4,1,NULL,'2010-04-09 15:16:53','admin','<ul class=\"changelog\">\n<li><strong>Status</strong> changed from <em>Uploaded</em> to <em>Installed</em></li></ul>\n',0),(5,1,NULL,'2010-04-09 15:17:38','admin','<ul class=\"changelog\">\n<li><strong>Status</strong> changed from <em>Installed</em> to <em>Approved</em></li></ul>\n',0),(6,1,NULL,'2010-04-09 15:35:18','admin','<ul class=\"changelog\">\n<li><strong>Status</strong> changed from <em>Approved</em> to <em>Published</em></li></ul>\n',0);
/*!40000 ALTER TABLE `jos_support_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_messages`
--

DROP TABLE IF EXISTS `jos_support_messages`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_messages` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=24 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_messages`
--

LOCK TABLES `jos_support_messages` WRITE;
/*!40000 ALTER TABLE `jos_support_messages` DISABLE KEYS */;
INSERT INTO `jos_support_messages` VALUES (1,'First Contact (no further information needed)','Thank you for using myHUB and for reporting this problem.  Your request has been forwarded to a member of our team, and it is being tracked as ticket {ticket#} in our system.  We will keep you informed as we make progress in resolving this issue.\r\n\r\nThanks again for your support!\r\n--the myHUB team');
/*!40000 ALTER TABLE `jos_support_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_resolutions`
--

DROP TABLE IF EXISTS `jos_support_resolutions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_resolutions` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(100) default NULL,
  `alias` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_resolutions`
--

LOCK TABLES `jos_support_resolutions` WRITE;
/*!40000 ALTER TABLE `jos_support_resolutions` DISABLE KEYS */;
INSERT INTO `jos_support_resolutions` VALUES (1,'Fixed','fixed'),(2,'Invalid','invalid'),(3,'Won\'t fix','wontfix'),(4,'Duplicate','duplicate'),(5,'Works for me','worksforme'),(6,'Transferred','transferred'),(7,'Answered','answered');
/*!40000 ALTER TABLE `jos_support_resolutions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_sections`
--

DROP TABLE IF EXISTS `jos_support_sections`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_sections` (
  `id` int(11) NOT NULL auto_increment,
  `section` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_sections`
--

LOCK TABLES `jos_support_sections` WRITE;
/*!40000 ALTER TABLE `jos_support_sections` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_support_sections` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_tags`
--

DROP TABLE IF EXISTS `jos_support_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_tags` (
  `id` int(11) NOT NULL auto_increment,
  `ticketid` int(11) default NULL,
  `tagid` int(11) default NULL,
  `strength` tinyint(3) default '0',
  `taggerid` int(11) default '0',
  `taggedon` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_tags`
--

LOCK TABLES `jos_support_tags` WRITE;
/*!40000 ALTER TABLE `jos_support_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_support_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_support_tickets`
--

DROP TABLE IF EXISTS `jos_support_tickets`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_support_tickets` (
  `id` int(11) NOT NULL auto_increment,
  `status` tinyint(3) default '0',
  `created` datetime default '0000-00-00 00:00:00',
  `login` varchar(200) default NULL,
  `severity` varchar(30) default NULL,
  `owner` varchar(50) default NULL,
  `category` varchar(50) default NULL,
  `summary` varchar(250) default NULL,
  `report` text,
  `resolved` varchar(50) default NULL,
  `email` varchar(200) default NULL,
  `name` varchar(200) default NULL,
  `os` varchar(50) default NULL,
  `browser` varchar(50) default NULL,
  `ip` varchar(200) default NULL,
  `hostname` varchar(200) default NULL,
  `uas` varchar(250) default NULL,
  `referrer` varchar(250) default NULL,
  `cookies` tinyint(3) NOT NULL default '0',
  `instances` int(11) NOT NULL default '1',
  `section` int(11) NOT NULL default '1',
  `type` tinyint(3) NOT NULL default '0',
  `group` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_support_tickets`
--

LOCK TABLES `jos_support_tickets` WRITE;
/*!40000 ALTER TABLE `jos_support_tickets` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_support_tickets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tags`
--

DROP TABLE IF EXISTS `jos_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tags` (
  `id` int(11) NOT NULL auto_increment,
  `tag` varchar(100) default NULL,
  `raw_tag` varchar(100) default NULL,
  `alias` varchar(100) default NULL,
  `description` text,
  `admin` tinyint(3) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `description` (`description`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tags`
--

LOCK TABLES `jos_tags` WRITE;
/*!40000 ALTER TABLE `jos_tags` DISABLE KEYS */;
INSERT INTO `jos_tags` VALUES (1,'cyberinfrastructure','cyberinfrastructure','','',0),(2,'toolmytool','tool:mytool','','',0);
/*!40000 ALTER TABLE `jos_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tags_group`
--

DROP TABLE IF EXISTS `jos_tags_group`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tags_group` (
  `id` int(11) NOT NULL auto_increment,
  `groupid` int(11) default '0',
  `tagid` int(11) default '0',
  `priority` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tags_group`
--

LOCK TABLES `jos_tags_group` WRITE;
/*!40000 ALTER TABLE `jos_tags_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tags_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tags_object`
--

DROP TABLE IF EXISTS `jos_tags_object`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tags_object` (
  `id` int(11) NOT NULL auto_increment,
  `objectid` int(11) default NULL,
  `tagid` int(11) default NULL,
  `strength` tinyint(3) default '0',
  `taggerid` int(11) default '0',
  `taggedon` datetime default '0000-00-00 00:00:00',
  `tbl` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tags_object`
--

LOCK TABLES `jos_tags_object` WRITE;
/*!40000 ALTER TABLE `jos_tags_object` DISABLE KEYS */;
INSERT INTO `jos_tags_object` VALUES (1,1,1,0,64,'2010-04-09 10:40:41','resources'),(2,1,2,0,1000,'2010-04-09 15:09:26','support');
/*!40000 ALTER TABLE `jos_tags_object` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_templates_menu`
--

DROP TABLE IF EXISTS `jos_templates_menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_templates_menu` (
  `template` varchar(255) NOT NULL default '',
  `menuid` int(11) NOT NULL default '0',
  `client_id` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`menuid`,`client_id`,`template`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_templates_menu`
--

LOCK TABLES `jos_templates_menu` WRITE;
/*!40000 ALTER TABLE `jos_templates_menu` DISABLE KEYS */;
INSERT INTO `jos_templates_menu` VALUES ('hubbasic',0,0),('khepri',0,1);
/*!40000 ALTER TABLE `jos_templates_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool`
--

DROP TABLE IF EXISTS `jos_tool`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool` (
  `id` int(10) NOT NULL auto_increment,
  `toolname` varchar(64) NOT NULL default '',
  `title` varchar(127) NOT NULL default '',
  `version` varchar(15) default NULL,
  `description` text,
  `fulltext` text,
  `license` text,
  `toolaccess` varchar(15) default NULL,
  `codeaccess` varchar(15) default NULL,
  `wikiaccess` varchar(15) default NULL,
  `published` tinyint(1) default '0',
  `state` int(15) default NULL,
  `priority` int(15) default '3',
  `team` text,
  `registered` datetime default NULL,
  `registered_by` varchar(31) default NULL,
  `mw` varchar(31) default NULL,
  `vnc_geometry` varchar(31) default NULL,
  `ticketid` int(15) default NULL,
  `state_changed` datetime default '0000-00-00 00:00:00',
  `revision` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `toolname` (`toolname`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool`
--

LOCK TABLES `jos_tool` WRITE;
/*!40000 ALTER TABLE `jos_tool` DISABLE KEYS */;
INSERT INTO `jos_tool` VALUES (1,'bin','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 01:26:20','admin',NULL,NULL,NULL,'2010-04-09 01:26:20',NULL),(2,'environ','',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 01:26:20','admin',NULL,NULL,NULL,'2010-04-09 01:26:20',NULL),(3,'workspace','Workspace',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 01:26:46','admin',NULL,NULL,NULL,'2010-04-09 01:26:46',NULL),(4,'rappture','Rappture Toolkit',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 01:38:04','admin',NULL,NULL,NULL,'2010-04-09 01:38:04',NULL),(5,'filexfer','filexfer',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 01:39:34','admin',NULL,NULL,NULL,'2010-04-09 01:39:34',NULL),(6,'submit','submit',NULL,NULL,NULL,NULL,NULL,NULL,NULL,0,NULL,3,NULL,'2010-04-09 13:19:01','admin',NULL,NULL,NULL,'2010-04-09 13:19:01',NULL);
/*!40000 ALTER TABLE `jos_tool` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_authors`
--

DROP TABLE IF EXISTS `jos_tool_authors`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_authors` (
  `toolname` varchar(50) NOT NULL default '',
  `revision` int(15) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `ordering` int(11) default '0',
  `version_id` int(11) NOT NULL default '0',
  `name` varchar(255) default NULL,
  `organization` varchar(255) default NULL,
  PRIMARY KEY  (`toolname`,`revision`,`uid`,`version_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_authors`
--

LOCK TABLES `jos_tool_authors` WRITE;
/*!40000 ALTER TABLE `jos_tool_authors` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_authors` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_groups`
--

DROP TABLE IF EXISTS `jos_tool_groups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_groups` (
  `cn` varchar(255) NOT NULL default '',
  `toolid` int(11) NOT NULL default '0',
  `role` tinyint(2) NOT NULL default '0',
  PRIMARY KEY  (`cn`,`toolid`,`role`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_groups`
--

LOCK TABLES `jos_tool_groups` WRITE;
/*!40000 ALTER TABLE `jos_tool_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_groups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_licenses`
--

DROP TABLE IF EXISTS `jos_tool_licenses`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_licenses` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `text` text,
  `title` varchar(100) default NULL,
  `ordering` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_licenses`
--

LOCK TABLES `jos_tool_licenses` WRITE;
/*!40000 ALTER TABLE `jos_tool_licenses` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_licenses` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_statusviews`
--

DROP TABLE IF EXISTS `jos_tool_statusviews`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_statusviews` (
  `id` int(10) NOT NULL auto_increment,
  `ticketid` varchar(15) NOT NULL default '',
  `uid` varchar(31) NOT NULL default '',
  `viewed` datetime default '0000-00-00 00:00:00',
  `elapsed` int(11) default '500000',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_statusviews`
--

LOCK TABLES `jos_tool_statusviews` WRITE;
/*!40000 ALTER TABLE `jos_tool_statusviews` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_statusviews` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_version`
--

DROP TABLE IF EXISTS `jos_tool_version`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_version` (
  `id` int(10) NOT NULL auto_increment,
  `toolname` varchar(64) NOT NULL default '',
  `instance` varchar(31) NOT NULL default '',
  `title` varchar(127) NOT NULL default '',
  `description` text,
  `fulltext` text,
  `version` varchar(15) default NULL,
  `revision` int(11) default NULL,
  `toolaccess` varchar(15) default NULL,
  `codeaccess` varchar(15) default NULL,
  `wikiaccess` varchar(15) default NULL,
  `state` int(15) default NULL,
  `released_by` varchar(31) default NULL,
  `released` datetime default NULL,
  `unpublished` datetime default NULL,
  `exportControl` varchar(16) default NULL,
  `license` text,
  `vnc_geometry` varchar(31) default NULL,
  `vnc_depth` int(11) default NULL,
  `vnc_timeout` int(11) default NULL,
  `vnc_command` varchar(100) default NULL,
  `mw` varchar(31) default NULL,
  `toolid` int(11) default NULL,
  `priority` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `toolname` (`toolname`,`instance`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_version`
--

LOCK TABLES `jos_tool_version` WRITE;
/*!40000 ALTER TABLE `jos_tool_version` DISABLE KEYS */;
INSERT INTO `jos_tool_version` VALUES (1,'workspace','workspace_1','Workspace','Development workspace','Workspace','1.0',1,NULL,NULL,NULL,1,'admin','2010-04-09 01:26:46',NULL,NULL,NULL,'800x600',NULL,1209600,'/apps/workspace/1/invoke','narwhal',3,NULL),(2,'rappture','rappture_20100407','Rappture Toolkit','Rappture Toolkit','Rappture Toolkit','20100407',20100407,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'800x600',NULL,1209600,'/bin/false','narwhal',4,NULL),(3,'filexfer','filexfer_1','filexfer','filexfer','filexfer','1.0',1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',NULL,0,'','',5,NULL),(4,'submit','submit_20100407','submit','submit','submit','20100407',20100407,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'800x600',NULL,1209600,'/bin/false','narwhal',6,NULL);
/*!40000 ALTER TABLE `jos_tool_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_version_alias`
--

DROP TABLE IF EXISTS `jos_tool_version_alias`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_version_alias` (
  `tool_version_id` int(11) NOT NULL,
  `alias` varchar(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_version_alias`
--

LOCK TABLES `jos_tool_version_alias` WRITE;
/*!40000 ALTER TABLE `jos_tool_version_alias` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_version_alias` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_version_hostreq`
--

DROP TABLE IF EXISTS `jos_tool_version_hostreq`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_version_hostreq` (
  `tool_version_id` int(11) NOT NULL,
  `hostreq` varchar(255) NOT NULL,
  UNIQUE KEY `toolid` (`tool_version_id`,`hostreq`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_version_hostreq`
--

LOCK TABLES `jos_tool_version_hostreq` WRITE;
/*!40000 ALTER TABLE `jos_tool_version_hostreq` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_version_hostreq` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_version_middleware`
--

DROP TABLE IF EXISTS `jos_tool_version_middleware`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_version_middleware` (
  `tool_version_id` int(11) NOT NULL,
  `middleware` varchar(255) NOT NULL,
  UNIQUE KEY `toolid` (`tool_version_id`,`middleware`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_version_middleware`
--

LOCK TABLES `jos_tool_version_middleware` WRITE;
/*!40000 ALTER TABLE `jos_tool_version_middleware` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_version_middleware` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_tool_version_tracperm`
--

DROP TABLE IF EXISTS `jos_tool_version_tracperm`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_tool_version_tracperm` (
  `tool_version_id` int(11) NOT NULL,
  `tracperm` varchar(64) NOT NULL,
  UNIQUE KEY `toolid` (`tool_version_id`,`tracperm`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_tool_version_tracperm`
--

LOCK TABLES `jos_tool_version_tracperm` WRITE;
/*!40000 ALTER TABLE `jos_tool_version_tracperm` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_tool_version_tracperm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_trac_group_permission`
--

DROP TABLE IF EXISTS `jos_trac_group_permission`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_trac_group_permission` (
  `id` int(11) NOT NULL auto_increment,
  `group_id` int(11) NOT NULL,
  `action` varchar(255) NOT NULL,
  `trac_project_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `trac_action` USING BTREE (`group_id`,`action`,`trac_project_id`)
) ENGINE=MyISAM AUTO_INCREMENT=19 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_trac_group_permission`
--

LOCK TABLES `jos_trac_group_permission` WRITE;
/*!40000 ALTER TABLE `jos_trac_group_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_trac_group_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_trac_project`
--

DROP TABLE IF EXISTS `jos_trac_project`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_trac_project` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_trac_project`
--

LOCK TABLES `jos_trac_project` WRITE;
/*!40000 ALTER TABLE `jos_trac_project` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_trac_project` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_trac_projects`
--

DROP TABLE IF EXISTS `jos_trac_projects`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_trac_projects` (
  `id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `type` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_trac_projects`
--

LOCK TABLES `jos_trac_projects` WRITE;
/*!40000 ALTER TABLE `jos_trac_projects` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_trac_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_trac_user_permission`
--

DROP TABLE IF EXISTS `jos_trac_user_permission`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_trac_user_permission` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `action` varchar(255) default NULL,
  `trac_project_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `trac_action` USING BTREE (`user_id`,`action`,`trac_project_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_trac_user_permission`
--

LOCK TABLES `jos_trac_user_permission` WRITE;
/*!40000 ALTER TABLE `jos_trac_user_permission` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_trac_user_permission` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users`
--

DROP TABLE IF EXISTS `jos_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `username` varchar(150) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `password` varchar(100) NOT NULL default '',
  `usertype` varchar(25) NOT NULL default '',
  `block` tinyint(4) NOT NULL default '0',
  `sendEmail` tinyint(4) default '0',
  `gid` tinyint(3) unsigned NOT NULL default '1',
  `registerDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL default '',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `usertype` (`usertype`),
  KEY `idx_name` (`name`),
  KEY `gid_block` (`gid`,`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=MyISAM AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users`
--

LOCK TABLES `jos_users` WRITE;
/*!40000 ALTER TABLE `jos_users` DISABLE KEYS */;
INSERT INTO `jos_users` VALUES (62,'Administrator Administrator','admin','hub-osr@hubzero.org','df7ce25ed408593b54bfdf13fdbc479b:F1yVM3GO5X7Z1DN7OFTvxUR7eN18onWv','Super Administrator',0,1,25,'2010-04-09 00:02:25','2010-12-09 20:43:06','','admin_language=\nlanguage=\neditor=\nhelpsite=\ntimezone=0\n\n'),(999,'Hub Apps Admin User','apps','root@localhost','','Registered',0,0,18,'2010-04-09 05:34:10','0000-00-00 00:00:00','','\n'),(1000,'HUBzero User','user','support@hubzero.org','','Registered',0,0,18,'2010-04-09 14:05:17','2010-04-12 21:07:55','','\n');
/*!40000 ALTER TABLE `jos_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_points`
--

DROP TABLE IF EXISTS `jos_users_points`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_points` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `balance` int(11) NOT NULL default '0',
  `earnings` int(11) NOT NULL default '0',
  `credit` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_points`
--

LOCK TABLES `jos_users_points` WRITE;
/*!40000 ALTER TABLE `jos_users_points` DISABLE KEYS */;
INSERT INTO `jos_users_points` VALUES (1,62,0,0,0),(2,1000,0,0,0);
/*!40000 ALTER TABLE `jos_users_points` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_points_config`
--

DROP TABLE IF EXISTS `jos_users_points_config`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_points_config` (
  `id` int(11) NOT NULL auto_increment,
  `points` int(11) default '0',
  `description` varchar(255) default NULL,
  `alias` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_points_config`
--

LOCK TABLES `jos_users_points_config` WRITE;
/*!40000 ALTER TABLE `jos_users_points_config` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_users_points_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_points_services`
--

DROP TABLE IF EXISTS `jos_users_points_services`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_points_services` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(250) NOT NULL default '',
  `category` varchar(50) NOT NULL default '',
  `alias` varchar(50) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `unitprice` float(6,2) default '0.00',
  `pointsprice` int(11) default '0',
  `currency` varchar(50) default 'points',
  `maxunits` int(11) default '0',
  `minunits` int(11) default '0',
  `unitsize` int(11) default '0',
  `status` int(11) default '0',
  `restricted` int(11) default '0',
  `ordering` int(11) default '0',
  `params` text,
  `unitmeasure` varchar(200) NOT NULL default '',
  `changed` datetime default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `alias` (`alias`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_points_services`
--

LOCK TABLES `jos_users_points_services` WRITE;
/*!40000 ALTER TABLE `jos_users_points_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_users_points_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_points_subscriptions`
--

DROP TABLE IF EXISTS `jos_users_points_subscriptions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_points_subscriptions` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `serviceid` int(11) NOT NULL default '0',
  `units` int(11) NOT NULL default '1',
  `status` int(11) NOT NULL default '0',
  `pendingunits` int(11) default '0',
  `pendingpayment` float(6,2) default '0.00',
  `totalpaid` float(6,2) default '0.00',
  `installment` int(11) default '0',
  `contact` varchar(20) default '',
  `code` varchar(10) default '',
  `usepoints` tinyint(2) default '0',
  `notes` text,
  `added` datetime NOT NULL,
  `updated` datetime default NULL,
  `expires` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_points_subscriptions`
--

LOCK TABLES `jos_users_points_subscriptions` WRITE;
/*!40000 ALTER TABLE `jos_users_points_subscriptions` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_users_points_subscriptions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_tracperms`
--

DROP TABLE IF EXISTS `jos_users_tracperms`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_tracperms` (
  `user_id` int(11) NOT NULL,
  `action` varchar(255) NOT NULL,
  `project_id` int(11) NOT NULL,
  PRIMARY KEY  (`user_id`,`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_tracperms`
--

LOCK TABLES `jos_users_tracperms` WRITE;
/*!40000 ALTER TABLE `jos_users_tracperms` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_users_tracperms` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_users_transactions`
--

DROP TABLE IF EXISTS `jos_users_transactions`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_users_transactions` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `type` varchar(20) default NULL,
  `description` varchar(250) default NULL,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `category` varchar(50) default NULL,
  `referenceid` int(11) default '0',
  `amount` int(11) default '0',
  `balance` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_users_transactions`
--

LOCK TABLES `jos_users_transactions` WRITE;
/*!40000 ALTER TABLE `jos_users_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_users_transactions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_vote_log`
--

DROP TABLE IF EXISTS `jos_vote_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_vote_log` (
  `id` int(11) NOT NULL auto_increment,
  `referenceid` int(11) NOT NULL default '0',
  `voted` datetime NOT NULL default '0000-00-00 00:00:00',
  `voter` int(11) default NULL,
  `helpful` varchar(11) default NULL,
  `ip` varchar(15) default NULL,
  `category` varchar(50) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_vote_log`
--

LOCK TABLES `jos_vote_log` WRITE;
/*!40000 ALTER TABLE `jos_vote_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_vote_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_weblinks`
--

DROP TABLE IF EXISTS `jos_weblinks`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_weblinks` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `catid` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL default '0',
  `title` varchar(250) NOT NULL default '',
  `alias` varchar(255) NOT NULL default '',
  `url` varchar(250) NOT NULL default '',
  `description` text NOT NULL,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `hits` int(11) NOT NULL default '0',
  `published` tinyint(1) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL default '0',
  `archived` tinyint(1) NOT NULL default '0',
  `approved` tinyint(1) NOT NULL default '1',
  `params` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `catid` (`catid`,`published`,`archived`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_weblinks`
--

LOCK TABLES `jos_weblinks` WRITE;
/*!40000 ALTER TABLE `jos_weblinks` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_weblinks` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_attachments`
--

DROP TABLE IF EXISTS `jos_wiki_attachments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_attachments` (
  `id` int(11) NOT NULL auto_increment,
  `pageid` int(11) default '0',
  `filename` varchar(255) default NULL,
  `description` tinytext,
  `created` datetime default '0000-00-00 00:00:00',
  `created_by` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_attachments`
--

LOCK TABLES `jos_wiki_attachments` WRITE;
/*!40000 ALTER TABLE `jos_wiki_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wiki_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_comments`
--

DROP TABLE IF EXISTS `jos_wiki_comments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_comments` (
  `id` int(11) NOT NULL auto_increment,
  `pageid` int(11) NOT NULL default '0',
  `version` int(11) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) NOT NULL default '0',
  `ctext` text,
  `chtml` text,
  `rating` tinyint(1) NOT NULL default '0',
  `anonymous` tinyint(1) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `status` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_comments`
--

LOCK TABLES `jos_wiki_comments` WRITE;
/*!40000 ALTER TABLE `jos_wiki_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wiki_comments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_log`
--

DROP TABLE IF EXISTS `jos_wiki_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_log` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `uid` int(11) default '0',
  `action` varchar(50) default NULL,
  `comments` text,
  `actorid` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_log`
--

LOCK TABLES `jos_wiki_log` WRITE;
/*!40000 ALTER TABLE `jos_wiki_log` DISABLE KEYS */;
INSERT INTO `jos_wiki_log` VALUES (1,5,'0000-00-00 00:00:00',62,'page_edited',NULL,62);
/*!40000 ALTER TABLE `jos_wiki_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_math`
--

DROP TABLE IF EXISTS `jos_wiki_math`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_math` (
  `inputhash` varbinary(16) NOT NULL,
  `outputhash` varbinary(16) NOT NULL,
  `conservativeness` tinyint(4) NOT NULL,
  `html` text,
  `mathml` text,
  `id` int(11) NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `inputhash` (`inputhash`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_math`
--

LOCK TABLES `jos_wiki_math` WRITE;
/*!40000 ALTER TABLE `jos_wiki_math` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wiki_math` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_page`
--

DROP TABLE IF EXISTS `jos_wiki_page`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_page` (
  `id` int(11) NOT NULL auto_increment,
  `pagename` varchar(100) default NULL,
  `hits` int(11) NOT NULL default '0',
  `created_by` int(11) NOT NULL default '0',
  `rating` decimal(2,1) NOT NULL default '0.0',
  `times_rated` int(11) NOT NULL default '0',
  `title` varchar(255) default NULL,
  `scope` varchar(255) NOT NULL,
  `params` tinytext,
  `ranking` float default '0',
  `authors` varchar(255) default NULL,
  `access` tinyint(2) default '0',
  `group` varchar(255) default NULL,
  `state` tinyint(2) default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `title` (`title`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_page`
--

LOCK TABLES `jos_wiki_page` WRITE;
/*!40000 ALTER TABLE `jos_wiki_page` DISABLE KEYS */;
INSERT INTO `jos_wiki_page` VALUES (1,'Help:PageHistory',0,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0),(2,'Help:WikiFormatting',1,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0),(3,'Help:WikiHtml',0,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0),(4,'Help:WikiPageNames',0,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0),(5,'MainPage',15,0,'0.0',0,'','','mode=wiki',0,'',0,'',0),(6,'Help:WikiMacros',0,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0),(7,'Help:WikiMath',0,0,'0.0',0,NULL,'','mode=wiki\n',0,NULL,0,NULL,0);
/*!40000 ALTER TABLE `jos_wiki_page` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wiki_version`
--

DROP TABLE IF EXISTS `jos_wiki_version`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wiki_version` (
  `id` int(11) NOT NULL auto_increment,
  `pageid` int(11) NOT NULL default '0',
  `version` int(11) NOT NULL default '0',
  `created` datetime default NULL,
  `created_by` int(11) NOT NULL default '0',
  `minor_edit` int(1) NOT NULL default '0',
  `pagetext` text,
  `pagehtml` text,
  `approved` int(1) NOT NULL default '0',
  `summary` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `pagetext` (`pagetext`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wiki_version`
--

LOCK TABLES `jos_wiki_version` WRITE;
/*!40000 ALTER TABLE `jos_wiki_version` DISABLE KEYS */;
INSERT INTO `jos_wiki_version` VALUES (1,1,1,'0000-00-00 00:00:00',62,0,'== Introduction ==\n\nAll editable pages have an associated page history, which consists of the old versions of the wikitext, as well as a record of the date and time of every edit, the name of the user who wrote it, and their edit summary. Access the page history by clicking the \"history\" tab at the top of the page. This may also be referred to as the revision history or edit history.\n\n * All changes made to the page are listed in reverse-chronological order (newest to oldest).\n * To view a specific version, click a date.\n * To compare an old version with the current version, click cur.\n * To compare a version with its predecessor, click last.\n * To compare two specific versions, tick the left-column radio button of the older version and the right-column radio button of the newer version, and then click the \"Compare selected versions\" button.\n\n=== Linking to a specific version of a page ===\n\nIt is occasionally useful to link to a specific version of an article (a snapshot of it). For example, one might have done a review of an article and want to indicate which particular version was reviewed.\n\nIf the version is not the current version, one can use the page history to view the old version of the page. The URL of this old version is suitable for use to permanently reference this version, and can usually be obtained from the browser\'s location bar.\n\n=== Reverting a page ===\n\nIf your new pages edits aren\'t to your liking, don\'t panic; you can \'revert\' or restore the page to any previous version.','<h2> Introduction </h2>\n<p>All editable pages have an associated page history, which consists of the old versions of the wikitext, as well as a record of the date and time of every edit, the name of the user who wrote it, and their edit summary. Access the page history by clicking the &#8220;history&#8221; tab at the top of the page. This may also be referred to as the revision history or edit history.\n</p>\n<ul><li> All changes made to the page are listed in reverse-chronological order (newest to oldest).\n</li><li> To view a specific version, click a date.\n</li><li> To compare an old version with the current version, click cur.\n</li><li> To compare a version with its predecessor, click last.\n</li><li> To compare two specific versions, tick the left-column radio button of the older version and the right-column radio button of the newer version, and then click the &#8220;Compare selected versions&#8221; button.\n</li></ul>\n<h3> Linking to a specific version of a page </h3>\n<p>It is occasionally useful to link to a specific version of an article (a snapshot of it). For example, one might have done a review of an article and want to indicate which particular version was reviewed.\n</p><p>If the version is not the current version, one can use the page history to view the old version of the page. The <span class=\"caps\">URL</span> of this old version is suitable for use to permanently reference this version, and can usually be obtained from the browser&#8217;s location bar.\n</p>\n<h3> Reverting a page </h3>\n<p>If your new pages edits aren&#8217;t to your liking, don&#8217;t panic; you can &#8216;revert&#8217; or restore the page to any previous version.\n</p>',1,NULL),(2,2,1,'0000-00-00 00:00:00',62,0,'= Wiki Formatting =\n\nWiki markup is a core feature for Topic pages, tightly integrating all the other parts of Trac into a flexible and powerful whole.\n\nnanoHUB has a built in small and powerful wiki rendering engine. This wiki engine implements an ever growing subset of the commands from other popular Wikis, especially [http://moinmoin.wikiwikiweb.de/ MoinMoin]. \n\nThis page demonstrates the formatting syntax available anywhere [Help:WikiFormatting Wiki Formatting] is allowed.\n\n== Font Styles ==\n\nThe pages supports the following font styles:\n{{{\n * \'\'\'bold\'\'\', \'\'\'!\'\'\' can be bold too\'\'\', and \'\'\'! \'\'\'\n * \'\'italic\'\'\n * \'\'\'\'\'bold italic\'\'\'\'\'\n * __underline__\n * {{{monospace}}} or `monospace`\n * ~~strike-through~~\n * ^superscript^ \n * ,,subscript,,\n}}}\n\nDisplay:\n * \'\'\'bold\'\'\', \'\'\'!\'\'\' can be bold too\'\'\', and \'\'\'! \'\'\'\n * \'\'italic\'\'\n * \'\'\'\'\'bold italic\'\'\'\'\'\n * __underline__\n * {{{monospace}}} or `monospace`\n * ~~strike-through~~\n * ^superscript^ \n * ,,subscript,,\n\nNotes:\n * `{{{...}}}` and {{{`...`}}} commands not only select a monospace font, but also treat their content as verbatim text, meaning that no further wiki processing is done on this text.\n * ` ! ` tells wiki parser to not take the following characters as wiki format, so pay attention to put a space after !, e.g. when ending bold.\n\n== Headings ==\n\nYou can create heading by starting a line with one up to five \'\'equal\'\' characters (\"=\") followed by a single space and the headline text. The line should end with a space  followed by the same number of \'\'=\'\' characters. The heading might optionally be followed by an explicit id. If not, an implicit but nevertheless readable id will be generated.\n\nExample:\n{{{\n= Heading =\n== Subheading ==\n=== About \'\'this\'\' ===\n=== Explicit id === #using-explicit-id-in-heading\n}}}\n\nDisplay:\n= Heading =\n== Subheading ==\n=== About \'\'this\'\' ===\n=== Explicit id === #using-explicit-id-in-heading\n\n== Paragraphs ==\n\nA new text paragraph is created whenever two blocks of text are separated by one or more empty lines.\n\nA forced line break can also be inserted, using:\n{{{\nLine 1[[BR]]Line 2\n}}}\nDisplay:\n\nLine 1[[BR]]Line 2\n\n== Lists ==\n\nThe wiki supports both ordered/numbered and unordered lists.\n\nExample:\n{{{\n * Item 1\n  * Item 1.1\n * Item 2\n\n # Item 1\n  # Item 1.a\n  # Item 1.b\n   # Item 1.b.i\n  # Item 1.b.ii\n # Item 2\n}}}\n\nDisplay:\n * Item 1\n  * Item 1.1\n * Item 2\n\n # Item 1\n  # Item 1.a\n  # Item 1.b\n   # Item 1.b.i\n   # Item 1.b.ii\n # Item 2\n\nNote that there must be one or more spaces preceding the list item markers, otherwise the list will be treated as a normal paragraph.\n\n== Definition Lists ==\n\nThe wiki also supports definition lists.\n\nExample:\n{{{\n llama::\n   some kind of mammal, with hair\n ppython::\n   some kind of reptile, without hair\n   (can you spot the typo?)\n}}}\n\nDisplay:\n llama::\n   some kind of mammal, with hair\n ppython::\n   some kind of reptile, without hair\n   (can you spot the typo?)\n\n== Preformatted Text ==\n\nBlock containing preformatted text are suitable for source code snippets, notes and examples. Use three \'\'curly braces\'\' wrapped around the text to define a block quote. The curly braces need to be on a separate line.\n\nExample:\n{{{\n {{{\n  def HelloWorld():\n      print \"Hello World\"\n }}}\n}}}\n\nDisplay:\n{{{\n def HelloWorld():\n     print \"Hello World\"\n}}}\n\n== Blockquotes ==\n\nIn order to mark a paragraph as blockquote, indent that paragraph with two spaces.\n\nExample:\n{{{\n  This text is a quote from someone else.\n}}}\n\nDisplay:\n  This text is a quote from someone else.\n\n== Tables ==\n\nSimple tables can be created like this:\n{{{\n||Cell 1||Cell 2||Cell 3||\n||Cell 4||Cell 5||Cell 6||\n}}}\n\nDisplay:\n\n||Cell 1||Cell 2||Cell 3||\n||Cell 4||Cell 5||Cell 6||\n\n== Links ==\n\nHyperlinks are automatically created for WikiPageNames and URLs. !WikiPageLinks can be disabled by prepending an exclamation mark \"!\" character, such as {{{!WikiPageLink}}}.\n\nExample:\n{{{\n  MainPage, http://www.edgewall.com/, !NotAlink\n}}}\n\nDisplay:\n  MainPage, http://www.edgewall.com/, !NotAlink\n\nLinks can be given a more descriptive title by writing the link followed by a space and a title and all this inside square brackets.  If the descriptive title is omitted, then the explicit prefix is discarded, unless the link is an external link. This can be useful for wiki pages not adhering to the WikiPageNames convention.\n\nExample:\n{{{\n * [http://www.edgewall.com/ Edgewall Software]\n * [MainPage Main Page]\n * [Help:WikiMacros]\n}}}\n\nDisplay:\n * [http://www.edgewall.com/ Edgewall Software]\n * [MainPage Main Page]\n * [Help:WikiMacros]\n\n== Escaping Links and WikiPageNames ==\n\nYou may avoid making hyperlinks out of TracLinks by preceding an expression with a single \"!\" (exclamation mark).\n\nExample:\n{{{\n !NoHyperLink\n !#42 is not a link\n}}}\n\nDisplay:\n !NoHyperLink\n !#42 is not a link\n\n== Images ==\n\nThe simplest way to include an image is to upload it as attachment to the current page, and put the filename in a macro call like `[[Image(picture.gif)]]`.\n\nIn addition to the current page, it is possible to refer to other resources:\n\n * `[[Image(picture.gif)]]` (simplest)\n * `[[Image(picture.gif, 120px)]]` (give it a specific width)\n * `[[Image(picture.gif, right)]]` (align by keyword)\n * `[[Image(picture.gif, nolink)]]` (unlinked)\n * `[[Image(picture.gif, align=right)]]` (align by attribute)\n\nSee [Help:WikiMacros Help: Wiki Macros] for further documentation on the `[[Image()]]` macro.\n\n== Macros ==\n\nMacros are \'\'custom functions\'\' to insert dynamic content in a page.\n\nExample:\n{{{\n[[Timestamp]]\n}}}\n\nDisplay:\n[[Timestamp]]\n\nSee [Help:WikiMacros Wiki Macros] for more information, and a list of installed macros.\n\n== Miscellaneous ==\n\nFour or more dashes will be replaced by a horizontal line.\n\nExample:\n{{{\n----\n}}}\n\nDisplay:\n----','<h1> Wiki Formatting </h1>\n<p>Wiki markup is a core feature for Topic pages, tightly integrating all the other parts of Trac into a flexible and powerful whole.\n</p><p>nanoHUB has a built in small and powerful wiki rendering engine. This wiki engine implements an ever growing subset of the commands from other popular Wikis, especially <a class=\"ext-link\" href=\"http://moinmoin.wikiwikiweb.de/\">MoinMoin</a>. \n</p><p>This page demonstrates the formatting syntax available anywhere <a class=\"wiki int-link\" href=\"/topics/Help:WikiFormatting\">Wiki Formatting</a> is allowed.\n</p>\n<h2> Font Styles </h2>\n<p>The pages supports the following font styles:\n</p>\n<pre>\n * \'\'\'bold\'\'\', \'\'\'!\'\'\' can be bold too\'\'\', and \'\'\'! \'\'\'\n * \'\'italic\'\'\n * \'\'\'\'\'bold italic\'\'\'\'\'\n * __underline__\n * {{{monospace}}} or `monospace`\n * ~~strike-through~~\n * ^superscript^ \n * ,,subscript,,\n</pre>\n<p>Display:\n</p>\n<ul><li> <b>bold</b>, <b>!</b> can be bold too<b>, and </b>! <b></b>\n</li><li> <i>italic</i>\n</li><li> <i><b>bold italic</b></i>\n</li><li> <span style=\"text-decoration:underline;\">underline</span>\n</li><li> <code>monospace</code> or <code>monospace</code>\n</li><li> <del>strike-through</del>\n</li><li> <sup>superscript</sup> \n</li><li> <sub>subscript</sub>\n</li></ul>\n<p>Notes:\n</p>\n<ul><li> <code>{{{...}}}</code> and <code>`...`</code> commands not only select a monospace font, but also treat their content as verbatim text, meaning that no further wiki processing is done on this text.\n</li><li> <code> ! </code> tells wiki parser to not take the following characters as wiki format, so pay attention to put a space after&nbsp;!, e.g. when ending bold.\n</li></ul>\n<h2> Headings </h2>\n<p>You can create heading by starting a line with one up to five <i>equal</i> characters (&#8221;=&#8221;) followed by a single space and the headline text. The line should end with a space  followed by the same number of <i>=</i> characters. The heading might optionally be followed by an explicit id. If not, an implicit but nevertheless readable id will be generated.\n</p><p>Example:\n</p>\n<pre>\n= Heading =\n== Subheading ==\n=== About \'\'this\'\' ===\n=== Explicit id === #using-explicit-id-in-heading\n</pre>\n<p>Display:\n</p>\n<h1> Heading </h1>\n<h2> Subheading </h2>\n<h3> About <i>this</i> </h3>\n<h3 id=\"using-explicit-id-in-heading\"> Explicit id </h3>\n<h2> Paragraphs </h2>\n<p>A new text paragraph is created whenever two blocks of text are separated by one or more empty lines.\n</p><p>A forced line break can also be inserted, using:\n</p>\n<pre>\nLine 1[[BR]]Line 2\n</pre>\n<p>Display:\n</p><p>Line 1<br />Line 2\n</p>\n<h2> Lists </h2>\n<p>The wiki supports both ordered/numbered and unordered lists.\n</p><p>Example:\n</p>\n<pre>\n * Item 1\n  * Item 1.1\n * Item 2\n\n # Item 1\n  # Item 1.a\n  # Item 1.b\n   # Item 1.b.i\n  # Item 1.b.ii\n # Item 2\n</pre>\n<p>Display:\n</p>\n<ul><li> Item 1\n<ul><li> Item 1.1\n</li></ul>\n</li><li> Item 2\n</li></ul>\n<ol><li> Item 1\n<ol><li> Item 1.a\n</li><li> Item 1.b\n<ol><li> Item 1.b.i\n</li><li> Item 1.b.ii\n</li></ol>\n</li></ol>\n</li><li> Item 2\n</li></ol>\n<p>Note that there must be one or more spaces preceding the list item markers, otherwise the list will be treated as a normal paragraph.\n</p>\n<h2> Definition Lists </h2>\n<p>The wiki also supports definition lists.\n</p><p>Example:\n</p>\n<pre>\n llama::\n   some kind of mammal, with hair\n ppython::\n   some kind of reptile, without hair\n   (can you spot the typo?)\n</pre>\n<p>Display:\n</p>\n<dl><dt>llama</dt>\n<dd>some kind of mammal, with hair\n</dd>\n<dt>ppython</dt>\n<dd>some kind of reptile, without hair\n(can you spot the typo?)\n</dd></dl>\n<h2> Preformatted Text </h2>\n<p>Block containing preformatted text are suitable for source code snippets, notes and examples. Use three <i>curly braces</i> wrapped around the text to define a block quote. The curly braces need to be on a separate line.\n</p><p>Example:\n</p>\n<pre>\n {{{\n  def HelloWorld():\n      print \"Hello World\"\n }}}\n</pre>\n<p>Display:\n</p>\n<pre>\n def HelloWorld():\n     print \"Hello World\"\n</pre>\n<h2> Blockquotes </h2>\n<p>In order to mark a paragraph as blockquote, indent that paragraph with two spaces.\n</p><p>Example:\n</p>\n<pre>\n  This text is a quote from someone else.\n</pre>\n<p>Display:\n</p>\n<blockquote>This text is a quote from someone else.</blockquote>\n\n<h2> Tables </h2>\n<p>Simple tables can be created like this:\n</p>\n<pre>\n||Cell 1||Cell 2||Cell 3||\n||Cell 4||Cell 5||Cell 6||\n</pre>\n<p>Display:\n</p>\n	<table>\n		<tr>\n			<td>Cell 1</td>\n			<td>Cell 2</td>\n			<td>Cell 3</td>\n		</tr>\n		<tr>\n			<td>Cell 4</td>\n			<td>Cell 5</td>\n			<td>Cell 6</td>\n		</tr>\n	</table>\n<h2> Links </h2>\n<p>Hyperlinks are automatically created for <a href=\"/topics/WikiPageNames\" class=\"wiki missing\">WikiPageNames</a> and <span class=\"caps\">URL</span>s. WikiPageLinks can be disabled by prepending an exclamation mark &#8220;!&#8221; character, such as <code>!WikiPageLink</code>.\n</p><p>Example:\n</p>\n<pre>\n  MainPage, http://www.edgewall.com/, !NotAlink\n</pre>\n<p>Display:\n</p>\n<blockquote><a href=\"/topics/MainPage\" class=\"wiki missing\">MainPage</a>,<a class=\"ext-link\" href=\"http://www.edgewall.com/\" rel=\"external\">http://www.edgewall.com/</a>, NotAlink</blockquote>\n\n<p>Links can be given a more descriptive title by writing the link followed by a space and a title and all this inside square brackets.  If the descriptive title is omitted, then the explicit prefix is discarded, unless the link is an external link. This can be useful for wiki pages not adhering to the <a href=\"/topics/WikiPageNames\" class=\"wiki missing\">WikiPageNames</a> convention.\n</p><p>Example:\n</p>\n<pre>\n * [http://www.edgewall.com/ Edgewall Software]\n * [MainPage Main Page]\n * [Help:WikiMacros]\n</pre>\n<p>Display:\n</p>\n<ul><li> <a class=\"ext-link\" href=\"http://www.edgewall.com/\">Edgewall Software</a>\n</li><li> <a class=\"wiki missing\" href=\"/topics/MainPage\">Main Page</a>\n</li><li> <a class=\"wiki missing\" href=\"/topics/Help:WikiMacros\">WikiMacros</a>\n</li></ul>\n<h2> Escaping Links and <a href=\"/topics/WikiPageNames\" class=\"wiki missing\">WikiPageNames</a> </h2>\n<p>You may avoid making hyperlinks out of <a href=\"/topics/TracLinks\" class=\"wiki missing\">TracLinks</a> by preceding an expression with a single &#8220;!&#8221; (exclamation mark).\n</p><p>Example:\n</p>\n<pre>\n !NoHyperLink\n !#42 is not a link\n</pre>\n<p>Display:\n<!-- ERR 1 -->oHyperLink\n<!-- ERR 2 -->#42 is not a link\n<!-- ERR 3 --><h2> Images </h2>\n<p>The simplest way to include an image is to upload it as attachment to the current page, and put the filename in a macro call like <code>[[Image(picture.gif)]]</code>.\n</p><p>In addition to the current page, it is possible to refer to other resources:\n</p>\n<ul><li> <code>[[Image(picture.gif)]]</code> (simplest)\n</li><li> <code>[[Image(picture.gif, 120px)]]</code> (give it a specific width)\n</li><li> <code>[[Image(picture.gif, right)]]</code> (align by keyword)\n</li><li> <code>[[Image(picture.gif, nolink)]]</code> (unlinked)\n</li><li> <code>[[Image(picture.gif, align=right)]]</code> (align by attribute)\n</li></ul>\n<p>See <a class=\"wiki missing\" href=\"/topics/Help:WikiMacros\">Wiki Macros</a> for further documentation on the <code>[[Image()]]</code> macro.\n</p>\n<h2> Macros </h2>\n<p>Macros are <i>custom functions</i> to insert dynamic content in a page.\n</p><p>Example:\n</p>\n<pre>\n[[Timestamp]]\n</pre>\n<p>Display:\nNOW()\n</p><p>See <a class=\"wiki missing\" href=\"/topics/Help:WikiMacros\">Wiki Macros</a> for more information, and a list of installed macros.\n</p>\n<h2> Miscellaneous </h2>\n<p>Four or more dashes will be replaced by a horizontal line.\n</p><p>Example:\n</p>\n<pre>\n----\n</pre>\n<p>Display:\n</p>\n<hr />\n',1,NULL),(3,3,1,'0000-00-00 00:00:00',62,0,'The wiki supports inserting HTML into any wiki context.\n\nHTML support is built-in, and does not require installing any additional packages.\n\n== How to Use HTML ==\nTo inform the wiki engine that a block of text should be treated as HTML, use the \'\'html\'\' processor. \n\nThis example should explain:\n{{{\n#!html\n<pre>{{{\n#!html\n&lt;h1 style=\"text-align: right; color: blue\"&gt;HTML Test&lt;/h1&gt;\n}}}</pre>\n}}}\n\nResults in:\n{{{\n#!html\n<h1 style=\"text-align: right; color: blue\">HTML Test</h1>\n}}}\n\nNote that the wiki sanitizes your HTML code before displaying it. That means that if you try to use potentially dangerous constructs such as Javascript event handlers, those will be removed from the output. \n\n{{{\n{{{\n#!html\n&lt;div class=warning style=\"border: 2pt solid; text-align: center\"&gt;\nThis is the \'\'only\'\' way to go.\n&lt;/div&gt;\n}}}\n}}}\n\nResults in:\n{{{\n#!html\n<div class=warning style=\"border: 2pt solid; text-align: center\">\nThis is the \'\'only\'\' way to go.\n</div>\n}}}\n\nFor spans, you should rather use the Macro call syntax:\n{{{\n  Hello [[span(\'\'WORLD\'\' (click [#world-anchor here]), style=color: green; font-size: 120%, id=world-anchor)]]!\n}}}\n\nResults in:\n  Hello [[span(\'\'WORLD\'\' (click [#world-anchor here]), style=color: green; font-size: 120%, id=world-anchor)]]!\n\n\n== More Information ==\n\n * http://www.w3.org/ -- World Wide Web Consortium\n * http://www.w3.org/MarkUp/ -- HTML Markup Home Page\n\n----\nSee also: [Help:WikiFormatting Wiki Formatting], [Help:WikiMacros Wiki Macros]','<p>The wiki supports inserting <span class=\"caps\">HTML</span> into any wiki context.\n</p><p><span class=\"caps\">HTML</span> support is built-in, and does not require installing any additional packages.\n</p>\n<h2> How to Use <span class=\"caps\">HTML</span> </h2>\n<p>To inform the wiki engine that a block of text should be treated as <span class=\"caps\">HTML</span>, use the <i>html</i> processor. \n</p><p>This example should explain:\n</p>\n\n\n<pre>{{{\n#!html\n&lt;h1 style=\"text-align: right; color: blue\"&gt;HTML Test&lt;/h1&gt;\n}}}</pre>\n\n<p>Results in:\n</p>\n\n\n<h1 style=\"text-align: right; color: blue\">HTML Test</h1>\n\n<p>Note that the wiki sanitizes your <span class=\"caps\">HTML</span> code before displaying it. That means that if you try to use potentially dangerous constructs such as Javascript event handlers, those will be removed from the output. \n</p>\n<pre>\n{{{\n#!html\n&lt;div class=warning style=\"border: 2pt solid; text-align: center\"&gt;\nThis is the \'\'only\'\' way to go.\n&lt;/div&gt;\n}}}\n</pre>\n<p>Results in:\n</p>\n\n\n<div class=warning style=\"border: 2pt solid; text-align: center\">\nThis is the \'\'only\'\' way to go.\n</div>\n\n<p>For spans, you should rather use the Macro call syntax:\n</p>\n<pre>\n  Hello [[span(\'\'WORLD\'\' (click [#world-anchor here]), style=color: green; font-size: 120%, id=world-anchor)]]!\n</pre>\n<p>Results in:\n</p>\n<blockquote>Hello <span  style=\"color: green; font-size: 120%\"  id=\"world-anchor\"><i><span class=\"caps\">WORLD</span></i> (click [#world-anchor here])</span>!</blockquote>\n\n\n<h2> More Information </h2>\n<ul><li><a class=\"ext-link\" href=\"http://www.w3.org/\" rel=\"external\">http://www.w3.org/</a> &#8212; World Wide Web Consortium\n</li><li><a class=\"ext-link\" href=\"http://www.w3.org/MarkUp/\" rel=\"external\">http://www.w3.org/MarkUp/</a> &#8212; <span class=\"caps\">HTML</span> Markup Home Page\n</li></ul>\n<hr />\n<p>See also: <a class=\"wiki int-link\" href=\"/topics/Help:WikiFormatting\">Wiki Formatting</a>, <a class=\"wiki missing\" href=\"/topics/Help:WikiMacros\">Wiki Macros</a>\n</p>',1,NULL),(4,4,1,'0000-00-00 00:00:00',62,0,'== Wiki Page Names ==\n\nWiki page names commonly use the CamelCase convention. Within wiki text, any word in CamelCase automatically becomes a hyperlink to the wiki page with that name.\n\nCamelCase page names must follow these rules:\n\n # The name must consist of \'\'\'alphabetic characters only\'\'\'. No digits, spaces, punctuation, or underscores are allowed.\n # A name must have at least two capital letters.\n # The first character must be capitalized.\n # Every capital letter must be followed by one or more lower-case letters. \n # The use of slash ( / ) is permitted in page names (possibly representing a hierarchy).\n\nIf you want to create a wiki page that doesn\'t follow CamelCase rules you can use the following syntax:\n{{{\n * [wiki:Wiki_page], [wiki:ISO9000]\n * [wiki:\"Space Matters\"] that page name embeds space characters\n * or simply: [\"WikiPageName\"]s (!MoinMoin\'s internal free links style)\n}}}\n\nThis will be rendered as:\n * [wiki:Wiki_page], [wiki:ISO9000]\n * [wiki:\"Space Matters\"] that page name embeds space characters\n * or simply [\"WikiPageName\"] (!MoinMoin\'s internal free links style)\n\nFinally, one can also append an anchor to a Wiki page name, in order to link to a specific section within that page.','<h2> Wiki Page Names </h2>\n<p>Wiki page names commonly use the <a href=\"/topics/CamelCase\" class=\"wiki missing\">CamelCase</a> convention. Within wiki text, any word in <a href=\"/topics/CamelCase\" class=\"wiki missing\">CamelCase</a> automatically becomes a hyperlink to the wiki page with that name.\n</p><p><a href=\"/topics/CamelCase\" class=\"wiki missing\">CamelCase</a> page names must follow these rules:\n</p>\n<ol><li> The name must consist of <b>alphabetic characters only</b>. No digits, spaces, punctuation, or underscores are allowed.\n</li><li> A name must have at least two capital letters.\n</li><li> The first character must be capitalized.\n</li><li> Every capital letter must be followed by one or more lower-case letters. \n</li><li> The use of slash ( / ) is permitted in page names (possibly representing a hierarchy).\n</li></ol>\n<p>If you want to create a wiki page that doesn&#8217;t follow <a href=\"/topics/CamelCase\" class=\"wiki missing\">CamelCase</a> rules you can use the following syntax:\n</p>\n<pre>\n * [wiki:Wiki_page], [wiki:ISO9000]\n * [wiki:\"Space Matters\"] that page name embeds space characters\n * or simply: [\"WikiPageName\"]s (!MoinMoin\'s internal free links style)\n</pre>\n<p>This will be rendered as:\n</p>\n<ul><li> <a class=\"wiki missing\" href=\"/topics/Wiki_page\">Wiki_page</a>, <a class=\"wiki missing\" href=\"/topics/ISO9000\">ISO9000</a>\n</li><li> <a class=\"wiki missing\" href=\"/topics/#8220;Space\">Matters&#8221;</a> that page name embeds space characters\n</li><li> or simply <a class=\"wiki missing\" href=\"/topics/#8220;WikiPageName&amp;#8221;\">&#8220;WikiPageName&#8221;</a> (MoinMoin&#8217;s internal free links style)\n</li></ul>\n<p>Finally, one can also append an anchor to a Wiki page name, in order to link to a specific section within that page.\n</p>',1,NULL),(5,5,1,'0000-00-00 00:00:00',62,0,'Welcome to the \'\'\'Topics\'\'\' area. This portion of the site is currently in Beta, as we test out features and fix bugs.\n\n=== What are Topic Pages? ===\n\nTopic Pages are meant to be user-created community editable pages covering a specific topic or topics. Similar to a [http://en.wikipedia.org/wiki/Wiki wiki], topic pages allow users to share their knowledge of nanotechnology and related areas.\n\n=== How do I use this? ===\n\nYou can edit any of the pages in this area of the site and add information. For more instructions, see:\n\n==== Help Pages ====\n\n[[TitleIndex(Help)]]\n\n=== All Available Pages ===\n\n[[TitleIndex]]','<p>Welcome to the <b>Topics</b> area. This portion of the site is currently in Beta, as we test out features and fix bugs.\n</p>\n<h3> What are Topic Pages? </h3>\n<p>Topic Pages are meant to be user-created community editable pages covering a specific topic or topics. Similar to a <a class=\"ext-link\" href=\"http://en.wikipedia.org/wiki/Wiki\">wiki</a>, topic pages allow users to share their knowledge of nanotechnology and related areas.\n</p>\n<h3> How do I use this? </h3>\n<p>You can edit any of the pages in this area of the site and add information. For more instructions, see:\n</p>\n<h4> Help Pages </h4>\n<p><ul><li><a href=\"topics/Help:PageHistory\">Help:PageHistory</a></li>\n<li><a href=\"topics/Help:WikiFormatting\">Help:WikiFormatting</a></li>\n<li><a href=\"topics/Help:WikiHtml\">Help:WikiHtml</a></li>\n<li><a href=\"topics/Help:WikiPageNames\">Help:WikiPageNames</a></li>\n</ul>\n</p>\n<h3> All Available Pages </h3>\n<p>(No  pages to display)\n</p>',1,NULL),(6,6,1,'0000-00-00 00:00:00',62,0,'A macro inserts dynamic HTML data in any context supporting [Help:WikiFormatting Wiki Formatting].\n\n== Using Macros ==\n\nMacro calls are enclosed in two \'\'square brackets\'\'.\n\n=== Examples ===\n\n{{{\n[[Timestamp]]\n}}}\n\nDisplay:\n[[Timestamp]]\n\n{{{\n[[Resource(100)]]\n}}}\n\nDisplay:\n[[Resource(100)]]\n\n{{{\n[[Tag(heattransfer)]]\n}}}\n\nDisplay:\n[[Tag(heattransfer)]]\n\n{{{\nTo add a footnote to text you use the footnote macro. [[FootNote(Footnotes are automatically linked)]] You use the same macro but with no text to display the accumulated list of footnotes. For example:\n\n[[FootNote]]\n}}}\n\nDisplay:\nTo add a footnote to text you use the footnote macro. [[FootNote(Footnotes are automatically linked)]] You use the same macro but with no text to display the accumulated list of footnotes. For example:\n\n[[FootNote]]\n\n== Available Macros ==\n `[[BR]]`::\n   Insert a line break.\n `[[Span(content, attributes)]]`::\n   Wraps text or other elements inside a `<span>` tag.\n `[[Image(filename)]]`::\n   Embed an image in wiki-formatted text. The first argument is the filename of the image. The remaining arguments are optional and allow configuring the attributes and style of the rendered `<img>` element:{{{#!html<ul>\n<li>digits and unit are interpreted as the size (ex. 120, 25%) for the image</li>\n<li>right, left, top or bottom are interpreted as the alignment for the image</li>\n<li>nolink means without link to image source</li>\n<li>key=value style are interpreted as HTML attributes or CSS style indications for the image.<br />Valid keys are: align, border, width, height, alt, title, longdesc, class, id and usemap</li>\n</ul>}}}\n `[[File(content, attributes)]]`::\n   Works similar to the Image macro but, instead, generates a link to a file. The first argument is the filename.\n `[[Resource(id,alias)]]`::\n   This macro will insert a linked title to a resource. It can be passed wither an ID or alias.\n `[[Tool(id,alias)]]`::\n   This macro functions identically to the Resource macro mentioned above.\n `[[Contributor(id,username,name)]`::\n   This macro will generate a link to a contributor\'s page with the contributor\'s name as the link text. It accepts either the contributor\'s ID, username, or name. NOTE: to use a name, it must be identical to their contributor page.\n `[[Tag(tag)]]`::\n   This macro will generate a link to a Tag.\n `[[TitleIndex(prefix)]]`::\n   Inserts an alphabetic list of all wiki pages into the output. Accepts a prefix string as parameter: if provided, only pages with names that start with the prefix are included in the resulting list. If this parameter is omitted, all pages are listed.\n `[[FootNote(footnote text)]]`::\n   Add a footnote, or explicitly display collected footnotes when no args (footnote text) are given.\n `[[RandomPage]]`::\n   Generates a link to a random page.\n `[[Anchor(anchorname)]]`::\n   Inserts an anchor into a page.','<p>A macro inserts dynamic <span class=\"caps\">HTML</span> data in any context supporting <a class=\"wiki int-link\" href=\"/topics/Help:WikiFormatting\">Wiki Formatting</a>.\n</p>\n<h2> Using Macros </h2>\n<p>Macro calls are enclosed in two <i>square brackets</i>.\n</p>\n<h3> Examples </h3>\n<pre>\n[[Timestamp]]\n</pre>\n<p>Display:\nNOW()\n</p>\n<pre>\n[[Resource(100)]]\n</pre>\n<p>Display:\n(Resource(100) failed)\n</p>\n<pre>\n[[Tag(heattransfer)]]\n</pre>\n<p>Display:\n(heattransfer not found)\n</p>\n<pre>\nTo add a footnote to text you use the footnote macro. [[FootNote(Footnotes are automatically linked)]] You use the same macro but with no text to display the accumulated list of footnotes. For example:\n\n[[FootNote]]\n</pre>\n<p>Display:\nTo add a footnote to text you use the footnote macro. <sup><a name=\"fndef-1\"></a><a href=\"/topics/Help:WikiMacros#fnref-1\">&#91;1&#93;</a></sup> You use the same macro but with no text to display the accumulated list of footnotes. For example:\n</p><p><ol class=\"footnotes\"><li><a name=\"fnref-1\"></a>Footnotes are automatically linked</li></ol>\n</p>\n<h2> Available Macros </h2>\n<dl><dt><code>[[BR]]</code></dt>\n<dd>Insert a line break.\n</dd>\n<dt><code>[[Span(content, attributes)]]</code></dt>\n<dd>Wraps text or other elements inside a <code>&#60;span&#62;</code> tag.\n</dd>\n<dt><code>[[Image(filename)]]</code></dt>\n<dd>Embed an image in wiki-formatted text. The first argument is the filename of the image. The remaining arguments are optional and allow configuring the attributes and style of the rendered <code>&#60;img&#62;</code> element:<ul>\n<li>digits and unit are interpreted as the size (ex. 120, 25%) for the image</li>\n<li>right, left, top or bottom are interpreted as the alignment for the image</li>\n<li>nolink means without link to image source</li>\n<li>key=value style are interpreted as HTML attributes or CSS style indications for the image.<br />Valid keys are: align, border, width, height, alt, title, longdesc, class, id and usemap</li>\n</ul>\n<p></dd>\n<dt><code>[[File(content, attributes)]]</code></dt>\n<dd>Works similar to the Image macro but, instead, generates a link to a file. The first argument is the filename.\n</dd>\n<dt><code>[[Resource(id,alias)]]</code></dt>\n<dd>This macro will insert a linked title to a resource. It can be passed wither an ID or alias.\n</dd>\n<dt><code>[[Tool(id,alias)]]</code></dt>\n<dd>This macro functions identically to the Resource macro mentioned above.\n</dd>\n<dt><code>[[Contributor(id,username,name)]</code></dt>\n<dd>This macro will generate a link to a contributor&#8217;s page with the contributor&#8217;s name as the link text. It accepts either the contributor&#8217;s ID, username, or name. <span class=\"caps\">NOTE</span>: to use a name, it must be identical to their contributor page.\n</dd>\n<dt><code>[[Tag(tag)]]</code></dt>\n<dd>This macro will generate a link to a Tag.\n</dd>\n<dt><code>[[TitleIndex(prefix)]]</code></dt>\n<dd>Inserts an alphabetic list of all wiki pages into the output. Accepts a prefix string as parameter: if provided, only pages with names that start with the prefix are included in the resulting list. If this parameter is omitted, all pages are listed.\n</dd>\n<dt><code>[[FootNote(footnote text)]]</code></dt>\n<dd>Add a footnote, or explicitly display collected footnotes when no args (footnote text) are given.\n</dd>\n<dt><code>[[RandomPage]]</code></dt>\n<dd>Generates a link to a random page.\n</dd>\n<dt><code>[[Anchor(anchorname)]]</code></dt>\n<dd>Inserts an anchor into a page.\n</p>\n</dd></dl>\n',1,NULL),(7,7,1,'0000-00-00 00:00:00',62,0,'The Wiki supports LaTeX markup:\n\n<math>pi=\\frac{3}{4} \\sqrt{3}+24 \\int_0^{1/4}{\\sqrt{x-x^2}dx}</math>\n\nMathematical Formula (LaTeX) can be inserted into text like this:\n{{{\n<math>Insert formula here</math>\n}}}\n\nFor example:\n{{{<math>\\alpha^2+\\beta^2=1</math>}}}\n\n...displays <math>\\alpha^2+\\beta^2=1</math>\n\n== Displaying a Formula ==\n\nThe Wiki uses a subset of TeX markup, including some extensions from LaTeX and AMSLaTeX, for mathematical formulae. It generates either PNG images or simple HTML markup, depending on the complexity of the expression. While it can generate MathML, it is not currently used due to limited browser support. As browsers become more advanced and support for MathML becomes more wide-spread, this could be the preferred method of output as images have very real disadvantages.\n\n=== Syntax ===\n\nMath markup goes inside `<math> ... </math>`.\n\n===Pros of HTML===\n # In-line HTML formulae always align properly with the rest of the HTML text.\n # The formula\'s background, font size and face match the rest of HTML contents and the appearance respects CSS and browser settings.\n # Pages using HTML will load faster.\n\n=== Pros of TeX ===\n # TeX is semantically superior to HTML. In TeX, \"{{{x}}}\" means \"mathematical variable <math>x</math>\", whereas in HTML \"{{{x}}}\" could mean anything. Information has been irrevocably lost.\n # TeX has been specifically designed for typesetting formulae, so input is easier and more natural, and output is more aesthetically pleasing.\n # One consequence of point 1 is that TeX can be transformed into HTML, but not vice-versa. This means that on the server side we can always transform a formula, based on its complexity and location within the text, user preferences, type of browser, etc. Therefore, where possible, all the benefits of HTML can be retained, together with the benefits of TeX. It\'s true that the current situation is not ideal, but that\'s not a good reason to drop information/contents. It\'s more a reason to [[#Bug_reports|help improve the situation]].\n # Another consequence of point 1 is that TeX can be converted to [[w:MathML|MathML]] for browsers which support it, thus keeping its semantics and allowing it to be rendered vectorially.\n # When writing in TeX, editors need not worry about whether this or that version of this or that browser supports this or that HTML entity. The burden of these decisions is put on the server. This doesn\'t hold for HTML formulae, which can easily end up being rendered wrongly or differently from the editor\'s intentions on a different browser.\n # TeX is the preferred text formatting language of most professional mathematicians, scientists, and engineers. It is easier to persuade them to contribute if they can write in TeX.\n\n=== Example Formulas ===\n\nThe following are a few examples of formulas:\n\n{{{\n<math>\\sqrt{1-e^2}</math>\n}}}\n<math>\\sqrt{1-e^2}</math>\n\n{{{<math>\\overbrace{ 1+2+\\cdots+100 }^{5050}</math>}}}\n<math>\\overbrace{ 1+2+\\cdots+100 }^{5050}</math>\n\n{{{<math>ax^2 + bx + c = 0</math>}}}\n<math>ax^2 + bx + c = 0</math>\n\n{{{<math>\\int_{-N}^{N} e^x\\, dx</math>}}}\n<math>\\int_{-N}^{N} e^x\\, dx</math>\n\n== Functions, symbols, special characters ==\n\n=== Accents/Diacritics ===\n\n|| `\\acute{a} \\grave{a} \\hat{a} \\tilde{a} \\breve{a}` || <math>\\acute{a} \\grave{a} \\hat{a} \\tilde{a} \\breve{a}</math> ||\n|| `\\check{a} \\bar{a} \\ddot{a} \\dot{a}` ||<math>\\ \\check{a} \\bar{a} \\ddot{a} \\dot{a}</math> ||\n\n=== Standard functions ===\n\n|| `\\sin a \\cos b \\tan c`|| <math>\\ \\sin a \\cos b \\tan c</math> ||\n|| `\\sec d \\csc e \\cot f`|| <math>\\sec d \\csc e \\cot f\\,\\!</math> ||\n|| `\\arcsin h \\arccos i \\arctan j`|| <math>\\arcsin h \\arccos i \\arctan j\\,\\!</math> ||\n|| `\\sinh k \\cosh l \\tanh m \\coth n`|| <math>\\ \\sinh k \\cosh l \\tanh m \\coth n</math> ||\n|| `\\operatorname{sh}\\,o\\,\\operatorname{ch}\\,p\\,\\operatorname{th}\\,q`|| <math>\\ \\operatorname{sh}\\,o\\,\\operatorname{ch}\\,p\\,\\operatorname{th}\\,q</math> ||\n|| `\\operatorname{arsinh}\\,r\\,\\operatorname{arcosh}\\,s\\,\\operatorname{artanh}\\,t`|| <math>\\operatorname{arsinh}\\,r\\,\\operatorname{arcosh}\\,s\\,\\operatorname{artanh}\\,t\\,\\!</math> ||\n|| `\\lim u \\limsup v \\liminf w \\min x \\max y` || <math>\\ \\lim u \\limsup v \\liminf w \\min x \\max y</math> ||\n|| `\\inf z \\sup a \\exp b \\ln c \\lg d \\log e \\log_{10} f \\ker g` ||<math>\\ \\inf z \\sup a \\exp b \\ln c \\lg d \\log e \\log_{10} f \\ker g</math> ||\n|| `\\deg h \\gcd i \\Pr j \\det k \\hom l \\arg m \\dim n` || <math>\\deg h \\gcd i \\Pr j \\det k \\hom l \\arg m \\dim n\\,\\!</math> ||\n\n=== Modular arithmetic ===\n\n|| `s_k \\equiv 0 \\pmod{m}` || <math>s_k \\equiv 0 \\pmod{m}\\,\\! </math> ||\n|| `a\\,\\bmod\\,b` || <math>a\\,\\bmod\\,b\\,\\!</math> ||\n\n=== Derivatives ===\n\n|| `\\nabla \\, \\partial x \\, dx \\, \\dot x \\, \\ddot y\\, dy/dx\\, \\frac{dy}{dx}\\, \\frac{\\partial^2 y}{\\partial x_1\\,\\partial x_2}` || <math>\\nabla \\, \\partial x \\, dx \\, \\dot x \\, \\ddot y\\, dy/dx\\, \\frac{dy}{dx}\\, \\frac{\\partial^2 y}{\\partial x_1\\,\\partial x_2}</math> ||\n\n=== Sets ===\n\n|| `\\forall \\exists \\empty \\emptyset \\varnothing` || <math>\\forall \\exists \\empty \\emptyset \\varnothing\\,\\!</math> ||\n|| `\\in \\ni \\not \\in \\notin \\subset \\subseteq \\supset \\supseteq` || <math>\\in \\ni \\not \\in \\notin \\subset \\subseteq \\supset \\supseteq\\,\\!</math> ||\n|| `\\cap \\bigcap \\cup \\bigcup \\biguplus \\setminus \\smallsetminus` || <math>\\cap \\bigcap \\cup \\bigcup \\biguplus \\setminus \\smallsetminus\\,\\!</math> ||\n|| `\\sqsubset \\sqsubseteq \\sqsupset \\sqsupseteq \\sqcap \\sqcup \\bigsqcup` || <math>\\sqsubset \\sqsubseteq \\sqsupset \\sqsupseteq \\sqcap \\sqcup \\bigsqcup\\,\\!</math> ||\n\n=== Operators ===\n\n|| `+ \\oplus \\bigoplus \\pm \\mp - ` || <math>+ \\oplus \\bigoplus \\pm \\mp - \\,\\!</math> ||\n|| `\\times \\otimes \\bigotimes \\cdot \\circ \\bullet \\bigodot` || <math>\\times \\otimes \\bigotimes \\cdot \\circ \\bullet \\bigodot\\,\\!</math> ||\n|| `\\star * / \\div \\frac{1}{2}` || <math>\\star * / \\div \\frac{1}{2}\\,\\!</math> ||\n\n=== Logic ===\n|| `\\land (or \\and) \\wedge \\bigwedge \\bar{q} \\to p` || <math>\\land \\wedge \\bigwedge \\bar{q} \\to p\\,\\!</math> ||\n|| `\\lor \\vee \\bigvee \\lnot \\neg q \\And` || <math>\\lor \\vee \\bigvee \\lnot \\neg q \\And\\,\\!</math> ||\n\n=== Root ===\n\n|| `\\sqrt{2} \\sqrt[n]{x}` || <math>\\sqrt{2} \\sqrt[n]{x}\\,\\!</math> ||\n\n=== Relations ===\n\n|| `\\sim \\approx \\simeq \\cong \\dot=  \\overset{\\underset{\\mathrm{def}}{}}{=}` || <math>\\sim \\approx \\simeq \\cong \\dot=  \\overset{\\underset{\\mathrm{def}}{}}{=}\\,\\!</math> ||\n|| `\\le < \\ll \\gg \\ge > \\equiv \\not\\equiv \\ne \\mbox{or} \\neq \\propto` || <math>\\le < \\ll \\gg \\ge > \\equiv \\not\\equiv \\ne \\mbox{or} \\neq \\propto\\,\\!</math> ||\n\n=== Geometric ===\n\n|| `\\Diamond \\Box \\triangle \\angle \\perp \\mid \\nmid \\| 45^\\circ` || <math>\\Diamond \\, \\Box \\, \\triangle \\, \\angle \\perp \\, \\mid \\; \\nmid \\, \\| 45^\\circ\\,\\!</math> ||\n\n=== Arrows ===\n\n|| `\\leftarrow (or \\gets) \\rightarrow (or \\to) \\nleftarrow \\not\\to \\leftrightarrow \\nleftrightarrow \\longleftarrow \\longrightarrow \\longleftrightarrow` || <math>\\leftarrow \\rightarrow \\nleftarrow \\not\\to \\leftrightarrow \\nleftrightarrow \\longleftarrow \\longrightarrow \\longleftrightarrow \\,\\!</math> ||\n|| `\\Leftarrow \\Rightarrow \\nLeftarrow \\nRightarrow \\Leftrightarrow \\nLeftrightarrow \\Longleftarrow \\Longrightarrow \\Longleftrightarrow (or \\iff)` || <math>\\Leftarrow \\Rightarrow \\nLeftarrow \\nRightarrow \\Leftrightarrow \\nLeftrightarrow \\Longleftarrow \\Longrightarrow \\Longleftrightarrow \\,\\!</math> ||\n|| `\\uparrow \\downarrow \\updownarrow \\Uparrow \\Downarrow \\Updownarrow  \\nearrow \\searrow \\swarrow \\nwarrow` || <math>\\ \\uparrow \\downarrow \\updownarrow \\Uparrow \\Downarrow \\Updownarrow  \\nearrow \\searrow \\swarrow \\nwarrow</math> ||\n|| `\\rightharpoonup \\rightharpoondown \\leftharpoonup \\leftharpoondown \\upharpoonleft \\upharpoonright \\downharpoonleft \\downharpoonright \\rightleftharpoons \\leftrightharpoons` || <math>\\rightharpoonup \\rightharpoondown \\leftharpoonup \\leftharpoondown \\upharpoonleft \\upharpoonright \\downharpoonleft \\downharpoonright \\rightleftharpoons \\leftrightharpoons \\,\\!</math> ||\n|| `\\curvearrowleft \\circlearrowleft \\Lsh \\upuparrows \\rightrightarrows \\rightleftarrows \\Rrightarrow \\rightarrowtail \\looparrowright` || <math>\\curvearrowleft \\circlearrowleft \\Lsh \\upuparrows \\rightrightarrows \\rightleftarrows \\Rrightarrow \\rightarrowtail \\looparrowright \\,\\!</math> ||\n|| `\\curvearrowright \\circlearrowright \\Rsh \\downdownarrows \\leftleftarrows \\leftrightarrows \\Lleftarrow \\leftarrowtail \\looparrowleft` || <math>\\curvearrowright \\circlearrowright \\Rsh \\downdownarrows \\leftleftarrows \\leftrightarrows \\Lleftarrow \\leftarrowtail \\looparrowleft \\,\\!</math> ||\n|| `\\mapsto \\longmapsto \\hookrightarrow \\hookleftarrow \\multimap \\leftrightsquigarrow \\rightsquigarrow ` || <math>\\mapsto \\longmapsto \\hookrightarrow \\hookleftarrow \\multimap \\leftrightsquigarrow \\rightsquigarrow \\,\\!</math> ||\n\n=== Special ===\n\n|| `\\And \\eth \\S \\P \\% \\dagger \\ddagger \\ldots \\cdots` || <math>\\And \\eth \\S \\P \\% \\dagger \\ddagger \\ldots \\cdots\\,\\!</math> ||\n|| `\\smile \\frown \\wr \\triangleleft \\triangleright \\infty \\bot \\top` || <math>\\smile \\frown \\wr \\triangleleft \\triangleright \\infty \\bot \\top\\,\\!</math> ||\n|| `\\vdash \\vDash \\Vdash \\models \\lVert \\rVert \\imath \\hbar` || <math>\\vdash \\vDash \\Vdash \\models \\lVert \\rVert \\imath \\hbar\\,\\!</math> ||\n|| `\\ell \\mho \\Finv \\Re \\Im \\wp \\complement` || <math>\\ell \\mho \\Finv \\Re \\Im \\wp \\complement\\,\\!</math> ||\n|| `\\diamondsuit \\heartsuit \\clubsuit \\spadesuit \\Game \\flat \\natural \\sharp` || <math>\\diamondsuit \\heartsuit \\clubsuit \\spadesuit \\Game \\flat \\natural \\sharp\\,\\!</math> ||\n\n=== Unsorted (new stuff) ===\n\n|| `\\vartriangle \\triangledown \\lozenge \\circledS \\measuredangle \\nexists \\Bbbk \\backprime \\blacktriangle \\blacktriangledown` || <math> \\vartriangle \\triangledown \\lozenge \\circledS \\measuredangle \\nexists \\Bbbk \\backprime \\blacktriangle \\blacktriangledown</math> ||\n|| `\\blacksquare \\blacklozenge \\bigstar \\sphericalangle \\diagup \\diagdown \\dotplus \\Cap \\Cup \\barwedge` || <math>\\ \\blacksquare \\blacklozenge \\bigstar \\sphericalangle \\diagup \\diagdown \\dotplus \\Cap \\Cup \\barwedge</math> ||\n|| `\\veebar \\doublebarwedge \\boxminus \\boxtimes \\boxdot \\boxplus \\divideontimes \\ltimes \\rtimes \\leftthreetimes` || <math> \\veebar \\doublebarwedge \\boxminus \\boxtimes \\boxdot \\boxplus \\divideontimes \\ltimes \\rtimes \\leftthreetimes</math> ||\n|| `\\rightthreetimes \\curlywedge \\curlyvee \\circleddash \\circledast \\circledcirc \\centerdot \\intercal \\leqq \\leqslant` || <math> \\rightthreetimes \\curlywedge \\curlyvee \\circleddash \\circledast \\circledcirc \\centerdot \\intercal \\leqq \\leqslant</math> ||\n|| `\\eqslantless \\lessapprox \\approxeq \\lessdot \\lll \\lessgtr \\lesseqgtr \\lesseqqgtr \\doteqdot \\risingdotseq` || <math> \\eqslantless \\lessapprox \\approxeq \\lessdot \\lll \\lessgtr \\lesseqgtr \\lesseqqgtr \\doteqdot \\risingdotseq</math> ||\n|| `\\fallingdotseq \\backsim \\backsimeq \\subseteqq \\Subset \\preccurlyeq \\curlyeqprec \\precsim \\precapprox \\vartriangleleft` || <math> \\fallingdotseq \\backsim \\backsimeq \\subseteqq \\Subset \\preccurlyeq \\curlyeqprec \\precsim \\precapprox \\vartriangleleft</math> ||\n|| `\\Vvdash \\bumpeq \\Bumpeq \\geqq \\geqslant \\eqslantgtr \\gtrsim \\gtrapprox \\eqsim \\gtrdot` || <math> \\Vvdash \\bumpeq \\Bumpeq \\geqq \\geqslant \\eqslantgtr \\gtrsim \\gtrapprox \\eqsim \\gtrdot</math> ||\n|| `\\ggg \\gtrless \\gtreqless \\gtreqqless \\eqcirc \\circeq \\triangleq \\thicksim \\thickapprox \\supseteqq` || <math> \\ggg \\gtrless \\gtreqless \\gtreqqless \\eqcirc \\circeq \\triangleq \\thicksim \\thickapprox \\supseteqq</math> ||\n|| `\\Supset \\succcurlyeq \\curlyeqsucc \\succsim \\succapprox \\vartriangleright \\shortmid \\shortparallel \\between \\pitchfork` || <math> \\Supset \\succcurlyeq \\curlyeqsucc \\succsim \\succapprox \\vartriangleright \\shortmid \\shortparallel \\between \\pitchfork</math> ||\n|| `\\varpropto \\blacktriangleleft \\therefore \\backepsilon \\blacktriangleright \\because \\nleqslant \\nleqq \\lneq \\lneqq` || <math> \\varpropto \\blacktriangleleft \\therefore \\backepsilon \\blacktriangleright \\because \\nleqslant \\nleqq \\lneq \\lneqq</math> ||\n|| `\\lvertneqq \\lnsim \\lnapprox \\nprec \\npreceq \\precneqq \\precnsim \\precnapprox \\nsim \\nshortmid` || <math> \\lvertneqq \\lnsim \\lnapprox \\nprec \\npreceq \\precneqq \\precnsim \\precnapprox \\nsim \\nshortmid</math> ||\n|| `\\nvdash \\nVdash \\ntriangleleft \\ntrianglelefteq \\nsubseteq \\nsubseteqq \\varsubsetneq \\subsetneqq \\varsubsetneqq \\ngtr` || <math> \\nvdash \\nVdash \\ntriangleleft \\ntrianglelefteq \\nsubseteq \\nsubseteqq \\varsubsetneq \\subsetneqq \\varsubsetneqq \\ngtr</math> ||\n|| `\\subsetneq` || <math>\\subsetneq</math> ||\n|| `\\ngeqslant \\ngeqq \\gneq \\gneqq \\gvertneqq \\gnsim \\gnapprox \\nsucc \\nsucceq \\succneqq` || <math> \\ngeqslant \\ngeqq \\gneq \\gneqq \\gvertneqq \\gnsim \\gnapprox \\nsucc \\nsucceq \\succneqq</math> ||\n|| `\\succnsim \\succnapprox \\ncong \\nshortparallel \\nparallel \\nvDash \\nVDash \\ntriangleright \\ntrianglerighteq \\nsupseteq` || <math> \\succnsim \\succnapprox \\ncong \\nshortparallel \\nparallel \\nvDash \\nVDash \\ntriangleright \\ntrianglerighteq \\nsupseteq</math> ||\n|| `\\nsupseteqq \\varsupsetneq \\supsetneqq \\varsupsetneqq` || <math> \\nsupseteqq \\varsupsetneq \\supsetneqq \\varsupsetneqq</math> ||\n|| `\\jmath \\surd \\ast \\uplus \\diamond \\bigtriangleup \\bigtriangledown \\ominus` || <math>\\jmath \\surd \\ast \\uplus \\diamond \\bigtriangleup \\bigtriangledown \\ominus\\,\\!</math> ||\n|| `\\oslash \\odot \\bigcirc \\amalg \\prec \\succ \\preceq \\succeq` || <math>\\oslash \\odot \\bigcirc \\amalg \\prec \\succ \\preceq \\succeq\\,\\!</math> ||\n|| `\\dashv \\asymp \\doteq \\parallel` || <math>\\dashv \\asymp \\doteq \\parallel\\,\\!</math> ||\n|| `\\ulcorner \\urcorner \\llcorner \\lrcorner` || <math>\\ulcorner \\urcorner \\llcorner \\lrcorner</math> ||\n\n== Larger Expressions ==\n\n=== Parenthesizing big expressions, brackets, bars ===\n\n|| \'\'\'Feature\'\'\' || \'\'\'Syntax\'\'\' || \'\'\'How it looks rendered\'\'\' ||\n|| Bad || `( \\frac{1}{2} )` || <math>( \\frac{1}{2} )</math> ||\n|| Good || `\\left ( \\frac{1}{2} \\right )` || <math>\\left ( \\frac{1}{2} \\right )</math> ||\n\nYou can use various delimiters with \\left and \\right: \n\n|| \'\'\'Feature\'\'\' || \'\'\'Syntax\'\'\' || \'\'\'How it looks rendered\'\'\' ||\n|| Parentheses || `\\left ( \\frac{a}{b} \\right )` || <math>\\left ( \\frac{a}{b} \\right )</math> ||\n|| Brackets || `\\left [ \\frac{a}{b} \\right ] \\quad \\left \\lbrack \\frac{a}{b} \\right \\rbrack` || <math>\\left [ \\frac{a}{b} \\right ] \\quad \\left \\lbrack \\frac{a}{b} \\right \\rbrack</math> ||\n|| Braces || `\\left \\{ \\frac{a}{b} \\right \\} \\quad \\left \\lbrace \\frac{a}{b} \\right \\rbrace` || <math>\\left \\{ \\frac{a}{b} \\right \\} \\quad \\left \\lbrace \\frac{a}{b} \\right \\rbrace</math> ||\n|| Angle brackets || `\\left \\langle \\frac{a}{b} \\right \\rangle` || <math>\\left \\langle \\frac{a}{b} \\right \\rangle</math> ||\n|| Bars and double bars || `\\left | \\frac{a}{b} \\right \\vert \\left \\Vert \\frac{c}{d} \\right \\|` || <math>\\left | \\frac{a}{b} \\right \\vert \\left \\Vert \\frac{c}{d} \\right \\|</math> ||\n|| Floor and ceiling functions: || `\\left \\lfloor \\frac{a}{b} \\right \\rfloor \\left \\lceil \\frac{c}{d} \\right \\rceil` || <math>\\left \\lfloor \\frac{a}{b} \\right \\rfloor \\left \\lceil \\frac{c}{d} \\right \\rceil</math> ||\n|| Slashes and backslashes || `\\left / \\frac{a}{b} \\right \\backslash` || <math>\\left / \\frac{a}{b} \\right \\backslash</math> ||\n|| Up, down and up-down arrows || `\\left \\uparrow \\frac{a}{b} \\right \\downarrow \\quad \\left \\Uparrow \\frac{a}{b} \\right \\Downarrow \\quad \\left \\updownarrow \\frac{a}{b} \\right \\Updownarrow` || <math>\\left \\uparrow \\frac{a}{b} \\right \\downarrow \\quad \\left \\Uparrow \\frac{a}{b} \\right \\Downarrow \\quad \\left \\updownarrow \\frac{a}{b} \\right \\Updownarrow</math> ||\n|| Delimiters can be mixed,[[BR]]as long as \\left and \\right match || `\\left [ 0,1 \\right )` [[BR]] `\\left \\langle \\psi \\right |` || <math>\\left [ 0,1 \\right )</math> [[BR]] <math>\\left \\langle \\psi \\right |</math> ||\n|| Use \\left. and \\right. if you don\'t[[BR]]want a delimiter to appear: || `\\left . \\frac{A}{B} \\right \\} \\to X` || <math>\\left . \\frac{A}{B} \\right \\} \\to X</math> ||\n|| Size of the delimiters || `\\big( \\Big( \\bigg( \\Bigg( \\dots \\Bigg] \\bigg] \\Big] \\big]/` || <math>\\big( \\Big( \\bigg( \\Bigg( \\dots \\Bigg] \\bigg] \\Big] \\big]</math> ||\n|| . || `\\big\\{ \\Big\\{ \\bigg\\{ \\Bigg\\{ \\dots \\Bigg\\rangle \\bigg\\rangle \\Big\\rangle \\big\\rangle` || <math>\\big\\{ \\Big\\{ \\bigg\\{ \\Bigg\\{ \\dots \\Bigg\\rangle \\bigg\\rangle \\Big\\rangle \\big\\rangle</math> ||\n|| . || `\\big\\| \\Big\\| \\bigg\\| \\Bigg\\| \\dots \\Bigg| \\bigg| \\Big| \\big|` || <math>\\big\\| \\Big\\| \\bigg\\| \\Bigg\\| \\dots \\Bigg| \\bigg| \\Big| \\big|</math> ||\n|| . || `\\big\\lfloor \\Big\\lfloor \\bigg\\lfloor \\Bigg\\lfloor \\dots \\Bigg\\rceil \\bigg\\rceil \\Big\\rceil \\big\\rceil` || <math>\\big\\lfloor \\Big\\lfloor \\bigg\\lfloor \\Bigg\\lfloor \\dots \\Bigg\\rceil \\bigg\\rceil \\Big\\rceil \\big\\rceil</math> ||\n|| . || `\\big\\uparrow \\Big\\uparrow \\bigg\\uparrow \\Bigg\\uparrow \\dots \\Bigg\\Downarrow \\bigg\\Downarrow \\Big\\Downarrow \\big\\Downarrow` || <math>\\big\\uparrow \\Big\\uparrow \\bigg\\uparrow \\Bigg\\uparrow \\dots \\Bigg\\Downarrow \\bigg\\Downarrow \\Big\\Downarrow \\big\\Downarrow</math> ||\n|| . || `\\big\\updownarrow \\Big\\updownarrow \\bigg\\updownarrow \\Bigg\\updownarrow \\dots \\Bigg\\Updownarrow \\bigg\\Updownarrow \\Big\\Updownarrow \\big\\Updownarrow` || <math>\\big\\updownarrow \\Big\\updownarrow \\bigg\\updownarrow \\Bigg\\updownarrow \\dots \\Bigg\\Updownarrow \\bigg\\Updownarrow \\Big\\Updownarrow \\big\\Updownarrow</math> ||\n|| . || `\\big / \\Big / \\bigg / \\Bigg / \\dots \\Bigg\\backslash \\bigg\\backslash \\Big\\backslash \\big\\backslash` || <math>\\big / \\Big / \\bigg / \\Bigg / \\dots \\Bigg\\backslash \\bigg\\backslash \\Big\\backslash \\big\\backslash</math> ||\n\n== Alphabets and typefaces == \n\nTexvc cannot render arbitrary Unicode characters. Those it can handle can be entered by the expressions below. For others, such as Cyrillic, they can be entered as Unicode or HTML entities in running text, but cannot be used in displayed formulas.\n\n||_\\2. \'\'\'Greek alphabet\'\'\' ||\n|| `\\Alpha \\Beta \\Gamma \\Delta \\Epsilon \\Zeta` || <math>\\Alpha \\Beta \\Gamma \\Delta \\Epsilon \\Zeta \\,\\!</math> ||\n|| `\\Eta \\Theta \\Iota \\Kappa \\Lambda \\Mu` || <math>\\Eta \\Theta \\Iota \\Kappa \\Lambda \\Mu \\,\\!</math> ||\n|| `\\Nu \\Xi \\Pi \\Rho \\Sigma \\Tau` || <math>\\Nu \\Xi \\Pi \\Rho \\Sigma \\Tau\\,\\!</math> ||\n|| `\\Upsilon \\Phi \\Chi \\Psi \\Omega` || <math>\\Upsilon \\Phi \\Chi \\Psi \\Omega \\,\\!</math> ||\n|| `\\alpha \\beta \\gamma \\delta \\epsilon \\zeta` || <math>\\alpha \\beta \\gamma \\delta \\epsilon \\zeta \\,\\!</math> ||\n|| `\\eta \\theta \\iota \\kappa \\lambda \\mu` || <math>\\eta \\theta \\iota \\kappa \\lambda \\mu \\,\\!</math> ||\n|| `\\nu \\xi \\pi \\rho \\sigma \\tau` || <math>\\nu \\xi \\pi \\rho \\sigma \\tau \\,\\!</math> ||\n|| `\\upsilon \\phi \\chi \\psi \\omega` || <math>\\upsilon \\phi \\chi \\psi \\omega \\,\\!</math> ||\n|| `\\varepsilon \\digamma \\vartheta \\varkappa` || <math>\\varepsilon \\digamma \\vartheta \\varkappa \\,\\!</math> ||\n|| `\\varpi \\varrho \\varsigma \\varphi` || <math>\\varpi \\varrho \\varsigma \\varphi\\,\\!</math> ||\n||_\\2. \'\'\'Blackboard Bold/Scripts\'\'\' ||\n|| `\\mathbb{A} \\mathbb{B} \\mathbb{C} \\mathbb{D} \\mathbb{E} \\mathbb{F} \\mathbb{G}` || <math>\\mathbb{A} \\mathbb{B} \\mathbb{C} \\mathbb{D} \\mathbb{E} \\mathbb{F} \\mathbb{G} \\,\\!</math> ||\n|| `\\mathbb{H} \\mathbb{I} \\mathbb{J} \\mathbb{K} \\mathbb{L} \\mathbb{M}` || <math>\\mathbb{H} \\mathbb{I} \\mathbb{J} \\mathbb{K} \\mathbb{L} \\mathbb{M} \\,\\!</math> ||\n|| `\\mathbb{N} \\mathbb{O} \\mathbb{P} \\mathbb{Q} \\mathbb{R} \\mathbb{S} \\mathbb{T}` || <math>\\mathbb{N} \\mathbb{O} \\mathbb{P} \\mathbb{Q} \\mathbb{R} \\mathbb{S} \\mathbb{T} \\,\\!</math> ||\n|| `\\mathbb{U} \\mathbb{V} \\mathbb{W} \\mathbb{X} \\mathbb{Y} \\mathbb{Z}` || <math>\\mathbb{U} \\mathbb{V} \\mathbb{W} \\mathbb{X} \\mathbb{Y} \\mathbb{Z}\\,\\!</math> ||\n||_\\2. \'\'\'boldface (vectors)\'\'\' ||\n|| `\\mathbf{A} \\mathbf{B} \\mathbf{C} \\mathbf{D} \\mathbf{E} \\mathbf{F} \\mathbf{G}` || <math>\\mathbf{A} \\mathbf{B} \\mathbf{C} \\mathbf{D} \\mathbf{E} \\mathbf{F} \\mathbf{G} \\,\\!</math> ||\n|| `\\mathbf{H} \\mathbf{I} \\mathbf{J} \\mathbf{K} \\mathbf{L} \\mathbf{M}` || <math>\\mathbf{H} \\mathbf{I} \\mathbf{J} \\mathbf{K} \\mathbf{L} \\mathbf{M} \\,\\!</math> ||\n|| `\\mathbf{N} \\mathbf{O} \\mathbf{P} \\mathbf{Q} \\mathbf{R} \\mathbf{S} \\mathbf{T}` || <math>\\mathbf{N} \\mathbf{O} \\mathbf{P} \\mathbf{Q} \\mathbf{R} \\mathbf{S} \\mathbf{T} \\,\\!</math> ||\n|| `\\mathbf{U} \\mathbf{V} \\mathbf{W} \\mathbf{X} \\mathbf{Y} \\mathbf{Z}` || <math>\\mathbf{U} \\mathbf{V} \\mathbf{W} \\mathbf{X} \\mathbf{Y} \\mathbf{Z} \\,\\!</math> ||\n|| `\\mathbf{a} \\mathbf{b} \\mathbf{c} \\mathbf{d} \\mathbf{e} \\mathbf{f} \\mathbf{g}` || <math>\\mathbf{a} \\mathbf{b} \\mathbf{c} \\mathbf{d} \\mathbf{e} \\mathbf{f} \\mathbf{g} \\,\\!</math> ||\n|| `\\mathbf{h} \\mathbf{i} \\mathbf{j} \\mathbf{k} \\mathbf{l} \\mathbf{m}` || <math>\\mathbf{h} \\mathbf{i} \\mathbf{j} \\mathbf{k} \\mathbf{l} \\mathbf{m} \\,\\!</math> ||\n|| `\\mathbf{n} \\mathbf{o} \\mathbf{p} \\mathbf{q} \\mathbf{r} \\mathbf{s} \\mathbf{t}` || <math>\\mathbf{n} \\mathbf{o} \\mathbf{p} \\mathbf{q} \\mathbf{r} \\mathbf{s} \\mathbf{t} \\,\\!</math> ||\n|| `\\mathbf{u} \\mathbf{v} \\mathbf{w} \\mathbf{x} \\mathbf{y} \\mathbf{z}` || <math>\\mathbf{u} \\mathbf{v} \\mathbf{w} \\mathbf{x} \\mathbf{y} \\mathbf{z} \\,\\!</math> ||\n|| `\\mathbf{0} \\mathbf{1} \\mathbf{2} \\mathbf{3} \\mathbf{4}` || <math>\\mathbf{0} \\mathbf{1} \\mathbf{2} \\mathbf{3} \\mathbf{4} \\,\\!</math> ||\n|| `\\mathbf{5} \\mathbf{6} \\mathbf{7} \\mathbf{8} \\mathbf{9}` || <math>\\mathbf{5} \\mathbf{6} \\mathbf{7} \\mathbf{8} \\mathbf{9}\\,\\!</math> ||\n||_\\2. \'\'\'Boldface (greek)\'\'\' ||\n|| `\\boldsymbol{\\Alpha} \\boldsymbol{\\Beta} \\boldsymbol{\\Gamma} \\boldsymbol{\\Delta} \\boldsymbol{\\Epsilon} \\boldsymbol{\\Zeta}` || <math>\\boldsymbol{\\Alpha} \\boldsymbol{\\Beta} \\boldsymbol{\\Gamma} \\boldsymbol{\\Delta} \\boldsymbol{\\Epsilon} \\boldsymbol{\\Zeta} \\,\\!</math> ||\n|| `\\boldsymbol{\\Eta} \\boldsymbol{\\Theta} \\boldsymbol{\\Iota} \\boldsymbol{\\Kappa} \\boldsymbol{\\Lambda} \\boldsymbol{\\Mu}` || <math>\\boldsymbol{\\Eta} \\boldsymbol{\\Theta} \\boldsymbol{\\Iota} \\boldsymbol{\\Kappa} \\boldsymbol{\\Lambda} \\boldsymbol{\\Mu}\\,\\!</math> ||\n|| `\\boldsymbol{\\Nu} \\boldsymbol{\\Xi} \\boldsymbol{\\Pi} \\boldsymbol{\\Rho} \\boldsymbol{\\Sigma} \\boldsymbol{\\Tau}` || <math>\\boldsymbol{\\Nu} \\boldsymbol{\\Xi} \\boldsymbol{\\Pi} \\boldsymbol{\\Rho} \\boldsymbol{\\Sigma} \\boldsymbol{\\Tau}\\,\\!</math> ||\n|| `\\boldsymbol{\\Upsilon} \\boldsymbol{\\Phi} \\boldsymbol{\\Chi} \\boldsymbol{\\Psi} \\boldsymbol{\\Omega}` || <math>\\boldsymbol{\\Upsilon} \\boldsymbol{\\Phi} \\boldsymbol{\\Chi} \\boldsymbol{\\Psi} \\boldsymbol{\\Omega}\\,\\!</math> ||\n|| `\\boldsymbol{\\alpha} \\boldsymbol{\\beta} \\boldsymbol{\\gamma} \\boldsymbol{\\delta} \\boldsymbol{\\epsilon} \\boldsymbol{\\zeta}` || <math>\\boldsymbol{\\alpha} \\boldsymbol{\\beta} \\boldsymbol{\\gamma} \\boldsymbol{\\delta} \\boldsymbol{\\epsilon} \\boldsymbol{\\zeta}\\,\\!</math> ||\n|| `\\boldsymbol{\\eta} \\boldsymbol{\\theta} \\boldsymbol{\\iota} \\boldsymbol{\\kappa} \\boldsymbol{\\lambda} \\boldsymbol{\\mu}` || <math>\\boldsymbol{\\eta} \\boldsymbol{\\theta} \\boldsymbol{\\iota} \\boldsymbol{\\kappa} \\boldsymbol{\\lambda} \\boldsymbol{\\mu}\\,\\!</math> ||\n|| `\\boldsymbol{\\nu} \\boldsymbol{\\xi} \\boldsymbol{\\pi} \\boldsymbol{\\rho} \\boldsymbol{\\sigma} \\boldsymbol{\\tau}` || <math>\\boldsymbol{\\nu} \\boldsymbol{\\xi} \\boldsymbol{\\pi} \\boldsymbol{\\rho} \\boldsymbol{\\sigma} \\boldsymbol{\\tau}\\,\\!</math> ||\n|| `\\boldsymbol{\\upsilon} \\boldsymbol{\\phi} \\boldsymbol{\\chi} \\boldsymbol{\\psi} \\boldsymbol{\\omega}` || <math>\\boldsymbol{\\upsilon} \\boldsymbol{\\phi} \\boldsymbol{\\chi} \\boldsymbol{\\psi} \\boldsymbol{\\omega}\\,\\!</math> ||\n|| `\\boldsymbol{\\varepsilon} \\boldsymbol{\\digamma} \\boldsymbol{\\vartheta} \\boldsymbol{\\varkappa}` || <math>\\boldsymbol{\\varepsilon} \\boldsymbol{\\digamma} \\boldsymbol{\\vartheta} \\boldsymbol{\\varkappa} \\,\\!</math> ||\n|| `\\boldsymbol{\\varpi} \\boldsymbol{\\varrho} \\boldsymbol{\\varsigma} \\boldsymbol{\\varphi}` || <math>\\boldsymbol{\\varpi} \\boldsymbol{\\varrho} \\boldsymbol{\\varsigma} \\boldsymbol{\\varphi}\\,\\!</math> ||\n||_\\2. \'\'\'Italics\'\'\' ||\n|| `\\mathit{A} \\mathit{B} \\mathit{C} \\mathit{D} \\mathit{E} \\mathit{F} \\mathit{G}` || <math>\\mathit{A} \\mathit{B} \\mathit{C} \\mathit{D} \\mathit{E} \\mathit{F} \\mathit{G} \\,\\!</math> ||\n|| `\\mathit{H} \\mathit{I} \\mathit{J} \\mathit{K} \\mathit{L} \\mathit{M}` || <math>\\mathit{H} \\mathit{I} \\mathit{J} \\mathit{K} \\mathit{L} \\mathit{M} \\,\\!</math> ||\n|| `\\mathit{N} \\mathit{O} \\mathit{P} \\mathit{Q} \\mathit{R} \\mathit{S} \\mathit{T}` || <math>\\mathit{N} \\mathit{O} \\mathit{P} \\mathit{Q} \\mathit{R} \\mathit{S} \\mathit{T} \\,\\!</math> ||\n|| `\\mathit{U} \\mathit{V} \\mathit{W} \\mathit{X} \\mathit{Y} \\mathit{Z}` || <math>\\mathit{U} \\mathit{V} \\mathit{W} \\mathit{X} \\mathit{Y} \\mathit{Z} \\,\\!</math> ||\n|| `\\mathit{a} \\mathit{b} \\mathit{c} \\mathit{d} \\mathit{e} \\mathit{f} \\mathit{g}` || <math>\\mathit{a} \\mathit{b} \\mathit{c} \\mathit{d} \\mathit{e} \\mathit{f} \\mathit{g} \\,\\!</math> ||\n|| `\\mathit{h} \\mathit{i} \\mathit{j} \\mathit{k} \\mathit{l} \\mathit{m}` || <math>\\mathit{h} \\mathit{i} \\mathit{j} \\mathit{k} \\mathit{l} \\mathit{m} \\,\\!</math> ||\n|| `\\mathit{n} \\mathit{o} \\mathit{p} \\mathit{q} \\mathit{r} \\mathit{s} \\mathit{t}` || <math>\\mathit{n} \\mathit{o} \\mathit{p} \\mathit{q} \\mathit{r} \\mathit{s} \\mathit{t} \\,\\!</math> ||\n|| `\\mathit{u} \\mathit{v} \\mathit{w} \\mathit{x} \\mathit{y} \\mathit{z}` || <math>\\mathit{u} \\mathit{v} \\mathit{w} \\mathit{x} \\mathit{y} \\mathit{z} \\,\\!</math> ||\n|| `\\mathit{0} \\mathit{1} \\mathit{2} \\mathit{3} \\mathit{4}` || <math>\\mathit{0} \\mathit{1} \\mathit{2} \\mathit{3} \\mathit{4} \\,\\!</math> ||\n|| `\\mathit{5} \\mathit{6} \\mathit{7} \\mathit{8} \\mathit{9}` || <math>\\mathit{5} \\mathit{6} \\mathit{7} \\mathit{8} \\mathit{9}\\,\\!</math> ||\n||_\\2. \'\'\'Roman typeface\'\'\' ||\n|| `\\mathrm{A} \\mathrm{B} \\mathrm{C} \\mathrm{D} \\mathrm{E} \\mathrm{F} \\mathrm{G}` || <math>\\mathrm{A} \\mathrm{B} \\mathrm{C} \\mathrm{D} \\mathrm{E} \\mathrm{F} \\mathrm{G} \\,\\!</math> ||\n|| `\\mathrm{H} \\mathrm{I} \\mathrm{J} \\mathrm{K} \\mathrm{L} \\mathrm{M}` || <math>\\mathrm{H} \\mathrm{I} \\mathrm{J} \\mathrm{K} \\mathrm{L} \\mathrm{M} \\,\\!</math> ||\n|| `\\mathrm{N} \\mathrm{O} \\mathrm{P} \\mathrm{Q} \\mathrm{R} \\mathrm{S} \\mathrm{T}` || <math>\\mathrm{N} \\mathrm{O} \\mathrm{P} \\mathrm{Q} \\mathrm{R} \\mathrm{S} \\mathrm{T} \\,\\!</math> ||\n|| `\\mathrm{U} \\mathrm{V} \\mathrm{W} \\mathrm{X} \\mathrm{Y} \\mathrm{Z}` || <math>\\mathrm{U} \\mathrm{V} \\mathrm{W} \\mathrm{X} \\mathrm{Y} \\mathrm{Z} \\,\\!</math> ||\n|| `\\mathrm{a} \\mathrm{b} \\mathrm{c} \\mathrm{d} \\mathrm{e} \\mathrm{f} \\mathrm{g}` || <math>\\mathrm{a} \\mathrm{b} \\mathrm{c} \\mathrm{d} \\mathrm{e} \\mathrm{f} \\mathrm{g}\\,\\!</math> ||\n|| `\\mathrm{h} \\mathrm{i} \\mathrm{j} \\mathrm{k} \\mathrm{l} \\mathrm{m}` || <math>\\mathrm{h} \\mathrm{i} \\mathrm{j} \\mathrm{k} \\mathrm{l} \\mathrm{m} \\,\\!</math> ||\n|| `\\mathrm{n} \\mathrm{o} \\mathrm{p} \\mathrm{q} \\mathrm{r} \\mathrm{s} \\mathrm{t}` || <math>\\mathrm{n} \\mathrm{o} \\mathrm{p} \\mathrm{q} \\mathrm{r} \\mathrm{s} \\mathrm{t} \\,\\!</math> ||\n|| `\\mathrm{u} \\mathrm{v} \\mathrm{w} \\mathrm{x} \\mathrm{y} \\mathrm{z}` || <math>\\mathrm{u} \\mathrm{v} \\mathrm{w} \\mathrm{x} \\mathrm{y} \\mathrm{z} \\,\\!</math> ||\n|| `\\mathrm{0} \\mathrm{1} \\mathrm{2} \\mathrm{3} \\mathrm{4}` || <math>\\mathrm{0} \\mathrm{1} \\mathrm{2} \\mathrm{3} \\mathrm{4} \\,\\!</math> ||\n|| `\\mathrm{5} \\mathrm{6} \\mathrm{7} \\mathrm{8} \\mathrm{9}` || <math>\\mathrm{5} \\mathrm{6} \\mathrm{7} \\mathrm{8} \\mathrm{9}\\,\\!</math> ||\n||_\\2. \'\'\'Fraktur typeface\'\'\' ||\n|| `\\mathfrak{A} \\mathfrak{B} \\mathfrak{C} \\mathfrak{D} \\mathfrak{E} \\mathfrak{F} \\mathfrak{G}` || <math>\\mathfrak{A} \\mathfrak{B} \\mathfrak{C} \\mathfrak{D} \\mathfrak{E} \\mathfrak{F} \\mathfrak{G} \\,\\!</math> ||\n|| `\\mathfrak{H} \\mathfrak{I} \\mathfrak{J} \\mathfrak{K} \\mathfrak{L} \\mathfrak{M}` || <math>\\mathfrak{H} \\mathfrak{I} \\mathfrak{J} \\mathfrak{K} \\mathfrak{L} \\mathfrak{M} \\,\\!</math> ||\n|| `\\mathfrak{N} \\mathfrak{O} \\mathfrak{P} \\mathfrak{Q} \\mathfrak{R} \\mathfrak{S} \\mathfrak{T}` || <math>\\mathfrak{N} \\mathfrak{O} \\mathfrak{P} \\mathfrak{Q} \\mathfrak{R} \\mathfrak{S} \\mathfrak{T} \\,\\!</math> ||\n|| `\\mathfrak{U} \\mathfrak{V} \\mathfrak{W} \\mathfrak{X} \\mathfrak{Y} \\mathfrak{Z}` || <math>\\mathfrak{U} \\mathfrak{V} \\mathfrak{W} \\mathfrak{X} \\mathfrak{Y} \\mathfrak{Z} \\,\\!</math> ||\n|| `\\mathfrak{a} \\mathfrak{b} \\mathfrak{c} \\mathfrak{d} \\mathfrak{e} \\mathfrak{f} \\mathfrak{g}` || <math>\\mathfrak{a} \\mathfrak{b} \\mathfrak{c} \\mathfrak{d} \\mathfrak{e} \\mathfrak{f} \\mathfrak{g} \\,\\!</math> ||\n|| `\\mathfrak{h} \\mathfrak{i} \\mathfrak{j} \\mathfrak{k} \\mathfrak{l} \\mathfrak{m}` || <math>\\mathfrak{h} \\mathfrak{i} \\mathfrak{j} \\mathfrak{k} \\mathfrak{l} \\mathfrak{m} \\,\\!</math> ||\n|| `\\mathfrak{n} \\mathfrak{o} \\mathfrak{p} \\mathfrak{q} \\mathfrak{r} \\mathfrak{s} \\mathfrak{t}` || <math>\\mathfrak{n} \\mathfrak{o} \\mathfrak{p} \\mathfrak{q} \\mathfrak{r} \\mathfrak{s} \\mathfrak{t} \\,\\!</math> ||\n|| `\\mathfrak{u} \\mathfrak{v} \\mathfrak{w} \\mathfrak{x} \\mathfrak{y} \\mathfrak{z}` || <math>\\mathfrak{u} \\mathfrak{v} \\mathfrak{w} \\mathfrak{x} \\mathfrak{y} \\mathfrak{z} \\,\\!</math> ||\n|| `\\mathfrak{0} \\mathfrak{1} \\mathfrak{2} \\mathfrak{3} \\mathfrak{4}` || <math>\\mathfrak{0} \\mathfrak{1} \\mathfrak{2} \\mathfrak{3} \\mathfrak{4} \\,\\!</math> ||\n|| `\\mathfrak{5} \\mathfrak{6} \\mathfrak{7} \\mathfrak{8} \\mathfrak{9}` || <math>\\mathfrak{5} \\mathfrak{6} \\mathfrak{7} \\mathfrak{8} \\mathfrak{9}\\,\\!</math> ||\n||_\\2. \'\'\'Calligraphy/Script\'\'\' ||\n|| `\\mathcal{A} \\mathcal{B} \\mathcal{C} \\mathcal{D} \\mathcal{E} \\mathcal{F} \\mathcal{G}` || <math>\\mathcal{A} \\mathcal{B} \\mathcal{C} \\mathcal{D} \\mathcal{E} \\mathcal{F} \\mathcal{G} \\,\\!</math> ||\n|| `\\mathcal{H} \\mathcal{I} \\mathcal{J} \\mathcal{K} \\mathcal{L} \\mathcal{M}` || <math>\\mathcal{H} \\mathcal{I} \\mathcal{J} \\mathcal{K} \\mathcal{L} \\mathcal{M} \\,\\!</math> ||\n|| `\\mathcal{N} \\mathcal{O} \\mathcal{P} \\mathcal{Q} \\mathcal{R} \\mathcal{S} \\mathcal{T}` || <math>\\mathcal{N} \\mathcal{O} \\mathcal{P} \\mathcal{Q} \\mathcal{R} \\mathcal{S} \\mathcal{T} \\,\\!</math> ||\n|| `\\mathcal{U} \\mathcal{V} \\mathcal{W} \\mathcal{X} \\mathcal{Y} \\mathcal{Z}` || <math>\\mathcal{U} \\mathcal{V} \\mathcal{W} \\mathcal{X} \\mathcal{Y} \\mathcal{Z}\\,\\!</math> ||\n||_\\2. \'\'\'Hebrew\'\'\' ||\n|| `\\aleph \\beth \\gimel \\daleth` || <math>\\aleph \\beth \\gimel \\daleth\\,\\!</math> ||\n\n== Formatting issues ==\n\n=== Spacing ===\n\nNote that TeX handles most spacing automatically, but you may sometimes want manual control.\n\n|| \'\'\'Feature\'\'\' || \'\'\'Syntax\'\'\' || \'\'\'How it looks rendered\'\'\' ||\n|| double quad space || a \\qquad b || <math>a \\qquad b</math> ||\n|| quad space || a \\quad b || <math>a \\quad b</math> ||\n|| text space || a\\ b || <math>a\\ b</math> ||\n|| text space without PNG conversion || a \\mbox{ } b || <math>a \\mbox{ } b</math> ||\n|| large space || a\\;b || <math>a\\;b</math> ||\n|| medium space || a\\&gt;b || (not supported) ||\n|| small space || a\\,b || <math>a\\,b</math> ||\n|| no space || ab || <math>ab\\,</math> ||\n|| small negative space || a\\!b || <math>a\\!b</math> ||\n','<p>The Wiki supports <a href=\"/topics/LaTeX\" class=\"wiki missing\">LaTeX</a> markup:\n</p><p><span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): pi=\\frac{3}{4} \\sqrt{3}+24 \\int_0^{1/4}{\\sqrt{x-x^2}dx}</p>\n</span>\n</p><p>Mathematical Formula (<a href=\"/topics/LaTeX\" class=\"wiki missing\">LaTeX</a>) can be inserted into text like this:\n</p>\n<pre>\n<math>Insert formula here</math>\n</pre>\n<p>For example:\n<code><math>\\alpha^2+\\beta^2=1</math></code>\n</p><p>&#8230;displays <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\alpha^2+\\beta^2=1</p>\n</span>\n</p>\n<h2> Displaying a Formula </h2>\n<p>The Wiki uses a subset of <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> markup, including some extensions from <a href=\"/topics/LaTeX\" class=\"wiki missing\">LaTeX</a> and <a href=\"/topics/AMSLaTeX\" class=\"wiki missing\">AMSLaTeX</a>, for mathematical formulae. It generates either <span class=\"caps\">PNG</span> images or simple <span class=\"caps\">HTML</span> markup, depending on the complexity of the expression. While it can generate <a href=\"/topics/MathML\" class=\"wiki missing\">MathML</a>, it is not currently used due to limited browser support. As browsers become more advanced and support for <a href=\"/topics/MathML\" class=\"wiki missing\">MathML</a> becomes more wide-spread, this could be the preferred method of output as images have very real disadvantages.\n</p>\n<h3> Syntax </h3>\n<p>Math markup goes inside <code>&#60;math&#62; ... &#60;/math&#62;</code>.\n</p>\n<h3>Pros of <span class=\"caps\">HTML</span></h3>\n<ol><li> In-line <span class=\"caps\">HTML</span> formulae always align properly with the rest of the <span class=\"caps\">HTML</span> text.\n</li><li> The formula&#8217;s background, font size and face match the rest of <span class=\"caps\">HTML</span> contents and the appearance respects <span class=\"caps\">CSS</span> and browser settings.\n</li><li> Pages using <span class=\"caps\">HTML</span> will load faster.\n</li></ol>\n<h3> Pros of <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> </h3>\n<ol><li> <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> is semantically superior to <span class=\"caps\">HTML</span>. In <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a>, &#8220;<code>x</code>&#8220; means &#8220;mathematical variable <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): x</p>\n</span>&#8220;, whereas in <span class=\"caps\">HTML</span> &#8220;<code>x</code>&#8220; could mean anything. Information has been irrevocably lost.\n</li><li> <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> has been specifically designed for typesetting formulae, so input is easier and more natural, and output is more aesthetically pleasing.\n</li><li> One consequence of point 1 is that <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> can be transformed into <span class=\"caps\">HTML</span>, but not vice-versa. This means that on the server side we can always transform a formula, based on its complexity and location within the text, user preferences, type of browser, etc. Therefore, where possible, all the benefits of <span class=\"caps\">HTML</span> can be retained, together with the benefits of <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a>. It&#8217;s true that the current situation is not ideal, but that&#8217;s not a good reason to drop information/contents. It&#8217;s more a reason to <a class=\"wiki missing\" href=\"/topics/#Bug_reports|help\">improve the situation</a>.\n</li><li> Another consequence of point 1 is that <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> can be converted to <a class=\"wiki missing\" href=\"/topics/MathML|MathML\">MathML|MathML</a>] for browsers which support it, thus keeping its semantics and allowing it to be rendered vectorially.\n</li><li> When writing in <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a>, editors need not worry about whether this or that version of this or that browser supports this or that <span class=\"caps\">HTML</span> entity. The burden of these decisions is put on the server. This doesn&#8217;t hold for <span class=\"caps\">HTML</span> formulae, which can easily end up being rendered wrongly or differently from the editor&#8217;s intentions on a different browser.\n</li><li> <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> is the preferred text formatting language of most professional mathematicians, scientists, and engineers. It is easier to persuade them to contribute if they can write in <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a>.\n</li></ol>\n<h3> Example Formulas </h3>\n<p>The following are a few examples of formulas:\n</p>\n<pre>\n<math>\\sqrt{1-e^2}</math>\n</pre>\n<p><span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\sqrt{1-e^2}</p>\n</span>\n</p><p><code><math>\\overbrace{ 1+2+\\cdots+100 }^{5050}</math></code>\n<span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\overbrace{ 1+2+\\cdots+100 }^{5050}</p>\n</span>\n</p><p><code><math>ax^2 + bx + c = 0</math></code>\n<span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): ax^2 + bx + c = 0</p>\n</span>\n</p><p><code><math>\\int_{-N}^{N} e^x\\, dx</math></code>\n<span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\int_{-N}^{N} e^x\\, dx</p>\n</span>\n</p>\n<h2> Functions, symbols, special characters </h2>\n<h3> Accents/Diacritics </h3>\n	<table>\n		<tr>\n			<td> <code>\\acute{a} \\grave{a} \\hat{a} \\tilde{a} \\breve{a}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\acute{a} \\grave{a} \\hat{a} \\tilde{a} \\breve{a}</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\check{a} \\bar{a} \\ddot{a} \\dot{a}</code> </td>\n			<td><span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\check{a} \\bar{a} \\ddot{a} \\dot{a}</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Standard functions </h3>\n	<table>\n		<tr>\n			<td> <code>\\sin a \\cos b \\tan c</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\sin a \\cos b \\tan c</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\sec d \\csc e \\cot f</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\sec d \\csc e \\cot f\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\arcsin h \\arccos i \\arctan j</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\arcsin h \\arccos i \\arctan j\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\sinh k \\cosh l \\tanh m \\coth n</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\sinh k \\cosh l \\tanh m \\coth n</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\operatorname{sh}\\,o\\,\\operatorname{ch}\\,p\\,\\operatorname{th}\\,q</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\operatorname{sh}\\,o\\,\\operatorname{ch}\\,p\\,\\operatorname{th}\\,q</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\operatorname{arsinh}\\,r\\,\\operatorname{arcosh}\\,s\\,\\operatorname{artanh}\\,t</code></td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\operatorname{arsinh}\\,r\\,\\operatorname{arcosh}\\,s\\,\\operatorname{artanh}\\,t\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\lim u \\limsup v \\liminf w \\min x \\max y</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\lim u \\limsup v \\liminf w \\min x \\max y</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\inf z \\sup a \\exp b \\ln c \\lg d \\log e \\log_{10} f \\ker g</code> </td>\n			<td><span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\inf z \\sup a \\exp b \\ln c \\lg d \\log e \\log_{10} f \\ker g</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\deg h \\gcd i \\Pr j \\det k \\hom l \\arg m \\dim n</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\deg h \\gcd i \\Pr j \\det k \\hom l \\arg m \\dim n\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Modular arithmetic </h3>\n	<table>\n		<tr>\n			<td> <code>s_k \\equiv 0 \\pmod{m}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): s_k \\equiv 0 \\pmod{m}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>a\\,\\bmod\\,b</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a\\,\\bmod\\,b\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Derivatives </h3>\n	<table>\n		<tr>\n			<td> <code>\\nabla \\, \\partial x \\, dx \\, \\dot x \\, \\ddot y\\, dy/dx\\, \\frac{dy}{dx}\\, \\frac{\\partial^2 y}{\\partial x_1\\,\\partial x_2}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\nabla \\, \\partial x \\, dx \\, \\dot x \\, \\ddot y\\, dy/dx\\, \\frac{dy}{dx}\\, \\frac{\\partial^2 y}{\\partial x_1\\,\\partial x_2}</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Sets </h3>\n	<table>\n		<tr>\n			<td> <code>\\forall \\exists \\empty \\emptyset \\varnothing</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\forall \\exists \\empty \\emptyset \\varnothing\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\in \\ni \\not \\in \\notin \\subset \\subseteq \\supset \\supseteq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\in \\ni \\not \\in \\notin \\subset \\subseteq \\supset \\supseteq\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\cap \\bigcap \\cup \\bigcup \\biguplus \\setminus \\smallsetminus</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\cap \\bigcap \\cup \\bigcup \\biguplus \\setminus \\smallsetminus\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\sqsubset \\sqsubseteq \\sqsupset \\sqsupseteq \\sqcap \\sqcup \\bigsqcup</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\sqsubset \\sqsubseteq \\sqsupset \\sqsupseteq \\sqcap \\sqcup \\bigsqcup\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Operators </h3>\n	<table>\n		<tr>\n			<td> <code>+ \\oplus \\bigoplus \\pm \\mp - </code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): + \\oplus \\bigoplus \\pm \\mp - \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\times \\otimes \\bigotimes \\cdot \\circ \\bullet \\bigodot</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\times \\otimes \\bigotimes \\cdot \\circ \\bullet \\bigodot\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\star * / \\div \\frac{1}{2}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\star * / \\div \\frac{1}{2}\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Logic </h3>\n	<table>\n		<tr>\n			<td> <code>\\land (or \\and) \\wedge \\bigwedge \\bar{q} \\to p</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\land \\wedge \\bigwedge \\bar{q} \\to p\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\lor \\vee \\bigvee \\lnot \\neg q \\And</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\lor \\vee \\bigvee \\lnot \\neg q \\And\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Root </h3>\n	<table>\n		<tr>\n			<td> <code>\\sqrt{2} \\sqrt[n]{x}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\sqrt{2} \\sqrt[n]{x}\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Relations </h3>\n	<table>\n		<tr>\n			<td> <code>\\sim \\approx \\simeq \\cong \\dot=  \\overset{\\underset{\\mathrm{def}}{}}{=}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\sim \\approx \\simeq \\cong \\dot=  \\overset{\\underset{\\mathrm{def}}{}}{=}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\le &#60; \\ll \\gg \\ge &#62; \\equiv \\not\\equiv \\ne \\mbox{or} \\neq \\propto</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\le &lt; \\ll \\gg \\ge &gt; \\equiv \\not\\equiv \\ne \\mbox{or} \\neq \\propto\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Geometric </h3>\n	<table>\n		<tr>\n			<td> <code>\\Diamond \\Box \\triangle \\angle \\perp \\mid \\nmid \\| 45^\\circ</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Diamond \\, \\Box \\, \\triangle \\, \\angle \\perp \\, \\mid \\; \\nmid \\, \\| 45^\\circ\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Arrows </h3>\n	<table>\n		<tr>\n			<td> <code>\\leftarrow (or \\gets) \\rightarrow (or \\to) \\nleftarrow \\not\\to \\leftrightarrow \\nleftrightarrow \\longleftarrow \\longrightarrow \\longleftrightarrow</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\leftarrow \\rightarrow \\nleftarrow \\not\\to \\leftrightarrow \\nleftrightarrow \\longleftarrow \\longrightarrow \\longleftrightarrow \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Leftarrow \\Rightarrow \\nLeftarrow \\nRightarrow \\Leftrightarrow \\nLeftrightarrow \\Longleftarrow \\Longrightarrow \\Longleftrightarrow (or \\iff)</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Leftarrow \\Rightarrow \\nLeftarrow \\nRightarrow \\Leftrightarrow \\nLeftrightarrow \\Longleftarrow \\Longrightarrow \\Longleftrightarrow \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\uparrow \\downarrow \\updownarrow \\Uparrow \\Downarrow \\Updownarrow  \\nearrow \\searrow \\swarrow \\nwarrow</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\uparrow \\downarrow \\updownarrow \\Uparrow \\Downarrow \\Updownarrow  \\nearrow \\searrow \\swarrow \\nwarrow</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\rightharpoonup \\rightharpoondown \\leftharpoonup \\leftharpoondown \\upharpoonleft \\upharpoonright \\downharpoonleft \\downharpoonright \\rightleftharpoons \\leftrightharpoons</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\rightharpoonup \\rightharpoondown \\leftharpoonup \\leftharpoondown \\upharpoonleft \\upharpoonright \\downharpoonleft \\downharpoonright \\rightleftharpoons \\leftrightharpoons \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\curvearrowleft \\circlearrowleft \\Lsh \\upuparrows \\rightrightarrows \\rightleftarrows \\Rrightarrow \\rightarrowtail \\looparrowright</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\curvearrowleft \\circlearrowleft \\Lsh \\upuparrows \\rightrightarrows \\rightleftarrows \\Rrightarrow \\rightarrowtail \\looparrowright \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\curvearrowright \\circlearrowright \\Rsh \\downdownarrows \\leftleftarrows \\leftrightarrows \\Lleftarrow \\leftarrowtail \\looparrowleft</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\curvearrowright \\circlearrowright \\Rsh \\downdownarrows \\leftleftarrows \\leftrightarrows \\Lleftarrow \\leftarrowtail \\looparrowleft \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mapsto \\longmapsto \\hookrightarrow \\hookleftarrow \\multimap \\leftrightsquigarrow \\rightsquigarrow </code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mapsto \\longmapsto \\hookrightarrow \\hookleftarrow \\multimap \\leftrightsquigarrow \\rightsquigarrow \\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Special </h3>\n	<table>\n		<tr>\n			<td> <code>\\And \\eth \\S \\P \\% \\dagger \\ddagger \\ldots \\cdots</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\And \\eth \\S \\P \\% \\dagger \\ddagger \\ldots \\cdots\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\smile \\frown \\wr \\triangleleft \\triangleright \\infty \\bot \\top</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\smile \\frown \\wr \\triangleleft \\triangleright \\infty \\bot \\top\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\vdash \\vDash \\Vdash \\models \\lVert \\rVert \\imath \\hbar</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\vdash \\vDash \\Vdash \\models \\lVert \\rVert \\imath \\hbar\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\ell \\mho \\Finv \\Re \\Im \\wp \\complement</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ell \\mho \\Finv \\Re \\Im \\wp \\complement\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\diamondsuit \\heartsuit \\clubsuit \\spadesuit \\Game \\flat \\natural \\sharp</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\diamondsuit \\heartsuit \\clubsuit \\spadesuit \\Game \\flat \\natural \\sharp\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h3> Unsorted (new stuff) </h3>\n	<table>\n		<tr>\n			<td> <code>\\vartriangle \\triangledown \\lozenge \\circledS \\measuredangle \\nexists \\Bbbk \\backprime \\blacktriangle \\blacktriangledown</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\vartriangle \\triangledown \\lozenge \\circledS \\measuredangle \\nexists \\Bbbk \\backprime \\blacktriangle \\blacktriangledown</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\blacksquare \\blacklozenge \\bigstar \\sphericalangle \\diagup \\diagdown \\dotplus \\Cap \\Cup \\barwedge</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ \\blacksquare \\blacklozenge \\bigstar \\sphericalangle \\diagup \\diagdown \\dotplus \\Cap \\Cup \\barwedge</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\veebar \\doublebarwedge \\boxminus \\boxtimes \\boxdot \\boxplus \\divideontimes \\ltimes \\rtimes \\leftthreetimes</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\veebar \\doublebarwedge \\boxminus \\boxtimes \\boxdot \\boxplus \\divideontimes \\ltimes \\rtimes \\leftthreetimes</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\rightthreetimes \\curlywedge \\curlyvee \\circleddash \\circledast \\circledcirc \\centerdot \\intercal \\leqq \\leqslant</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\rightthreetimes \\curlywedge \\curlyvee \\circleddash \\circledast \\circledcirc \\centerdot \\intercal \\leqq \\leqslant</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\eqslantless \\lessapprox \\approxeq \\lessdot \\lll \\lessgtr \\lesseqgtr \\lesseqqgtr \\doteqdot \\risingdotseq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\eqslantless \\lessapprox \\approxeq \\lessdot \\lll \\lessgtr \\lesseqgtr \\lesseqqgtr \\doteqdot \\risingdotseq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\fallingdotseq \\backsim \\backsimeq \\subseteqq \\Subset \\preccurlyeq \\curlyeqprec \\precsim \\precapprox \\vartriangleleft</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\fallingdotseq \\backsim \\backsimeq \\subseteqq \\Subset \\preccurlyeq \\curlyeqprec \\precsim \\precapprox \\vartriangleleft</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Vvdash \\bumpeq \\Bumpeq \\geqq \\geqslant \\eqslantgtr \\gtrsim \\gtrapprox \\eqsim \\gtrdot</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Vvdash \\bumpeq \\Bumpeq \\geqq \\geqslant \\eqslantgtr \\gtrsim \\gtrapprox \\eqsim \\gtrdot</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\ggg \\gtrless \\gtreqless \\gtreqqless \\eqcirc \\circeq \\triangleq \\thicksim \\thickapprox \\supseteqq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ggg \\gtrless \\gtreqless \\gtreqqless \\eqcirc \\circeq \\triangleq \\thicksim \\thickapprox \\supseteqq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Supset \\succcurlyeq \\curlyeqsucc \\succsim \\succapprox \\vartriangleright \\shortmid \\shortparallel \\between \\pitchfork</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Supset \\succcurlyeq \\curlyeqsucc \\succsim \\succapprox \\vartriangleright \\shortmid \\shortparallel \\between \\pitchfork</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\varpropto \\blacktriangleleft \\therefore \\backepsilon \\blacktriangleright \\because \\nleqslant \\nleqq \\lneq \\lneqq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\varpropto \\blacktriangleleft \\therefore \\backepsilon \\blacktriangleright \\because \\nleqslant \\nleqq \\lneq \\lneqq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\lvertneqq \\lnsim \\lnapprox \\nprec \\npreceq \\precneqq \\precnsim \\precnapprox \\nsim \\nshortmid</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\lvertneqq \\lnsim \\lnapprox \\nprec \\npreceq \\precneqq \\precnsim \\precnapprox \\nsim \\nshortmid</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\nvdash \\nVdash \\ntriangleleft \\ntrianglelefteq \\nsubseteq \\nsubseteqq \\varsubsetneq \\subsetneqq \\varsubsetneqq \\ngtr</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\nvdash \\nVdash \\ntriangleleft \\ntrianglelefteq \\nsubseteq \\nsubseteqq \\varsubsetneq \\subsetneqq \\varsubsetneqq \\ngtr</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\subsetneq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\subsetneq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\ngeqslant \\ngeqq \\gneq \\gneqq \\gvertneqq \\gnsim \\gnapprox \\nsucc \\nsucceq \\succneqq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ngeqslant \\ngeqq \\gneq \\gneqq \\gvertneqq \\gnsim \\gnapprox \\nsucc \\nsucceq \\succneqq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\succnsim \\succnapprox \\ncong \\nshortparallel \\nparallel \\nvDash \\nVDash \\ntriangleright \\ntrianglerighteq \\nsupseteq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\succnsim \\succnapprox \\ncong \\nshortparallel \\nparallel \\nvDash \\nVDash \\ntriangleright \\ntrianglerighteq \\nsupseteq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\nsupseteqq \\varsupsetneq \\supsetneqq \\varsupsetneqq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\nsupseteqq \\varsupsetneq \\supsetneqq \\varsupsetneqq</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\jmath \\surd \\ast \\uplus \\diamond \\bigtriangleup \\bigtriangledown \\ominus</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\jmath \\surd \\ast \\uplus \\diamond \\bigtriangleup \\bigtriangledown \\ominus\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\oslash \\odot \\bigcirc \\amalg \\prec \\succ \\preceq \\succeq</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\oslash \\odot \\bigcirc \\amalg \\prec \\succ \\preceq \\succeq\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\dashv \\asymp \\doteq \\parallel</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\dashv \\asymp \\doteq \\parallel\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\ulcorner \\urcorner \\llcorner \\lrcorner</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\ulcorner \\urcorner \\llcorner \\lrcorner</p>\n</span> </td>\n		</tr>\n	</table>\n<h2> Larger Expressions </h2>\n<h3> Parenthesizing big expressions, brackets, bars </h3>\n	<table>\n		<tr>\n			<td> <b>Feature</b> </td>\n			<td> <b>Syntax</b> </td>\n			<td> <b>How it looks rendered</b> </td>\n		</tr>\n		<tr>\n			<td> Bad </td>\n			<td> <code>( \\frac{1}{2} )</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): ( \\frac{1}{2} )</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Good </td>\n			<td> <code>\\left ( \\frac{1}{2} \\right )</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left ( \\frac{1}{2} \\right )</p>\n</span> </td>\n		</tr>\n	</table>\n<p>You can use various delimiters with \\left and \\right: \n</p>\n	<table>\n		<tr>\n			<td> <b>Feature</b> </td>\n			<td> <b>Syntax</b> </td>\n			<td> <b>How it looks rendered</b> </td>\n		</tr>\n		<tr>\n			<td> Parentheses </td>\n			<td> <code>\\left ( \\frac{a}{b} \\right )</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left ( \\frac{a}{b} \\right )</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Brackets </td>\n			<td> <code>\\left [ \\frac{a}{b} \\right ] \\quad \\left \\lbrack \\frac{a}{b} \\right \\rbrack</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left [ \\frac{a}{b} \\right ] \\quad \\left \\lbrack \\frac{a}{b} \\right \\rbrack</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Braces </td>\n			<td> <code>\\left \\{ \\frac{a}{b} \\right \\} \\quad \\left \\lbrace \\frac{a}{b} \\right \\rbrace</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left \\{ \\frac{a}{b} \\right \\} \\quad \\left \\lbrace \\frac{a}{b} \\right \\rbrace</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Angle brackets </td>\n			<td> <code>\\left \\langle \\frac{a}{b} \\right \\rangle</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left \\langle \\frac{a}{b} \\right \\rangle</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Bars and double bars </td>\n			<td> <code>\\left | \\frac{a}{b} \\right \\vert \\left \\Vert \\frac{c}{d} \\right \\|</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left | \\frac{a}{b} \\right \\vert \\left \\Vert \\frac{c}{d} \\right \\|</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Floor and ceiling functions: </td>\n			<td> <code>\\left \\lfloor \\frac{a}{b} \\right \\rfloor \\left \\lceil \\frac{c}{d} \\right \\rceil</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left \\lfloor \\frac{a}{b} \\right \\rfloor \\left \\lceil \\frac{c}{d} \\right \\rceil</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Slashes and backslashes </td>\n			<td> <code>\\left / \\frac{a}{b} \\right \\backslash</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left / \\frac{a}{b} \\right \\backslash</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Up, down and up-down arrows </td>\n			<td> <code>\\left \\uparrow \\frac{a}{b} \\right \\downarrow \\quad \\left \\Uparrow \\frac{a}{b} \\right \\Downarrow \\quad \\left \\updownarrow \\frac{a}{b} \\right \\Updownarrow</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left \\uparrow \\frac{a}{b} \\right \\downarrow \\quad \\left \\Uparrow \\frac{a}{b} \\right \\Downarrow \\quad \\left \\updownarrow \\frac{a}{b} \\right \\Updownarrow</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Delimiters can be mixed,<br />as long as \\left and \\right match </td>\n			<td> <code>\\left [ 0,1 \\right )</code> <br /> <code>\\left \\langle \\psi \\right |</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left [ 0,1 \\right )</p>\n</span> <br /> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left \\langle \\psi \\right |</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Use \\left. and \\right. if you don&#8217;t<br />want a delimiter to appear: </td>\n			<td> <code>\\left . \\frac{A}{B} \\right \\} \\to X</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\left . \\frac{A}{B} \\right \\} \\to X</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> Size of the delimiters </td>\n			<td> <code>\\big( \\Big( \\bigg( \\Bigg( \\dots \\Bigg] \\bigg] \\Big] \\big]/</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big( \\Big( \\bigg( \\Bigg( \\dots \\Bigg] \\bigg] \\Big] \\big]</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big\\{ \\Big\\{ \\bigg\\{ \\Bigg\\{ \\dots \\Bigg\\rangle \\bigg\\rangle \\Big\\rangle \\big\\rangle</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big\\{ \\Big\\{ \\bigg\\{ \\Bigg\\{ \\dots \\Bigg\\rangle \\bigg\\rangle \\Big\\rangle \\big\\rangle</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big\\| \\Big\\| \\bigg\\| \\Bigg\\| \\dots \\Bigg| \\bigg| \\Big| \\big|</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big\\| \\Big\\| \\bigg\\| \\Bigg\\| \\dots \\Bigg| \\bigg| \\Big| \\big|</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big\\lfloor \\Big\\lfloor \\bigg\\lfloor \\Bigg\\lfloor \\dots \\Bigg\\rceil \\bigg\\rceil \\Big\\rceil \\big\\rceil</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big\\lfloor \\Big\\lfloor \\bigg\\lfloor \\Bigg\\lfloor \\dots \\Bigg\\rceil \\bigg\\rceil \\Big\\rceil \\big\\rceil</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big\\uparrow \\Big\\uparrow \\bigg\\uparrow \\Bigg\\uparrow \\dots \\Bigg\\Downarrow \\bigg\\Downarrow \\Big\\Downarrow \\big\\Downarrow</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big\\uparrow \\Big\\uparrow \\bigg\\uparrow \\Bigg\\uparrow \\dots \\Bigg\\Downarrow \\bigg\\Downarrow \\Big\\Downarrow \\big\\Downarrow</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big\\updownarrow \\Big\\updownarrow \\bigg\\updownarrow \\Bigg\\updownarrow \\dots \\Bigg\\Updownarrow \\bigg\\Updownarrow \\Big\\Updownarrow \\big\\Updownarrow</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big\\updownarrow \\Big\\updownarrow \\bigg\\updownarrow \\Bigg\\updownarrow \\dots \\Bigg\\Updownarrow \\bigg\\Updownarrow \\Big\\Updownarrow \\big\\Updownarrow</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> . </td>\n			<td> <code>\\big / \\Big / \\bigg / \\Bigg / \\dots \\Bigg\\backslash \\bigg\\backslash \\Big\\backslash \\big\\backslash</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\big / \\Big / \\bigg / \\Bigg / \\dots \\Bigg\\backslash \\bigg\\backslash \\Big\\backslash \\big\\backslash</p>\n</span> </td>\n		</tr>\n	</table>\n<h2> Alphabets and typefaces </h2>\n<p>Texvc cannot render arbitrary Unicode characters. Those it can handle can be entered by the expressions below. For others, such as Cyrillic, they can be entered as Unicode or <span class=\"caps\">HTML</span> entities in running text, but cannot be used in displayed formulas.\n</p>\n	<table>\n		<tr>\n			<th colspan=\"2\"><b>Greek alphabet</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\Alpha \\Beta \\Gamma \\Delta \\Epsilon \\Zeta</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Alpha \\Beta \\Gamma \\Delta \\Epsilon \\Zeta \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Eta \\Theta \\Iota \\Kappa \\Lambda \\Mu</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Eta \\Theta \\Iota \\Kappa \\Lambda \\Mu \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Nu \\Xi \\Pi \\Rho \\Sigma \\Tau</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Nu \\Xi \\Pi \\Rho \\Sigma \\Tau\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\Upsilon \\Phi \\Chi \\Psi \\Omega</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\Upsilon \\Phi \\Chi \\Psi \\Omega \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\alpha \\beta \\gamma \\delta \\epsilon \\zeta</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\alpha \\beta \\gamma \\delta \\epsilon \\zeta \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\eta \\theta \\iota \\kappa \\lambda \\mu</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\eta \\theta \\iota \\kappa \\lambda \\mu \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\nu \\xi \\pi \\rho \\sigma \\tau</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\nu \\xi \\pi \\rho \\sigma \\tau \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\upsilon \\phi \\chi \\psi \\omega</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\upsilon \\phi \\chi \\psi \\omega \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\varepsilon \\digamma \\vartheta \\varkappa</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\varepsilon \\digamma \\vartheta \\varkappa \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\varpi \\varrho \\varsigma \\varphi</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\varpi \\varrho \\varsigma \\varphi\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Blackboard Bold/Scripts</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathbb{A} \\mathbb{B} \\mathbb{C} \\mathbb{D} \\mathbb{E} \\mathbb{F} \\mathbb{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbb{A} \\mathbb{B} \\mathbb{C} \\mathbb{D} \\mathbb{E} \\mathbb{F} \\mathbb{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbb{H} \\mathbb{I} \\mathbb{J} \\mathbb{K} \\mathbb{L} \\mathbb{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbb{H} \\mathbb{I} \\mathbb{J} \\mathbb{K} \\mathbb{L} \\mathbb{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbb{N} \\mathbb{O} \\mathbb{P} \\mathbb{Q} \\mathbb{R} \\mathbb{S} \\mathbb{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbb{N} \\mathbb{O} \\mathbb{P} \\mathbb{Q} \\mathbb{R} \\mathbb{S} \\mathbb{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbb{U} \\mathbb{V} \\mathbb{W} \\mathbb{X} \\mathbb{Y} \\mathbb{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbb{U} \\mathbb{V} \\mathbb{W} \\mathbb{X} \\mathbb{Y} \\mathbb{Z}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>boldface (vectors)</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{A} \\mathbf{B} \\mathbf{C} \\mathbf{D} \\mathbf{E} \\mathbf{F} \\mathbf{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{A} \\mathbf{B} \\mathbf{C} \\mathbf{D} \\mathbf{E} \\mathbf{F} \\mathbf{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{H} \\mathbf{I} \\mathbf{J} \\mathbf{K} \\mathbf{L} \\mathbf{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{H} \\mathbf{I} \\mathbf{J} \\mathbf{K} \\mathbf{L} \\mathbf{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{N} \\mathbf{O} \\mathbf{P} \\mathbf{Q} \\mathbf{R} \\mathbf{S} \\mathbf{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{N} \\mathbf{O} \\mathbf{P} \\mathbf{Q} \\mathbf{R} \\mathbf{S} \\mathbf{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{U} \\mathbf{V} \\mathbf{W} \\mathbf{X} \\mathbf{Y} \\mathbf{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{U} \\mathbf{V} \\mathbf{W} \\mathbf{X} \\mathbf{Y} \\mathbf{Z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{a} \\mathbf{b} \\mathbf{c} \\mathbf{d} \\mathbf{e} \\mathbf{f} \\mathbf{g}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{a} \\mathbf{b} \\mathbf{c} \\mathbf{d} \\mathbf{e} \\mathbf{f} \\mathbf{g} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{h} \\mathbf{i} \\mathbf{j} \\mathbf{k} \\mathbf{l} \\mathbf{m}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{h} \\mathbf{i} \\mathbf{j} \\mathbf{k} \\mathbf{l} \\mathbf{m} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{n} \\mathbf{o} \\mathbf{p} \\mathbf{q} \\mathbf{r} \\mathbf{s} \\mathbf{t}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{n} \\mathbf{o} \\mathbf{p} \\mathbf{q} \\mathbf{r} \\mathbf{s} \\mathbf{t} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{u} \\mathbf{v} \\mathbf{w} \\mathbf{x} \\mathbf{y} \\mathbf{z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{u} \\mathbf{v} \\mathbf{w} \\mathbf{x} \\mathbf{y} \\mathbf{z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{0} \\mathbf{1} \\mathbf{2} \\mathbf{3} \\mathbf{4}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{0} \\mathbf{1} \\mathbf{2} \\mathbf{3} \\mathbf{4} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathbf{5} \\mathbf{6} \\mathbf{7} \\mathbf{8} \\mathbf{9}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathbf{5} \\mathbf{6} \\mathbf{7} \\mathbf{8} \\mathbf{9}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Boldface (greek)</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\Alpha} \\boldsymbol{\\Beta} \\boldsymbol{\\Gamma} \\boldsymbol{\\Delta} \\boldsymbol{\\Epsilon} \\boldsymbol{\\Zeta}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\Alpha} \\boldsymbol{\\Beta} \\boldsymbol{\\Gamma} \\boldsymbol{\\Delta} \\boldsymbol{\\Epsilon} \\boldsymbol{\\Zeta} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\Eta} \\boldsymbol{\\Theta} \\boldsymbol{\\Iota} \\boldsymbol{\\Kappa} \\boldsymbol{\\Lambda} \\boldsymbol{\\Mu}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\Eta} \\boldsymbol{\\Theta} \\boldsymbol{\\Iota} \\boldsymbol{\\Kappa} \\boldsymbol{\\Lambda} \\boldsymbol{\\Mu}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\Nu} \\boldsymbol{\\Xi} \\boldsymbol{\\Pi} \\boldsymbol{\\Rho} \\boldsymbol{\\Sigma} \\boldsymbol{\\Tau}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\Nu} \\boldsymbol{\\Xi} \\boldsymbol{\\Pi} \\boldsymbol{\\Rho} \\boldsymbol{\\Sigma} \\boldsymbol{\\Tau}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\Upsilon} \\boldsymbol{\\Phi} \\boldsymbol{\\Chi} \\boldsymbol{\\Psi} \\boldsymbol{\\Omega}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\Upsilon} \\boldsymbol{\\Phi} \\boldsymbol{\\Chi} \\boldsymbol{\\Psi} \\boldsymbol{\\Omega}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\alpha} \\boldsymbol{\\beta} \\boldsymbol{\\gamma} \\boldsymbol{\\delta} \\boldsymbol{\\epsilon} \\boldsymbol{\\zeta}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\alpha} \\boldsymbol{\\beta} \\boldsymbol{\\gamma} \\boldsymbol{\\delta} \\boldsymbol{\\epsilon} \\boldsymbol{\\zeta}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\eta} \\boldsymbol{\\theta} \\boldsymbol{\\iota} \\boldsymbol{\\kappa} \\boldsymbol{\\lambda} \\boldsymbol{\\mu}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\eta} \\boldsymbol{\\theta} \\boldsymbol{\\iota} \\boldsymbol{\\kappa} \\boldsymbol{\\lambda} \\boldsymbol{\\mu}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\nu} \\boldsymbol{\\xi} \\boldsymbol{\\pi} \\boldsymbol{\\rho} \\boldsymbol{\\sigma} \\boldsymbol{\\tau}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\nu} \\boldsymbol{\\xi} \\boldsymbol{\\pi} \\boldsymbol{\\rho} \\boldsymbol{\\sigma} \\boldsymbol{\\tau}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\upsilon} \\boldsymbol{\\phi} \\boldsymbol{\\chi} \\boldsymbol{\\psi} \\boldsymbol{\\omega}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\upsilon} \\boldsymbol{\\phi} \\boldsymbol{\\chi} \\boldsymbol{\\psi} \\boldsymbol{\\omega}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\varepsilon} \\boldsymbol{\\digamma} \\boldsymbol{\\vartheta} \\boldsymbol{\\varkappa}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\varepsilon} \\boldsymbol{\\digamma} \\boldsymbol{\\vartheta} \\boldsymbol{\\varkappa} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\boldsymbol{\\varpi} \\boldsymbol{\\varrho} \\boldsymbol{\\varsigma} \\boldsymbol{\\varphi}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\boldsymbol{\\varpi} \\boldsymbol{\\varrho} \\boldsymbol{\\varsigma} \\boldsymbol{\\varphi}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Italics</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{A} \\mathit{B} \\mathit{C} \\mathit{D} \\mathit{E} \\mathit{F} \\mathit{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{A} \\mathit{B} \\mathit{C} \\mathit{D} \\mathit{E} \\mathit{F} \\mathit{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{H} \\mathit{I} \\mathit{J} \\mathit{K} \\mathit{L} \\mathit{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{H} \\mathit{I} \\mathit{J} \\mathit{K} \\mathit{L} \\mathit{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{N} \\mathit{O} \\mathit{P} \\mathit{Q} \\mathit{R} \\mathit{S} \\mathit{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{N} \\mathit{O} \\mathit{P} \\mathit{Q} \\mathit{R} \\mathit{S} \\mathit{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{U} \\mathit{V} \\mathit{W} \\mathit{X} \\mathit{Y} \\mathit{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{U} \\mathit{V} \\mathit{W} \\mathit{X} \\mathit{Y} \\mathit{Z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{a} \\mathit{b} \\mathit{c} \\mathit{d} \\mathit{e} \\mathit{f} \\mathit{g}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{a} \\mathit{b} \\mathit{c} \\mathit{d} \\mathit{e} \\mathit{f} \\mathit{g} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{h} \\mathit{i} \\mathit{j} \\mathit{k} \\mathit{l} \\mathit{m}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{h} \\mathit{i} \\mathit{j} \\mathit{k} \\mathit{l} \\mathit{m} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{n} \\mathit{o} \\mathit{p} \\mathit{q} \\mathit{r} \\mathit{s} \\mathit{t}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{n} \\mathit{o} \\mathit{p} \\mathit{q} \\mathit{r} \\mathit{s} \\mathit{t} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{u} \\mathit{v} \\mathit{w} \\mathit{x} \\mathit{y} \\mathit{z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{u} \\mathit{v} \\mathit{w} \\mathit{x} \\mathit{y} \\mathit{z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{0} \\mathit{1} \\mathit{2} \\mathit{3} \\mathit{4}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{0} \\mathit{1} \\mathit{2} \\mathit{3} \\mathit{4} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathit{5} \\mathit{6} \\mathit{7} \\mathit{8} \\mathit{9}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathit{5} \\mathit{6} \\mathit{7} \\mathit{8} \\mathit{9}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Roman typeface</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{A} \\mathrm{B} \\mathrm{C} \\mathrm{D} \\mathrm{E} \\mathrm{F} \\mathrm{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{A} \\mathrm{B} \\mathrm{C} \\mathrm{D} \\mathrm{E} \\mathrm{F} \\mathrm{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{H} \\mathrm{I} \\mathrm{J} \\mathrm{K} \\mathrm{L} \\mathrm{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{H} \\mathrm{I} \\mathrm{J} \\mathrm{K} \\mathrm{L} \\mathrm{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{N} \\mathrm{O} \\mathrm{P} \\mathrm{Q} \\mathrm{R} \\mathrm{S} \\mathrm{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{N} \\mathrm{O} \\mathrm{P} \\mathrm{Q} \\mathrm{R} \\mathrm{S} \\mathrm{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{U} \\mathrm{V} \\mathrm{W} \\mathrm{X} \\mathrm{Y} \\mathrm{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{U} \\mathrm{V} \\mathrm{W} \\mathrm{X} \\mathrm{Y} \\mathrm{Z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{a} \\mathrm{b} \\mathrm{c} \\mathrm{d} \\mathrm{e} \\mathrm{f} \\mathrm{g}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{a} \\mathrm{b} \\mathrm{c} \\mathrm{d} \\mathrm{e} \\mathrm{f} \\mathrm{g}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{h} \\mathrm{i} \\mathrm{j} \\mathrm{k} \\mathrm{l} \\mathrm{m}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{h} \\mathrm{i} \\mathrm{j} \\mathrm{k} \\mathrm{l} \\mathrm{m} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{n} \\mathrm{o} \\mathrm{p} \\mathrm{q} \\mathrm{r} \\mathrm{s} \\mathrm{t}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{n} \\mathrm{o} \\mathrm{p} \\mathrm{q} \\mathrm{r} \\mathrm{s} \\mathrm{t} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{u} \\mathrm{v} \\mathrm{w} \\mathrm{x} \\mathrm{y} \\mathrm{z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{u} \\mathrm{v} \\mathrm{w} \\mathrm{x} \\mathrm{y} \\mathrm{z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{0} \\mathrm{1} \\mathrm{2} \\mathrm{3} \\mathrm{4}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{0} \\mathrm{1} \\mathrm{2} \\mathrm{3} \\mathrm{4} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathrm{5} \\mathrm{6} \\mathrm{7} \\mathrm{8} \\mathrm{9}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathrm{5} \\mathrm{6} \\mathrm{7} \\mathrm{8} \\mathrm{9}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Fraktur typeface</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{A} \\mathfrak{B} \\mathfrak{C} \\mathfrak{D} \\mathfrak{E} \\mathfrak{F} \\mathfrak{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{A} \\mathfrak{B} \\mathfrak{C} \\mathfrak{D} \\mathfrak{E} \\mathfrak{F} \\mathfrak{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{H} \\mathfrak{I} \\mathfrak{J} \\mathfrak{K} \\mathfrak{L} \\mathfrak{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{H} \\mathfrak{I} \\mathfrak{J} \\mathfrak{K} \\mathfrak{L} \\mathfrak{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{N} \\mathfrak{O} \\mathfrak{P} \\mathfrak{Q} \\mathfrak{R} \\mathfrak{S} \\mathfrak{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{N} \\mathfrak{O} \\mathfrak{P} \\mathfrak{Q} \\mathfrak{R} \\mathfrak{S} \\mathfrak{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{U} \\mathfrak{V} \\mathfrak{W} \\mathfrak{X} \\mathfrak{Y} \\mathfrak{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{U} \\mathfrak{V} \\mathfrak{W} \\mathfrak{X} \\mathfrak{Y} \\mathfrak{Z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{a} \\mathfrak{b} \\mathfrak{c} \\mathfrak{d} \\mathfrak{e} \\mathfrak{f} \\mathfrak{g}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{a} \\mathfrak{b} \\mathfrak{c} \\mathfrak{d} \\mathfrak{e} \\mathfrak{f} \\mathfrak{g} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{h} \\mathfrak{i} \\mathfrak{j} \\mathfrak{k} \\mathfrak{l} \\mathfrak{m}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{h} \\mathfrak{i} \\mathfrak{j} \\mathfrak{k} \\mathfrak{l} \\mathfrak{m} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{n} \\mathfrak{o} \\mathfrak{p} \\mathfrak{q} \\mathfrak{r} \\mathfrak{s} \\mathfrak{t}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{n} \\mathfrak{o} \\mathfrak{p} \\mathfrak{q} \\mathfrak{r} \\mathfrak{s} \\mathfrak{t} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{u} \\mathfrak{v} \\mathfrak{w} \\mathfrak{x} \\mathfrak{y} \\mathfrak{z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{u} \\mathfrak{v} \\mathfrak{w} \\mathfrak{x} \\mathfrak{y} \\mathfrak{z} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{0} \\mathfrak{1} \\mathfrak{2} \\mathfrak{3} \\mathfrak{4}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{0} \\mathfrak{1} \\mathfrak{2} \\mathfrak{3} \\mathfrak{4} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathfrak{5} \\mathfrak{6} \\mathfrak{7} \\mathfrak{8} \\mathfrak{9}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathfrak{5} \\mathfrak{6} \\mathfrak{7} \\mathfrak{8} \\mathfrak{9}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Calligraphy/Script</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\mathcal{A} \\mathcal{B} \\mathcal{C} \\mathcal{D} \\mathcal{E} \\mathcal{F} \\mathcal{G}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathcal{A} \\mathcal{B} \\mathcal{C} \\mathcal{D} \\mathcal{E} \\mathcal{F} \\mathcal{G} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathcal{H} \\mathcal{I} \\mathcal{J} \\mathcal{K} \\mathcal{L} \\mathcal{M}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathcal{H} \\mathcal{I} \\mathcal{J} \\mathcal{K} \\mathcal{L} \\mathcal{M} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathcal{N} \\mathcal{O} \\mathcal{P} \\mathcal{Q} \\mathcal{R} \\mathcal{S} \\mathcal{T}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathcal{N} \\mathcal{O} \\mathcal{P} \\mathcal{Q} \\mathcal{R} \\mathcal{S} \\mathcal{T} \\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> <code>\\mathcal{U} \\mathcal{V} \\mathcal{W} \\mathcal{X} \\mathcal{Y} \\mathcal{Z}</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\mathcal{U} \\mathcal{V} \\mathcal{W} \\mathcal{X} \\mathcal{Y} \\mathcal{Z}\\,\\!</p>\n</span> </td>\n		</tr>\n		<tr>\n			<th colspan=\"2\"><b>Hebrew</b> </th>\n		</tr>\n		<tr>\n			<td> <code>\\aleph \\beth \\gimel \\daleth</code> </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): \\aleph \\beth \\gimel \\daleth\\,\\!</p>\n</span> </td>\n		</tr>\n	</table>\n<h2> Formatting issues </h2>\n<h3> Spacing </h3>\n<p>Note that <a href=\"/topics/TeX\" class=\"wiki missing\">TeX</a> handles most spacing automatically, but you may sometimes want manual control.\n</p>\n	<table>\n		<tr>\n			<td> <b>Feature</b> </td>\n			<td> <b>Syntax</b> </td>\n			<td> <b>How it looks rendered</b> </td>\n		</tr>\n		<tr>\n			<td> double quad space </td>\n			<td> a \\qquad b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a \\qquad b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> quad space </td>\n			<td> a \\quad b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a \\quad b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> text space </td>\n			<td> a\\ b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a\\ b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> text space without <span class=\"caps\">PNG</span> conversion </td>\n			<td> a \\mbox{ } b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a \\mbox{ } b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> large space </td>\n			<td> a\\;b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a\\;b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> medium space </td>\n			<td> a\\&#38;gt;b </td>\n			<td> (not supported) </td>\n		</tr>\n		<tr>\n			<td> small space </td>\n			<td> a\\,b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a\\,b</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> no space </td>\n			<td> ab </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): ab\\,</p>\n</span> </td>\n		</tr>\n		<tr>\n			<td> small negative space </td>\n			<td> a\\!b </td>\n			<td> <span class=\"asciimath\"><p class=\"error\">math_failure (math_bad_tmpdir): a\\!b</p>\n</span> </td>\n		</tr>\n	</table>\n',1,NULL),(8,5,2,'0000-00-00 00:00:00',62,1,'Welcome to the \'\'\'Topics\'\'\' area. Users can create their own articles in this area without requiring administrator access to the site.\r\n\r\n=== What are Topic Pages? ===\r\n\r\nTopic pages are user-created community-editable pages covering a specific topic. Similar to a [http://en.wikipedia.org/wiki/Wiki wiki], topic pages allow users to share their knowledge about tools, resources, or the underlying science.  For example, see [http://thermalhub.org/topics/DerivationofPlancksLaw this page] on [http://thermalhub.org thermalhub.org].\r\n\r\nUnlike a wiki, a topic page can have specific authors that are allowed to edit a page.  A topic page can be open to the community for comments and suggested changes that the authors approve.  Or, a topic page can have no specific authors and be editable by the community like a typical wiki page.\r\n\r\nTopic pages are a terrific way of grouping resources together.  If you include a reference to one or more resources using the {{{[[Resource(xxx)]]}}} macro, each of those resources will include a \'\'See Also\'\' link that points back to the topic page.  The topic page can describe the resources and how they are related to one another.  For example, \"If you\'re interested in this concept, watch this seminar, then launch this tool and try this homework assignment.\"\r\n\r\n=== How do I use this? ===\r\n\r\nYou can edit any of the pages in this area of the site and add information. Just click on the \'\'Edit\'\' tab of any existing page, or click on the \'\'New Page\'\' button to create a page.  For more instructions, see the following Help pages...\r\n\r\n==== Help Pages ====\r\n\r\n[[TitleIndex(Help)]]\r\n\r\n=== All Available Pages ===\r\n\r\n[[TitleIndex]]','<p>Welcome to the <b>Topics</b> area. Users can create their own articles in this area without requiring administrator access to the site.\n</p>\n<h3> What are Topic Pages? </h3>\n<p>Topic pages are user-created community-editable pages covering a specific topic. Similar to a <a class=\"ext-link\" href=\"http://en.wikipedia.org/wiki/Wiki\">wiki</a>, topic pages allow users to share their knowledge about tools, resources, or the underlying science.  For example, see <a class=\"ext-link\" href=\"http://thermalhub.org/topics/DerivationofPlancksLaw\">this page</a> on <a class=\"ext-link\" href=\"http://thermalhub.org\">thermalhub.org</a>.\n</p><p>Unlike a wiki, a topic page can have specific authors that are allowed to edit a page.  A topic page can be open to the community for comments and suggested changes that the authors approve.  Or, a topic page can have no specific authors and be editable by the community like a typical wiki page.\n</p><p>Topic pages are a terrific way of grouping resources together.  If you include a reference to one or more resources using the <code>[[Resource(xxx)]]</code> macro, each of those resources will include a <i>See Also</i> link that points back to the topic page.  The topic page can describe the resources and how they are related to one another.  For example, &#8220;If you&#8217;re interested in this concept, watch this seminar, then launch this tool and try this homework assignment.&#8221;\n</p>\n<h3> How do I use this? </h3>\n<p>You can edit any of the pages in this area of the site and add information. Just click on the <i>Edit</i> tab of any existing page, or click on the <i>New Page</i> button to create a page.  For more instructions, see the following Help pages&#8230;\n</p>\n<h4> Help Pages </h4>\n<p><ul><li><a href=\"topics/Help:PageHistory\">Help:PageHistory</a></li>\n<li><a href=\"topics/Help:WikiFormatting\">Help:WikiFormatting</a></li>\n<li><a href=\"topics/Help:WikiHtml\">Help:WikiHtml</a></li>\n<li><a href=\"topics/Help:WikiMacros\">Help:WikiMacros</a></li>\n<li><a href=\"topics/Help:WikiMath\">Help:WikiMath</a></li>\n<li><a href=\"topics/Help:WikiPageNames\">Help:WikiPageNames</a></li>\n</ul>\n</p>\n<h3> All Available Pages </h3>\n<p><ul><li><a href=\"topics/MainPage\">MainPage</a></li>\n</ul>\n</p>',1,'updated for open source release');
/*!40000 ALTER TABLE `jos_wiki_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wish_attachments`
--

DROP TABLE IF EXISTS `jos_wish_attachments`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wish_attachments` (
  `id` int(11) NOT NULL auto_increment,
  `wish` int(11) NOT NULL default '0',
  `filename` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wish_attachments`
--

LOCK TABLES `jos_wish_attachments` WRITE;
/*!40000 ALTER TABLE `jos_wish_attachments` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wish_attachments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist`
--

DROP TABLE IF EXISTS `jos_wishlist`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist` (
  `id` int(11) NOT NULL auto_increment,
  `category` varchar(50) NOT NULL,
  `referenceid` int(11) NOT NULL default '0',
  `title` varchar(150) NOT NULL,
  `created_by` int(11) NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `state` int(3) NOT NULL default '0',
  `public` int(3) NOT NULL default '1',
  `description` varchar(255) default NULL,
  `type` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist`
--

LOCK TABLES `jos_wishlist` WRITE;
/*!40000 ALTER TABLE `jos_wishlist` DISABLE KEYS */;
INSERT INTO `jos_wishlist` VALUES (1,'general',1,'hubbub',62,'0000-00-00 00:00:00',0,1,'',0),(2,'resource',3,'Tool mytool',0,'2010-04-09 17:26:47',0,1,'mytool',0);
/*!40000 ALTER TABLE `jos_wishlist` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist_implementation`
--

DROP TABLE IF EXISTS `jos_wishlist_implementation`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist_implementation` (
  `id` int(11) NOT NULL auto_increment,
  `wishid` int(11) NOT NULL default '0',
  `version` int(11) NOT NULL default '0',
  `created` datetime default NULL,
  `created_by` int(11) NOT NULL default '0',
  `minor_edit` int(1) NOT NULL default '0',
  `pagetext` text,
  `pagehtml` text,
  `approved` int(1) NOT NULL default '0',
  `summary` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `pagetext` (`pagetext`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist_implementation`
--

LOCK TABLES `jos_wishlist_implementation` WRITE;
/*!40000 ALTER TABLE `jos_wishlist_implementation` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wishlist_implementation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist_item`
--

DROP TABLE IF EXISTS `jos_wishlist_item`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist_item` (
  `id` int(11) NOT NULL auto_increment,
  `wishlist` int(11) default '0',
  `subject` varchar(200) NOT NULL,
  `about` text,
  `proposed_by` int(11) default '0',
  `granted_by` int(11) default '0',
  `assigned` int(11) default '0',
  `granted_vid` int(11) default '0',
  `proposed` datetime NOT NULL default '0000-00-00 00:00:00',
  `granted` datetime default '0000-00-00 00:00:00',
  `status` int(3) NOT NULL default '0',
  `due` datetime default '0000-00-00 00:00:00',
  `anonymous` int(3) default '0',
  `ranking` int(11) default '0',
  `points` int(11) default '0',
  `private` int(3) default '0',
  `accepted` int(3) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist_item`
--

LOCK TABLES `jos_wishlist_item` WRITE;
/*!40000 ALTER TABLE `jos_wishlist_item` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wishlist_item` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist_ownergroups`
--

DROP TABLE IF EXISTS `jos_wishlist_ownergroups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist_ownergroups` (
  `id` int(11) NOT NULL auto_increment,
  `wishlist` int(11) default '0',
  `groupid` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist_ownergroups`
--

LOCK TABLES `jos_wishlist_ownergroups` WRITE;
/*!40000 ALTER TABLE `jos_wishlist_ownergroups` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wishlist_ownergroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist_owners`
--

DROP TABLE IF EXISTS `jos_wishlist_owners`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist_owners` (
  `id` int(11) NOT NULL auto_increment,
  `wishlist` int(11) default '0',
  `userid` int(11) NOT NULL default '0',
  `type` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist_owners`
--

LOCK TABLES `jos_wishlist_owners` WRITE;
/*!40000 ALTER TABLE `jos_wishlist_owners` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wishlist_owners` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_wishlist_vote`
--

DROP TABLE IF EXISTS `jos_wishlist_vote`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_wishlist_vote` (
  `id` int(11) NOT NULL auto_increment,
  `wishid` int(11) default '0',
  `userid` int(11) NOT NULL default '0',
  `voted` datetime NOT NULL default '0000-00-00 00:00:00',
  `importance` int(3) default '0',
  `effort` int(3) default '0',
  `due` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_wishlist_vote`
--

LOCK TABLES `jos_wishlist_vote` WRITE;
/*!40000 ALTER TABLE `jos_wishlist_vote` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_wishlist_vote` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xdomain_users`
--

DROP TABLE IF EXISTS `jos_xdomain_users`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xdomain_users` (
  `domain_id` int(11) NOT NULL,
  `domain_username` varchar(150) NOT NULL default '',
  `uidNumber` int(11) default NULL,
  PRIMARY KEY  (`domain_id`,`domain_username`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xdomain_users`
--

LOCK TABLES `jos_xdomain_users` WRITE;
/*!40000 ALTER TABLE `jos_xdomain_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xdomain_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xdomains`
--

DROP TABLE IF EXISTS `jos_xdomains`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xdomains` (
  `domain_id` int(11) NOT NULL auto_increment,
  `domain` varchar(150) NOT NULL default '',
  PRIMARY KEY  (`domain_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xdomains`
--

LOCK TABLES `jos_xdomains` WRITE;
/*!40000 ALTER TABLE `jos_xdomains` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xdomains` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xfavorites`
--

DROP TABLE IF EXISTS `jos_xfavorites`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xfavorites` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) default '0',
  `oid` int(11) default '0',
  `tbl` varchar(250) default NULL,
  `faved` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xfavorites`
--

LOCK TABLES `jos_xfavorites` WRITE;
/*!40000 ALTER TABLE `jos_xfavorites` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xfavorites` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xforum`
--

DROP TABLE IF EXISTS `jos_xforum`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xforum` (
  `id` int(11) NOT NULL auto_increment,
  `topic` varchar(255) default NULL,
  `comment` text,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `created_by` int(11) default '0',
  `state` tinyint(3) NOT NULL default '0',
  `sticky` tinyint(2) NOT NULL default '0',
  `parent` int(11) NOT NULL default '0',
  `hits` int(11) default '0',
  `group` int(11) default '0',
  `access` tinyint(2) default '4',
  `anonymous` tinyint(2) default '0',
  PRIMARY KEY  (`id`),
  FULLTEXT KEY `question` (`comment`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xforum`
--

LOCK TABLES `jos_xforum` WRITE;
/*!40000 ALTER TABLE `jos_xforum` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xforum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups`
--

DROP TABLE IF EXISTS `jos_xgroups`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups` (
  `gidNumber` int(11) NOT NULL auto_increment,
  `cn` varchar(255) default NULL,
  `description` varchar(255) default NULL,
  `published` tinyint(3) default '0',
  `type` tinyint(3) default '0',
  `access` tinyint(3) default '0',
  `public_desc` text,
  `private_desc` text,
  `restrict_msg` text,
  `join_policy` tinyint(3) default '0',
  `privacy` tinyint(3) default '0',
  PRIMARY KEY  (`gidNumber`)
) ENGINE=MyISAM AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups`
--

LOCK TABLES `jos_xgroups` WRITE;
/*!40000 ALTER TABLE `jos_xgroups` DISABLE KEYS */;
INSERT INTO `jos_xgroups` VALUES (1000,'wishlistadmin','Wish List Administrators',1,0,4,'','','',3,4),(999,'apps','The apps group',1,0,4,'','','',0,0),(33,'www-data','The www-data group',1,0,4,'','','',0,0),(900,'network','Network access resource group',0,0,0,'','','',0,0),(901,'submit','Submit access resource group',0,0,0,'','','',0,0),(997,'public','The public group',0,0,4,'','','',0,0),(1001,'app-mytool',NULL,0,0,0,NULL,NULL,NULL,0,0);
/*!40000 ALTER TABLE `jos_xgroups` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_applicants`
--

DROP TABLE IF EXISTS `jos_xgroups_applicants`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_applicants` (
  `gidNumber` int(11) NOT NULL,
  `uidNumber` int(11) NOT NULL,
  PRIMARY KEY  (`gidNumber`,`uidNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_applicants`
--

LOCK TABLES `jos_xgroups_applicants` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_applicants` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xgroups_applicants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_invitees`
--

DROP TABLE IF EXISTS `jos_xgroups_invitees`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_invitees` (
  `gidNumber` int(11) NOT NULL,
  `uidNumber` int(11) NOT NULL,
  PRIMARY KEY  (`gidNumber`,`uidNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_invitees`
--

LOCK TABLES `jos_xgroups_invitees` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_invitees` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xgroups_invitees` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_log`
--

DROP TABLE IF EXISTS `jos_xgroups_log`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_log` (
  `id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `timestamp` datetime NOT NULL default '0000-00-00 00:00:00',
  `uid` int(11) default '0',
  `action` varchar(50) default NULL,
  `comments` text,
  `actorid` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_log`
--

LOCK TABLES `jos_xgroups_log` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_log` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xgroups_log` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_managers`
--

DROP TABLE IF EXISTS `jos_xgroups_managers`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_managers` (
  `gidNumber` int(11) NOT NULL,
  `uidNumber` int(11) NOT NULL,
  PRIMARY KEY  (`gidNumber`,`uidNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_managers`
--

LOCK TABLES `jos_xgroups_managers` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_managers` DISABLE KEYS */;
INSERT INTO `jos_xgroups_managers` VALUES (33,62),(1000,62);
/*!40000 ALTER TABLE `jos_xgroups_managers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_members`
--

DROP TABLE IF EXISTS `jos_xgroups_members`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_members` (
  `gidNumber` int(11) NOT NULL,
  `uidNumber` int(11) NOT NULL,
  PRIMARY KEY  (`gidNumber`,`uidNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_members`
--

LOCK TABLES `jos_xgroups_members` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_members` DISABLE KEYS */;
INSERT INTO `jos_xgroups_members` VALUES (33,62),(33,1000),(901,1000),(999,62),(999,999),(1000,62),(1001,1000);
/*!40000 ALTER TABLE `jos_xgroups_members` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_reasons`
--

DROP TABLE IF EXISTS `jos_xgroups_reasons`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_reasons` (
  `id` int(11) NOT NULL auto_increment,
  `uidNumber` int(11) NOT NULL,
  `gidNumber` int(11) NOT NULL,
  `reason` text,
  `date` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_reasons`
--

LOCK TABLES `jos_xgroups_reasons` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_reasons` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xgroups_reasons` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xgroups_tracperm`
--

DROP TABLE IF EXISTS `jos_xgroups_tracperm`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xgroups_tracperm` (
  `group_id` int(11) NOT NULL,
  `action` varchar(255) NOT NULL,
  `project_id` int(11) NOT NULL,
  PRIMARY KEY  (`group_id`,`action`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xgroups_tracperm`
--

LOCK TABLES `jos_xgroups_tracperm` WRITE;
/*!40000 ALTER TABLE `jos_xgroups_tracperm` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xgroups_tracperm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage`
--

DROP TABLE IF EXISTS `jos_xmessage`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage` (
  `id` int(11) NOT NULL auto_increment,
  `created` datetime default '0000-00-00 00:00:00',
  `created_by` int(11) default '0',
  `message` mediumtext,
  `subject` varchar(250) default NULL,
  `component` varchar(100) default NULL,
  `type` varchar(100) default NULL,
  `group_id` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage`
--

LOCK TABLES `jos_xmessage` WRITE;
/*!40000 ALTER TABLE `jos_xmessage` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xmessage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage_action`
--

DROP TABLE IF EXISTS `jos_xmessage_action`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage_action` (
  `id` int(11) NOT NULL auto_increment,
  `class` varchar(20) NOT NULL default '',
  `element` int(11) unsigned NOT NULL default '0',
  `description` mediumtext,
  KEY `id` (`id`),
  KEY `class` (`class`),
  KEY `element` (`element`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage_action`
--

LOCK TABLES `jos_xmessage_action` WRITE;
/*!40000 ALTER TABLE `jos_xmessage_action` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xmessage_action` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage_component`
--

DROP TABLE IF EXISTS `jos_xmessage_component`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage_component` (
  `id` int(11) NOT NULL auto_increment,
  `component` varchar(50) NOT NULL default '',
  `action` varchar(100) NOT NULL default '',
  `title` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=35 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage_component`
--

LOCK TABLES `jos_xmessage_component` WRITE;
/*!40000 ALTER TABLE `jos_xmessage_component` DISABLE KEYS */;
INSERT INTO `jos_xmessage_component` VALUES (1,'com_support','support_reply_submitted','Someone replies to a support ticket I submitted.'),(2,'com_support','support_reply_assigned','Someone replies to a support ticket I am assigned to.'),(3,'com_support','support_close_submitted','Someone closes a support ticket I submitted.'),(4,'com_answers','answers_reply_submitted','Someone answers a question I submitted.'),(5,'com_answers','answers_reply_comment','Someone replies to a comment I posted.'),(6,'com_answers','answers_question_deleted','Someone deletes a question I replied to.'),(7,'com_groups','groups_requests_membership','Someone requests membership to a group I manage.'),(8,'com_groups','groups_requests_status','Someone is approved/denied membership to a group I manage.'),(9,'com_groups','groups_cancels_membership','Someone cancels membership to a group I manage.'),(10,'com_groups','groups_promoted_demoted','Someone promotes/demotes a member of a group I manage.'),(11,'com_groups','groups_approved_denied','My membership request to a group is approved or denied.'),(12,'com_groups','groups_status_changed','My membership status changes (promoted/demoted).'),(13,'com_groups','groups_cancelled_me','My membership to a group is cancelled.'),(14,'com_groups','groups_changed','Someone changes the settings of a group I am a member of.'),(15,'com_groups','groups_deleted','Someone deletes a group I am a member of.'),(16,'com_resources','resources_submission_approved','A contribution I submitted is approved.'),(17,'com_resources','resources_new_comment','Someone adds a review/comment to one of my contributions.'),(18,'com_meetings','meetings_invite','I\'m invited to join a web meeting.'),(19,'com_meetings','meetings_changed','A web meeting has been changed.'),(20,'com_meetings','meetings_reminder','Reminders for upcoming web meetings.'),(21,'com_store','store_notifications','Shipping and other notifications about my purchases.'),(22,'com_wishlist','wishlist_new_wish','Someone posted a wish on the Wish List I control.'),(23,'com_wishlist','wishlist_status_changed','A wish I submitted got accepted/rejected/granted.'),(24,'com_support','support_item_transferred','A support ticket/wish/question I submitted got transferred.'),(25,'com_wishlist','wishlist_comment_posted','Someone commented on a wish I posted or am assigned to'),(26,'com_groups','groups_invite','When you are invited to join a group.'),(27,'com_contribtool','contribtool_status_changed','Tool development status has changed'),(28,'com_contribtool','contribtool_new_message','New contribtool message is received'),(29,'com_contribtool','contribtool_info_changed','Information about a tool I develop has changed'),(30,'com_wishlist','wishlist_comment_thread','Someone replied to my comment or followed me in a discussion'),(31,'com_wishlist','wishlist_new_owner','You were added as an administrator of a Wish List'),(32,'com_wishlist','wishlist_wish_assigned','A wish has been assigned to me'),(33,'com_groups','group_message','Messages from fellow group members'),(34,'com_members','member_message','Messages from fellow site members');
/*!40000 ALTER TABLE `jos_xmessage_component` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage_notify`
--

DROP TABLE IF EXISTS `jos_xmessage_notify`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage_notify` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) default '0',
  `method` varchar(250) default NULL,
  `type` varchar(250) default NULL,
  `priority` int(2) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage_notify`
--

LOCK TABLES `jos_xmessage_notify` WRITE;
/*!40000 ALTER TABLE `jos_xmessage_notify` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xmessage_notify` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage_recipient`
--

DROP TABLE IF EXISTS `jos_xmessage_recipient`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage_recipient` (
  `id` int(11) NOT NULL auto_increment,
  `mid` int(11) default '0',
  `uid` int(11) default '0',
  `created` datetime default '0000-00-00 00:00:00',
  `expires` datetime default '0000-00-00 00:00:00',
  `actionid` int(11) default '0',
  `state` tinyint(2) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage_recipient`
--

LOCK TABLES `jos_xmessage_recipient` WRITE;
/*!40000 ALTER TABLE `jos_xmessage_recipient` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xmessage_recipient` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xmessage_seen`
--

DROP TABLE IF EXISTS `jos_xmessage_seen`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xmessage_seen` (
  `mid` int(11) unsigned NOT NULL default '0',
  `uid` int(11) unsigned NOT NULL default '0',
  `whenseen` datetime default '0000-00-00 00:00:00',
  KEY `mid` (`mid`),
  KEY `uid` (`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xmessage_seen`
--

LOCK TABLES `jos_xmessage_seen` WRITE;
/*!40000 ALTER TABLE `jos_xmessage_seen` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xmessage_seen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xorganizations`
--

DROP TABLE IF EXISTS `jos_xorganizations`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xorganizations` (
  `id` int(11) NOT NULL auto_increment,
  `organization` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xorganizations`
--

LOCK TABLES `jos_xorganizations` WRITE;
/*!40000 ALTER TABLE `jos_xorganizations` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xorganizations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xpoll_data`
--

DROP TABLE IF EXISTS `jos_xpoll_data`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xpoll_data` (
  `id` int(11) NOT NULL auto_increment,
  `pollid` int(4) NOT NULL default '0',
  `text` text NOT NULL,
  `hits` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pollid` (`pollid`,`text`(1))
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xpoll_data`
--

LOCK TABLES `jos_xpoll_data` WRITE;
/*!40000 ALTER TABLE `jos_xpoll_data` DISABLE KEYS */;
INSERT INTO `jos_xpoll_data` VALUES (1,1,'Graduate student',0),(2,1,'Undergraduate student',0),(3,1,'High school or elementary student',0),(4,1,'College faculty',0),(5,1,'Professional scientist/engineer',0),(6,1,'Retired, but still curious',0);
/*!40000 ALTER TABLE `jos_xpoll_data` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xpoll_date`
--

DROP TABLE IF EXISTS `jos_xpoll_date`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xpoll_date` (
  `id` bigint(20) NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `vote_id` int(11) NOT NULL default '0',
  `poll_id` int(11) NOT NULL default '0',
  `voter_ip` varchar(50) default NULL,
  PRIMARY KEY  (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xpoll_date`
--

LOCK TABLES `jos_xpoll_date` WRITE;
/*!40000 ALTER TABLE `jos_xpoll_date` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xpoll_date` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xpoll_menu`
--

DROP TABLE IF EXISTS `jos_xpoll_menu`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xpoll_menu` (
  `pollid` int(11) NOT NULL default '0',
  `menuid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`pollid`,`menuid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xpoll_menu`
--

LOCK TABLES `jos_xpoll_menu` WRITE;
/*!40000 ALTER TABLE `jos_xpoll_menu` DISABLE KEYS */;
INSERT INTO `jos_xpoll_menu` VALUES (1,0);
/*!40000 ALTER TABLE `jos_xpoll_menu` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xpolls`
--

DROP TABLE IF EXISTS `jos_xpolls`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xpolls` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `title` varchar(100) NOT NULL default '',
  `voters` int(9) NOT NULL default '0',
  `checked_out` int(11) NOT NULL default '0',
  `checked_out_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL default '0',
  `access` int(11) NOT NULL default '0',
  `lag` int(11) NOT NULL default '0',
  `open` tinyint(1) NOT NULL default '0',
  `opened` date default NULL,
  `closed` date default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xpolls`
--

LOCK TABLES `jos_xpolls` WRITE;
/*!40000 ALTER TABLE `jos_xpolls` DISABLE KEYS */;
INSERT INTO `jos_xpolls` VALUES (1,'Who are you?',0,0,'0000-00-00 00:00:00',1,0,86400,1,NULL,NULL);
/*!40000 ALTER TABLE `jos_xpolls` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles`
--

DROP TABLE IF EXISTS `jos_xprofiles`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles` (
  `uidNumber` int(11) NOT NULL,
  `name` varchar(255) NOT NULL default '',
  `username` varchar(150) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `registerDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `gidNumber` varchar(11) NOT NULL default '',
  `homeDirectory` varchar(255) NOT NULL default '',
  `loginShell` varchar(255) NOT NULL default '',
  `ftpShell` varchar(255) NOT NULL default '',
  `userPassword` varchar(255) NOT NULL default '',
  `gid` varchar(255) NOT NULL default '',
  `orgtype` varchar(255) NOT NULL default '',
  `organization` varchar(255) NOT NULL default '',
  `countryresident` char(2) NOT NULL default '',
  `countryorigin` char(2) NOT NULL default '',
  `gender` varchar(255) NOT NULL default '',
  `url` varchar(255) NOT NULL default '',
  `reason` text NOT NULL,
  `mailPreferenceOption` int(11) NOT NULL default '0',
  `usageAgreement` int(11) NOT NULL default '0',
  `jobsAllowed` int(11) NOT NULL default '0',
  `modifiedDate` datetime NOT NULL default '0000-00-00 00:00:00',
  `emailConfirmed` int(11) NOT NULL default '0',
  `regIP` varchar(255) NOT NULL default '',
  `regHost` varchar(255) NOT NULL default '',
  `nativeTribe` varchar(255) NOT NULL default '',
  `phone` varchar(255) NOT NULL default '',
  `proxyPassword` varchar(255) NOT NULL default '',
  `proxyUidNumber` varchar(255) NOT NULL default '',
  `givenName` varchar(255) NOT NULL default '',
  `middleName` varchar(255) NOT NULL default '',
  `surname` varchar(255) NOT NULL default '',
  `picture` varchar(255) NOT NULL default '',
  `vip` int(11) NOT NULL default '0',
  `public` tinyint(2) NOT NULL default '0',
  `params` text NOT NULL,
  `note` text NOT NULL,
  `shadowExpire` int(11) default NULL,
  PRIMARY KEY  (`uidNumber`),
  KEY `username` (`username`),
  FULLTEXT KEY `author` (`givenName`,`surname`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles`
--

LOCK TABLES `jos_xprofiles` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles` DISABLE KEYS */;
INSERT INTO `jos_xprofiles` VALUES (62,'Administrator Administrator','admin','hub-osr@hubzero.org','2010-04-09 00:02:25','997','/home/myhub/admin','/bin/bash','/bin/bash','df7ce25ed408593b54bfdf13fdbc479b:F1yVM3GO5X7Z1DN7OFTvxUR7eN18onWv','public','','','','','','','',0,0,3,'2010-04-10 18:29:11',1,'71.98.112.145','','','','','','Administrator','','Administrator','',0,0,'\n','',NULL),(1000,'HUBzero User','user','support@hubzero.org','2010-04-09 10:05:17','997','/home/myhub/user','/bin/bash','/usr/lib/sftp-server','{MD5}JVsMKJk+h+kh9jlXpehgtA==','public','','','','','','','',0,0,3,'2010-04-12 21:07:55',1,'128.46.16.39','','','','','','HUBzero','','User','',0,0,'\n','',NULL),(999,'Hub Apps Admin User','apps','root@localhost','0000-00-00 00:00:00','999','/home/myhub/apps','/bin/bash','/bin/bash','{SSHA}DiyyIOovPpFdoDsoSz6jIwVOWghhokGi','apps','university','','US','US','refused','','',1,1,1,'2010-04-09 15:07:09',1,'','','','','','','','','','',0,0,'','',NULL);
/*!40000 ALTER TABLE `jos_xprofiles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_admin`
--

DROP TABLE IF EXISTS `jos_xprofiles_admin`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_admin` (
  `uidNumber` int(11) NOT NULL,
  `admin` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`admin`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_admin`
--

LOCK TABLES `jos_xprofiles_admin` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_admin` DISABLE KEYS */;
INSERT INTO `jos_xprofiles_admin` VALUES (999,'myhub');
/*!40000 ALTER TABLE `jos_xprofiles_admin` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_bio`
--

DROP TABLE IF EXISTS `jos_xprofiles_bio`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_bio` (
  `uidNumber` int(11) NOT NULL,
  `bio` text,
  PRIMARY KEY  (`uidNumber`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_bio`
--

LOCK TABLES `jos_xprofiles_bio` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_bio` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xprofiles_bio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_disability`
--

DROP TABLE IF EXISTS `jos_xprofiles_disability`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_disability` (
  `uidNumber` int(11) NOT NULL,
  `disability` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`disability`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_disability`
--

LOCK TABLES `jos_xprofiles_disability` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_disability` DISABLE KEYS */;
INSERT INTO `jos_xprofiles_disability` VALUES (999,'refused');
/*!40000 ALTER TABLE `jos_xprofiles_disability` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_edulevel`
--

DROP TABLE IF EXISTS `jos_xprofiles_edulevel`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_edulevel` (
  `uidNumber` int(11) NOT NULL,
  `edulevel` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`edulevel`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_edulevel`
--

LOCK TABLES `jos_xprofiles_edulevel` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_edulevel` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xprofiles_edulevel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_hispanic`
--

DROP TABLE IF EXISTS `jos_xprofiles_hispanic`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_hispanic` (
  `uidNumber` int(11) NOT NULL,
  `hispanic` varchar(255) NOT NULL,
  PRIMARY KEY  (`uidNumber`,`hispanic`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_hispanic`
--

LOCK TABLES `jos_xprofiles_hispanic` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_hispanic` DISABLE KEYS */;
INSERT INTO `jos_xprofiles_hispanic` VALUES (999,'refused');
/*!40000 ALTER TABLE `jos_xprofiles_hispanic` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_host`
--

DROP TABLE IF EXISTS `jos_xprofiles_host`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_host` (
  `uidNumber` int(11) NOT NULL,
  `host` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`host`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_host`
--

LOCK TABLES `jos_xprofiles_host` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_host` DISABLE KEYS */;
INSERT INTO `jos_xprofiles_host` VALUES (999,'web'),(1000,'web');
/*!40000 ALTER TABLE `jos_xprofiles_host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_manager`
--

DROP TABLE IF EXISTS `jos_xprofiles_manager`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_manager` (
  `uidNumber` int(11) NOT NULL,
  `manager` varchar(255) NOT NULL,
  PRIMARY KEY  (`uidNumber`,`manager`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_manager`
--

LOCK TABLES `jos_xprofiles_manager` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_manager` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xprofiles_manager` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_race`
--

DROP TABLE IF EXISTS `jos_xprofiles_race`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_race` (
  `uidNumber` int(11) NOT NULL,
  `race` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`race`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_race`
--

LOCK TABLES `jos_xprofiles_race` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_race` DISABLE KEYS */;
INSERT INTO `jos_xprofiles_race` VALUES (999,'refused');
/*!40000 ALTER TABLE `jos_xprofiles_race` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_role`
--

DROP TABLE IF EXISTS `jos_xprofiles_role`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_role` (
  `uidNumber` int(11) NOT NULL,
  `role` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`uidNumber`,`role`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_role`
--

LOCK TABLES `jos_xprofiles_role` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_role` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xprofiles_role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xprofiles_tags`
--

DROP TABLE IF EXISTS `jos_xprofiles_tags`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xprofiles_tags` (
  `id` int(11) NOT NULL auto_increment,
  `uidNumber` int(11) default NULL,
  `tagid` int(11) default NULL,
  `taggerid` int(11) default '0',
  `taggedon` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xprofiles_tags`
--

LOCK TABLES `jos_xprofiles_tags` WRITE;
/*!40000 ALTER TABLE `jos_xprofiles_tags` DISABLE KEYS */;
/*!40000 ALTER TABLE `jos_xprofiles_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jos_xsession`
--

DROP TABLE IF EXISTS `jos_xsession`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `jos_xsession` (
  `session_id` varchar(200) NOT NULL default '0',
  `ip` varchar(15) default NULL,
  `host` varchar(128) default NULL,
  `domain` varchar(128) default NULL,
  `signed` tinyint(3) default '0',
  `countrySHORT` char(2) default NULL,
  `countryLONG` varchar(64) default NULL,
  `ipREGION` varchar(128) default NULL,
  `ipCITY` varchar(128) default NULL,
  `ipLATITUDE` double default NULL,
  `ipLONGITUDE` double default NULL,
  `bot` tinyint(4) default '0',
  PRIMARY KEY  (`session_id`),
  KEY `ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `jos_xsession`
--

LOCK TABLES `jos_xsession` WRITE;
/*!40000 ALTER TABLE `jos_xsession` DISABLE KEYS */;
INSERT INTO `jos_xsession` VALUES ('2334dbb678b8f44e48f8aee387e709b1','128.46.16.28',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,0);
/*!40000 ALTER TABLE `jos_xsession` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `session`
--

DROP TABLE IF EXISTS `session`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `session` (
  `sessnum` bigint(20) unsigned NOT NULL auto_increment,
  `username` varchar(32) NOT NULL default '',
  `remoteip` varchar(40) NOT NULL default '',
  `exechost` varchar(40) NOT NULL default '',
  `dispnum` int(10) unsigned default '0',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  `accesstime` datetime NOT NULL default '0000-00-00 00:00:00',
  `timeout` int(11) default '86400',
  `appname` varchar(80) NOT NULL default '',
  `sessname` varchar(80) NOT NULL default '',
  `sesstoken` varchar(32) NOT NULL default '',
  PRIMARY KEY  (`sessnum`),
  UNIQUE KEY `sessnum` (`sessnum`)
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `session`
--

LOCK TABLES `session` WRITE;
/*!40000 ALTER TABLE `session` DISABLE KEYS */;
/*!40000 ALTER TABLE `session` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sessionlog`
--

DROP TABLE IF EXISTS `sessionlog`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sessionlog` (
  `sessnum` bigint(20) unsigned NOT NULL auto_increment,
  `username` varchar(32) NOT NULL default '',
  `remoteip` varchar(40) NOT NULL default '',
  `remotehost` varchar(40) NOT NULL default '',
  `exechost` varchar(40) NOT NULL default '',
  `dispnum` int(10) unsigned default '0',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  `appname` varchar(80) NOT NULL default '',
  `walltime` float unsigned default '0',
  `viewtime` float unsigned default '0',
  `cputime` float unsigned default '0',
  `status` smallint(5) unsigned default '0',
  PRIMARY KEY  (`sessnum`),
  UNIQUE KEY `sessnum` (`sessnum`)
) ENGINE=MyISAM AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sessionlog`
--

LOCK TABLES `sessionlog` WRITE;
/*!40000 ALTER TABLE `sessionlog` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessionlog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sessionpriv`
--

DROP TABLE IF EXISTS `sessionpriv`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `sessionpriv` (
  `privid` bigint(20) unsigned NOT NULL auto_increment,
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `privilege` varchar(40) NOT NULL default '',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `privid` (`privid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `sessionpriv`
--

LOCK TABLES `sessionpriv` WRITE;
/*!40000 ALTER TABLE `sessionpriv` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessionpriv` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `view`
--

DROP TABLE IF EXISTS `view`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `view` (
  `viewid` bigint(20) unsigned NOT NULL auto_increment,
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `username` varchar(32) NOT NULL default '',
  `remoteip` varchar(40) NOT NULL default '',
  `start` datetime NOT NULL default '0000-00-00 00:00:00',
  `heartbeat` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `viewid` (`viewid`)
) ENGINE=MyISAM AUTO_INCREMENT=36 DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `view`
--

LOCK TABLES `view` WRITE;
/*!40000 ALTER TABLE `view` DISABLE KEYS */;
INSERT INTO `view` VALUES (35,32,'user','128.46.16.39','2010-04-12 17:10:24','2010-04-12 17:10:24');
/*!40000 ALTER TABLE `view` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `viewlog`
--

DROP TABLE IF EXISTS `viewlog`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `viewlog` (
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `username` varchar(32) NOT NULL default '',
  `remoteip` varchar(40) NOT NULL default '',
  `remotehost` varchar(40) NOT NULL default '',
  `time` datetime NOT NULL default '0000-00-00 00:00:00',
  `duration` float unsigned default '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `viewlog`
--

LOCK TABLES `viewlog` WRITE;
/*!40000 ALTER TABLE `viewlog` DISABLE KEYS */;
/*!40000 ALTER TABLE `viewlog` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `viewperm`
--

DROP TABLE IF EXISTS `viewperm`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `viewperm` (
  `sessnum` bigint(20) unsigned NOT NULL default '0',
  `viewuser` varchar(32) NOT NULL default '',
  `viewtoken` varchar(32) NOT NULL default '',
  `geometry` varchar(9) NOT NULL default '0',
  `fwhost` varchar(40) NOT NULL default '',
  `fwport` smallint(5) unsigned NOT NULL default '0',
  `vncpass` varchar(16) NOT NULL default '',
  `readonly` varchar(4) NOT NULL default 'Yes',
  PRIMARY KEY  (`sessnum`,`viewuser`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
SET character_set_client = @saved_cs_client;

--
-- Dumping data for table `viewperm`
--

LOCK TABLES `viewperm` WRITE;
/*!40000 ALTER TABLE `viewperm` DISABLE KEYS */;
INSERT INTO `viewperm` VALUES (32,'user','4e5338f64b0d53637f60e6c844c826bd','800x600','',0,'18db342882911afb','No');
/*!40000 ALTER TABLE `viewperm` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2011-03-08 21:48:40
